Keysight EasyEXPERT Online Help

  • “Introduction”

  • “Using EasyEXPERT”

  • “Classic Test Definition”

  • “Application Test Definition”

  • “Function Details”

  • “Built-in Programming Tool”

  • “Utility and Software Furnished”

  • “If You Have a Problem”

  • “Precautionary Statement”

Edition 16: May 2015, for EasyEXPERT revision 6.0

To get the latest information:

To get the latest firmware/software/manual/support information, go to www.keysight.com and type in EasyEXPERT in the Search field at the top of the page.


Introduction

This section describes the basic functions and features of Keysight B1500 series, and consists of the following sections:

  • “Overview”

  • “Keysight EasyEXPERT Software”

  • “Front View”

  • “Rear View”

  • “Measurement Modules”

Application Library:

Keysight B1500 has installed Keysight EasyEXPERT software as an operating environment. The EasyEXPERT contains an application library that is a set of test definitions. The application test can be performed by selecting a test definition and setting the test condition for the actual device under test (DUT).

All test definitions are just sample. Keysight Technologies is NOT LIABLE, even if they damage your devices.

Furnished Sample Programs (Utilities):

The following sample programs are stored in the following folder.

  • %PROGRAMFILES%\Agilent\B1500\EasyEXPERT\Utilities

sleep.exe program

  • %PROGRAMFILES%\Agilent\B1500\EasyEXPERT\Utilities\ProberControl

Prober control programs

  • %PROGRAMFILES%\Agilent\B1500\EasyEXPERT\415xC\Conversion\

4155/4156 setup file converter

  • %PROGRAMFILES%\Agilent\B1500\EasyEXPERT\IC-CAP Support\MDM\

MDM file converter for IC-CAP users

For more details, see “Utility and Software Furnished”.

%PROGRAMFILES% indicates the folder where programs are installed. (e.g. "C:\Program Files", "C:\Program Files (x86)")


Overview

Keysight B1500 series device analyzer is the new generation one box solution for the semiconductor device DC parametric measurement and analysis application. You can perform measurement and analysis easily and effectively on Windows environment with intuitive graphical user interface, touch screen LCD panel, keyboard, and mouse by using Keysight B1500.

Keysight B1500 provides the DC voltage/current output, the DC voltage/current measurement, and the AC impedance measurement with AC signal output capabilities. So you can perform the current-voltage sweep measurement and the capacitance-voltage sweep measurement by one instrument. You can also analyze the measurement result characteristics graph by using several tools such as markers, cursors, and lines.


Keysight EasyEXPERT Software

Keysight EasyEXPERT software is a specially-designed Windows application program for controlling Keysight B1500. The EasyEXPERT provides an easy and effective measurement and analysis environment with intuitive graphical user interface (GUI), touch screen LCD panel, keyboard, and mouse. Some of the functions are listed below.

  • Single, repeat, and append measurement

  • Module selector control

  • Switching matrix control

    • Supported models:

      • Keysight B2200A/B2201A Switching Matrix Mainframe

      • Keysight E5250A Switching Matrix Mainframe (with E5252A)

  • Measurement/setup data management by workspace concept

  • Graphical display and analysis with markers, cursors, and lines; and auto analysis

  • Data import/export capability, data output in CSV/XML format, and graph image output by EMF/BMP/GIF/PNG format

  • Data export to Microsoft Excel

  • Maintenance; self-test and self-calibration

  • Remote control function from an external computer

The EasyEXPERT has the following measurement execution environments.

  • Application Test

The EasyEXPERT contains an application library that supports typical measurements for CMOS devices, TFT, BJT, IGBT, PMIC, power MOSFET, power BJT, power diode, memory, nanotechnology devices such as CNT FET, and so on. The application library includes more than one hundred test definitions.

You can perform measurements by choosing the best one for your device under test (DUT) from the application libraries, modifying, and executing it. Modification is really simple. For example, it will be completed by changing the output voltage to DUT terminals only. And the setup with your modifications can be saved and recalled as your setup (My Favorite Setup).

  • Classic Test

You can perform measurements by using the user interface similar to the semiconductor parameter analyzers such as the 4156C. The setup can be made by entering values into the setup tables used for the measurement module control. And it can be saved and recalled as your setup (My Favorite Setup). This measurement environment provides the following functions.

  • I/V Sweep

  • Multi Channel I/V Sweep

  • I/V List Sweep

  • I/V-t Sampling

  • C-V Sweep

  • SPGU Control

  • Switching Matrix Control

  • Direct Control

The Direct Control test mode is used for controlling the measurement modules directly by the B1500 GPIB control commands. For the control commands, see Keysight B1500 Series Programming Guide.

  • Tracer Test

Curve tracer test mode. This test allows you to perform the high speed I-V measurement on one window. The Tracer Test window provides GUI for selecting channels, setting the sweep output, and showing the measurement result (the I-V curve traces). Range of the sweep output and measurement can be changed by the rotary knob on the front panel.

Tracer test also provides the oscilloscope view to show the pulsed current or voltage output waveform of the HCSMU, Dual HCSMU, MCSMU, HVSMU, HVMCU, UHCU, or UHVU. You can verify output waveform by the I-V curve traces.

  • Quick Test

You can execute the test setups saved in a preset group (My Favorite Setup) sequentially.


Front View

This section describes the front view of Keysight B1500 series.

1. Standby Switch

Turns the B1500 on. Pressing the switch in the ON state makes the B1500 into the standby state. The green LED lights while the B1500 is in the ON state.

When turning the B1500 on:

Open the measurement terminals at the device side. Also disconnect the device from the measurement terminals and open the measurement terminals after the measurement. If you leave the connection to the device, the device may be damaged by unexpected operations or charge-up of measurement cables.

2. HDD Access Indicator

This green LED lights in the access status of HDD or DVD drive. Do not turn the B1500 off during this LED lights.

3. LCD Adjustment Keys

LCD Off enables/disables the LCD panel. The green LED lights while the LCD is disabled.

Four keys are available for adjusting brightness. Use + and - to adjust it and then press Set to fix it. Pressing Cancel instead of Set cancels the adjustment.

4. USB Interfaces

USB, 2 ports. For keyboard, mouse, and so on.

To remove USB devices from the B1500, use “Safely Remove Hardware” on Windows task bar. If it is not used, the B1500 may cause the internal USB communication error. If the error occurs, turn the B1500 off and disconnect the power cable from the B1500. Leave it about 30 seconds before rebooting the B1500, and connect the power cable again, and then turn the B1500 on.

5. LCD Panel

15 inch TFT XGA display, 1024x768 resolution. Shows Windows desktop, Keysight EasyEXPERT software, and so on. Touch screen operation is available when the Touch Panel Off indicator does not light.

To adjust the touch panel, use Microchip TSHARC Control Panel which is opened by selecting Microchip TSHARC Control Panel from the Start menu.

6. Stop Key

Stops the present measurement or source output immediately.

7. High Voltage Status Indicator

This red LED lights while source channel is applying more than ±42 V.

8. Measurement Status Indicator

This green LED lights while a measurement channel is performing measurement.

9. Rotary Knob

Works on Keysight EasyEXPERT environment. Rotating the knob moves the marker on the graph window, or increases/decreases/changes the value in the active entry field. Pressing the knob sets or enters the value.

10. Softkeys

7 softkeys are available for Keysight EasyEXPERT environment. Used to select an alternative for the entry field specified or the dialog box.

11. DVD-R Drive

For data backup, software update, and so on. With the option DR1, the drive is changed to the DVD-ROM drive.

12. Touch Panel Off Key

Works on the execution environment of EasyEXPERT software. Enables/disables the touch screen operation. The green LED lights while the touch screen is disabled.


Rear View

This section describes the rear view of Keysight B1500 series.

1. Serial Number

You need this serial number when using Keysight Technologies telephone assistance program.

2. LED Status Indicator

For troubleshooting. Followings are some examples.

• Both LEDs turn off:

B1500 is in the standby state and Standby switch is OFF position.

• One LED turns green:

Power supply works normally.

• Both LEDs turn orange:

B1500 is in the standby state and Standby switch is ON position.

3. LINE Input Receptacle

AC power cable is connected to this receptacle.

4. GPIB Interface

Use an Keysight 82357A/82357B USB/GPIB Interface or Keysight 10833A/B/C/D GPIB cable to connect to an external computer or equipment.

5. Module Slot

Ten slots are available for installing the modules. Several kinds of module can be installed in the B1500. However, the allowable number to install is different by the module type. See “Measurement Modules”.

For example of the above image, the B1500A installs the following modules.

A. Ground Unit/ADC module (GNDU/ADC)

B. Semiconductor Pulse Generator Unit module (SPGU)

C. Waveform Generator/Fast Measurement Unit module (WGFMU)

D. Source/Monitor Unit module (SMU)

E. Multi Frequency Capacitance Measurement Unit module (MFCMU)

6. Circuit Common ( [image]) and Frame Ground ( [image]) Terminals

Normally, connect the terminals together by using the shorting bar (Keysight part number 5000-4206). For floating measurement, remove the shorting bar.

Caution:

For floating measurement, do not apply dangerous voltage to the Circuit Common terminal. Failure to heed this caution may result in damage to the B1500.

WARNING:

If the Circuit Common terminal is not connected to the frame ground terminal (for floating measurement), a potential shock hazard may present. Do not touch any of measurement circuit at any time while a floating measurement is in progress.

7. Zero Check Terminal

Ground reference point of the B1500.

Caution:

The Zero Check terminal can be used for the service purpose only. For the B1500 normal operation, leave this terminal open and do not connect anything to this terminal. Connecting anything can damage the B1500.

8. GNDU Terminal

Triaxial connector. 0 V constant voltage source. Used for the reference of measurement ground.

9. LAN Interface

RJ45 connector.

10. USB Interfaces

USB, 2 ports. For keyboard, mouse, or peripherals.

To remove USB devices from the B1500, use “Safely Remove Hardware” on Windows task bar. If it is not used, the B1500 may cause the internal USB communication error. If the error occurs, turn the B1500 off and disconnect the power cable from the B1500. Leave it about 30 seconds before rebooting the B1500, and connect the power cable again, and then turn the B1500 on.

11. Ext Trig Terminals

Two BNC connectors, one for trigger input, and one for trigger output. For details about the trigger function, see Keysight B1500 Series Programming Guide.

12. Digital I/O Terminal

DSUB 25 pin connector. Can be used for the trigger input/output terminals or an interface to control an external relay circuit and so on. For details, see Keysight B1500 Series Programming Guide.

13. Interlock Terminal

Used in conjunction with the interlock function of the B1500. If the Interlock terminal is open, maximum SMU output is limited to ±42 V. Be sure to connect this terminal to the interlock circuit of the test fixture or the prober station before performing measurement.

WARNING:

Dangerous voltage of up to the maximum voltage of SMUs may be present at force, guard, and sense terminals if the Interlock terminal is closed.

14. Video Output Terminal

VGA connector. For an external display. Signal to the built-in LCD is also applied to this terminal.

For the B1500 manufactured before the video output terminal is supported, it is mounted on the position "14a" by upgrading the mainframe.


Measurement Resources

Measurement Modules

Keysight B1500 can be equipped with the following measurement resources.

  • “GNDU - Ground Unit”

  • “HPSMU - High Power SMU”

  • “MPSMU - Medium Power SMU”

  • “HCSMU - High Current SMU”

  • “MCSMU - Medium Current SMU”

  • “HVSMU - High Voltage SMU”

  • “HRSMU - High Resolution SMU”

  • “MFCMU - Multi Frequency CMU”

  • “HVSPGU - High Voltage SPGU”

  • “WGFMU - Waveform Generator / Fast Measurement Unit”

  • “HVMCU - High Voltage Medium Current Unit”

  • “UHCU - Ultra High Current Unit”

  • “UHVU - Ultra High Voltage Unit”

  • “About SMU”

See “Using EasyEXPERT” for the functions available for Keysight EasyEXPERT software. See B1500 Series Programming Guide for the functions available for the GPIB remote mode.


GNDU - Ground Unit

Keysight B1500 is equipped with the ground unit (GNDU). The GNDU is a 0 V constant voltage source, and used for the reference of measurement ground. Also the GNDU can sink up to ±4.2 A, so it is effective for using the HPSMU, MPSMU, HRSMU, and HVSMU. Figure 1 is a simplified circuit diagram of GNDU.

When the HCSMU, MCSMU, HVMCU, or UHCU is used, the GNDU must be connected to the Low side to apply the reference zero voltage.

The GNDU is not used with the UHVU.

Figure 1 Simplified GNDU Circuit Diagram


B1510A HPSMU

HPSMU - High Power Source/Monitor Unit

  • Maximum Voltage, Current, Output Power: ± 200 V, ± 1 A, 20 W

  • Minimum Range: 2 V, 1 nA


B1511A MPSMU

MPSMU - Medium Power Source/Monitor Unit

  • Maximum Voltage, Current, Output power: ± 100 V, ± 100 mA, 2 W

  • Minimum Range: 0.5 V, 1 nA (1 pA when the E5288A ASU is used)

Note:

The E5288A Atto Sense and Switch Unit (ASU) can be connected to the B1511B MPSMU. (It cannot be connected to the B1511A MPSMU.)

To Connect ASU:

ASU must be connected to the SMU when the calibration is performed. The specifications are satisfied and guaranteed only in this condition. So confirm the serial number of the ASU and connect it to the dedicated SMU properly.

See Keysight B1500A User's Guide for connecting ASU.

See “ASU” for confirming the serial number.

Before Using 1 pA Range:

The measurement channel connected to the ASU supports the 1 pA range. Set the 1 pA fixed range or the 1 pA limited auto ranging for using 1 pA range.

The B1500A automatically performs the data compensation for the 1 pA range and returns the compensated data. You can use either the pre-stored offset data or the pre-measured offset data.

Perform the self-calibration before starting the measurement for measuring the offset data of a DUT. This offset data is temporarily stored until the B1500A is turned off. See “SMU Calibration”.


B1512A HCSMU

HCSMU - High Current Source/Monitor Unit

  • Maximum Current (by one module): ± 20 A (pulse), ± 1 A (DC)

  • Maximum Voltage (by one module): ± 40 V (< ± 1 A), ± 20 V (> ± 1 A, pulse)

  • Maximum Output Power (by one module): 40 W

  • Minimum Range: 0.2 V, 10 μA

  • Minimum Rulse Width: 50 μs

Note:

Do not put any conductor on the HCSMU Low Force and Low Sense terminals, outer conductor of the coaxial connectors. Putting conductor of circuit common, chassis ground, or any potential on causes the measurement error.

Note:

Using two modules

(DHCSMU, dual HCSMU) can expand the maximum current up to ± 40 A (pulse), ± 2 A (DC).

About 40 A Range and 2 A Range:

The 40 A range and the 2 A range are available when two HCSMU modules are installed in the B1505A and connected to the 16493S-020 Dual HCSMU Kelvin Combination Adapter or the 16493S-021 Dual HCSMU Combination Adapter. Two HCSMU modules can be a DHCSMU which supports ± 40 A (pulse), ± 2 A (DC). Then the 20 A range is not supported.

When the compliance value is set to > 1 A or < -1 A, the current measurement range is fixed to the compliance range.


B1514A MCSMU

MCSMU - Medium Current SMU

  • Maximum Current: ± 1 A (pulse), ± 0.1 A (DC)

  • Maximum Voltage: ± 30 V

  • Maximum Output Power: 30 W (pulse), 3 W (DC)

  • Minimum Range: 0.2 V, 10 μA

  • Minimum Pulse Width: 10 μs


B1513B HVSMU

HVSMU - High Voltage Source/Monitor Unit

  • Maximum Voltage/Current: 3000 V/ 4 mA, -3000 V/ -4 mA, 1500 V/ 8 mA, or -1500 V/ -8 mA

  • Maximum Output Power: 12 W

  • Minimum Range: 200 V, 1 nA

Caution:

Do not connect the HVSMU Force and Guard terminals to any output, including circuit common, chassis ground, or any other module terminal. Connecting other module may damage the connected module.


B1517A HRSMU

HRSMU - High Resolution Source/Monitor Unit

  • Maximum Voltage, Current, Output Power: ± 100 V, ± 100 mA, 2 W

  • Minimum Range: 0.5 V, 10 pA (1 pA when the E5288A ASU is used)

To Connect ASU:

ASU must be connected to the SMU when the calibration is performed. The specifications are satisfied and guaranteed only in this condition. So confirm the serial number of the ASU and connect it to the dedicated SMU properly.

See Keysight B1500A User's Guide for connecting ASU.

See “ASU” for confirming the serial number.

Before Using 1 pA Range:

The measurement channel connected to the ASU supports the 1 pA range. Set the 1 pA fixed range or the 1 pA limited auto ranging for using 1 pA range.

The B1500A automatically performs the data compensation for the 1 pA range and returns the compensated data. You can use either the pre-stored offset data or the pre-measured offset data.

Perform the self-calibration before starting the measurement for measuring the offset data of a DUT. This offset data is temporarily stored until the B1500A is turned off. See “SMU Calibration”.


B1520A MFCMU

MFCMU - Multi Frequency Capacitance Measurement Unit

  • Measurement Parameters: See Table 14.

  • AC Signal Output Frequency: 1 kHz to 5 MHz

Setting Resolution: 1 mHz (1 kHz to), 10 mHz (10 kHz to), 0.1 Hz (100 kHz to), or 1 Hz (1 MHz to 5 MHz).

  • AC Signal Output Level: 10 mVrms to 250 mVrms, 1 mV resolution

  • DC Bias:

0 to ± 25 V (using MFCMU internal DC bias)

0 to ± 100 V (using SMU and SMU CMU unify unit(SCUU))

0 to ± 3000 V (using HVSMU and High Voltage Bias-T)

  • Measurement Ranges:

For the fixed ranging mode, measurement range (impedance range) must be specified to perform measurement. Table 13 shows the available measurement ranges and the corresponding impedance value. Figure CM-1 shows the calculation example of the impedance versus frequency characteristics of a capacitive load. Use these information to decide the measurement range.

Impedance Z is calculated by the following formula.

Z = 1 / (2πfC)

where f is frequency (Hz) and C is capacitance (F).

Figure CM-1 Impedance versus Frequency Characteristics of Capacitive Load, Calculation Example

Table 13 Measurement Range for Fixed Ranging Mode

Impedance Z | Measurement Range (Impedance Range)
 | 1 kHz ≤ f ≤ 200 kHz | 200 kHz < f ≤ 2 MHz | 2 MHz < f ≤ 5 MHz
0 ≤ Z < 100 Ω | 50 Ω | 50 Ω | 50 Ω
100 Ω ≤ Z < 300 Ω | 100 Ω | 100 Ω | 100 Ω
300 Ω ≤ Z < 1 kΩ | 300 Ω | 300 Ω | 300 Ω
1 kΩ ≤ Z < 3 kΩ | 1 kΩ | 1 kΩ | 1 kΩ
3 kΩ ≤ Z < 10 kΩ | 3 kΩ | 3 kΩ | 3 kΩ
10 kΩ ≤ Z < 30 kΩ | 10 kΩ | 10 kΩ
30 kΩ ≤ Z < 100 kΩ | 30 kΩ | 30 kΩ
100 kΩ ≤ Z < 300 kΩ | 100 kΩ
300 kΩ ≤ Z | 300 kΩ

Table 14 Measurement Parameters

Primary Parameter | Secondary Parameter
R (resistance, Ω) | X (reactance, Ω)
G (conductance, S) | B (susceptance, S)
Z (impedance, Ω) | θ (phase, radian)
Z (impedance, Ω) | θ (phase, degree)
Y (admittance, S) | θ (phase, radian)
Y (admittance, S) | θ (phase, degree)
Cp (parallel capacitance, F) | G (conductance, S)
Cp (parallel capacitance, F) | D (dissipation factor)
Cp (parallel capacitance, F) | Q (quality factor)
Cp (parallel capacitance, F) | Rp (parallel resistance, Ω)
Cs (series capacitance, F) | Rs (series resistance, Ω)
Cs (series capacitance, F) | D (dissipation factor)
Cs (series capacitance, F) | Q (quality factor)
Lp (parallel inductance, H) | G (conductance, S)
Lp (parallel inductance, H) | D (dissipation factor)
Lp (parallel inductance, H) | Q (quality factor)
Lp (parallel inductance, H) | Rp (parallel resistance, Ω)
Ls (series inductance, H) | Rs (series resistance, Ω)
Ls (series inductance, H) | D (dissipation factor)
Ls (series inductance, H) | Q (quality factor)


B1525A HVSPGU

HVSPGU - High Voltage Semiconductor Pulse Generator Unit

  • Number of Output Channels: 2 channels per module

  • Output Impedance: 50 Ω

  • Output Level: 0 to ± 40 V (open load), ± 20 V (50 Ω load), 1 mV resolution

  • SPGU Operation Mode:
    PG (pulse generator) or ALWG (arbitrary linear waveform generator)

  • Channel Output Operation Mode:
    Free run, duration, or pulse count (PG mode)/sequence count (ALWG mode)

  • PG Output Mode:
    2-level pulse or 3-level pulse, for each channel

  • Pulse Timing Parameters (Programmable Range):
    Period: 20 ns to 10 s, 10 ns resolution
    Width: 10 ns to period-10 ns, resolution 2.5 ns or 10 ns (transition time > 8 μs)
    Delay: 0 to period-20 ns, resolution 2.5 ns or 10 ns (transition time > 8 μs)
    Transition Time (Leading Time or Trailing Time): 8 ns to 400 ms, resolution 2 ns or 8 ns (transition time > 8 μs)

  • Pulse switch, which is more durable than mechanical relays, and better suited for frequent switching applications.

  • Automatic voltage level adjustment by specifying load impedance of the DUT.


B1530A WGFMU

WGFMU - Waveform Generator / Fast Measurement Unit

  • Number of Channels: 2 channels per module

  • Function:
    Voltage output and current/voltage sampling measurement with minimum sampling interval of 5 ns.
    Current Measurement Range: 1 μA, 10 μA, 100 μA, 1 mA, 10 mA

  • Operation Mode: PG mode, Fast IV mode, DC mode

  • PG Mode:
    ALWG voltage output and voltage measurement (VFVM).

    Output Level: -5 V to 5 V for open load or -2.5 V to 2.5 V for 50 Ω load
    Minimum Pulse Width: 50 ns

  • Fast IVmode:
    ALWG voltage output and current/voltage measurement (VFIM or VFVM).

    Output Level: 0 to -10 V, 0 to 10 V, -5 V to 5 V
    Minimum Pulse Width (VFVM): 130 ns for 10 V output, 105 ns for 5 V output

  • DC Mode:
    DC voltage output and current/voltage measurement (VFIM or VFVM).

    Output Level: 0 to -10 V, 0 to 10 V, -5 V to 5 V


HVMCU

HVMCU - High Voltage Medium Current Unit

The HVMCU is configured by the Keysight N1266A HVSMU current expander, the HVSMU module, and two MCSMU/HCSMU modules.

  • Output Function: Pulsed Voltage

  • Measurement: Current or Voltage

  • Maximum Voltage: ± 2200 V, or ± 1500 V for 2 A compliance range

  • Minimum Pulse Width: 10 μs

  • Minimum Pulse Period: 5 ms

Caution:
Do not connect the HVMCU High terminal to any output, including circuit common, chassis ground, or any other measurement resource such as SMU. Connecting other measurement resource may damage the connected one.


UHCU

UHCU - Ultra High Current Unit

The UHCU is configured by the Keysight N1265A ultra high current expander/fixture and two MCSMU/HCSMU modules.

  • Output Function: Pulsed Voltage or Pulsed Current

  • Measurement: Current or Voltage

  • Maximum Current: ± 500 A, or ± 1500 A for the option N1265A-015

  • Maximum Voltage: ± 60 V

  • Maximum Power: 7.5 kW for 500 A range, or 22.5 kW for 2000 A range

  • Minimum Pulse Width: 10 μs

  • Maximum Pulse Duty: 0.4 % for 500 A range, or 0.1 % for 2000 A range

  • Output/Measurement Value and Resolution: see Table 1 and Table 2.


UHVU

UHVU - Ultra High Voltage Unit

The UHVU is configured by the Keysight N1268A ultra high voltage expander and two MCSMU modules or a combination of a MCSMU and a HCSMU.

  • Output Function: DC Voltage or Pulsed Voltage

  • Measurement: Current or Voltage

  • Maximum Voltage/Current: 10 kV/ 10 mA, -10 kV/ -10 mA, 10 kV/ 20 mA, or -10 kV/ -20 mA
    (Pulse width must be 1 ms or less for the current over ±10 mA.)

  • Minimum Pulse Width: 100 μs

  • Minimum Pulse Period: 10 ms

Caution:
Do not connect the UHVU High terminal to any output, including circuit common, chassis ground, or any other measurement resource such as SMU. Connecting other measurement resource may damage the connected one.

Caution:
Do not connect the UHVU Low terminal to any other measurement resource except for the N1269A or N1265A-040 adapter. Connecting other measurement resource may damage the connected one.


About SMU

Source/monitor unit (SMU) can apply DC voltage or current, and can measure DC current or voltage. Figure 2 is a simplified SMU circuit diagram.

The HPSMU, MPSMU, and HRSMU can perform the following operations:

  • Apply voltage and measures current or voltage

  • Apply current and measures current or voltage

The HCSMU, MCSMU, and HVSMU can perform the following operations:

  • Apply voltage and measures current and/or voltage

  • Apply current and measures current and/or voltage

Note:

Use CMM command for selecting SMU operation mode in the GPIB remote condition.

Figure 2 Simplified SMU Circuit Diagram

Compliance

The SMU has a compliance feature that limits output voltage or current to prevent damage to the device under test (DUT). When the SMU applies voltage, you can specify current compliance. When the SMU applies current, you can specify voltage compliance. For details about the compliance, see “SMU Compliance”.


Using EasyEXPERT

This section provides the reference information of Keysight EasyEXPERT software.

  • “Start EasyEXPERT”

  • “Workspace Configurator”

  • “Main Window”

  • “Application Test”

  • “Tracer Test”

  • “Quick Test”

  • “Repeat Measurement Setup”

  • “Organize Preset Group”

  • “Calibration”

  • “Configuration”

  • “Switching Matrix Operation Panel”

  • “Standby Channel Definition”

  • “Data Display”

  • “Preview”

  • “Text File Export settings”

  • “Text File Format”

  • "User Access Control"

Objective | Chapter
Start EasyEXPERT | “Start EasyEXPERT” and “Workspace Configurator”
Setup Application Test | “Application Test”
Setup Classic Test | “Classic Test Definition”
Setup Tracer Test | “Tracer Test”
Setup Quick Test | “Quick Test”
Perform measurements | “Main Window”
Display measurement data and perform data analysis | “Data Display”
Perform self-test or diagnosis | “Configuration”
Perform self-calibration | “Calibration”
Control Keysight B2200A/B2201A/E5250A Switching Matrix Mainframe | “Switching Matrix Operation Panel”
Setup the standby channels and the standby mode | “Standby Channel Definition”
Define application test | “Application Test Definition”

Touch Screen Operation (for Windows Xp):

If you use touch screen operation than mouse, change the font size of menu. Font size 14 is recommended for the touch screen operation.

Open Control Panel, select Appearance and Themes, and select Display to open the Display Properties dialog box. Select Appearance tab, and click Advanced button to open Advanced Appearance dialog box. On the dialog box, set Item to Menu, and set the Size of Font to 14.


Start EasyEXPERT

The EasyEXPERT window is shown after the B1500 has been booted up, by using Start EasyEXPERT menu in Start menu, or Start EasyEXPERT icon on Windows desktop. This window is not shown after the boot if the automatic start function is enabled. This window provides the following graphical user interface as follows.

Control Type | Title | Description
Push Button | Start EasyEXPERT | Launches EasyEXPERT.
Menu | [File] - [Exit] | Closes Start EasyEXPERT window.
 | [Options] - [Execution Mode...] | Open Execution Mode dialog for setting up GPIB communication parameters. (Only for EasyEXPERT for PC)
 | [Options] - [Auto Start of EasyEXPERT] | Enables/disables the automatic start function. If it is checked, the function is enabled. On the next boot-up or Windows logon, Start EasyEXPERT window is skipped and EasyEXPERT is launched. To disable this function, use Start EasyEXPERT window opened by the [File] - [Exit] menu on EasyEXPERT main screen. (Only for EasyEXPERT)
 | [Options] - [EasyEXPERT Database] - [Backup EasyEXPERT Database] | Opens EasyEXPERT Database Backup Creation Wizard used for making backup of the EasyEXPERT database. You can make backup easily by following the wizard. Required time depends on the database size.
 | [Options] - [EasyEXPERT Database] - [Restore EasyEXPERT Database] | Opens EasyEXPERT Database Restoration Wizard used for restoring the EasyEXPERT database backup. You can restore the backup easily by following the wizard. Required time depends on the database size.
 | [Options] - [EasyEXPERT Database] - [Move EasyEXPERT Database] | Opens EasyEXPERT Database dialog used for moving the EasyEXPERT database. Required time depends on the database size. (Only for EasyEXPERT for PC)
 | [Options] - [User Level...] | Opens User Level dialog for setting up operation privilege of the EasyEXPERT.


Workspace Configurator

Workspace means the space created in the B1500 internal hard disk drive, and is used for storing the test setup, test result data, and so on. The workspace can be created and allocated for each user.

The workspace configurator will run after you launch Keysight EasyEXPERT. The workspace configurator shows a window used for selecting your workspace. There are three types of windows depend on to the number of existing Workspace.

  • “If there is no workspace”

  • “If there is one workspace”

  • “If there are multiple workspace”


If there is no workspace

The EasyEXPERT creates a workspace automatically and display the EasyEXPERT main screen.


If there is one workspace

You are asked whether you want to create a workspace or not. Select Yes or No and click OK.

  • OK

This button shows the EasyEXPERT main screen using the specified workspace.

  • Work on the same setups and data in the next time.

If this check box is checked, the workspace selection screen is skipped at the next startup and the EasyEXPERT is launched with the workspace used in the last operation. To perform this setup again, click [File] - [Close Workspace] menu on the EasyEXPERT main screen.

  • Yes, I want to continue working on the previous setups and data.

This button must be selected if you do not want to create a new workspace, and want to use the workspace previously used.

OK button opens the EasyEXPERT main screen.

  • No, I want to start a new session.

This button must be selected if you want to create a new workspace, and want to use it instead of the workspace previously used. If you select this, the label of OK button is changed to Next.

Next button shows the following entry fields used for setting the workspace name.

  • Entry field for the new workspace name.

  • Entry field for the new workspace name for the existing one. This field is available only for the owner of it.

Check Allow other users to access this Workspace box to make it as a public workspace that can be opened by all users.

OK button creates and/or renames the workspace, and opens the EasyEXPERT main screen.

Prev button cancels workspace creation and returns to the previous window.

  • No, I want to manage Workspaces.

This button must be selected if you want to manage workspaces. If you select this, the label of the OK button is changed to Next.

Next button changes the GUI as described in "If there are multiple workspace".


If there are multiple workspace

You are asked how to choose the target workspace. The following GUI is available on this window.

  • Continue

This button shiows the EasyEXPERT main screen with the specified workspace.

  • Choose the same Workspace in the next time.

If this check box is checked, the workspace selection screen is skipped at the next startup and the EasyEXPERT is launched with the workspace used in the last operation. To perform this setup again, click [File] - [Close Workspace] menu on the EasyEXPERT main screen.

  • Create a new Workspace

This button must be selected if you want to create a new workspace. Enter the name of the new workspace into Workspace Name field.

Check Allow other users to access this Workspace box to make it as a public workspace that can be opened by all users.

  • Open an existing Workspace

  • Your Workspaces

This button must be selected if you want to open your workspace. Select the name to specify the workspace to open.

  • Name: Workspace name

  • Scope: Private (only for owner) or Public (for all users)

Manage Workspaces button opens Workspace Manager which provides the buttons used to manage workspaces. Select the workspace name and click a button.

  • Delete: Deletes the selected workspace.

  • Rename: Renames the selected workspace.

  • Duplicate: Makes a copy of the selected workspace.

  • Public: Changes the scope of the selected workspace to Public.

  • Password: Opens a dialog box used for setting password protection.

  • Import: Opens a dialog box used for importing a workspace.

  • Export: Opens a dialog box used for exporting the selected workspace. The workspace is exported as a file with .xws extension.

  • Close: Closes Workspace Manager.

  • Public Workspace owned by other users

This button must be selected if you want to open a public workspace created by another user. Select the name to specify the workspace to open.

  • Name: Workspace name

  • Owner: Owner of the workspace

Private workspace:

Private workspace is secured by the user account of its owner. User accounts other than the owner cannot open the Private workspace.

User account of owner: <domain name>\<user name>

Example: B1500A-12345678\Keysight B1500 User

If you do not join the domain but login the local computer, <domain name> will be the computer name.

If you change the user account:

If you need to change the domain name, the computer name, or the user name, change the scope of all workspace in the EasyEXPERT database to Public before changing the user account.

The new account cannot open the Private workspace created by the previous user account.

Also, it is recommended to make a backup of the EasyEXPERT database before changing the user account after changing the scope to Public.


Main Screen

The EasyEXPERT main screen will be displayed after the workspace is specified or created by the workspace configurator. The main screen provides several tools and functions described in this section.

  • “Main Screen GUI”

  • “Run Option”

  • “Test Result Editor”

  • “Test Results Data Filter”

  • “Export in My Format”

  • “Test Results Data Folder Export”

  • “Test Results Data Auto Export”

  • “Test Results Data Properties”

  • “Data Display Manager”

  • “Data Display Properties”

  • "Preference"

  • "Global Variables"


Main Screen GUI

Menu |  |  |  |  | Description
File | New | Test Definition... |  |  | Opens a test setup editor.
 | Open | Test Definition... |  |  | Opens a test setup editor for specified test setup.
 | Import | Test Setup... |  |  | Opens a dialog box used to specify a test setup to import.
 |  | Test Definition... |  |  | Opens a dialog box used to specify a test definition to import.
 |  | My Favorite... |  |  | Opens a dialog box used to specify a test sequence to import.
 |  | My Favorite Group... |  |  | Opens a dialog box used to specify a test sequence to import.
 |  | Test Result... |  |  | Opens a dialog box used to specify a test result to import.
 | Export | Test Setup... |  |  | Opens a dialog box used to specify a test setup to export.
 |  | Test Definition... |  |  | Opens a dialog box used to specify a test definition to export.
 |  | Save Data As... |  |  | Opens a dialog box used to specify a file name to export Tracer Test result in tab-separated format.
 |  | My Favorite... |  |  | Opens a dialog box used to specify a test sequence to export.
 |  | My Favorite Group... |  |  | Opens a dialog box used to specify a test sequence to export.
 |  | Data | As Test Result... |  | Opens a dialog box used to save data as a test result file.
 |  |  | As Compressed Test Result... |  | Opens a dialog box used to save data as a compressed test result file.
 |  |  | As Text File... |  | Opens a dialog box used to save data as a text file.
 |  |  | As CSV... |  | Opens a dialog box used to save data as a CSV file.
 |  |  | As XML Spread Sheet... |  | Opens a dialog box used to save data as a XML spread sheet.
 |  |  | In My Format... |  | Opens a dialog box used to save data in "My Format".
 |  |  | Folder... |  | Opens a dialog box used to save multiple data to the specified older.
 |  |  | Options | Text File Export... | Opens a dialog box to specify text file export settings.
 |  |  |  | Auto Export... | Opens a dialog box used to specify automatic export settings.
 | Favorites | Save |  |  | Saves present test setup to "My Favorite".
 |  | Recall |  |  | Recalls selected "My Favorite".
 |  | Rename |  |  | Renames selected "My Favorite".
 |  | Duplicate |  |  | Duplicates selected "My Favorite".
 |  | Delete |  |  | Deletes selected "My Favorite".
 |  | Group | New... |  | Creates new "My Favorite Group".
 |  |  | Rename... |  | Renames selected "My Favorite Group".
 |  |  | Duplicate... |  | Duplicates selected "My Favorite Group".
 |  |  | Delete |  | Deletes selected "My Favorite Group".
 |  |  | Organize... |  | Opens a dialog box to organize "My Favorite Group".
 | Close Workspace |  |  |  | Closes the work space and returns to the workspace configurator.
 | Exit |  |  |  | Exits the EasyEXPERT software.
Edit | Cut |  |  |  | (These menus are focus-dependent.)
 | Copy
 | Paste
 | Rename
 | Delete
 | Select
 | Select All
 | Unselect All
 | Extended Setup... |  |  |  | Opens "Extended Test Setup" dialog for Application Test.
 | Flag Remarks... |  |  |  | Opens "Test Result Editor" dialog.
View | Test | Application Test |  |  | This tab selects the application test mode of EasyEXPERT. For details of the graphical user interface in this mode, see “Application Test”.
 |  | Classic Test |  |  | This tab selects the classic test mode of the EasyEXPERT. For details of the graphical user interface in this mode, see “Classic Test Definition”.
 |  | Tracer Test |  |  | This tab selects the tracer test mode of EasyEXPERT. For details of the graphical user interface in this mode, see “Tracer Test”.
 |  | Quick Test |  |  | This tab selects the quick test mode of the EasyEXPERT. For details of the graphical user interface in this mode, see “Quick Test”.
 | Data Display |  |  |  | Opens “Data Display Window” used to display the test result data.
Run | Single |  |  |  | Runs the selected test setup.
 | Append |  |  |  | Runs the selected test setup. The measurement result is appended to the previous result.
 | Repeat |  |  |  | Opens "Repeat Measurement Setup" dialog or runs Tracer Test setup repetitively.
 | Stop |  |  |  | Stops the measurement.
 | Recall |  |  |  | Recalls the selected test result.
 | Options... |  |  |  | Opens "Run Options" window.
Tools | Preference... |  |  |  | Opens "Preference" used to customize window layout.
 | Data Display... |  |  |  | Opens “Data Display Manager” used to control the appearances of the Data Display windows.
 | Test Result... |  |  |  | Opens the Test Result Manager window.
 | System | Configuration... |  |  | Opens the Configuration window.
 |  | Calibration... |  |  | Opens the Calibration window.
 |  | Switching Matrix... |  |  | Opens the Switching Matrix Operation Panel window.
 |  | Standby Channel.. |  |  | Opens the Standby Channel Definition window.
 | Global Variables... |  |  |  | Opens the Global Variables window.
 | User Level | Configure... |  |  | Opens the User Level Configuration dialog box.
 |  | Elevate... |  |  | Opens the Elevate dialog box. To elevate user level, enter a password for each level.
Options | Oscilloscope View |  |  |  | Opens/closes the Oscilloscope View window. For details, see “Oscilloscope View”.
 | Arithmetic Operation |  |  |  | Displays the Arithmetic Operation area, and enables/disables the expressions defined in that area respectively. For details, see “Arithmetic Operation Area”.
 | Classic Test Conversion |  |  | Fixed Measurement Range | Selects/Unselects fixed measurement ranging mode at converting Tracer Test setup to Classic Test setup.
 | Data Acquisition | All Data |  |  | Select all measured data to be saved.
 |  | Displayed Data |  |  | Select displayed data to be saved.
 |  | As Default |  |  | Select measured data saving condition as default.
 |  | Default | All Data |  | Set all measured data to be saved as default.
 |  |  | Displayed Data |  | Set displayed data to be saved as default.
Help | Contents... |  |  |  | Opens the EasyEXPERT help window.
 | About Selected Test... |  |  |  | Opens the test description dialog box.
 | About Workspace... |  |  |  |
 | Keysight on the Web | Keysight EasyEXPERT / EasyEXPERT for PC |  |  |
 |  | Keysight B1500A Semiconductor Device Analyzer |  |  |
 |  | Keysight B1505A Power Device Analyzer / Curve Tracer |  |  |
 |  | Keysight Technologies Home Page |  |  |
 | Generate Report for Technical Support |  |  |  |
 | Event Log... |  |  |  |
 | What's New in EasyEXPERT |  |  |  |
 | About EasyEXPERT... |  |  |  |

Data Display

Opens “Data Display Window” used to display the test result data. EasyEXPERT always handles the test setup corresponding to the Data Display window now active or most recently activated.

Calibration

Opens “Calibration Window” used to see the self-calibration results, to perform the self-calibration, or to perform the current offset cancel.

Configuration

Opens “Configuration Window” used to see the module configuration, to see the self-test results, to perform self-test, to establish the GPIB connection with Keysight B2200A/B2201A/E5250A switching matrix, or to see the event log.

Switching Matrix

Not available for the B1505A. Opens “Switching Matrix Operation Panel” used to control Keysight B2200A/B2201A/E5250A switching matrix.

Standby

Opens “Standby Channel Definition” used to set the standby channel which is the channel to keep the specified output when the standby mode is ON and in the non-measurement state.

Single

Triggers a single measurement. To abort measurement, click Stop button that appears instead of the Single button.

Append

Triggers the append measurement. The measurement results will be appended to the Data Display window that shows the previous measurement results. The Data Display window can have maximum 10 layers for displaying measurement results. To abort measurement, click Stop button that appears instead of the Single button.

Repeat

This button provides a different function depending on the status of the data record functions (Auto Record and Auto Export). See “Run Option” for the data record status.

If Auto Record and Auto Export is OFF, this button starts the repeat measurement immediately.

If Auto Record or Auto Export is ON, this button opens the “Repeat Measurement Setup” dialog box for setting the repeat measurement condition.

Run Options...

Opens the “Run Options” dialog box for setting the data record functions (Auto Record and Auto Export), the test result editor function, and the multi display function.

Save data

This button will appear to the right side of the Run Option button if a measurement is performed when the data record functions (Auto Record and Auto Export) are OFF. Clicking the button will save the last measurement data as a test result record.

Count

Displays the number of single measurements executed for the test setup now opened. Effective for the measurements triggered by both Single and Repeat. The 0 button sets the Count field to zero.

Device ID

This entry field is used to enter a string in the test record. The string can data ID, device ID, test ID, or anything you want.

Performing measurement and changing setup do not change the value in this field. Change the value if you want.

Save

The button saves the present test setup into the present preset group as a new test setup of the group.

Recall

The button recalls the selected test setup. This means opening and displaying the measurement definition of the selected test setup.

If a tracer test setup is recalled on the test mode other than the tracer test:

The tracer test setup is converted to and recalled as a Multi Channel I/V Sweep test setup.

In this conversion process, the VAR1 dual polarity sweep setup (Dual Polarity) is ignored. The setup of the positive sweep from start to stop is converted, but the setup of the negative sweep from -start to -stop is not converted.

My Favorite Setup

The test setups you create or modify MUST be saved to My Favorite group (preset group) to reuse them.

Click the My Favorite Setup button to display the menu that provides the following functions. Select the preset group by using the field below the button. The test setups can be recalled by using the area below the field.

Menu | Description
Cancel | Closes the menu.
New... | Opens the Add Preset Group dialog box. Creates a new preset group and saves it as the specified name.
Rename... | Opens the Rename Preset Group dialog box. You can change the name of the present preset group.
Duplicate... | Opens the Duplicate Preset Group dialog box. Creates a copy of the present preset group and saves it as the specified name.
Delete... | You can delete the present preset group.
Import... | Opens the Preset Group Import dialog box. Imports the specified preset group.
Export... | Opens the Preset Group Export dialog box. Exports the present preset group as the specified name.
Organize... | Opens the “Organize Preset Group” dialog box used to organize the preset group.
Import... | Opens the Preset Group Import dialog box. Imports the specified preset group.
Export... | Opens the Preset Group Export dialog box. Exports the present preset group as the specified name.
Lock... | Opens the change password dialog box used to lock the preset group.
Unlock... | Opens the input password dialog box used to unlock the preset group.
Read Only | Turn on/off read only attribute to the preset group.
Properties | Opens the properties dialog box to show the preset group information.

Flag

Shows the flag, Important (!), Valid (#), or Questionable (?) set to the record. The top button sorts the test records by the flag.

While the “Show Deleted Data” function is enabled, the list area can show the test records in Delete-group. For the records, * is set to the column to the left of the Flag column. The top button sorts the list by *.

Setup Name

Shows the test setup name. The top button sorts the test records by name, in lexicographical order.

Date

Shows the date that the test result is recorded. The top button sorts the test records by date, in chronological order.

Count

Shows the measurement count shown in the Count field. The top button sorts the test records by count, in numerical order.

Device ID

Shows the string set to the record by using the Device ID field. The top button sorts the test records by device ID, in lexicographical order.

Remarks

Shows the remarks set to the record. The top button sorts the test records by the remarks in the lexicographic order.

Auto Record OFF

This indicator is located at the bottom of the EasyEXPERT main screen and is lit while the Auto Record (automatic data record) function is disabled.

Auto Export ON

This indicator is located at the bottom of the EasyEXPERT main screen and is lit while the Auto Export (automatic data export) function is enabled.

SMU Zero ON

This indicator is located at the bottom of the EasyEXPERT main screen and is lit while the SMU current offset cancel function is enabled.

Standby ON

This indicator is located at the bottom of the EasyEXPERT main screen and is lit while the standby function is enabled (standby mode is ON).

Multi Display ON

This indicator is located at the bottom of the EasyEXPERT main screen and is lit while the Multi Display function is enabled.

Thermometer OFF

This indicator is located at the bottom of the EasyEXPERT main screen and is lit while the Thermometer is enabled. And one of the following informations is displayed instead of "Thermometer OFF". The information is toggled by clicking the indicator. Where, XX indicates the temperature value.

  • T1: XX deg C
    Temperature measured by the thermometer channel 1.

  • T2: XX deg C
    Temperature measured by the thermometer channel 2.

  • dT: XX deg C
    Difference between temperature values measured by the channels 1 and 2.

Workspace name

Field below the Results button shows the present workspace name.

Results

This button provides the following functions. The list area shows the test records. The up or down arrow button is used to expand or reduce the list area.

Context Menu:

Menu

Description
Cancel | Closes the menu.
Select All | Selects all records.
Unselect All | Unselects all records.

Display Data

 Opens the “Data Display Window” and displays the test result data of the selected record. Up to 15 windows can be opened by this function.
Recall | Recalls the test setup of the selected record.
Filter | Show Deleted Data | Check this function to see the test records of both Save-group and Delete-group. To set the data group, see “Flag and Remarks”. See also “Test Result Editor”.
Filter... | Opens the “Test Results Data Filter” dialog box. You can filter the test records in the list area.

Expand Application Test Results

Check this function to see all test records created by the test setups defined in an application test.

If a test record is exported when this function is not checked, the exported file will contain all records created by the test setups defined in an application test. However, if the test record is exported by the Export As Text File function, the exported file will contain only the test record of the application test.

Show All Append Data

 Check this function to see all test records created by the append measurement. In the test record list, S indicates the test records obtained by a single measurement, and A indicates the records obtained by an append measurement.
Edit...

Flag and Remarks

 Opens the “Test Result Editor” used to put the selected test record in Save-group or Delete-group. Also this dialog box can set a flag and remarks to the selected record. The available data flags are Important (!), Valid (#), and Questionable (?).

Delete

 Puts the selected test records in Delete-group. The records can be displayed in the list area while the “Show Deleted Data” is checked.
Import... | Opens the Test Result Import dialog box. Imports the specified test record.
Export...

As Test Result...

 Opens the Test Result Export dialog box. Exports the selected test record as the specified name in the EasyEXPERT data format.

As Compressed Test Result...

 Opens the Compressed Test Result Export dialog box. Exports the selected test record as the specified name in the compressed EasyEXPERT data format.

As Text File...

 Opens the Text File Export dialog box. Exports the selected test record as the specified name in the style defined on the “Text File Export settings” dialog box.

As CSV...

 Opens the CSV File Export dialog box. Exports the selected test record as the specified name in the CSV format that can be read by a spread sheet software.

As XML Spread Sheet...

 Opens the XML Style Sheet Export dialog box. Exports the selected test record as the specified name in the XML spread sheet format that can be read by a spread sheet software.

In My Format...

Opens the “Export in My Format” dialog box. Exports the selected test record as the specified name in the style converted by using the specified XSLT filter.

Folder...

 Opens the “Test Results Data Folder Export” dialog box used to export the selected multiple test records to the specified folder.

Options

 Text File Export... Opens the “Text File Export settings” dialog box used to define the style of the test record exported by the Export As Text File function.
Auto Export... | Opens the “Test Results Data Auto Export” dialog box used to set the automatic data export function and the automatic data save function.
Excel Export... | Opens the “Excel Data Export Settings” dialog box used to define the style of the test record exported to Excel by the Export As Text File function.
Customize... | Opens the “Test Result Manager” dialog box
Properties... | Opens the “Test Results Data Properties” dialog box used to set the number of test records listed in the list area and the number of recoverable records in Delete-group.


Run Option

Run Options

This dialog box appears by clicking the Run Options... button or by selecting main menu. It is used to set the data record functions (Auto Record and Auto Export), the test result editor function, and the multi display function. This dialog box provides the following GUI.

• Record Test Result Data Automatically

This check box changes the status of the data record functions (Auto Record and Auto Export). The functions provide four status shown in Table R-1. Removing the check sets Auto Export=Auto Record=OFF. And putting the check again returns the status to the previous one.

In the checked status, the data record functions can be set to one of three status except for Auto Export=Auto Record=OFF. To set the functions, use “Test Results Data Auto Export”.

In the unchecked status (Auto Export=Auto Record=OFF), the test result data will not be recorded. If a measurement is performed in this status, the Save Data button will appear to the right side of the Run Option button. Clicking the Save Data button will save the last measurement data as a test result record.

When the automatic data record function is enabled, one test execution result is stored in one test record. For the classic test, one test result is stored in one test record. For the application test, all test results taken by executing one application test are stored in one test record. However, the automatic data export function using the Text File type exports the file for each test result.

• Show Test Result Editor

This check box sets the Test Result Editor shown to be (or not to be) shown after each measurement.

• Allocate Data Display for each test

This check box sets the Multi Display function ON (checked) or OFF. This function controls the operation of the Data Display window.

OFF

Test result data will be always displayed on the singular Data Display window even if the test setup is changed.

ON

Test result data of the same test setup name will be displayed on the exclusive Data Display window and the test result data of the different test setup name will be displayed on the new Data Display window.

Table R-1 Record Test Result Data Automatically Check Box and Data Record Functions

Checked status |  | Unchecked status
Auto Export | Auto Record | Auto Export | Auto Record
ON | OFF | OFF | OFF
ON | ON
OFF | ON


Test Result Editor

The Test Result Editor appears when measurement is completed or by clicking [Results] - [Edit] - [Flag & Remarks]. This is used to set a flag and remarks to the associated test record and provides the following GUI.

Save, Delete

Divides test records into two groups. (Save and Delete)

Test records in Save group are always listed in the lower area of the EasyEXPERT main screen.

Test records in Delete group can be listed while [Results] - [Filter] - [Show Deleted Data] is checked.

Flags

The following buttons are available. You can set one of the following flags.

  • Important ! button

Sets the important flag (!) to the test record.

  • Valid # button

Sets the valid flag (#) to the test record.

  • Questionable ? button

Sets the questionable flag (?) to the test record.

Remarks

You can enter characters into this field. The characters will be recorded as the Remarks value of the test record.

OK

Applies the setup on the Test Result Editor, and closes this dialog box.


Test Results Data Filter

This dialog box appears by clicking [Results] - [Filter] - [Filter...] and is used to specify the test records listed in the lower area of the EasyEXPERT main screen.

Item | Description
Data records in Save group | Check this box to list the test records in Save group.
Data records in Delete group | Check this box to list the test records in Delete group.
Flag | Select or enter a flag in this field to list the test records with the specified flag.
Setup Name | Select or enter a test name in this field to list the test records of the specified name.
Date | Specify the date to list the test records within the specified period.
Count | Specify the count values to list the test records within the specified range.
Device ID | Select or enter the device ID to list the test records of the specified device ID.
Remarks | Specify the remarks value to list the test records with the specified value.
OK | Performs filtering, and closes this dialog box.
Cancel | Cancels filtering, and closes this dialog box.


Export in My Format

This dialog box appears by clicking [Results] - [Export] - [In My Format...], and is used to export the test record by performing the style conversion using the XSLT filter.

Item | Description
My Format | Specify the full path name of the XSLT filter (XML style sheet) used to convert the style of the test record. The Browse... button opens the Select XML Style Sheet File dialog box used to select the file.
Export As... | Opens the Export As dialog box. Specify the file name and the file type, and export the test record.
Cancel | Cancels data export, and closes this dialog box.


Test Results Data Folder Export

This dialog box appears by clicking [Results] - [Export] - [Folder...] after the test result records are selected (highlighted).

This function is used to export the multiple test records. The test records can be exported by specifying the records, the destination folder name, and the naming rule and the file type for the exported files.

Item |  | Description
Destination for Export |  | Selects the folder used to save the exported test records. The Browse... button opens the Browse For Folder dialog box used to select the folder.
File Name |  | Specifies the style of the file name for the exported test records. File name is automatically generated by using Setup Name, Device ID, Count, and Date values defined in the main screen. If an impermissible character is used in a value, the character is automatically replaced with _ (underscore).
 | Default Format | File name without extension is as follows. Flag SetupName [DeviceID(Count) _Remarks_; Date] Example: # Id-Vd [cmos1(1) _ok_; 1_22_2006 3_44_55 PM]
 | Custom Format | You can specify the style by the File Name Format dialog box. The File Name Format dialog box appears by clicking the Settings... button. In the dialog box, enter the desired style into the Format field, for example, the next example sets the same style as the Default Format. Example: {4} {0} [{3}({2}) {5}; {1}] {0}: Setup Name {1}: Date, mm_dd_yyyy hh_mm_ss AM/PM {2}: Count {3}: Device ID {4}: Flag {5}: Remarks
File Type |  | Selects the file type (data format).
 | Test Result | EasyEXPERT data format
 | Compressed Test Result | Compressed EasyEXPERT data format
 | CSV | CSV format
 | XML Spread Sheet | XML spread sheet format Custom format created by the specified XSLT filter. The following two entry fields are available.
 | My Format | Specifies the file name of the XSLT filter (XML style sheet) used to export test records. The Browse... button opens the Select XML Style Sheet File dialog box used to select the file. Extension of Output File Enters the appropriate extension, or selects the extension from xml, txt, csv, or xls.
 | Text File | Custom format defined in the “Text File Export settings” dialog box. The Settings... button opens this dialog box.
Export |  | Starts the folder export. This dialog box is closed after the folder export is completed.
Cancel |  | Cancels the folder export, and closes this dialog box.


Test Results Data Auto Export

This dialog box appears by clicking [Results] - [Export] - [Options] - [Auto Export...] and is used to set the data record functions (Auto Record and Auto Export).

Item

Description
Enable automatic data export to the specified storage device (Auto Export ON) | Checking this box sets the Auto Export function (automatic data export) and enables the following GUI.
Destination for Export | Selects the folder used to save the exported test records. The Browse... button opens the Browse For Folder dialog box used to select the folder.
File Name

Specifies the style of the file name for the exported test records.

File name is automatically generated by using Setup Name, Device ID, Count, and Date values defined in the main screen. If an impermissible character is used in a value, the character is automatically replaced with _ (underscore).
Default Format

File name without extension is as follows.

Flag SetupName [DeviceID(Count) _Remarks_; Date]

Example: # Id-Vd [cmos1(1) _ok_; 1_22_2006 3_44_55 PM]
Custom Format

You can specify the style by the File Name Format dialog box.

The File Name Format dialog box appears by clicking the Settings... button. In the dialog box, enter the desired style into the Format field, for example, the next example sets the same style as the Default Format.

Example: {4} {0} [{3}({2}) {5}; {1}]

{0}: Setup Name

{1}: Date, mm_dd_yyyy hh_mm_ss AM/PM

{2}: Count

{3}: Device ID

{4}: Flag

{5}: Remarks
File Type

Selects the file type (data format).
Test Result

EasyEXPERT data format
Compressed Test Result

Compressed EasyEXPERT data format
CSV

CSV format
XML Spread Sheet

XML spread sheet format
My Format

Custom format created by the specified XSLT filter. The following two entry fields are available.

  • My Format

Specifies the file name of the XSLT filter (XML style sheet) used to export test records. The Browse... button opens the Select XML Style Sheet File dialog box used to select the file.

  • File Extension

Enters the appropriate extension, or selects the extension from xml, txt, csv, or xls.
Text File

Custom format defined in the “Text File Export settings” dialog box. The Settings... button opens this dialog box.
Data Storage

Remove a check from the following check box to disable the Auto Record function (automatic data record).

  • Enable automatic data export to the specified storage device
Microsoft Excel Support

Check the following check box to enable automatic export to Microsoft Excel.

  • Enable automatic data export to Microsoft Excel
Image File Export

Check the following check box to enable automatic image file export.

  • Enable automatic data export as image file
Folder Path

Specifies the folder name used to export image files. The Browse... button opens the Browse For Folder dialog box used to select the folder name.
Image Format

Select the image file format from .bmp, .emf, .gif, or png.
OK

Applies the setup, and closes this dialog box.
Cancel

Cancels the setup, and closes this dialog box.

Note: Automatic Data Record Output

When the automatic data record function is enabled, one test execution result is stored in one test record. For the classic test, one test result is stored in one test record. For the application test, all test results taken by executing one application test are stored in one test record. However, the automatic data export function using the Text File type exports the file for each test result.


Test Results Data Properties

Test Result Manager

This dialog box appears by clicking [Results] - [Customize...] and is used to set the maximum number of test records listed in the main screen and saved in the Delete-group.

Item | Description
Test Result List View | Sets the maximum number of test records listed in the main screen.
Non-preserved data | Sets the maximum number of test records saved in the Delete-group.
Close | Closes this dialog box.


Data Display Manager

This dialog box is opened by selecting [Tools] - [Data Display...] on the Main Screen GUI, and is used to control the appearances of the Data Display windows. This dialog box provides the following three action buttons.

Item |  | Description
Data Display Window Order |  | This area lists the Setup Name of the Data Display windows opened. The list items from top to bottom correspond to the windows from front to back in the screen image. This area supports the following buttons. To select the item, click one in the list.
 | Up | Moves the selected item upward.
 | Down | Moves the selected item downward.
 | Select All | Selects all items.
 | Minimize | Minimizes the windows corresponding to the selected items. The list items move to the Minimized Data Displays area.
 | Close | Closes the windows corresponding to the selected items.
Minimized Data Displays |  | This area lists the Setup Name of the Data Display windows minimized. This area supports the following buttons. To select the item, click one in the list.
 | Select All | Selects all items.
 | Restore | Restores the windows corresponding to the selected items.
 | Close | Closes the windows corresponding to the selected items.
Data Display Window Configuration |  | This area provides the following radio buttons and a check box to change the appearances of the Data Display windows. All functions are available for the opened windows.
 | Keep Setup | Keeps the present configuration of the Data Display windows.
 | Tiling | Resize and collate the data display windows such that they fill up the entire screen.
 | Stacking | Resize and collate the data display windows so that they overlap slightly with an offset.
 | Overlaying | Resize, overlap, and make transparent the data display windows so that multiple graphs can be viewed and superimposed on one another.
 | Apply same scale to all graph | This check box must be checked to apply the same graph scale to all graphs.
OK |  | Applies the setup changes and closes this dialog box.
Cancel |  | Cancels the setup changes and closes this dialog box.
Apply |  | Just applies the setup changes.


Data Display Properties

Data Display Preference

This dialog box is opened by selecting Data Display preference group on Preference dialog opened by selecting [Tools] - [Preference...] on the Main Screen GUI, and is used to set the default setting of the Data Display window. Click the OK button to apply the setup and close this dialog box.

Use Preset Graph Colors

Select the color set from "Standard", "Tracer Test", "Gray-scale", or "Customized".

Reset to Factory Default

Reset all properties to the factory default.

Reset to Default

Reset all properties to the default. The default properties can be set on Data Display.

Color and Style

Item | Description
Background | Select the background color.
Text | Select the text color.
Grid | Select the color and style for grid lines.
Line/Cursor | Select the color and style for lines and cursors.
VAR2 Label | Select the secondary sweep labels' color and their location.

Graph Trace Color

Select the status, color, style and thickness for each Y-Axis.

To enable color changing for append measurement, check "Change Line Color with Append Measurement" check box and select the color.

Format

Item | Description
Maximum decades to show minor ticks | Set the number of maximum decades to show minor ticks.
Grid Rule (Linear) | Select number of grid lines (decades).
Analytic Values' Display Format | Select the format and the number of digits for cursor, marker, and intercept values.

Text Size

Item | Description
X/Y Axis Title | Select the text size for X/Y axis title strings.
Scale | Select the text size for scale labels.
Legend | Select the text size for legend strings.

Options

Option | Description
Setup Name | Displays the Setup Name to the top-left corner.
Keysight Logo | Displays the Keysight logo to the top-left corner.
Grid | Displays grid lines.
Marker Guide Line | Displays guide lines for marker selection.
Active Side Indicator | Displays active side indicator line.
All Subscale Values | Displays all sub-scale values.
Unit Symbols | Displays unit symbols to scale values.
Secondary Sweep Labels | Displays secondary sweep labels to each sweep result.
Device ID | Displays the Device ID to the bottom.
Setup Summary | Displays the Setup Summary to the bottom. See “Setup Summary”.
Parameters | Displays the Parameters to the left.
Always on Top | Displays the Data Display to the top.


Preference

This dialog box appears by clicking [Tools] - [Preference...] and is used to set the window layout, Data Display preference, and Test Definition Editor selection. The preference is grouped to General, Data Display, and Test Definition Editor.

General Group

This group is used to define Main Screen GUI layout.

Item |  |  | Description
Legacy (A.05.60 Compatible) |  |  | Check if you want to set the window layout same with A.05.60 or prior.
Sub Window | Category |  | Shows or hides application test category selection panel.
 | Library |  | Shows or hides application test definition selection panel.
 | Test Results |  | Shows or hides test result list panel.
 | Run Control |  | Shows or hides run control panel.
 | Administrative Tools & Soft Keys |  | Shows or hides administrative tools and soft key panel.
 | My Favorite |  | Shows or hides My Favorite panel.
 | Toolbar |  | Shows or hides the toolbar to the top of Main Screen GUI.
 |  | Workspace Name | Shows or hides the workspace name to/from the toolbar.
 |  | Run Control | Shows or hides the Run Control buttons to/from the toolbar.
 |  | Counter | Shows or hides the counter to/from the toolbar.
 |  | Device ID | Shows or hides the Device ID to/from the toolbar.
 |  | Administrative Tools | Shows or hides the Administrative Tools to/from the toolbar.
 |  | Input Assistance | Shows or hides the Input Assistance buttons to/from the toolbar.
 |  | Running Animation | Shows or hides the animation to/from the toolbar.
Reset to Factory Default |  |  | Reset all parameters to the factory defaults.

Data Display Group

See "Data Display Preference".

Test Definition Editor Group

This group is used for the Test Definition Editor layout.

Item | Description
Legacy (A.05.60 Compatible) | Check if you want to the Test Definition Editor provided by A.05.60 or prior.

Reset All to Factory Default

Resets all parameters in all groups to default.

OK

Applies all changes and close this dialog box.

Cancel

Cancels all changes and close this dialog box.

Apply

Applies all changes.


Global Variables

This dialog box appears by clicking [Tools] - [Global Variables...] and is used to register variables to be used in Application/Classic Test setups. These variables are saved into each workspace.

Item | Description
Name | Global variable name.
Type | Select Numeric or String.
Default | Set default value.
Description | Set description string for the variable.
OK | Apply all changes to the workspace.
Cancel | Cancel all changes.


Application Test

In the application test mode, the EasyEXPERT main screen has the following additional graphical user interface.

Category

Lists the categories of the application test definitions. You can select the categories by using the check box. The test definitions listed in the Library area depend on the selection of the categories.

The Category button opens the Categories dialog box used to select the categories.

Test Definition Name

This field just displays the test definition name of the present application test. Clicking the right [image] button displays the help message for the test definition.

Library

Lists the application test definitions that belong to the categories selected by the Category area.

Clicking an icon displays its brief introduction message and the Select button. Clicking the Select button loads the application test definition. Now, the B1500 is ready to start measurement.

The Library button provides the following functions.

Menu |  | Description
Cancel |  | Closes this menu.
New... |  | Opens the “Test Definition Window” used to create a new application test.
Open... |  | Opens the “Test Definition Window” to display the definition of the present (selected) application test or to modify the definition.
Delete |  | Deletes the present (selected) application test. The test will be deleted from the application library.
Import... |  | Opens a dialog box used to specify the test definition to import.
Export... |  | Opens a dialog box used to export the present application test definition. The test definition will be saved to the specified file.
View | Large Icons | Changes the list to be shown by large icons.
 | Small Icons | Changes the list to be shown by small icons.
Lock |  | Locks the present (selected) test definition.
Unlock |  | Unlocks the present (selected) test definition.
Read Only |  | Sets or resets read-only attribute to the present (selected) test definition.
Properties... |  | Opens the "Properties" dialog box.

Search

Incremental search. Used to search the application test definitions listed in the Library area.

Clicking [image] button shows the "Library Finder" dialog to find, view information, open, and select. Checking "Regex" check box allows to use regular expression in "Find What" text box.

Setup Name

Used to set the name of test setup. The name must be the identification for the test setup saved to a My Favorite group (preset group). Enter a unique name that is distinct from other setup.

The name is stored in the test result data and is used to differentiate the records in the test record list area.

Device Parameters

This area displays the device parameter entry fields if the device parameters are defined as the variables in the application test definition.

Enter the appropriate value to the entry fields before starting measurement.

Test Parameters

This area displays the device connection diagram if it is specified in the application test definition.

This area also displays the test parameter entry fields if the test parameters are defined as the variables in the application test definition. Enter the appropriate value to the entry fields before starting measurement.. If the entry field needs to enter a vector data, see “Define vector data”.

Extended Setup

This button opens the Extended Setup dialog box that displays the extended parameter entry fields. See “Ext” for the parameters shown in this dialog box.

Enter the appropriate value to the entry fields and click Close button.


Tracer Test

In the tracer test mode, you can start I/V sweep measurement easily and quickly by setting up the I/V Trace screen only. The EasyEXPERT main screen has the following additional graphical user interface.

Option menu

Provides the following functions. Only for the Tracer Test.

Menu | Description
Oscilloscope View | Starts/exits the Oscilloscope View. For details, see “Oscilloscope View”.
Arithmetic Operation | Displays the Arithmetic Operation area, and enables/disables the expressions defined in that area respectively. For details, see “Arithmetic Operation Area”.
Classic Test Conversion | Enables/disables fixed measurement range usage on converting Tracer Test definition to Classic Test.
Data Acquisition | Sets data acquisition options.

Setup Name

Used to set the name of test setup. The name must be the identification for the test setup saved to a My Favorite group (preset group). Enter a unique name that is distinct from other setup.

The name is recorded in the test result data and is used to differentiate the data in the test record list area.

Graph Area

This area displays measurement result graph and provides “Graph Setup Tool” and “Option Tool” for setting and changing the graph display.

Mouse drag operation zooms in the graph. To set the graph maximum or minimum value directly, use the entry field displayed by clicking the value on the graph.

Channel Area

This area defines the channel setups and the variables for the channel output data and the measurement data.

Item | Description
Add | Adds a row of the channel setup by selecting a SMU listed in the menu displayed by clicking this button.
Delete | Deletes the selected channel setup.
Up / Down | Moves the selected channel setup upward or downward.
Unit | Measurement resource used for the source output or measurement.
V Name | Variable name of voltage output or measurement data.
I Name | Variable name of current output or measurement data.
Mode | Output mode. V (voltage), I (current), VPULSE (voltage pulse), or IPULSE (current pulse).
Function | Output function, VAR1 (primary sweep), VAR2 (secondary sweep), or CONST (constant)

To select a channel setup, use the left radio button of the channel setup. If multiple output channels are defined, the channels start output sequentially. The order is top to bottom of the channels defined in this screen. The output stops in the opposite order.

Sample setups

Clicking this button displays the sample setup menu. Clicking a setup name applies its setup to the tracer test environment.

The B1500A provides the following sample setups.

Category | Sample Setups
MOSFET | ID-VDS, ID-VGS, ID(off)-VDS, BVDSS
Diode | IF-VF, IR-VR
BJT | IC-VCE, IC-VCEO, BVCEO

The B1505A provides the following sample setups.

Category | Sample Setups
MOSFET | ID-VDS, ID-VGS, ID(off)-VDS, BVDSS
Diode | IF-VF, IR-VR
IGBT | IC-VCE, IC-VGE, IC(off)-VCE, BVCES
BJT | IC-VCE, IC-VCEO, BVCEO, IC-VCBO, BVCBO
GaN FET (N1267A) | ID-VDS, ID(off)-VDS, ID-VDS Current Collapse, FET Current Collapse Oscilloscope View
GaN Diode (N1267A) | IF-VF, IR-VR, IF-VF Current Collapse, Diode Current Collapse Oscilloscope View

Drag the region of VAR1, VAR2, and CONST:

Mouse drag operation will scroll this region when it cannot display all setup parameters.

VAR1

This area defines the primary sweep source output. All of the following parameters are displayed for the full mode. Only Mode, Stop, No. of Steps, and Compliance are displayed for the short mode. Click the VAR1 title bar to switch the mode.

Mode

Sweep mode. The single mode sweeps from start to stop, and the double mode sweeps from start to stop to start.

LIN-SGL

Linear sweep, single mode

LOG-SGL

Logarithmic sweep, single mode

LIN-DBL

Linear sweep, double mode

LOG-DBL

Logarithmic sweep, double mode

Start

Sweep start value

Stop

Sweep stop value

Step

Incremental step value of the sweep output. The value is automatically calculated by using the start, stop, and NOS values.

No. of Steps

Number of sweep steps N. 1 to 1001.

Interlacing

Number of the interlace sweep M. 1 to 100.

Sweep is repeated M times so that the final sweep step is equal to Step/M. Total number of steps will be N+(N-1)*(M-1).

Compliance

Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source. Measurement is performed within this value.

Pwr Comp.

Power compliance value (in W), or OFF

V Compliance

Only for UHCU, UHVU, or HVMCU. Limit value for the voltage sweep output. The output voltage of the measurement resource is automatically measured, and the measured voltage is compared with this limit value. And then, if it exceeds the limit, the measurement status is set to the compliance status, and the sweep measurement stops. Voltage range and setting resolution depend on the measurement resource.

Dual Polarity

Dual polarity sweep ON or OFF. If this parameter is ON, the VAR1 channel performs positive sweep from start to stop and negative sweep from -start to -stop in this order. For the pulsed negative sweep, the pulse base value is -1*(Pulse Base).

Hold Time

Hold time (in seconds) of the primary sweep source output just before starting a sweep. 0 to 655.35. Setting resolution: 10 ms.

In the hold time, the primary sweep source forces the sweep start level for staircase sweep output, or the pulse base level for pulsed sweep output.

At the first step of the primary sweep, the longer one is applied from the VAR1 and VAR2 Hold Time settings.

The following parameters are also displayed for the full mode if the IPULSE or VPULSE is set to the VAR1 channel.

Pulse Base

Pulse base value

Pulse Delay

Pulse delay time. Set 0 for HR/MP/HPSMU.

Pulse Width

Pulse width. Must be the same value for all of HR/MP/HPSMU.

VAR2

This area defines the secondary sweep source output. The VAR2 channel performs the linear single sweep operation. All of the following parameters are displayed for the full mode. Only Start, Stop, Step, and NOS are effective for the short mode. Click the VAR2 title bar to switch the mode.

Start

Sweep start value

Stop

Sweep stop value

Step

Incremental step value of the sweep output. The value is automatically calculated by using the start, stop, and NOS values.

No. of Steps

Number of sweep steps. 1 to 101.

Compliance

Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source. Measurement is performed within this value.

Pwr Comp.

Power compliance value (in W), or OFF

V Compliance

Only for UHCU, UHVU, or HVMCU. Limit value for the voltage sweep output. The output voltage of the measurement resource is automatically measured, and the measured voltage is compared with this limit value. And then, if it exceeds the limit, the measurement status is set to the compliance status, and the sweep measurement stops. Voltage range and setting resolution depend on the measurement resource.

Hold Time

Hold time (in seconds) of the primary sweep source output just before starting a sweep. 0 to 655.35. Setting resolution: 10 ms.

In the hold time, the primary sweep source forces the sweep start level for staircase sweep output, or the pulse base level for pulsed sweep output.

At the first step of the primary sweep, the longer one is applied from the VAR1 and VAR2 Hold Time settings.

The following parameters are also displayed for the full mode if the IPULSE or VPULSE is set to the VAR2 channel.

Pulse Base

Pulse base value

Pulse Delay

Pulse delay time. Set 0 for HR/MP/HPSMU.

Pulse Width

Pulse width. Must be the same value for all of HR/MP/HPSMU.

CONST

This area defines the constant output source.

Unit

Measurement resource for the constant output. If multiple CONST channels are defined, this field is used to specify the channel for setup.

Source

Output value.

Compliance

Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source. Measurement is performed within this value.

V Compliance

Only for UHCU, UHVU, or HVMCU. Limit value for the voltage sweep output. The output voltage of the measurement resource is automatically measured, and the measured voltage is compared with this limit value. And then, if it exceeds the limit, the measurement status is set to the compliance status, and the sweep measurement stops. Voltage range and setting resolution depend on the measurement resource.

The following parameters are also displayed for the full mode if the IPULSE or VPULSE is set to the CONST channel. Click the CONST title bar to switch the mode. The Pulse Peak entry field appears instead of the Source entry field.

Pulse Peak

Pulse peak value.

Pulse Base

Pulse base value

Pulse Delay

Pulse delay time. Set 0 for HR/MP/HPSMU.

Pulse Width

Pulse width. Must be the same value for all of HR/MP/HPSMU.

Note: About measurement time and measurement error

In the tracer test mode, measurement is always performed by using the following settings.

  • A/D converter: HS ADC (high speed A/D converter)

  • Measurement ranging mode: compliance range, fixed

  • Effective current measurement range: all for staircase sweep output, 10 nA or greater for bias output and pulse output

  • Measurement time: absolute value entered into the Meas. Time field

You may find difference between the results measured in the tracer test mode and in the other test mode. This is caused by the differences of setting values for the above items. The above settings will reduce measurement time and increase measurement error compared with when using HR ADC (high speed A/D converter) and auto ranging in the other test mode.

Meas. Time

This field is used to set the measurement time for a sweep step.

Meas. Delay Time

This field is used to set the measurement delay time (from the beginning of pulse period to the beginning of measurement) for a pulse step. This entry field appears if a pulse output channel exists.

2 ms to Pulse period - Measurement time - 2 ms, 2 ms resolution

Measurement delay time = 0 (AUTO) sets the optimum value automatically so that the measurement is completed when the transition from peak to base is started by the pulse output channel which starts the transition at first.

Step Time

This field is used to set the output time for a sweep step. 500 ms to 5 s, 100 ms step.

Pulse Period

This field is used to set the pulse period. This entry field appears instead of the Step Time entry field if a pulse output channel exists.


Tracer Test Graph Setup

Graph Setup

The graph setup tool provides the following GUI for setting the graph display.

Y-axis direction

This button is used to set the Y-axis direction (up/down), variable, scaling (linear or logarithmic), and polarity (plus, minus, or both).

X-axis direction

This button is used to set the X-axis direction (up/down), variable, scaling (linear or logarithmic), and polarity (plus, minus, or both).


Tracer Test Option Tool

Option Tool

The following tool is available for changing the graph display.

Line/Dot

This button is used to set the trace style, line or dot.

Scaling

This button is available for auto scaling, run-time auto scaling options, and undo/redo scaling operations. The graph can be zoomed in by the point and drag operation.

Set stop condition area

This button is used to set the abnormal region on the graph, and shows the present status of the abnormal region setup by using the button’s signal color. While the abnormal region is effective, the measurement is automatically stopped if the measurement data is in the region.

Color

Description
Green Abnormal region has not been defined. Clicking this button changes the button’s signal color to Yellow.
Yellow

Status for defining the abnormal region. Clicking this button changes the button’s signal color to Green.

The abnormal region can be defined by the point and drag operation. It will be the square specified by the red grids. After defining the region, this button’s signal color is changed to Red.
Red

Abnormal region is effective. Clicking this button changes the button’s signal color to Green.

Replay Traces

This button opens/closes the dialog box used for managing the record and replay of traces. For the dialog box, see “Replay traces”.

Capture a Reference Trace

This button is used to capture the trace as the reference trace. Clicking this button captures one reference trace. Up to 10 traces can be captured. To manage reference traces, click the reference trace button.

Select Reference Traces

This button opens/closes the dialog box used for managing reference traces memorized by clicking the Capture button. For the dialog box, see “Select reference traces”.

Select Tracking Traces

This button is available for the measurement result which contains at least two traces by the append measurement. Tracking trace means each trace of this measurement result. This button opens/closes the dialog box used for managing tracking traces. For the dialog box, see “Select tracking traces”.

Marker

This button enables/disables the marker which can be moved on the active trace by using rotary knob or mouse. The marker position X and Y coordinate values are displayed in the upper left of the graph.

Tangent Line

This button enables the marker and enables/disables the tangent line for the marker point. The line X-axis intercept, Y-axis intercept, and gradient values are displayed in the upper right of the graph. The tangent line disables the regression line.

Regression Line

This button enables the marker and enables/disables the line which is given by the regression calculation. The line X-axis intercept, Y-axis intercept, and gradient values are displayed in the upper right of the graph. The regression line disables the tangent line. The measurement data for the regression calculation can be specified by the point and drag operation.

Oscilloscope View

This button opens/closes the Oscilloscope View window used for monitoring the waveforms of output signals. For the window, see “Oscilloscope View”.

Color and Thickness

This button opens/closes the dialog box used for changing the graph color and trace thickness. For the dialog box, see “Color and thickness”.


Tracer Test Replay traces

Replay Traces

This dialog box is opened/closed by clicking the Replay traces button and is used for managing the record and replay of traces.

ON / OFF

This button enables/disables the automatic trace record function. While this button labels ON, this function is enabled and continues recording the measurement trace.

Open

This button opens the Open Trace Record dialog box which is used to open a recorded-trace saved by using the Save Trace Record dialog box.

Save

This button opens the Save Trace Record dialog box which is used to save the recorded-trace selected on this dialog box. The trace data is saved in the EasyEXPERT Compressed Trace Record format (.gtr).

Slide bar

The slide bar is used to specify the recorded-trace to display. The trace is specified by N/M put on the space right next to the slide bar. N is the record number assigned to the recorded-trace now on graph and M is the total number of the recorded-traces.

<< (fast back)

Clicking this button changes the displayed recorded-trace to the trace N-1. Long-click makes this operation fast.

< (step back)

Clicking this button changes the displayed recorded-trace to the trace N-1.

> (step forward)

Clicking this button changes the displayed recorded-trace to the trace N+1.

>> (fast forward)

Clicking this button changes the displayed recorded-trace to the trace N+1. Long-click makes this operation fast.

Replay Interval

This field is used to set the time interval of the fast back and fast forward operation.

Maximum Records

This field is used to set the maximum record count. After the record number reaches this value, the record numbers are shifted to the newer side and the oldest record is deleted. This number is always assigned to the last record.

Recording Interval

This field is used to set the time interval of the automatic trace record operation.


Tracer Test Select reference traces

Select Reference Traces

This dialog box is opened/closed by clicking the Select reference traces button and is used for managing the reference traces memorized by clicking the Capture button.

Show/Hide selected trace

This button enables/disables the graph display of the trace selected/highlighted on this dialog box.

Inversion

This button enables/disables the inversion of the trace selected/highlighted on this dialog box.

Erase

This button deletes the trace selected/highlighted on this dialog box.

Open

This button opens the Open Reference Trace dialog box which is used to open a reference trace saved by using the Save Reference Trace dialog box.

Save

This button opens the Save Reference Trace dialog box which is used to save the reference trace selected/highlighted on this dialog box. The trace data is saved in the XML spreadsheet format (.xml).

Time

This field shows the time stamp of the reference trace.

Trace

This field shows the title of the reference trace. The title is same as the title appears top of the graph frame.


Tracer Test Select tracking traces

Select Tracking Traces

This dialog box is opened/closed by clicking the Select tracking traces button and is used for managing the tracking traces.

Erase

This button deletes the trace selected/highlighted on this dialog box.

Time

This field shows the time stamp of the tracking trace.

Trace

This field shows the title of the tracking trace. The title is same as the title appears top of the graph frame.


Tracer Test Color and thickness

Color and Thickness

This dialog box is opened/closed by clicking the Color and thickness button and is used for changing color of the graph color and the trace thickness.

Color and Thickness Tab

The graph elements supported by this tab are background, text, X and Y axes, graph grid, frame around graph, marker, line, and traces.

Clicking the color pattern opens the color palette for selecting color. The color palette provides the function to add the custom colors.

Format Tab

The numeric value formats supported by this tab are marker, monitor, and intercept values.

Options Tab

Two drawing options are supported.

  • Clear tracing on each measurement start

  • Retain previous traces by dimming

Use Preset Graph Colors

Four preset graph colors are provided for easy use.

  • Standard

  • Classic Test

  • Grayscale

  • Customized

Apply

This button applies the setup change made on this dialog box to the graph.

Cancel

This button cancels the setup change made on this dialog box to the graph.


Oscilloscope View

This window is opened/closed by clicking the Oscilloscope View button on the Tracer Test screen, or selecting the [Options] - [Oscilloscope View] menu.

This function monitors a point of the pulsed sweep measurement or the pulsed spot measurement and displays its waveform. The monitoring point is specified by a rectangular marker on the trace. This function is used for monitoring the time relationship between multiple channel outputs/measurements, the change of the output level for the gate drive channel, and so on.

This function is valid for using one or more VPULSE or IPULSE channels. And this function is not available for the following measurement resources.

  • HRSMU, HPSMU, MPSMU

  • MFCMU

  • WGFMU

  • SPGU

  • GNDU

Data names set in the V Name and I Name fields of the channel area are used to specify the target monitored signals.

During executing the tracer test, the waveforms within the specified duration are displayed in this window graphically. The display resolution is 2 ms.

For GUI, see "Oscilloscope View Window GUI".


Oscilloscope View Window GUI

The Oscilloscope View window provides the following GUI. See Figure 1.

Figure 1 Oscilloscope View Window

Menu

Description
File | Save Setting | Saves the setup data for waveform monitor. The setup data is saved as a part of the tracer test setup.
Save Data As... | Opens the Save Waveform Data dialog box used to specify the file name of the displayed waveform data to save. Available data formats are the Text (tab separated), CSV, XML spreadsheet, BMP (bitmap image), EMF (enhanced metafile), GIF image, and PNG image.

Close

 Closes the Oscilloscope View window.
Data

Lists all the names of voltage/current output data set in the present tracer test with serial numbers.

Checking a data name enables to monitor the signal corresponding to the data name, and display the waveform in the Oscilloscope View window. If not checking, the waveform for the data name is not displayed in the Oscilloscope View window.
Setup

Time

 Scale&Origin... Opens the Time Scale&Origin dialog box. Enter the scale value of the X axis (time) per division in the dialog box.
Auto Scale... | Enables/disables auto-scaling.
Scaling Option | Expand About Center | Enables expand function about center of the graph.
Expand About Zero | Enables expand function about zero of the graph.

Sampling...

 Opens the Sampling Setup dialog box. See “Sampling Setup”.

Data Scale

 Auto Scale Enable All Enables auto-scaling.
Disable All | Disables auto-scaling.
Scaling Option | Expand About Center | Enables expand function about center of the graph.
Expand About Zero | Enables expand function about zero of the graph.

(N. data name)

 The data names that are checked on the Data menu are listed. Opens the Data View dialog box. See “Dialog box for changing data display”. Where, N is a serial number.
Window

Large

 Changes the window size to the prescribed large window.

Small

 Changes the window size to the prescribed small window.

Monitor area

This area displays a waveform graph in the center. All monitored waveforms are displayed on this graph. A vertical marker is available to read out the values on all waveforms at a certain time.

The waveforms and the relational information are organized by color. To change the color, select the [Setup] - [N. data name] menu to open the Data View dialog box. See “Dialog box for changing data display”, for this dialog box.

The display items in the monitor area are described below.

Marker position

Marker position (X-axis (time) data). Displayed on the upper left of the graph. To move the marker position, use rotary knob or mouse.

Data at Marker position

Y-axis (voltage or current) values at the marker position. Displayed with the data names on the left of the graph respectively.

Time/division

Time scale value per division. Displayed on the top of the graph. To change it, click on the displayed value and open the Time Scale dialog box. Enter the scale value of the X axis (time) per division in the dialog box.

Time Origin

Time origin value. Displayed on the bottom of the graph. To change it, click on the displayed value and open the Time Origin dialog box. Enter the origin value of the X axis (time) in the dialog box.

Duration of measurement

Duration of the measurement for the presently-monitored sweep step. Indicated by the green horizontal lines displayed on the top and button of the graph. Hence, you can observe the time relationship between the measurement time and the waveform.

Vertical data/division and offset value

Y-axis scale value per division and offset value. Displayed on the right of the graph respectively. To change them, click on the displayed value and open the Data View dialog box. See “Dialog box for changing data display”, for this dialog box.


Dialog Box for Changing Data Display

This dialog box is opened by selecting the Setup > N. data name menu, or by clicking on the scale or offset value shown on the right area of the graph display.

This is used for changing the Y-axis scale, offset, the color of the line and characters, and the line thickness.

Clicking the color pattern opens the color palette for selecting color. The color palette provides the function to add the custom colors.


Sampling Setup

This dialog box is opened by selecting the [Setup] - [Sampling] menu. This is used for setting up the sampling conditions of the waveform monitoring. The target observing step is decided by the following combination:

  • The ordinal number of the sweep step on the primary sweep source output (VAR1 Step)

  • The ordinal number of the sweep step on the secondary sweep source output (VAR2 Step)

The waveform sampling is started from the beginning of the pulse period within the target observing step. The observing period on the waveforms is eventually decided by setting the sampling delay (Delay) and sampling duration (Duration). Figure 1 shows a sampling setup example.

NOTE:
If the observing period does not fully cover the measurement time, the measurement data at the sweep step will be "NaN".

Figure 1 Sampling Setup Example

VAR1 Step:

The ordinal number (N) of the sweep step on the primary sweep source output. N-th step is specified. For the dual polarity sweep, the ordinal number of the positive sweep step is valid.

For the interlacing sweep, every N-th step on repeated sweeps is specified.

To specify the last step, enter LAST. Changing the number of sweep step has no impact on the LAST setting.

For the interlacing sweep, every last step on repeated sweeps is specified.

VAR2 Step:

The ordinal number (M) of the sweep step on the secondary sweep source output. M-th step is specified.

To specify each step, enter EACH.

Delay:

Sampling delay time. This is the time from the beginning of the pulse period to the beginning of the waveform sampling, -30 ms to pulse period.

Duration:

Duration to sample the waveforms, 22 ms to 24 ms.


Arithmetic Operation Area

This area appears at the top of the graph by clicking the [Options] - [Arithmetic Operation] - [Operation N] (N: 1, 2, or 3) menu, and is used to define arithmetic expressions using the measurement result data. This function is useful to graphically display parameters given by the expressions.

Maximum of three expressions can be defined as Operation 1, Operation 2, and Operation 3. An expression can be defined by two operands and an operator + (addition), - (subtraction), * (multiplication), or / (division). The following elements can be the operand.

  • Measurement data (e.g. Imeas)

  • Source data (e.g. Vset)

  • Real literal constant (e.g. 2, 0.123, or 100E-3)

  • Operation 1 result (e.g. Vdrop), for the expression of Operation 2 and/or Operation 3

  • Operation 2 result (e.g. Vout), for the expression of Operation 3

Example:

The following example calculates the voltage drop (Vdrop) caused by a 100 kW series resistor and measurement current (Imeas), then calculates the voltage (Vout) applied to a device under test by subtracting the voltage drop from the setting value (Vset).

Operation 1:

[ Vdrop ] = [ 100e3 ] * [ Imeas ]

Operation 2:

[ Vout ] = [ Vset ] - [ Vdrop ]

Note: "NaN" is returned for the invalid calculation results.

Note: To disable the operation, click the [Options] - [Arithmetic Operation] - [Operation N] menu and uncheck the Operation N menu.


Quick Test

In the quick test mode, you can execute the test setups saved in a preset group (My Favorite Setup) sequentially. The EasyEXPERT main screen has the following additional graphical user interface.

My Favorite Setup

The following menu is displayed by clicking this button.

Menu | Description
Cancel | Closes this menu.
Duplicate... | Opens the Duplicate Preset Group dialog box. Creates a copy of the present preset group and saves it as the specified name.
Import... | Opens the Preset Group Import dialog box. Imports the specified preset group.
Export... | Opens the Preset Group Export dialog box. Exports the present preset group as the specified name.
Organize... | Opens the Organize Preset Group dialog box used to organize the preset group. See “Organize Preset Group”.

If the preset group contains a tracer test setup:

The tracer test setup is converted to and recalled as a Multi Channel I/V Sweep test setup.

In this conversion process, the VAR1 dual polarity sweep setup (Dual Polarity) is ignored. The setup of the positive sweep from start to stop is converted, but the setup of the negative sweep from -start to -stop is not converted.

The conversion rule for the hold time settings:

The VAR1 hold time setup (Hold Time) is converted and used, and the VAR2 hold time setup (Hold Time) is ignored.

Preset Group

Selects the preset group to open.

Setup Name

Lists all test setups saved in the preset group.

To select the test setup for the quick test setup operation, click the line. For multiple selection, use ctrl-click, shift-click, or Select All.

When you are doing the quick test setup, the soft-keys are available to start the associated test. The soft-key label will show the Setup Name.

Quick Test List

The following buttons are available for the quick test setup operation.

Select All

Selects all test setup in the test setup list.

Execution On/Off

The right-triangle button is effective for the selected test setup and is used to enable/disable execution of the tests. Once the quick test is started, only the tests marked with right-triangle will be executed in order from top to bottom of the test setup list.

Data save On/Off

The disk button is effective for the selected test setup and is used to enable/disable data save of the tests. The data save will be performed only for the tests marked with disk.

Up

Moves the selected test setup upward

Down

Moves the selected test setup downward.

Recall

Recalls the selected test setup. The screen is changed to Application Test or Classic Test.

Edit Repeat

You can change the number of repeat times of the selected test setup.

Rename

You can change the name of the selected test setup.

Duplicate

Creates a copy of the selected test setup and places it at the bottom of the test setup list.

Delete

You can delete the selected test setup.

Unlock

Unlock this preset group.


Repeat Measurement Setup

This dialog box is opened by clicking the Repeat button, and is used to set the repeat measurement condition. This dialog box supports the following action buttons.

Button | Description
Run | Starts measurement.
Abort | Aborts the measurement.
Cancel | Cancels performing the repeat measurement and closes this dialog box.

The repeat measurement is performed as shown in Figure 8. The repeat measurement operation is controlled by the value of Count and status. Where, Count is the number displayed in the Count field of the main screen, and status must be a parameter of the response created by Start Procedure and Iteration Procedure. For the response, see Figure 9.

Figure 8 Repeat Measurement Execution Flow

Figure 9 Procedure Response Expected by EasyEXPERT

Repeat Procedures

This area is used to specify the procedure to be called while the repeat measurement is performed. The procedure must be the execution file (.exe file). If no procedure is needed, empty the field. The Browse button opens a file browser.

Procedure | Description
Start Procedure | Specifies the procedure executed before starting measurement.
Iteration Procedure | Specifies the procedure executed every single measurement.
Final Procedure | Specifies the procedure executed after the repeat measurement.

If the procedure requires arguments, enter the values to the Arguments field.

If the procedure specified by Start Procedure or Iteration Procedure creates the response as shown in Figure 9, EasyEXPERT performs the operation following the response. See Figure 8. The parameter status value must be the string True or False, and the parameter device_id value should be any string. EasyEXPERT ignores the response of the different format

Automatically fill in Device ID

This check box is available when the Procedure return condition check box has been checked, and is used to enable the device ID automatic input function. This function enters the Device ID of the test record automatically. The value is given by device_id which is a parameter of the response created by Start Procedure and Iteration Procedure.

Repeat Stop Condition

This area is used to set the repeat measurement stop condition. The following stop conditions are available.

  • Counter Reaching to: limit

The repeat measurement will be stopped if Count ³ limit.

Reset counter before repeating check box must be checked to set Count=0 when the measurement is started.

  • Procedure return condition

The repeat measurement will be stopped if the response shows status = True.

Thermo-trigger

This area is used to set the thermo-trigger function using the N1265A ultra high current expander/fixture. See "Thermo-trigger".


Thermo-trigger

This area is used to set the thermo-trigger function using the N1265A ultra high current expander/fixture.

Enable Thermo-trigger

Enables/disables the thermo-trigger function.

N1265A Thermo-trigger List...

Opens the Thermo-trigger List dialog box used to set the thermo-trigger function. See Thermo-trigger List.

If the thermo-trigger function is enabled, the repeat measurement execution flow is changed as shown in Figure 1. The following steps are added.

  1. After Count is judged, temperature (Temp) is measured.

  2. If the measured temperature is in the range of the temperature condition (Center and Radius), the action (Action) is executed after the delay time (Delay) elapsed. Or else, the temperature measurement and this judgement are repeated.

Where, the terms in ( ) are the setup items on the Thermo-trigger List dialog box.

Figure 1 Repeat Measurement Execution Flow with Thermo-trigger Function

Thermo-trigger List

This dialog box is opened by clicking the N1265A Thermo-trigger List button, and is used to set the Thermo-trigger function which is defined by listing multiple sets of the temperature condition and action executed when the condition is satisfied. A setup in a row of the list is used for one loop sequence of the repeat measurement. The top row is for the first sequence of the repeat measurement, the second row is for the second sequence, and so on. If the repeat measurement is repeated over the number of rows set in the list, the list is used from the top row again. This dialog box can have a maximum of 1001 rows.

And also, in this dialog box, you can import any list from an external file and export the list to an external file, in the CSV or XMLSS form.

Column Header N (index)

Select an entry that you wish to edit during the editing. During the repeat measurement execution, this button indicates the current-waiting entry.

Temp

Selects the temperature used in the condition from the following alternatives:

T1: Temperature value measured by the thermometer channel 1.

T2: Temperature value measured by the thermometer channel 2.

T1-T2: Difference between T1 and T2.

Center

Specifies the center value of the temperature range in deg C. Range: -50 to 300. Resolution: 0.5.

Radius

Specifies the radius value of the temperature range in deg C. Range: 0.5 to 50. Resolution: 0.5.

Delay

Specifies the delay time from the temperature condition satisfaction to starting of the action specified by the Action field, in seconds. Range: 0 to 3600, Resolution: 1.

Action

Selects an action executed if the measured temperature is in the specified range, from the following alternatives.

Action | Description
TRIG | Does the single test execution after the specified delay time, and then goes to the next operation. This is useful to do the single test execution in the specified temperature range.
NOP | No operation (single test execution is skipped). Waits for the delay time, and goes to the next operation. This is useful to wait in the specified temperature range.
END | Sets the status to True, and exits the repeat measurement after the delay time. This is useful to exit the repeat measurement in the specified temperature range.

Add

Adds a new entry for the thermo-trigger condition and action above the selected entry.

Delete

Deletes the selected entry.

Up/Down

Moves the selected entry upward or downward.

OK

Applies the setup changes and closes this dialog box.

Cancel

Cancels the setup changes and closes this dialog box.

Apply

Applies the setup changes.

Import...

Opens the Open File dialog box. Imports the specified file (.csv or .xml).

Export...

Opens the Save File dialog box. Specify the file format in this dialog box.

Format | Description
CSV | Exports the current settings as the specified name in the comma separated variable (CSV) format that can be read by a spread sheet software. The data is stored with the same order as the settings on the screen.
XML Style Sheet | Exports the current settings as the specified name in the XML spread sheet format that can be read by a spread sheet software. The tags are as follows: <Thermo-trigger List> <Temp>A</Temp> <Center>B</Center> <Radius>C</Radius> <Delay>D</Delay> <Action>E</Action> </Thermo-trigger List> A: Temp field setting, T1, T2, or T1-T2, characters B: Center field setting, numeric value C: Radius field setting, numeric value D: Delay field setting, numeric value E: Action field setting, TRIG, NOP, or END, characters


Organize Preset Group

This dialog box is opened by selecting the Organize Preset Group function of the main screen, the Quick Test setup screen, or the Switching Matrix Operation Panel, and is used to organize the preset group.

Preset Group List

Lists the preset group saved in the workspace. The following buttons are available.

Button | Description
Add | Opens the Add Preset Group dialog box. Creates a new preset group and saves it as the specified name.
Rename | Opens the Rename Preset Group dialog box. You can change the name of the selected preset group.
Duplicate | Opens the Duplicate Preset Group dialog box. Creates a copy of the selected preset group and saves it as the specified name.
Delete | Opens the Duplicate Preset Group dialog box. Creates a copy of the selected preset group and saves it as the specified name.
Import | Only for the quick test setup. Opens the Preset Group Import dialog box. Imports the specified preset group.
Export | Only for the quick test setup. Opens the Preset Group Export dialog box. Exports the selected preset group as the specified name.

Preset Group

Lists the preset setup saved in the preset group. The following buttons are available.

Button | Description
Preset Group | Selects the preset group to open.
Setup Name | Lists all preset setup saved in the preset group.
Select All | Selects all preset setup.
Unselect All | Unselects all preset setup.
Rename | You can change the name of the selected preset setup.
Duplicate | Creates a copy of the selected preset setup and places it at the bottom of the test setup list.
Delete | You can delete the selected preset setup.

Copy

Sets the operation of the >> button and the << button. They work as Copy when this check box is checked, and as Move when this box is unchecked.

>>

Copies or moves the preset setup selected in the left Preset Group box to the right Preset Group box.

<<

Copies or moves the preset setup selected in the right Preset Group box to the left Preset Group box.

Close

Closes the Organize Preset Group dialog box.


Calibration Window

Calibration

The Calibration window is opened by clicking the Calibration button, and is used to perform the self-calibration, SMU current offset cancel, CMU data correction, and so on.

  • “Module Self Calibration”

  • “SMU Zero Cancel”

  • “CMU Calibration”

  • “Advanced Options for CMU Calibration”

  • “Capacitance Compensation When Using Keysight B2200A/B2201A”


SMU Calibration

Module Self Calibration

The Module Self Calibration tab screen is used to perform the self-calibration of modules. Check the left check box of Name to select the module for self-calibration. Open the measurement terminals at the cable end before performing the self-calibration.

Module Self Calibration

Displays the following values.

Item | Description
Name | Name of module.
Full Range | Full range calibration On or Off. Only for SMU+ASU.
Status | Calibration status. Pass or fail.
Notes | Error information when calibration failed.

Select All

Selects all modules for calibration. This checks the check box for all modules.

Unselect All

Unselects all modules. This unchecks the check box for all modules.

Start Calibration

Starts calibration for the selected modules.

Abort

Aborts calibration.

Full Range Calibration (Only for B1500A)

Check this box to enable the 1 pA range calibration of SMU+ASU.

If you do not use the 1 pA range, uncheck this box. The B1500A does not perform the 1 pA range offset data measurement and calibration.

Enable Auto Calibration

Enables or disables the auto-calibration capability. If this box has been checked (function ON), and the B1500 automatically starts calibration for all modules every 30 minutes if the output switches of all modules are off for 30 minutes. If auto-calibration is enabled, do not forget to open the measurement terminals or disconnect the device under test from the terminals after measurement.


SMU Zero Cancel

The SMU Zero Cancel tab screen is used to perform the SMU path offset current measurement, and set the offset cancel function. Check the left check box of Name to select the effective module. Open the measurement terminals at the cable end before performing the offset measurement. This function is available for the following modules.

  • SMU+ASU

  • HRSMU

  • MPSMU

  • HPSMU

  • HVSMU

See also “Current Offset Cancel”.

SMU Zero Cancel

Displays the following values.

Item | Description
Name | Name of module.
Full Range | SMU+ASU full range measurement On or Off.
1nA | Offset current measurement data in the 1 nA range. Available for SMU+ASU, HRSMU, MPSMU, HPSMU, and HVSMU.
100pA | Offset current measurement data in the 100 pA range. Available for SMU+ASU and HRSMU.
10pA | Offset current measurement data in the 10 pA range. Available for SMU+ASU and HRSMU.
1pA | Offset current measurement data in the 1 pA range. Available for SMU+ASU only.

Full Range

Enables (On) or disables (Off) the 1 pA range of the selected SMU+ASU.

Integration Time

Sets the integration time for the offset current measurement of the selected SMU path. 1 PLC (power line cycle) to 100 PLC, initial setting 16 PLC.

Select All

Selects all modules. This checks the check box for all modules.

Unselect All

Unselects all modules. This unchecks the check box for all modules.

Measure...

Performs the SMU path offset current measurement for the effective modules.


CMU Calibration

The CMU calibration tab screen is used to perform the measurement data correction of the multi frequency capacitance measurement unit (MFCMU). For the easy way, perform the phase compensation and the open correction at least.

See also “Error Correction”.

Note:

For a more accurate measurement, perform correction data measurement at the measurement frequency before starting the capacitance measurement.

If the measurement frequency is not included in the list of default frequencies below, click the Advanced Options... button and set the measurement frequency on the Frequency area of the Advanced Options for CMU Calibration window.

Default frequencies:

1 k, 2 k, 5 k, 10 k, 20 k, 50 k, 100 k, 200 k, 500 k, 1 M, 1.2 M, 1.5 M, 2 M, 2.5 M, 2.7 M, 3 M, 3.2 M, 3.5 M, 3.7 M, 4 M, 4.2 M, 4.5 M, 5 MHz

Measure...

Opens a dialog box used to perform correction/compensation data measurement. To perform the measurement, follow the dialog box.

The correction/compensation measurement data is saved and managed by the workspace. And the last measured correction/compensation data will be loaded when the workspace will be opened next time.

Advanced Options...

Opens the “Advanced Options for CMU Calibration” dialog box used to set the frequencies for the correction data measurement and the reference values of the working standard.

Phase Compensation

This check box is effective after the phase compensation data is measured, and is used to enable or disable the phase compensation. Uncheck this box to disable the phase compensation.

To measure the compensation data, open the measurement terminals at the end of the device side and click the Measure... button.

If you extend the measurement cables to the device end by using the four terminal pairs method, do not forget to connect following terminals together at the device end.

  • the high potential (Hp) terminal and the high current (Hc) terminal

  • the low potential (Lp) terminal and the low current (Lc) terminal

Open Correction

This check box is effective after the open correction data is measured, and is used to enable or disable the open correction. Uncheck this box to disable the correction.

To measure the correction data, connect the open standard that has the calibration value or reference value, or open the measurement terminals at the end of the device side. Then, click the Measure... button.

If you extend the measurement cables to the device end by using the four terminal pairs method, do not forget to connect following terminals together at the device end.

  • the high potential (Hp) terminal and the high current (Hc) terminal

  • the low potential (Lp) terminal and the low current (Lc) terminal

If the standard is used, click the Advanced Options... button and enter the reference value to the OPEN Reference entry fields. If you do not use the standard, enter 0 to the fields.

Short Correction

This check box is effective after the short correction data is measured, and is used to enable or disable the short correction. Uncheck this box to disable the correction.

To measure the correction data, connect the short standard that has the calibration value or reference value, or directly connect the measurement terminals at the end of the device side. Then, click the Measure... button.

If the standard is used, click the Advanced Options... button and enter the reference value to the SHORT Reference entry fields. If you do not use the standard, enter 0 to the fields.

Load Correction

This check box is effective after the load correction data is measured, and is used to enable or disable the load correction. Uncheck this box to disable the correction.

To measure the correction data, connect the load standard that has the calibration value or reference value. Then, click the Measure... button.

Before performing the load correction data measurement, click the Advanced Options... button and enter the reference value to the LOAD Reference entry fields.


Advanced Options for CMU Calibration

This dialog box is opened by clicking the Advanced Options... button, and is used to set the information required to measure the open/short/load correction data and the phase compensation data. This dialog box provides the following action button.

OK

Applies the setup changes and closes this dialog box.

Cancel

Cancel the setup changes and closes this dialog box.

Frequency

You can select one of the following radio buttons to select the measurement frequency setup mode.

  • Use factory specified frequencies (Default)

Usually, select this mode. 23 points are automatically set. They are 1 k, 2 k, 5 k, 10 k, 20 k, 50 k, 100 k, 200 k, 500 k, 1 M, 1.2 M, 1.5 M, 2 M, 2.5 M, 2.7 M, 3 M, 3.2 M, 3.5 M, 3.7 M, 4 M, 4.2 M, 4.5 M, and 5 MHz.

  • Specify list of calibration frequencies

Select this mode when you want to set the frequencies independently. The frequency must be 1 kHz to 5 MHz. The number of frequencies must be 1 to 101.

Click Add to open a dialog box, and enter the value.

For the unnecessary value, select the value and click Delete.

  • Specify frequencies by range

Select this mode when you want to set the frequencies sequentially and automatically.

Specify the start frequency, the stop frequency, the number of steps, and the scale LINEAR/LOG. The start frequency must be less than the Stop value and at least 1 kHz. The stop frequency must be more than the Start value and no more than 5 MHz. The number of steps must be 2 to 1001.

Note:

If the device measurement frequency is not equal to the correction data measurement frequency, calculation will be performed automatically to get the correction data for the device measurement frequency, and the calculated correction data will be used for the data correction of the measurement data.

Integration Time

This area defines the integration time used for measuring phase compensation data or open/short/load correction data. The number of averaging samples (Mode=AUTO) or the averaging time (Mode=PLC) is set.

Mode

A/D converter operation mode, AUTO or PLC

Factor

Factor for the initial value. See “Mode, Factor”.

Reference Standard Values

The following entry fields are available to set the calibration values or the reference values of the open/short/load standard. If you use the standard, enter the values to the following entry fields.

  • OPEN Reference: Capacitance and Conductance

If you do not use the reference, enter 0 in the both fields.

  • SHORT Reference: Inductance and Resistance

If you do not use the reference, enter 0 in the both fields.

  • LOAD Reference: Inductance and Resistance


Capacitance Compensation when Using Switching Matrix

When the capacitance/conductance measurement is performed through Keysight B2200A/B2201A/E5250A switching matrix, Keysight B1500 measures the capacitance/conductance of the path including a DUT (device under test), matrix switches, extension cables and so on. So, the data measured by the B1500 is far from the DUT’s capacitance/conductance.

Keysight EasyEXPERT provides the functions used to compensate the data measured in the environments described in “Required Conditions”. This section explains how to perform compensation.

  • “Required Conditions”

  • “To Create Compensation Data File”

Corrected data by the function is not guaranteed. But typical data (supplemental data) is as follows.

Capacitance measurement accuracy (typical): ±1 % ±0.5 pF

This typical data is for the following measurement conditions:

Measurement frequency:

1 kHz to 5 MHz

Measurement range:

Maximum 1000 pF

Measurement terminal:

At the end of Keysight 16494A/B/C cable connected to the switch module output terminals.

The typical data does not apply to anything extended from the 16494A/B/C cable. The conditions described in “Required Conditions” must be satisfied.


Required Conditions

The following conditions must be satisfied to use the capacitance compensation function. For the instrument connections, see Figure 6.

  • Setting of the MFCMU

  • Range of the measurement frequency: 1 kHz to 5 MHz

  • Measurement function: Cp-G, Cp-D, Cs-Rs, or Z-Th. There is no limitation.

  • Calibration

Perform the MFCMU open calibration at the end of the measurement paths in front of the switching matrix inputs. If you also perform the short calibration (optional), prepare the BNC thru adapter (Keysight part number 1250-0080, 1 ea.).

  • Total cable length of both Hc-Hp side and Lc-Lp side must be the same.

  • Switching matrix input ports

Use Keysight N1300A CMU cable to connect the MFCMU. The BNC-T adapters (2 ea., Keysight part number 1250-2405 for each) are required to connect between the Hc and Hp terminals and between the Lc and Lp terminals. Connect the Hc-Hp cable and the Lc-Lp cable as follows.

  • Hc-Hp: Input 13 (B2200A/B2201A) or AUX INPUT CV1 (E5250A)

  • Lc-Lp: Input 14 (B2200A/B2201A) or AUX INPUT CV2 (E5250A)

  • Switching matrix output terminals

Use the Keysight 16494A triaxial cable to extend the outputs to the connector plate or the Keysight B2220A probe card interface (only for B2200A/B2201A). For the Kelvin connection, use the Keysight 16494B/C Kelvin triaxial cable.

  • Ahead of the connector plate

Recommended cable: Keysight part number 8121-1191 Triaxial cable

You can also use another type of triaxial cable, coaxial cable, or combination of these.

To approximate the capacitance/conductance of the DUT, you need to obtain the appropriate compensation coefficients for your measurement environment, and create your compensation data file. See Figure 6.

In Figure 6, C1 (DATA04) , C2H (DATA05), C2L (DATA06), C3H (DATA07), C3L (DATA08) are the compensation coefficients defined in the compensation data file. where, CxH is for the path connected to the MFCMU Hc-Hp terminal, and CxL is for the path connected to the MFCMU Lc-Lp terminal.

When Keysight B2220A probe card interface is used, obtain the coefficients for C3x, and create your compensation data file. In this case, probe card will be used for the C3x path.

When the connector plate is used, obtain the coefficients for C2x and C3x, and create your compensation data file. In this case, triaxial cable with connector plate will be used for the C2x path. And coaxial cable with positioner will be used for the C3x path.

For obtaining the compensation coefficients and creating the compensation data file, see “To Create Compensation Data File”.

Figure 6 Extension Cables and Compensation Coefficients


To Create Compensation Data File

This section explains how to create the compensation data file. To perform the capacitance compensation, enter the file name of the compensation data file to the User Compensation Data File field of the “Extended Configuration”.

1. Create a text file (e.g. C:\temp\c_data.txt) that contains the information as shown below.

• For B2200A/B2201A:

The 15th line specifies the used switch module, B2210A or B2211A.

The 16th line specifies the DUT interface, PCIF or CABLE. PCIF indicates that Keysight B2220A probe card interface is used. CABLE indicates that the connector plate is used.

The lines C2H to C3L should be modified for each measurement environment. See Table C-1. Do not modify the other lines.

NOTE

EasyEXPERT provides the template of the compensation data file for the B2200A/B2201A. See template list table. Select and use the template suitable for your measurement environment.

• For E5250A:

The lines DATA05 to DATA08 should be modified for each measurement environment. See Table C-1. Do not modify the other lines.

Table C-1 Compensation Coefficients and Modifications

Compensation coefficients | Modifications of data file
C2H (DATA05) C2L (DATA06) | For the connector plate, change the R, L, C values in the lines. The value must be changed to the R, L, C values of the C2H (DATA05) path and the C2L (DATA06) path (triaxial cable with connector plate) shown in Figure 6. For Keysight B2220A probe card interface, do not modify the lines.
C3H (DATA07) C3L (DATA08) | Change the R, L, C values in the lines. The value must be changed to the R, L, C values of the C3H (DATA07) path and the C3L (DATA08) path shown in Figure 6. For the connector plate, the coaxial cable with positioner will be the appropriate path. For Keysight B2220A probe card interface, the probe card will be the appropriate path.

2. Measure the R, L, C values of the for C2H (DATA05), C2L (DATA06), C3H (DATA07), and C3L (DATA08) by using the MFCMU. See “To Obtain Compensation Coefficients”.

After the measurements, calculate the per meter value of the R, L, C, and record them into the following table.

Compensation coefficients | Explanation
 | R (W) | L (H) | C (F)
C2H (DATA05) |  |  |
C2L (DATA06) |  |  |
C3H (DATA07) |  |  |
C3L (DATA08) |  |  |

3. Launch a text editor and open the compensation data file created at step 1.

Change the R, L, C values of the C2H (DATA05), C2L (DATA06), C3H (DATA07), and C3L (DATA08) lines to the values recorded at step 2. Do not change any other lines.

4. Save the file as your compensation data file (e.g. C:\temp\my_env_1.txt).

To perform the capacitance compensation, enter the file name of the compensation data file to the User Compensation Data File field of the “Extended Configuration”, and execute the measurement.

Before starting measurement, perform the CMU calibration. See “CMU Calibration”. Also see “C-V Sweep Measurement”.


To Obtain Compensation Coefficients

Obtain the compensation coefficients as shown below.

1. Select the measurement frequency (Fmeas) used for the capacitance measurement of a device under test (DUT), and set it to the MFCMU. The coefficients must be measured at the same frequency.

2. Perform the MFCMU open calibration at the measurement terminal. Optionally, perform short calibration if you want.

3. See Table C-2 and Figure C-2 and set the MFCMU.

4. Connect the path/cable corresponding to C3H (DATA07) shown in Figure 6 to the MFCMU. Then measure and record the R, L, and C values.

5. Connect the path/cable corresponding to C3L (DATA08) to the MFCMU. Then measure and record the R, L, and C values.

6. If you use the connector plate, perform the following procedure.

a. Connect the path/cable corresponding to C2H (DATA05) to the MFCMU. Then measure and record the R, L, and C values.

b. Connect the path/cable corresponding to C2L (DATA06) to the MFCMU. Then measure and record the R, L, and C values.

Table C-2 R, L, C Measurement Conditions

Parameter | Frequency | Function | Terminals
R | 1 kHz to 5 MHz A | - | A and B
L |  | SERIES | see note B
C |  | PARALLEL | A and C

A R, L, C of all coefficients must be measured with the same frequency setting.

B For triaxial cable, connect B to F directly, and measure L between A and E. For coaxial cable, ignore E and F, and connect B to D directly, and measure L between A and C.

Figure C-2 Compensation Coefficient Measurement Terminals of Extended Cables


Template compen data files for B2200

Template Compensation Data Files for B2200A/B2201A

File name A | Measurement environment that template targets
 | Switch module | Cable B | DUT interface C | Coefficients to be modified
<path>\b2210a\pcif\triax\3m.data | B2210A | 16494A-002 | B2220A | C3H and C3L
<path>\b2210a\pcif\triax\4m.data |  | 16494A-005
<path>\b2210a\pcif\kelvin\3m.data |  | 16494C-002
<path>\b2210a\pcif\kelvin\4m.data |  | 16494C-005
<path>\b2210a\cable\triax\1_5m.data |  | 16494A-001 | 16495F/G | C2H, C2L, C3H, and C3L
<path>\b2210a\cable\triax\3m.data |  | 16494A-002
<path>\b2210a\cable\triax\4m.data |  | 16494A-005
<path>\b2210a\cable\kelvin\1_5m.data |  | 16494B-001
<path>\b2210a\cable\kelvin\3m.data |  | 16494B-002
<path>\b2210a\cable\kelvin\4m.data |  | 16494C-005
<path>\b2211a\pcif\triax\3m.data | B2211A | 16494A-002 | B2220A | C3H and C3L
<path>\b2211a\pcif\triax\4m.data |  | 16494A-005
<path>\b2211a\pcif\kelvin\3m.data |  | 16494C-002
<path>\b2211a\pcif\kelvin\4m.data |  | 16494C-005
<path>\b2211a\cable\triax\1_5m.data |  | 16494A-001 | 16495F/G | C2H, C2L, C3H, and C3L
<path>\b2211a\cable\triax\3m.data |  | 16494A-002
<path>\b2211a\cable\triax\4m.data |  | 16494A-005
<path>\b2211a\cable\kelvin\1_5m.data |  | 16494B-001
<path>\b2211a\cable\kelvin\3m.data |  | 16494B-002
<path>\b2211a\cable\kelvin\4m.data |  | 16494C-005

A <path>: \Program Files\Agilent\B1500\EasyEXPERT\B220xA\ccdata

B Model number of the cable connected between the switch module and the DUT interface.

C Keysight B2220A probe card interface or Keysight 16495F/G connector plate.


Configuration Window

Configuration

The Configuration window is opened by clicking the Configuration button, and is used to display the system information and event log, as well as to perform diagnosis and self-test.

  • “Main Frame”

  • “Modules”

  • “ASU”

  • “Switching Matrix”

  • “SMU/PG Selector”

  • “Module Selector”

  • “Dual HCSMU Combination”

  • “UHC Expander / Fixture”

  • “HVSMU Current Expander”

  • “UHV Expander”

  • “Device Capacitance Selector”

  • “SMU Output Setting Limits”

  • “Event Log”

  • “Extended Configuration”


Main Frame

The Main Frame tab screen is used to display the system information and perform diagnosis.

System Information

Item | Description
Model Identification | Displays the instrument ID. B1500A or B1505A.
Line Frequency | Sets the power line frequency, 50 Hz or 60 Hz.
EasyEXPERT Rev. | Displays the revision number of the EasyEXPERT.
Firmware Rev. | Displays the revision number of the B1500 firmware.
HOST ID | Displays the host id of the B1500 internal computer.

Main Frame Diagnosis

Item | Description
Item | Name of diagnosis item. To select, check the left check box.
Status | Diagnosis status. Pass or fail.

Select All

Selects all items for diagnosis. This checks the box for all items.

Unselect All

Unselects all items. This unchecks the box for all items.

Start Diagnosis

Starts diagnosis for the selected items. To perform diagnosis, specify the items to perform and click this button. A dialog box appears. Follow the dialog box to perform the diagnosis. Some items need your judgement, pass or fail. Also you will need to connect an adapter, press keys, check LEDs, and so on.


Modules

The Modules tab screen is used to perform self-test of modules.

Slot Configuration

Item | Description
Slot | Slot number where the module is installed. To select, check the left check box.
Module Type | Module model number
Name | Module name. See Table 1.
Status | Self-test status, Passed, Failed, Recovered, or ---- (self-test has not been performed)
SCUU | Specifies if the module is connected to the SCUU.
Notes | Error information when the module self-test failed.

Select All

Selects all modules for self-test. This checks the check box for all modules.

Unselect All

Unselects all modules. This unchecks the box for all modules.

Start Self Test

Starts self-test for the selected modules.

Recover Module

This button is for service use only. Makes the failed modules respond again. This button does not solve the problem that causes the Failed status.

Abort

Aborts self-test.

Status LED

Enables (ON) or disables (OFF) the status indicator (LED) of the ASU (Atto Sense and Switch Unit), the SCUU (SMU CMU Unify Unit), and the module selector.

Table 1. Module Name

Module name | Measurement resource
GNDU+ADC | B1500 mainframe
SMU<N>:HP | HPSMU
SMU<N>:MP | MPSMU
SMU<N>:HR | HRSMU
SMU<N>:HR/AS | SMU+ASU
SMU<N>:HC | HCSMU
SMU<N>:DHC | Dual HCSMU
SMU<N>:MC | MCSMU
SMU<N>:HV | HVSMU
SMU<N>:UHC500 | UHCU (standard)
SMU<N>:UHC1500 | UHCU (with the option N1265A-015)
SMU<N>:HVMC | HVMCU
SMU<N>:UHV | UHVU

Where, <N> is a channel number.


ASU

Only for the B1500A. The ASU tab screen is available if the B1500A installs the SMU calibrated with the ASU (Atto Sense/Switch Unit) regardless of the ASU connection status, and shows the ASU information.

Item

Description
Slot | Slot number
Module Type | Type of module
Name | Name of module
ASU Serial Number

Serial number of the usable ASU. This cell shows the serial number even if the ASU is disconnected.

If an incorrect ASU is connected to the SMU, this cell displays an error message instead of the serial number. Error message is also displayed if an ASU is connected to the SMU which is not available for using ASU.
ASU I/O Path | ASU switching operation, SMU or AUX. See Table ASU-1 for the available values and description.

Table ASU-1 Input/Output Path

Value | Input-to-output connection and description
SMU | ASU always makes the path from the ASU Force input to the ASU output.
AUX | ASU performs automatic switching in every test. The ASU normally makes the path from the AUX In input to the ASU output and makes the path from the ASU Force input to the ASU output for the test using the SMU.


Switching Matrix

Not available for the B1505A. The Switching Matrix tab screen is used to confirm the GPIB connection with Keysight B2200A/B2201A/E5250A switching matrix, and defines the connections between the measurement units and the switching matrix input ports.

General Information

Item | Description
Switching Matrix Type | Displays the type of the switching matrix. One of the following. B2200A Femto Leakage Switch Mainframe B2201A 14ch Low Leakage Switch Mainframe E5250A Low Leakage Switch Mainframe No Switching Matrix (if switching matrix is not connected)
GPIB Address | Specifies the GPIB address of the switching matrix. 1 to 30.
Poll | Confirms if the switching matrix with the specified GPIB Address is connected to the B1500A.
Start Self Test | This button starts the selftest of the switching matrix.

Input Port Configuration

Item

Description
SWM IN

SWM INn means the switching matrix input port n. where, n is an integer 1 to 10 for the E5250A or an integer 1 to 14 for the B2200A/B2201A.

Enter the label used to specify the input port to the right entry field. The port name and the connected module name can be the label. Or select one from the pull-down menu. There must be no colon (:) in the label.

If the Kelvin check box is checked, the coupled even number port is grayed out.

If the CMU check box is checked, the SWM IN10 for the E5250A or the SWM IN14 for the B2200A/B2201A is grayed out.
Kelvin

Check this box if this port is used for the Kelvin connection. Connect the switching matrix inputs to the SMU as follows.

  • for the E5250A (m: integer 1 to 3)
    SMU INPUT 2m-1 to the SMU Force terminal
    SMU INPUT 2m to the SMU Sense terminal

  • for B2200A/B2201A (m: integer 1 to 6)
    Input 2m-1 to the SMU Force terminal
    Input 2m to the SMU Sense terminal
CMU

Check this check box if this port is connected to the CMU. Connect the switching matrix inputs to the CMU as follows.

  • for the E5250A
    AUX INPUT CV1 to the CMU Hpot/Hcur terminals
    AUX INPUT CV2 to the CMU Lpot/Lcur terminals

  • for B2200A/B2201A
    Input 13 to the CMU Hpot/Hcur terminals
    Input 14 to the CMU Lpot/Lcur terminals

To obtain accurate capacitance measurement result, perform capacitance compensation. See “Capacitance Compensation When Using Switching Matrix”. Also see “Extended Configuration”.
Extended Configuration

This button opens the “Extended Configuration” dialog box.


SMU/PG Selector gui

SMU/PG Selector

Not available for the B1505A. The SMU/PG Selector tab screen is used to specify the input connection and the channel connection status of the Keysight 16440A SMU/PG selector. The selector can be controlled by the B1500A via the Digital I/O connector and the Keysight 16445A selector adapter.

Two selectors can be used. The first selector must be connected to the Digital I/O connector via the 16445A. And if the second selector is used, it must be connected to the first selector’s Control Output connector. See “SMU/PG Selector”.

Enable SMU/PG Selector

To use the selector, connect the selector to the B1500A, and check this check box.

Selector CH1/CH2

CH1 and CH2 indicates the channels 1 and 2 of the first selector respectively.

Selector CH3/CH4

CH3 and CH4 indicates the channels 1 and 2 of the second selector respectively.

SMU Assignment

Specifies the SMU connected to the SMU input of the selector channel CH1, CH2, CH3, or CH4.

Input/Output Path

Specifies the switching operation of the selector channel CH1, CH2, CH3, or CH4. See Table PG-selector-1 for the available values and description.

Table PG-selector-1 Input/Output Path

Value | Input-to-output connection and description
Always SMU | Selector always makes the path from Input SMU to Output.
Normally PGU (AUX) | Selector performs automatic switching in every test. The selector normally makes the path from Input PGU to Output and makes the path from Input SMU to Output only for the test which uses the SMU connected to the Input SMU port.

The CH1 and CH3 also provides the PGU Open status which is set by using the Advanced window of the Measurement Setup.


Module Selector

Only for the B1505A. This tab screen is used to specify the input connection and the default input-to-output path of the module selector. The selector can be controlled by the B1505A via the Digital I/O connector.

Enable Module Selector

This check box is used to enable/disable the module selector. If this box is checked, the module selector can be used.

Input

Specifies the modules connected to the module selector's HVSMU, HCSMU, and HPSMU input ports respectively. For the port which no module is connected, blank the entry field.

Enable Series Resistor (100 kohm) for HVSMU

This check box is used to connect/disconnect the built-in series resistor (100 kW) on the HVSMU connection path. If this box is checked, the series resistor is connected.

Output

Specifies the module selector connection status in the normal state. The module selector makes the path to the output port from the input port specified by the Default field.

When a measurement is performed, the module selector performs automatic switching in every test. The selector makes the path to the output port from the module used for the test. The connection status is indicated by the Status indicator mounted on the module selector. See Table Selector-1.

Status

Shows one of the following status.

Not Detected

Module selector has not been detected yet.

Communication Established

Normal status. Module selector can be used.

Communication Lost

Once the module selector was detected. However the communication has been broken now.

Auto Detection

This check box is used to enable/disable the module selector automatic detection. If this box is checked, the automatic detection of the module selector is performed when EasyEXPERT is launched.

Diagnosis

The Start Diagnosis button is used to start the module selector diagnosis. And the Status shows the diagnosis result.

Apply

This button applies the setting.

Table Selector-1 Module Selector Status Indicator and Input-to-Output Connection Path

Module used for the test | Status indicator | Input-to-output connection of output terminals (see Note 1)
 |  | High Sense | High Force | Low Sense | Low Force
HPSMU or MPSMU | HPSMU | HP/MPSMU Sense | HP/MPSMU Force | HCSMU Low Sense + GNDU Force + GNDU Sense | HCSMU Low Force
HCSMU or DHCSMU | HCSMU | HCSMU High Sense | HCSMU High Force
HVSMU | HVSMU | HVSMU Force | Open
HVSMU and built-in series resistor |  | HVSMU Force + series resistor
see Note 2 | Open | Open | Open

Note 1: In the normal state, the module selector makes the path to the output port from the input port specified by the Default field. When a measurement is performed, the module selector performs automatic switching in every test. The selector makes the path to the output port from the module used for the test.

Note 2: This condition is when all Input fields HVSMU, HCSMU, and HPSMU are blank.

Caution:

If dual HCSMU (DHCSMU) is used with the module selector, the maximum current must be ± 30 A to prevent the module selector from performance degradation and failure.


Dual HCSMU Combination

Only for the B1505A installed with two HCSMU modules. This screen is used to set the dual HCSMU operation.

Enable

This check box is used to enable/disable the dual HCSMU operation. If this box is checked, the dual HCSMU operation is enabled and two HCSMU modules can be a SMU which supports ± 40 A (pulse), ± 2 A (DC).

Master HCSMU

Specifies the HCSMU module used as the master channel of the dual HCSMU operation. The module must be connected to the Master port of the 16493S-020/021 dual HCSMU adapter.

Slave HCSMU

Specifies the HCSMU module used as the slave channel of the dual HCSMU operation. The module must be connected to the Slave port of the 16493S-020/021 dual HCSMU adapter.

Apply

This button applies the dual HCSMU operating condition. To apply the setup changes successfully, the B1505A must be in the idle state and the Standby output must be OFF.


UHC Expander / Fixture

Only for the B1505A. This tab screen is used to set the N1265A ultra high current expander/fixture. The N1265A can be controlled by the B1505A via the Digital I/O connector.

Enable Ultra High Current Unit

This check box is used to enable/disable the ultra high current unit (UHCU). If this box is checked, UHCU can be used.

Control

Specifies the modules used for controlling the UHCU. For the port which no module is connected, blank the entry field.

Voltage Control SMU

Specifies the module (MCSMU or HCSMU) connected to the V Control port of the N1265A. The SMU channel set to this field is assigned to the UHCU and is used to indicate the UHCU.

Current Control SMU

Specifies the module (MCSMU or HCSMU) connected to the I Control port of the N1265A.

Self Test

Effective only when the Enable Ultra High Current Unit check box is checked.

The Start button starts the self-test for the N1265A. Measurement terminals must be opened during the self-test. The Status shows the execution result.

Self Calibration

Effective only when the Enable Ultra High Current Unit check box is checked.

The Start button starts the self-calibration for the N1265A. Measurement terminals must be opened during the self-calibration. The Status shows the execution result.

Enable Selector

This check box is used to enable/disable the selector of the N1265A. If this box is checked, the selector can be used.

Input

UHCU

Displays the SMU channel assigned to the UHCU.

HVSMU

Specifies the HVSMU connected to the HVSMU port of the N1265A directly or via the N1266A current expander.

SMU

Specifies the module (MPSMU or HPSMU) connected to the SMU port of the N1265A.

For the port which no module is connected, blank the entry field.

Output

Enable Series Resistor (100 kohm) for HVSMU

This check box is used to connect/disconnect the built-in series resistor (100 kW) on the HVSMU direct path. If this box is checked, the series resistor is connected.

Default

Specifies the selector input-to-output connection status (UHCU, HVSMU, SMU, GNDU, or blank) in the normal state. The selector makes the path to the output port from the input port specified by the Default field. If this field is blank, the output port is open.

When a measurement is performed, the selector performs automatic switching in every test. The selector makes the path to the output port from the measurement resource used for the test. The connection status is indicated by the Status indicator mounted on the N1265A. See Table 1.

Table 1 N1265A Status Indicator and Selector Connection Path

Status indicator | Selector Output terminalsA
 | Low Sense | Low Force | High Sense | High Force
(off) | Open | Open | Open | Open
 | GNDU Sense | GNDU Force | Open | Open
SMU | GNDU Sense | GNDU Force | SMU Sense | SMU Force
UHC | UHCU Low Sense | UHCU Low Force | UHCU High Sense | UHCU High Force
HVSMU | GNDU Sense | GNDU Force | HVSMU Force | Open
 | GNDU Sense | GNDU Force | HVSMU Force + Series resistor | Open

AIn the normal state, the selector makes the path to the output port from the input port specified by the Default field. When a measurement is performed, the selector performs automatic switching in every test. The selector makes the path to the output port from the measurement resource used for the test.

Enable Gate Control

This check box is used to enable/disable the Gate path of the N1265A. If this box is checked, the Gate path can be used.

Gate Control

SMU

Specifies the module (MCSMU or HCSMU) connected to the Gate port of the N1265A. For the port which no module is connected, blank the entry field. Built-in series resistor can be connected to the Gate path. To connect the series resistor, set the Resistor field.

Resistor

Specifies the resistance of the built-in series resistors for the Gate path. If the series resistor is not used, select 0 ohm.

Thermometer

Channel 1

Enables/disables the thermometer channel 1.

Channel 2

Enables/disables the thermometer channel 2.

Interval

Specifies the interval of the temperature measurement. During executing any classic test, the temperature is not measured regardless of this setting.

Format

Specifies the record format of the temperature data. The data is recorded by adding to the end of the Device ID string. Variables {0} for the channel 1 temperature, {1} for the channel 2 temperature, and {2} for the difference between {0} and {1} are available for setting the format.

Initial setting: T1={0}, T2={1}, T1-T2={2} deg C

You can use the measurement temperature values as the repeat measurement condition. See "Repeat Measurement Setup".

Auto Detection

This check box is used to enable/disable the automatic detection of the N1265A. If this box is checked, the automatic detection is performed when EasyEXPERT is launched.

Status

Shows one of the following status.

Not Detected

N1265A has not been detected yet.

Communication Established

Normal status. N1265A can be used.

Communication Lost

Once the N1265A was detected. However the communication has been broken now.

Diagnosis

Effective when the Enable Ultra High Current Unit check box, the Enable Selector check box, or/and the Enable Gate Control check box is checked.

The Start button starts the diagnosis for the N1265A. Dialog box will be opened to navigate you the cable connection during the diagnosis. The Status shows the execution result.

Apply button

This button applies the setting.

Note: Before starting diagnosis

If the N1266A expander is connected between the HVSMU and the N1265A, disconnect the N1266A. And connect the cable from the HVSMU Force terminal to the N1265A Selector Input HVSMU terminal.


HVSMU Current Expander

Only for the B1505A. This tab screen is used to set the N1266A HVSMU current expander. The N1266A can be controlled by the B1505A via the Digital I/O connector.

Enable High Voltage Medium Current Unit

This check box is used to enable/disable the high voltage medium current unit (HVMCU). If this box is checked, HVMCU can be used.

Input/Control

Specifies the HVSMU and the modules used for controlling the HVMCU. For the port which no module is connected, blank the entry field.

HVSMU

Specifies the HVSMU connected to the HVSMU input port of the N1266A..

Voltage Control SMU

Specifies the module (MCSMU or HCSMU) connected to the V Control port of the N1266A. The SMU channel set to this field is assigned to the HVMCU and is used to indicate the HVMCU.

Current Control SMU

Specifies the module (MCSMU or HCSMU) connected to the I Control port of the N1266A.

Self Test

Effective only when the Enable High Voltage Medium Current Unit check box is checked.

The Start button starts the self-test for the N1266A. Measurement terminals must be opened during the self-test. The Status shows the execution result.

Output

Enable Series Resistor (100 kohm) for HVSMU

This check box is used to connect/disconnect the built-in series resistor (100 kW) on the HVSMU direct path. If this box is checked, the series resistor is connected.

Default

Specifies the input-to-output connection status (HVSMU, HVMCU, or blank) in the normal state. The N1266A makes the path to the output port from the input port specified by the Default field. If this field is a blank, the High output port is open.

When a measurement is performed, the N1266A performs automatic switching in every test. The N1266A makes the path to the output port from the measurement resource used for the test.

The connection status is indicated by the Status indicator mounted on the N1266A. See Table 1.

Auto Detection

This check box is used to enable/disable the N1266A automatic detection. If this box is checked, the automatic detection is performed when EasyEXPERT is launched.

Status

Shows one of the following status.

Not Detected

N1266A has not been detected yet.

Communication Established

Normal status. N1266A can be used.

Communication Lost

Once the N1266A was detected. However the communication has been broken now.

Apply button

This button applies the setting.

Table 1 N1266A Status Indicator and Input-to-Output Connection Path

Status indicator | Input-to-output connectionA of output terminals
 | Low | High
(off) | GNDU Force and Sense | Open
HVMCU |  | HVMCU High
HVSMU |  | HVSMU Force
 |  | HVSMU Force + Series resistor

AIn the normal state, the N1266A makes the path to the output port from the input port specified by the Default field. When a measurement is performed, the N1266A performs automatic switching in every test. The N1266A makes the path to the output port from the measurement resource used for the test.


UHV Expander

Only for the B1505A. This tab screen is used to set the N1268A ultra high voltage expander. The N1268A can be controlled by the B1505A via the Digital I/O connector.

Enable Ultra High Voltage Unit

This check box is used to enable/disable the ultra high voltage unit (UHVU). If this box is checked, UHVU can be used.

Control

Specifies the modules used for controlling the UHVU. For the port which no module is connected, blank the entry field.

Voltage Control SMU

Specifies the module (MCSMU or HCSMU) connected to the V Control port of the N1268A. The SMU channel set to this field is assigned to the UHVU and is used to indicate the UHVU.

Current Control SMU

Specifies the module (MCSMU) connected to the I Control port of the N1268A.

Auto Detection

This check box is used to enable/disable the N1268A automatic detection. If this box is checked, the automatic detection is performed when EasyEXPERT is launched.

Status

Shows one of the following status.

Not Detected

N1268A has not been detected yet.

Communication Established

Normal status. N1268A can be used.

Communication Lost

Once the N1268A was detected. However the communication has been broken now.

Diagnosis

Effective when the Enable Ultra High Voltage Unit check box is checked.

The Start button starts the diagnosis for the N1268A. Dialog box will be opened to navigate you the cable connection during the diagnosis. The Status shows the execution result.

Apply button

This button applies the setting.


DeviceCapSelector

Device Capacitance Selector

For the B1506A/B1507A. This tab screen is used to set the device capacitance selector. The selector can be controlled by the B1506A/B1507A via the Digital I/O connector.

Enable Device Capacitance Selector

This check box is used to enable/disable the device capacitance selector. If this box is checked, the selector can be used.

Input

MFCMU

Specifies the MFCMU connected to the selector.

HVSMU

Specifies the HVSMU connected to the selector.

SMU

Specifies the MPSMU connected to the selector.

Auto Detection

This check box is used to enable/disable the automatic detection of the selector. If this box is checked, the automatic detection is performed when Workspace is loaded.

Status

Shows one of the following status.

Not Detected

Selector has not been detected yet.

Communication Established

Normal status. Selector can be used.

Communication Lost

Once the selector was detected. However the communication has been broken now.

Diagnosis

Effective when the Enable Device Capacitance Selector check box is checked.

The Start button starts the diagnosis for the selector. Dialog box will be opened to navigate you the cable connection during the diagnosis. The Status shows the execution result.

Apply button

This button applies the setting.


Gate Charge Adapter

For the B1506A/B1507A. This tab screen is used for the gate charge measurement settings.

Adapter

Selects the adapter to use.

  • N1259A Opt014

  • N1265A Opt014

  • N1274A

  • N1275A

  • B1506A OptF14

Input

Specifies the measurement units for gate charge measurement.

Gate | Specifies MCSMU to drive the gate of DUT.
HVSMU | Specifies HVSMU for high voltage gate charge measurement.
UHCU/HCSMU | Specifies UHCU/HCSMU for high current gate charge measurement.
Current Load Control | Specifies MCSMU to drive the gate of constant current load for high current gate charge measurement.

Default Path

For the N1274A. Specifies the N1274A measurement path in the idle state.

Open | Open. Output of N1274A is open.
IV | IV measurement path. IV measurement path through the N1274A IV measurement path can be performed by Classic Test or Tracer Test.

Calibration

Performs the open/short correction for the selected adapter or selects the correction /compensation data for the adapter.

File Path | Shows the file path for the correction/compensation data file to apply.
Select Calibration Data... | Selects the correction/compensation data file to apply.
Select Factory Default | Selects the default correction/compensation data to apply.
Start Calibration... | Opens the Gate Charge Calibration dialog box to get the correction/compensation data for the adapter. The following functions can be performed on the Gate Charge Calibration dialog box.
 | Start | Starts the calibrations to get the open correction/compensation data and short correction/compensation data. You can skip each calibration. If you skip a calibration, the correction/compensation data that has been loaded is applied.
 | Save and Apply | Saves the measured correction/compensation data to the file with the specified file name and applies it.
 | Close | Close the dialog box.
Residual Resistance | Show the residual resistance value of the DUT gate driver path for short correction/compensation. If N1265A Opt014/B1506A OptF14, shows the resistance values of every DUT gate drive path.
Parasitic Capacitance | Shows the parasitic capacity for the open correction/compensation. Shows the parastic capacities of every current ranges of MCSMU to drive DUT gate.

Apply

This button applies the setting.


SMU Output Setting Limits

Only for the B1505A. This screen is used to set the upper limit of the SMU output value and compliance value.

Voltage Setting Limit

Sets the upper limit of the voltage output value and compliance value. Effective value: 200 V to 10 kV, in 100 V step.

Current Setting Limit

Sets the upper limit of the current output value and compliance value. Effective value: 1 A to 1500 A, in 1 A step.

Apply

This button applies the setting.


Event Log

The event log tab screen displays the event log.

Date/Time

Displays date and time of the event.

Message

Event message

ID

Process ID of the event

Process

Process name

User

User name. Windows login name.

Host

Host name of the B1500

Refresh

Refreshes the event log.


Extended Configuration

Not available for the B1505A. This dialog box opens by clicking the Extended Configuration button in the Configuration window’s Switching Matrix screen and closes by clicking the Close button.

Save as Hardware Profile

Switching matrix hardware configuration can be saved as the hardware profile.

Save

Saves the present hardware profile.

The hardware profile can be made for each workspace individually.

CMU Compensation

Selects the compensation mode of the capacitance measurement using the switching matrix. Click one of the radio buttons, No Compensation, Select, and User Compensation Data File. For the capacitance compensation, see “Capacitance Compensation When Using Switching Matrix”.

  • No Compensation

Select this radio button if you do not need the capacitance compensation. The raw data without compensation is displayed and saved.

  • B2200A/B2201A (standard)

The following setup is available for the B2200A/B2201A hardware profile.

  • Select

Select this radio button to perform the capacitance compensation for the path from the B2200A/B2201A input ports to Keysight 16495F/G connector plate or Keysight B2220A probe card interface. The data after compensation is displayed and saved.

DUT I/F

Specifies the model number of the path you use. The selections are the 16495F/G and B2220A.

Cable

Specifies the model number of the cable from the B2200A output to the DUT I/F. The selections are the 16494A/B/C-001 (1.5 m) / 002 (3 m) / 005 (4 m).

This mode cannot perform the capacitance compensation for the cables to positioner/manipulator or the probe card.

  • User Compensation Data File

Select this radio button and specify the compensation data file to perform the capacitance compensation for the path from the B2200A/B2201A input ports to the end of positioner/manipulator/probe card. See “To Create Compensation Data File”. The data after compensation is displayed and saved.

  • E5250A (option)

The following setup is available for the E5250A hardware profile.

  • User Compensation Data File

Select this radio button and specify the compensation data file to perform the capacitance compensation for the path from the E5250A input ports to the end of positioner/manipulator/probe card. See “To Create Compensation Data File”. The data after compensation is displayed and saved.

Clear

Clears the User Compensation Data File field.

Triaxial Cable

Enter the length of the 16494A triaxial cable connected between the E5250A outputs to the connector plate.

User Triaxial Cable

Enter the length of the triaxial cable between the connector plate and the DUT. Enter 0 if the triaxial cable is not used.

User Coaxial Cable

Enter the length of the coaxial cable between the connector plate and the DUT. Enter 0 if the coaxial cable is not used.

Close

Closes the Extended Configuration dialog box.


Switching Matrix Operation Panel

Not available for the B1505A. The Switching Matrix Operation Panel is opened by clicking the Switching Matrix button, and is used to create the switch setup for Keysight B2200A/B2201A/E5250A switching matrix, send the setup to the switching matrix, and so on. The switch setup can be saved to the switch setup preset group. This group is different from the preset group for test setups.

Switch Setup

This area is used to create the switching matrix switch setup. You can create the setup by clicking the Input-Output cross point. The switch setup can be sent to the switching matrix by clicking the Apply Switch Setup button.

Color of cross point | Switch setup
green | close
gray | open

Setup Name

Name of switch setup

Clear All

Sets all cross point open.

Input

Shows the switching matrix input port and the measurement resource connected to it. This information is set in the “Configuration Window”.

Label

Shows the label set to the measurement resource. The label is set in the application test definition or the classic test setup.

ALL

Checking this box sets all of this line to close.

Unchecking this box sets all of this line to open.

This box is gray and have a check when a cross point in this line is set to close.

Output

Output channels 1 to 12, 24, 36, or 48. Available numbers depend on the number of the matrix cards installed in the switching matrix. The field below the channel number is used to enter the label for the output channel.

Export to Current My Favorite Group

This button converts the switch setup to the switching matrix setup data format of the classic test, and saves it to the present My Favorite Setup group.

Apply Switch Setup

This button sends the switch setup to the switching matrix.

Read Switch Setup

This button reads the switch setup from the switching matrix.

Open All

This button opens all relays on the switching matrix.

Preset List

The switch setups you create MUST be saved to the preset group to reuse them.

Click the Preset List button to display the menu that provides the following functions. Select the preset group by using the field below the button. The switch setups can be recalled by using the area below the field.

Cancel

Closes the menu.

Preset Group

Provides the following three functions.

Add New Preset Group

Opens the Add Preset Group dialog box. Creates a new preset group and saves it as the specified name.

Rename This Preset Group

Opens the Rename Preset Group dialog box. You can change the name of the selected preset group.

Duplicate This Preset Group

Opens the Duplicate Preset Group dialog box. Creates a copy of the present preset group and saves it as the specified name.

Delete This Preset Group

You can delete the selected preset group.

Organize Preset Group...

Opens the Organize Preset Group dialog box used to organize the preset group. See “Organize Preset Group”.

Rename

You can change the name of the selected switch setup.

Duplicate

Creates a copy of the selected switch setup.

Delete

Deletes the selected switch setup.

Delete All

Deletes all switch setups in the present preset group.

Save

The button saves the present switch setup into the present preset group as a new setup of the group.

Recall

The button recalls the selected switch setup. This means opening and displaying the definition of the selected switch setup.


Standby Channel Definition

The Standby Channel Definition window is opened by clicking the Standby button, and is used to define the standby channels and set the standby mode. See “Standby Function”.

The standby channel is the channel for maintaining specified output when the standby mode is ON and in the non-measurement state. The standby channels will be in the standby state, while the other channels will be in the idle state which is 0 V output and 100 uA compliance. When the standby mode is OFF and in the non-measurement state, all channels will be in the idle state.

Standby Channel Control

This area provides the following button.

Standby ON/OFF

Sets the standby mode ON or OFF.

Standby Channel Definition

This area defines the standby channels. The standby channels will start to output in order, from the top to bottom, as listed in this area. The order of bias stop is bottom to top.

Standby

Check the check box to specify the standby channel.

The radio button is used to select the channel setup available for the Up/Down button.

Unit

SMU or UHVU used for the standby output. To specify the measurement resource connected to the selector (N1258A, N1259A-300, N1265A) or N1266A expander, the channel must be set to the Default output in the Configuration window.

Standby channel cannot be set for the SMU connected to the ASU which makes the path to the AUX port.

Mode

Output mode, V (voltage) or I (current)

Source

Standby channel output value, in V or A

Compliance

Compliance value, in A or V. Enter the current limit value for the voltage source, or the voltage limit value for the current source.

Up

Moves the selected channel setup upward. To select a channel setup, use the radio button on the left.

Down

Moves the selected channel setup downward.


Data Display Window

Data Display

The Data Display window is opened by clicking the Data Display button, and is used to display measurement data and analyze the data.

  • “Data Display GUI”

  • “Display Setup”

  • “Graph Properties”

  • “List Display Properties”

  • “Tool Bar”

  • “Data Status”

  • “Setup Summary”

  • “Miscellaneous Operations”

About Display Mode

The Data Display window provides two display mode Overwrite and Append.

In Overwrite mode [image], the “Display Data” function opens a new Data Display window and displays data.

In Append mode [image], the “Display Data” function creates a new display layer on the present Data Display window and displays data.

Append Measurement

After the Append measurement [image], you will see tabs between the tool bar and the graph plot area. The tabs are used to select the display layer for data display and analysis operation. The Data Display window can have maximum 10 display layers.

Multi Display Function

In the Multi Display OFF status [image], the test result data will be always displayed on the singular Data Display window even if the test setup is changed.

In the Multi Display ON status [image] , the test result data of the same test setup name will be displayed on the exclusive Data Display window and the test result data of the different test setup name will be displayed on the new Data Display window.

Note:

The settings on the Display Setup are applied to the X-Y Graph on the Data Display window. The X-Y Graph can handle one X data on the X axis and up to eight Y data on the Y axis.

Define the X axis carefully when plotting Multi Channel I/V Sweep measurement results that may contain data measured by multiple VAR1 channels, as the result may contain multiple X data that can be selected for the X axis.

The Display Setup must be set properly to match the X axis data and the X data of the plot to be displayed.


Data Display GUI

Setup Name

This field just displays the name of the test setup used to get this test record.

X-Y Graph Plot

This area displays the measurement result graph, traces, marker, cursor, and lines. The Properties button opens “Graph Properties”.

Parameters

This area lists the user-defined output parameters if the output parameters are set.

List Display

This area displays the measurement result data list. The Properties button opens “List Display Properties”.

pin

The Data Display window can keep up to 10 display layers. And the earliest layer over 10 will be automatically deleted. This button is available when the window keeps at least two layers. If this button shows the standing pin, the layer will be kept. If this button shows the laid pin, the layer can be deleted.

Double clicking the tab gives the same result as this button.

X

This button closes the selected display layer.

Menu

Menu

Description
File | Close | Closes the selected display layer.
Close All | Closes all display layers.
Update | Stores the information of the scale and the analysis tools.
Delete | Deletes the present display data or the selected display layer.
Save Image... | Opens the Save Image As... dialog box used to specify the file name of the graph image to save. Available data formats are the BMP, EMF, GIF, and PNG.
Page Setup... | Opens the Page Setup dialog box used to set the print page.
Print Preview

Opens the Print Preview dialog box used to specify Print Range/Data to print/Scaling of the graph image to display. Clicking the Preview button opens the Print preview window.

  • Print Range sets Whole Data Display window or Graph Only.

  • Data to print sets Current Data Display window only or All Data Display windows now opened.

  • Scaling sets Adjust To the specified percent of the normal size or Fit To Page (automatic adjustment).
Print... | Opens the Print dialog box used to specify Print Range/Data to print/Scaling (see Print Preview) of the graph image to print. Clicking the Next button opens another Print dialog box used to select the printer, print range, and number of copies, and start print.
Export to Excel | Exports the graph image, the list data, and/or the parameter data to Microsoft Excel directly.
Exit | Closes the Data Display window.
Edit | Copy Image | Copies the graph image as BMP and EMF into the clipboard.
Copy List | Copies the list data as CSV.
Copy Parameters | Copies the parameter data as CSV.
Setup | Display... | Opens "Display Setup"
Analysis... | Opens "Analysis Setup". It is same with "Auto Analysis Setup" in Classic Test Definition.
Preference | Graph... | Opens “Graph Preference”.
List... | Opens “List Display Preference”.
View | Graph | Displays or hides the X-Y Graph Plot area.
List | Displays or hides the List Display area.
Parameters | Displays or hides the Parameters area.
Legend | Displays or hides the graph legend below the plot area.
Line Information | Displays or hides the line information (X-intercept, Y-intercept, gradient) in the plot area.
Secondary Sweep Labels | Off | Controls the secondary sweep labels.
Adjacent
Adjacent, Pointing Line
Adjacent, Merge
Adjacent, Merge, Pointing Line
Line Up, Pointing Line
Preview | Opens “Preview Window” and “Preview Settings”.
Append | Enables or disables append mode.
Icons | Window | Controls the tool bar icon status.
View
Scaling
Marker
Line
Setting
Y Axes
X Axis
Reset to Default
Zoom | Target Axis | All Y Axes | Set zooming operation target to all Y axes.
Active Y Axis | Set zooming operation target to the active Y axis only.
Auto Scale | All Y Axes | Set auto-scaling operation target to all Y axes.
Active Y Axis | Set auto-scaling operation target to the active Y axis only.
Run Time Auto Scale | X Axis | Enables or disables run-time auto-scaling for X Axis.
Y Axes | Y1~ Y8 | Enables or disables run-time auto-scaling for Yn Axis.
Enable All | Enables run-time auto-scaling for all Y Axes.
Disable All | Disables run-time auto-scaling for all Y Axes.
Cancel Scaling | Cancels the last scaling operation.
Cancel All Scaling | Cancels all scaling operations.
Undo Scaling | Cancels the last scaling operation.
Redo Scaling | Restores the last scaling operation.
Axis | Active Y Axis | Y1 ~ Y8 | Sets the active Y Axis to Yn.
X Axis | Direction | Sets Y Axis direction.
Scale Type | Sets Y Axis scaling type.
Polarity | Sets Y Axis polarity.
Y Axis | Direction | Sets X Axis direction.

Scale Type

 Sets X Axis scaling type.
Polarity | Sets X Axis polarity.
Marker | Enable | Enables or disables the marker.
Interpolation | Enables or disables the interpolation function of measurement data. You can read the interpolation data between two actual measurement points.
Skip | Moves the marker to the next measurement curve that is added by the VAR2 variable.
Go To Maximum | Moves the marker to the maximum value point.
Go To Minimum | Moves the marker to the minimum value point.
Go To... | Opens the Direct Marker/Cursor dialog box used to specify the coordinate values to move the marker.
Cursor | Enable | Enables or disables the cursor.
Go To Marker | Moves the cursor to the marker position.
Go To... | Opens the Direct Marker/Cursor dialog box used to specify the coordinate values to move the cursor.
Line | Enable 1 | Enables or disables line 1.
Enable 2 | Enables or disables line 2.
Mode | Normal | Selects the line mode: normal, gradient, tangent, regression, or fix. See “To Draw a Line”.
Gradient
Tangent
Regression
Fix
Adjust Gradient | Available when a gradient line is active. Checking this function enables the rotary knob and the mouse wheel to increase/decrease the gradient of the line. Unchecking this function, clicking the rotary knob, or clicking the mouse wheel disables this function.
Gradient... | Opens the Gradient Value dialog box used to specify the gradient value of the gradient line.
Text | New... | Opens the text editor for adding a new text. (Maximum 20)
Edit Mode... | Edits the selected text.
Size | Largest | Sets the font size of the selected text(s). The available setting values are Largest, Large, Medium, Small, Smallest, and Fixed Point (6, 7, 8, 9, 10, 11, 12, 14, 16, 18, or 20). For settings other than Fixed Point, an appropriate size will automatically be applied. For Fixed Point, the specified font size will always be applied.
Large
Medium
Small
Smallest
Fixed Point | 6 ~ 20
Font | (Font Name) | Sets the font of the selected text(s).
Text Color | (Color) | Sets the text color of the selected text(s). Click Customize to open the color palette.
Background Color | (Color) | Sets the background color of the selected text(s). Click Customize to open the color palette.
Hide/Show Frame | Hides or shows the frame for the selected text(s).
Delete | Deletes the selected text(s).
Hide/Show All | Hides or shows all texts.
Delete All | Deletes all texts.
Pointer | New | This function is enabled when the marker is ON. Adds a new pointer at the position of the active marker. (Maximum 30)
Shape | (Shape) | Sets the shape of the selected pointer(s).
Description | Shows or hides all descriptions (pointer ID and X-Y coordinate values) of the pointers.
Show/Hide All | Hides or shows all pointers.
Delete | Deletes the selected pointer(s).
Delete All | Deletes all pointers.
Window | Tiling | Tiles all Data Display windows on the screen.
Stacking | Stacks all Data Display windows on the screen.
Overlaying | Overlays all Data Display windows on the screen. Then the position, window size, and visibility of the most front window are applied to all windows on the screen. The background of the X-Y Graph area is cleared except for the most back window.
Help | Contents... | Opens the EasyEXPERT help window.


Display Setup

This setup screen is displayed by selecting View > Display Setup..., and is used to select the data displayed in the Data Display window.

X-Y Graph

Selects the data to be displayed in the X-Y Graph Plot area. The X and Y1 to Y8 axes can be set.

Item

Description
Name Specifies the parameter for the axis.
Sharing

Specifies the group for sharing the Y axis scale. Select from Group 1, Group 2, Group 3, Group 4, or None (no grouping).

The Scale, Min, and Max values are shared by the Y axes in the same group. The scale set by Run Time Auto Scale, Auto Scale, Zoom in, and/or Zoom out are also shared.

If another layer on the Data Display window contains an X-Y trace which has the same name for both its grouped Y parameter and its X parameter, the scaling will also be shared by this X-Y trace.
Scale

Scale of the axis, Linear or Log.
Min

Minimum value of the axis.
Max

Maximum value of the axis.
Auto

Enables or disables run-time auto-scaling.
Add

Adds a parameter (or axis).
Delete

Deletes the parameter selected with the radio button on the left.
Up

Moves the selected parameter upward.
Down

Moves the selected parameter downward.

List Display, Parameters

Selects the data displayed in the List Display area or the Parameters area. Up to 20 parameters can be set for each area.

Item | Description
(Parameter) | Specifies the parameter for the data output.
Add | Adds a row for the parameter.
Delete | Deletes the parameter selected by the left radio button.
Up | Moves the selected parameter upward.
Down | Moves the selected parameter downward.


Graph Properties

Graph Preference

This dialog box is opened by clicking the [Preference] - [Edit...] menu in the X-Y Graph Plot area or by selecting [Edit] - [Preference] - [Graph...], and is used to set the graph plot area. Click the OK button to apply the setup and close this dialog box.

Use Preset Graph Colors

Select the color set from "Standard", "Tracer Test", "Grayscale", or "Customized".

Reset to Factory Default

Reset all properties to the factory default.

Reset to Default

Reset all properties to the default. The default properties can be set on Data Display.

Color and Style

Item | Description
Background | Select the background color.
Text | Select the text color.
Grid | Select the color and style for grid lines.
Line/Cursor | Select the color and style for lines and cursors.
VAR2 Label | Select the secondary sweep labels' color and their location.

Graph Trace Color

Select the status, color, style and thickness for each Y-Axis.

To enable color changing for append measurement, check "Change Line Color with Append Measurement" check box and select the color.

Format

Item | Description
Maximum decades to show minor ticks | Set the number of maximum decades to show minor ticks.
Grid Rule (Linear) | Select number of grid lines (decades).
Analytic Values' Display Format | Select the format and the number of digits for cursor, marker, and intercept values.

Text Size

Item | Description
X/Y Axis Title | Select the text size for X/Y axis title strings.
Scale | Select the text size for scale labels.
Legend | Select the text size for legend strings.

Options

Option | Description
Setup Name | Displays the Setup Name to the top-left corner.
Keysight Logo | Displays the Keysight logo to the top-left corner.
Grid | Displays grid lines.
Marker Guide Line | Displays guide lines for marker selection.
Active Side Indicator | Displays active side indicator line.
All Subscale Values | Displays all sub-scale values.
Unit Symbols | Displays unit symbols to scale values.
Secondary Sweep Labels | Displays secondary sweep labels to each sweep result.
Device ID | Displays the Device ID to the bottom.
Setup Summary | Displays the Setup Summary to the bottom. See “Setup Summary”.
Parameters | Displays the Parameters to the left.
Always on Top | Displays the Data Display to the top.


List Display Properties

List Display Preference

This dialog box is opened by clicking the [Preference] - [Edit...] menu in the List Display area or by selecting [Edit] - [Preference] - [List...], and is used to set the data display format in the List Display area. Click the OK button to apply the setup and close this dialog box.

Item

Description
Display | Data Status | Adds or removes the status code before data.
Physical Unit | Adds or removes the physical unit after data.
Number Format

Selects the data display format from the following formats.

  • Engineering Format (Example: -1.2345 mA)

Data display with arithmetic point, SI prefix, and unit.

  • Scientific Notation (Example: -1.23456789012345E-003 A)

Data display with arithmetic point, exponential part (E, +/- sign, and three-digit number), and unit.


Tool Bar

The Data Display window provides the 29 icons on the tool bar. You will see the following icons from left to right in the Data Display window.

Switch Display Mode

This icon switches the display mode.

In Overwrite mode, the “Display Data” function opens a new Data Display window and displays data.

In Append mode, the “Display Data” function creates a new display layer on the present Data Display window and displays data.

Close All Displays

This icon closes all display layers.

Show X-Y Graph

This icon displays or hides the X-Y Graph Plot area.

Show List Display

This icon displays or hides the List Display area.

Show Parameters

This icon displays or hides the Parameters area.

Choose Active Y-axis

This icon selects the Y-axis that is effective for the marker control and the auto scale.

Show Graph Legend

This icon displays or hides the graph legend below the plot area.

Show Line Information

This icon displays or hides the line information (X-intercept, Y-intercept, gradient) in the plot area.

Change Zoom Target Axis

This icon sets zooming target axis to all Y axes or the active Y axis.

Auto Scale

This icon will change the graph scale automatically to fit the trace in the graph.

The right arrow button opens the menu for enabling or disabling the run time auto scaling. This function is set independently for the X and Y axes. If this function is enabled, the graph scale will be changed automatically to fit the trace in the graph during the measurement.

If multiple layers are opened on the Data Display window, the scale change is applied to all layers. This means that the X-Y graph scale will be shared by all display layers. The auto scaling is performed as follows.

1. Graph scale is optimized for the data on the selected layer (top layer).

2. The graph scale is applied to the graph in all layers.

Note that the auto scaling is performed independently for the left and right Y axes individually.

There is also a function for resetting the graph scale. Click [Zoom] - [Cancel All Scaling].

Zoom In

Selecting a region by click and drag performs zoom-in operation.

Undo Zooming

This icon cancels the last zooming operation.

Redo Zooming

This icon restores the last zooming operation.

Marker ON/OFF

This icon enables or disables the marker.

Interpolation ON/OFF

This icon enables or disables the interpolation function of measurement data. You can read the interpolation data between two actual measurement points.

Marker Skip

This icon moves the marker to the next measurement curve that is added by the VAR2 variable.

Marker Maximum

This icon moves the marker to the maximum measurement point.

Marker Minimum

This icon moves the marker to the minimum measurement point.

Marker Search...

This icon opens the Direct Marker/Cursor dialog box used to specify the coordinate values to move the marker.

Line 1 State

This icon enables or disables line 1 and its function: normal, gradient, tangent, regression, or fix.

Line 2 State

This icon enables or disables line 2 and its function: normal, gradient, tangent, regression, or fix.

Cursor to Marker

This icon moves the cursor to the marker position.

Adjust Gradient

This icon is available when a regression line is active. Clicking this icon enables the rotary knob and the mouse wheel to increase/decrease the gradient of the line. Clicking this icon again, pressing the rotary knob, or pressing the mouse wheel disables this function.

Display Setup...

This icon opens “Display Setup”.

Y-axis direction

This icon is used to set the Y-axis direction (up/down), variable, scaling (linear or logarithmic), and polarity (plus, minus, or both).

X-axis direction

This icon is used to set the X-axis direction (up/down), variable, scaling (linear or logarithmic), and polarity (plus, minus, or both).


Data Status

If measurement unit detects any status while measurement, the status code is recorded with the measurement data. And the status code will be displayed in the Data Display window as shown in the following example.

Example

  • X-Y Graph Plot area

MARKER( 5.9000000 C 1.82520000 XV 3.33249E-3 )

This line will be displayed at the top of the plot area when marker is ON. The marker is used to read data of the marker point.

  • List Display area

Status Code

Status Code |  | Description
SMU | C | Compliance
 | T | Other channel compliance
 | X | Oscillation
 | V | Overflow
CMU | U | Unbalance
 | D | I/V amp saturation
 | V | Overflow


Setup Summary

This function is effective for the I/V Sweep and Multi Channel I/V Sweep classic tests. If the Setup Summary ON is set on the Graph Properties dialog box or the Data Display Properties dialog box, the channel setup summary information shown below is displayed at the bottom of the graph area.

The setup for one channel is displayed with one line as follows. Where, the items in {} are the setting values.

VAR1 Channel

For the voltage output channel:

{V Name}: [{Start}, {Stop}] V / {No of Step}; {I Name}: {Compliance} A; {Pwr Comp} W

For the current output channel:

{I Name}: [{Start}, {Stop}] A / {No of Step}; {V Name}: {Compliance} V; {Pwr Comp} W

Example: VDS: [0, 10] V / 101; ID: 1 A; 1 W

VAR2 Channel

For the voltage output channel:

{V Name}: [{Start}, {Stop}] V / {Step} V; {I Name}: {Compliance} A; {Pwr Comp} W

For the current output channel:

{I Name}: [{Start}, {Stop}] A / {Step} A; {V Name}: {Compliance} V; {Pwr Comp} W

Example: VGS: [0, 5] V / 1 V; ID: 1 mA; 1 mW

Constant Channel

For the voltage output channel:

{V Name}: {Source} V; {I Name}: {Compliance} A

For the current output channel:

{I Name}: {Source} A; {V Name}: {Compliance} V

For the common channel:

{V Name}: COMMON

Example: VSUB: -1 V; ISUB: 1 mA


Miscellaneous Operations

The following user interfaces provide several miscellaneous functions when you operate the Data Display window.

  • “Mouse/Touch Panel”

  • “Rotary Knob”

  • “Softkeys”

  • “Keyboard”

Mouse/Touch Panel

While the Data Display window is focused, the mouse/touch panel operations shown in Table M-6 are available.

Rotary Knob

The following miscellaneous functions are available by using the rotary knob.

  • Marker movement in the VAR1 direction

While the Data Display window is focused and the marker is displayed on the graph, the rotary knob can be used to move the marker. Rotating the knob fast increases the marker speed.

  • Marker movement in the VAR2 direction

Clicking the knob moves the marker in the VAR2 direction.

  • Slope adjustment of the gradient line

In the slope adjustment mode (Line > Adjust Gradient) for the gradient line, the rotary knob can be used to adjust the slope. Clicking the knob quits this mode.

  • Pointer movement in the VAR1 direction

The rotary knob can be used to move the selected pointer. The pointer can not be moved in the VAR2 direction.

Softkeys

The softkeys can be used for setting the following fields on the Display Setup window.

  • Name (parameter name)

  • Scale (Linear or Log)

Keyboard

While the Data Display window is focused, the key operations shown in Table M-1 are available.

Table M-1 Miscellaneous Key Operations on Data Display Window

Key | Description
F1 | Displays the online help
F2 | Shortcut to [View] - [Graph]
F3 | Shortcut to [View] - [List]
F4 | Shortcut to [View] - [Parameters]
F12 | Shortcut to [View] - [Append]
Ctrl+W | Shortcut to [File] - [Close]
Ctrl+Shift+W | Shortcut to [File] - [Close All]
Ctrl+S | Shortcut to [File] - [Save Image...]
Ctrl+P | Shortcut to [File] - [Print...]
Ctrl+C | Copies selected contents to the clipboard.

While the X-Y Graph (graph display area) is focused, the key operations shown in the following tables are available.

  • Table M-2, “Controlling X-Y Graph.”

  • Table M-3, “Controlling Marker.”

  • Table M-4, “Controlling Cursor.”

  • Table M-5, “Controlling Line.”

Table M-2 Controlling X-Y Graph

Key | Description
Z | Zooms the data graph in the cursor. If the cursor is not displayed, zooms the data graph in the last cursor position or the graph center.
Shift+Z | Zoomthe data graph out the cursor. If the cursor is not displayed, zooms the data graph out the last cursor position or the graph center.
Ctrl+Z | Shortcut to [Zoom] - [Cancel All Scaling]
Y | Changes the active data, Y1 ® Y2 ® ... ® Y8 ® Y1
R | Activates the right Y axis and changes the data set to the axis, Y2 ® Y3 ® ... ® Y8 ® Y2
W | Shortcut to [View] - [Graph Legend]
K | Shortcut to [View] - [Line Information]

Table M-3 Controlling Marker

Key | Description
M | Shortcut to [Marker] - [Enable]
I | Shortcut to [Marker] - [Interpolation]
F | Moves the marker +1 in the VAR1 direction
Shift+F | Moves the marker +10 in the VAR1 direction
B | Moves the marker -1 in the VAR1 direction
Shift+B | Moves the marker -10 in the VAR1 direction
P | Moves the marker +1 in the VAR2 direction
Shift+P | Moves the marker -1 in the VAR2 direction
J | Shortcut to [Marker] - [Go To...]
X | Shortcut to [Marker] - [Go To Maximum]
N | Shortcut to [Marker] - [Go To Minimum]

Note1: Multiply 1/10 if the interpolation is ON.

Table M-4 Controlling Cursor

Key | Description
C | Shortcut to [Cursor] - [Cursor ON/OFF]
T | Shortcut to [Cursor] - [Go To Marker]
á | Moves the cursor +1/1000 in the Y axis direction
Shift+á | Moves the cursor +1/100 in the Y axis direction
à | Moves the cursor +1/1000 in the X axis direction
Shift+ à | Moves the cursor +1/100 in the X axis direction
â | Moves the cursor -1/1000 in the Y axis direction
Shift+ â | Moves the cursor -1/100 in the Y axis direction
ß | Moves the cursor -1/1000 in the X axis direction
Shift+ ß | Moves the cursor -1/100 in the X axis direction

Table M-5 Controlling Line

Key | Description
1 | Shortcut to [Line] - [Enable 1]
2 | Shortcut to [Line] - [Enable 2]
V | Changes the active line, Line 1 à Line 2 à Line 1 (available if both line 1 and line 2 are ON)
L | Changes the line mode of the active line, Normal à Gradient à Tangent à Regression à Normal
G | Shortcut to [Line] - [Adjust Gradient]

Note2: 1 and 2 on the numeric pad cannot be used.

Table M-6 Mouse/Touch Panel Operations on Data Display Window

Location | Operation | Description
X-Y Graph | clicking on the left Y axis | Activates the Y1 data.
 | clicking on the right Y axis | Activates the data of the right Y axis, or changes the active data if it is already active.
 | clicking on a plot | Moves the marker to the position of the mouse pointer if the marker is displayed on the graph.
 | clicking on a cursor | Specifies the active cursor if multiple cursors are displayed.
 | dragging a cursor | Moves the cursor.
 | clicking on a line | Specifies the active line if multiple lines are displayed.
 | clicking on a text | Selects the text. Clicking with pressing the Shift key on the keyboard selects multiple texts.
 | dragging a text | Moves the text.
 | clicking on a pointer | Selects the pointer. Clicking with pressing the Shift key on the keyboard selects multiple pointers.
 | clicking on a description of pointer | Selects the description of pointer. Clicking with pressing the Shift key on the key board selects multiple descriptions of pointers.
 | dragging a description of pointer | Moves the description of pointer.
 | rotating the mouse wheel | Moves the marker if the marker is displayed on the graph, moves the pointer if the pointer is selected, or adjusts the slope of the gradient line if it is in the slope adjustment mode ([Line[ - [Adjust Gradient]).
X-Y Graph | clicking the mouse wheel | Same as clicking the rotary knob. This is effective if the mouse properties assign the center button functions to the wheel button.
List Display | dragging a column heading | Moves the column.
 | dragging boundary of the column | Changes the width of the column.
 | clicking on a row in the table | Moves the marker to the corresponding position.
 | moving the scroll bar | Changes the data displayed in the List Display area. Scroll is effective for both portrait and landscape.
 | rotating the mouse wheel | Changes the data displayed in the List Display area.
Others | clicking on a tab under the tool bar | Specifies the display layer for the data display and analysis.
 | double clicking on a tab under the tool bar | Changes the status of the pin marked to the display layer. Standing pin must be marked to the display layer to be kept. Laid pin is marked to the display layer under the automatic delete.
 | dragging boundary of the display area | Adjusts the size of the display area (X-Y Graph, List Display, Parameters) without changing the window size.
 | dragging the frame of the Data Display window | Changes the window size with adjusting the size of the display area (X-Y Graph, List Display, Parameters).

Note3: Tab is displayed if the display mode is Append and the test result record contains the append measurement data.


To Draw a Line

You can draw a line as shown below:

  1. Set Line 1 or Line 2 on.

  2. Select a Line Mode.

  • Normal

A line and two cursors appear. Move cursors to the points where the line passes through.

  • Gradient

A line and a cursor appear. Move cursor to the point where the line passes through. Enable Adjust Gradient function, then increase/decrease the gradient of the line by using the rotary knob or the mouse wheel.

  • Tangent

A line appears. Set the marker on. The tangent line appears on the marker point.

  • Regression

A line and two cursors appear. Move cursors for specifying the measurement data used for the regression calculation. The calculation is executed by using the data included in the square drawn by the extended cross cursor lines. For the subordinate sweep measurement data, specify the data curve by using the marker.

  • Fix

Fixes the line on the graph.

Figure 10 Line Mode


Preview Window

Preview

The Preview window and the Preview Settings dialog box are opened by selecting [View] - [Preview...] in the Data Display window. The Preview Settings dialog box is used to set the graph title, X axis title, Y axis title, and line style. And the Preview window displays a new plot, and is used to output it to the specified printer.

The Data Display window cannot do the above settings and display the new plot.

  • “Preview Window GUI”

  • “Preview Settings”


Preview Window GUI

The Preview window provides the following GUI.

Item | Description
Setup Name | This field just displays the name of the test setup used to get this test record.
X-Y Graph Plot | This area displays the measurement result graph, traces, marker, cursor, and lines.
Parameters | This area lists the user-defined output parameters if the output parameters are set.
List Display | This area displays the measurement result data list.

Menu

Menu

Description
File | Page Setup... | Opens a dialog box used to set the print page.
Print Preview | Opens a dialog box used to specify the data graphs to make previews. After selecting the graphs, previews appear on the Print preview window.
Print... | Opens a dialog box used to specify the print target. After selecting the target, the Print dialog box is opened. The dialog box is used to start print.
Exit | Closes the Preview window.
Edit Copy

While the X-Y Graph Plot area is active, this function copies the graph image as BMP and EMF into the clipboard.

While the line cursor in the List Display area is active, this function copies the data list as CSV.

While the Parameters area is active, this function copies the parameter data as CSV.
Copy Image | Copies the graph image as BMP and EMF into the clipboard.
Copy List | Copies the list data as CSV.
Copy Parameters | Copies the parameter data as CSV.
View | Graph | Displays or hides the X-Y Graph Plot area.
List | Displays or hides the List Display area.
Parameters | Displays or hides the Parameters area.
Setting... | Opens “Preview Settings”.
Help | Contents... | Opens the EasyEXPERT help window.


Preview Settings

The Preview Settings dialog box provides the following GUI.

Item |  | Description
General | Graph Title | Defines the graph title in the Graph Title field. The title will appear at the bottom of the plot area.
X/Y Axis Title | X | Defines the X axis title in the X field and the Y axis title in the Y field, Y1 to Y8. The title will appear near the axis.
 | Y1~Y8
Line Style | Line1, Line2 | Selects the line style for the line 1, line 2, and trace Y1 to Y8.
 | Y1~Y8
Color and Thickness... |  | Opens the Color and Thickness dialog box that provides the same GUI as "Graph Preference".
OK |  | Applies the setup to the Preview window, and closes this dialog box.
Cancel |  | Cancels the setup, and closes this dialog box.
Apply |  | Clears the setup and returns to the default setting.
Reset |  | Reset all parameters.


Text File Export Settings

This dialog box is opened by clicking [Results] - [Export] - [Options] - [Text File Export...] or the Settings button on the Test Results Data Folder Export dialog box or the Test Results Data Auto Export dialog box. This dialog box is used to define the style of the test record exported by the Export As Text File function.

Item |  |  |  | Description
Measurement Data | Measurement data section | Tag information |  |
 |  | Data names |  | Measurement parameter name.
 |  | Data units |  | Unit of measurement data.
 |  | Size |  | Dimension1 (VAR1 size) and Dimension2 (VAR2 size) of the measurement data.
 | Data values | Data assigned to X-Y Graph |  | Data assigned to X-Y Graph
 |  | Data assigned to List Display |  | Data assigned to List Display
 |  | Data assigned to Parameter Display |  | Data assigned to Parameter Display
 |  | User function defined but not displayed |  | User function defined but not displayed
 |  | Analysis function defined but not displayed |  | Analysis function defined but not displayed
 |  | Any data referred to by the user function but not directly displayed |  | Any data referred to by the user function but not directly displayed
 |  | Any data referred to by the analysis function but not directly displayed |  | Any data referred to by the analysis function but not directly displayed
 |  | Data is displayed by two dimensional array. |  | Enables 2-dimensional output for secondary sweep result.
 | Orientation |  |  | Selects data orientation. See Table TX1 and Table TX2.
Identification | Identification Section | Save Type | Save with measurement data | The checked items are recorded in the test record with the measurement data. Default.
 |  |  | Do not save | No item is recorded even if any box is checked.
 |  |  | Save as separate file | The checked items are recorded in a separate file. The name will be the test record’s file name plus -s before the extension.
 |  | Setup title |  | Test setup name
 |  | Classic test name |  | Classic test name. I/V Sweep, Multi Channel I/V Sweep, I/V-t Sampling, C-V Sweep, SPGU Control, Switching Matrix Control, or Direct Control. This record item is exclusive against the “Application test name” record item.
 |  | Application test name |  | Application test name. This record item is exclusive against the “Classic test name” record item.
 |  | Test date |  | Test execution date corresponding to the date part of the RecordTime meta data.
 |  | Test time |  | Test execution time corresponding to the time part of the RecordTime meta data.
 |  | Device ID |  | Device ID corresponding to the TestTarget meta data.
 |  | Count |  | st count corresponding to the IterationIndex meta data.
 |  | Flags |  | Flags set to the test result data, corresponding to the Flag meta data.
 |  | Remarks |  | Remarks set to the test result data, corresponding to the Remarks meta data.
 | Setup data section | Save Type | Save with measurement data | The checked items are recorded in the test record with the measurement data. Default.
 |  |  | Do not save | No item is recorded even if any box is checked.
 |  |  | Save as separate file | The checked items are recorded in a separate file. The name will be the test record’s file name plus -s before the extension.
 |  | Tag information |  |
 |  | Test parameters |  | Test parameters defined by the classic test or the application test.
 |  | DUT parameters |  | DUT parameters defined by the application test.
 |  | Analysis setup |  | Data Display setup status at and after the measurement, such as Graph configuration, Graph format, Graph text, Marker configuration, Cursor configuration, Line configurations, Pointer configuration, List configuration, and Scalar list configuration.
Miscellaneous | Save As | CSV |  | Specifies the delimiter (data separator) and file extension. CSV (comma separated, .csv, default), Text (tab separated, .txt), or Formatted Text (space separated, .prn).
 |  | Text
 |  | Formatted Text
 | Quotation | Single |  | Specifies the quotation for the string values. Single (single quotes), Double (double quotes), or None (no quote, default). Even if None is specified, the string which contains delimiter and/or new line character will be double quoted.
 |  | Double
 |  | None
Reset |  |  |  | Applies the default value to the all setup items.
OK |  |  |  | Defines and memorizes the present setting, and closes this dialog box.
Cancel |  |  |  | Cancels and clears the setting changes, and closes this dialog box.

Table TX1 By Row Orientation Export Example

 | A | B | C | D | E | F
1 | 101 | 101 | 101 | 1 |  |
2 | 1 | 1 | 1 | 1 |  |
3 | Vg | Id | Gm | Vth |  |
4 | V | A | S | V |  |
5 | 0 | 4.55E-09 | 1.24E-10 | 1.23 |  |
6 | 0.02 | 8.59E-09 | 5.25E-10 |  |  |

Table TX2 By Column Orientation Export Example

 | A | B | C | D | E | F
1 | Dimension1 | Dimension2 | Data Name | Data Unit | Data Value | Data Value
2 | 101 | 1 | Vg | V | 0 | 0.02
3 | 101 | 1 | Id | A | 4.55E-09 | 8.59E-09
4 | 101 | 1 | Gm | S | 1.24E-10 | 5.25E-10
5 | 1 | 1 | Vth | V | 1.23 |
6 |  |  |  |  |  |


Excel Data Export Settings

This dialog box is opened by clicking [Results] - [Export] - [Options] - [Excel Export...]. This dialog box is used to define the style of the test record exported by the Export to Excel function.

Item |  |  |  | Description
Measurement Data | Measurement data section | Tag information |  |
 |  | Data names |  | Measurement parameter name.
 |  | Data units |  | Unit of measurement data.
 |  | Size |  | Dimension1 (VAR1 size) and Dimension2 (VAR2 size) of the measurement data.
 | Data values | Data assigned to X-Y Graph |  | Data assigned to X-Y Graph
 |  | Data assigned to List Display |  | Data assigned to List Display
 |  | Data assigned to Parameter Display |  | Data assigned to Parameter Display
 |  | User function defined but not displayed |  | User function defined but not displayed
 |  | Analysis function defined but not displayed |  | Analysis function defined but not displayed
 |  | Any data referred to by the user function but not directly displayed |  | Any data referred to by the user function but not directly displayed
 |  | Any data referred to by the analysis function but not directly displayed |  | Any data referred to by the analysis function but not directly displayed
 |  | Data is displayed by two dimensional array. |  | Enables 2-dimensional output for secondary sweep result.
 | Orientation |  |  | Selects data orientation. See Table TX1 and Table TX2.
Identification | Identification Section | Save Type | Export | The checked items are exported.
 |  |  | Do Not Export | No item is exported even if any box is checked.
 |  | Setup title |  | Test setup name
 |  | Classic test name |  | Classic test name. I/V Sweep, Multi Channel I/V Sweep, I/V-t Sampling, C-V Sweep, SPGU Control, Switching Matrix Control, or Direct Control. This record item is exclusive against the “Application test name” record item.
 |  | Application test name |  | Application test name. This record item is exclusive against the “Classic test name” record item.
 |  | Test date |  | Test execution date corresponding to the date part of the RecordTime meta data.
 |  | Test time |  | Test execution time corresponding to the time part of the RecordTime meta data.
 |  | Device ID |  | Device ID corresponding to the TestTarget meta data.
 |  | Count |  | st count corresponding to the IterationIndex meta data.
 |  | Flags |  | Flags set to the test result data, corresponding to the Flag meta data.
 |  | Remarks |  | Remarks set to the test result data, corresponding to the Remarks meta data.
 | Setup data section | Save Type | Export | The checked items are exported.
 |  |  | Do Not Export | No item is exported even if any box is checked.
 |  | Tag information |  |
 |  | Test parameters |  | Test parameters defined by the classic test or the application test.
 |  | DUT parameters |  | DUT parameters defined by the application test.
 |  | Analysis setup |  | Data Display setup status at and after the measurement, such as Graph configuration, Graph format, Graph text, Marker configuration, Cursor configuration, Line configurations, Pointer configuration, List configuration, and Scalar list configuration.
Worksheet | Auto Export on Measurement | List Display |  | The measurement result is exported as a list.
 |  | Customized Text |  | The measurement result and test information are exported as a customized text list. The format can be customized by Measurement Data tab and seen in preview window.
 | Manual Export on Data Display | List Display |  | The measurement result is exported as a list.
 |  | X-Y Graph |  | The graph is exported.
 |  | Customized Text |  | The measurement result and test information are exported as a customized text list. The format can be customized by Measurement Data tab and seen in preview window.
 | Sheet Name | Device ID |  | Device ID is added to the sheet name.
 |  | Setup Name |  | Setup Name is added to the sheet name.
 |  | Date |  | Date string is added to the sheet name.
 |  | Time |  | Time string is added to the sheet name.
Reset |  |  |  | Applies the default value to the all setup items.
OK |  |  |  | Defines and memorizes the present setting, and closes this dialog box.
Cancel |  |  |  | Cancels and clears the setting changes, and closes this dialog box.

Table TX1 By Row Orientation Export Example

 | A | B | C | D | E | F
1 | 101 | 101 | 101 | 1 |  |
2 | 1 | 1 | 1 | 1 |  |
3 | Vg | Id | Gm | Vth |  |
4 | V | A | S | V |  |
5 | 0 | 4.55E-09 | 1.24E-10 | 1.23 |  |
6 | 0.02 | 8.59E-09 | 5.25E-10 |  |  |

Table TX2 By Column Orientation Export Example

 | A | B | C | D | E | F
1 | Dimension1 | Dimension2 | Data Name | Data Unit | Data Value | Data Value
2 | 101 | 1 | Vg | V | 0 | 0.02
3 | 101 | 1 | Id | A | 4.55E-09 | 8.59E-09
4 | 101 | 1 | Gm | S | 1.24E-10 | 5.25E-10
5 | 1 | 1 | Vth | V | 1.23 |
6 |  |  |  |  |  |


Text File Format

  • “I/V Sweep”

  • “Multi Channel I/V Sweep”

  • “I/V List Sweep”

  • “I/V-t Sampling”

  • “C-V Sweep”

  • “Application Test”


I/V Sweep

Text File Format (I/V Sweep)

Category | Description | Header1 | Header2
Header | Setup Title | Setup title |
Header | Class Test Name | Classic test name |
Header | Test Date | Test date |
Header | Test Time | Test time |
Header | Device ID | Device ID |
Header | Count | Count |
Header | Flags | Flags |
Header | Remarks | Remarks |
Mainframe | Mainframe | Test Parameter | Context.MainFrame
Channel Definition | Unit Type, Array | Test Parameter | Channel.UnitType
Channel Definition | Unit Name, Array | Test Parameter | Channel.Unit
Channel Definition | Current Variable Name, Array | Test Parameter | Channel.IName
Channel Definition | Voltage Variable Name, Array | Test Parameter | Channel.VName
Channel Definition | Source Mode, Array | Test Parameter | Channel.Mode
Channel Definition | Source Function, Array | Test Parameter | Channel.Func
Channel Definition | Index Name | Test Parameter | Channel.Index
Channel Definition | Timestamp Variable Name | Test Parameter | Channel.Time
Measurement Definition | Unit Name, Array | Test Parameter | Measurement.Port.Unit
Measurement Definition | Series Resistor Usage, Array | Test Parameter | Measurement.Port.SeriesResistor
Measurement Definition | Filter Usage, Array | Test Parameter | Measurement.Port.Filter
Measurement Definition | Voltage Compliance, Array | Test Parameter | Measurement.Port.OutputVoltageComparison
Measurement Definition | Sweep Direction | Test Parameter | Measurement.Primary.Locus
Measurement Definition | Sweep Steps Scaling | Test Parameter | Measurement.Primary.Scale
Measurement Definition | Sweep Start Value | Test Parameter | Measurement.Primary.Start
Measurement Definition | Sweep Stop Value | Test Parameter | Measurement.Primary.Stop
Measurement Definition | Number of Sweep Steps | Test Parameter | Measurement.Primary.Step
Measurement Definition | Compliance Value | Test Parameter | Measurement.Primary.Compliance
Measurement Definition | Power Compliance Value | Test Parameter | Measurement.Primary.PowerCompliance
Measurement Definition | Synchronous Sweep Output Offset | Test Parameter | Measurement.Synchronous.Offset
Measurement Definition | Synchronous Sweep Output Ratio | Test Parameter | Measurement.Synchronous.Ratio
Measurement Definition | Synchronous Sweep Compliance Value | Test Parameter | Measurement.Synchronous.Compliance
Measurement Definition | Synchronous Sweep Power Compliance Value | Test Parameter | Measurement.Synchronous.PowerCompliance
Measurement Definition | Sweep Abort Condition | Test Parameter | Measurement.Aborting.Condition
Measurement Definition | Output Value after Measurement | Test Parameter | Measurement.PostOutput.Value
Measurement Definition | Bias Hold after Measurement | Test Parameter | Measurement.PostOutput.Retention
Measurement Definition | Secondary Sweep Start Value | Test Parameter | Measurement.Secondary.Start
Measurement Definition | Number of Secondary Sweep Steps | Test Parameter | Measurement.Secondary.Count
Measurement Definition | Secondary Sweep Step Value | Test Parameter | Measurement.Secondary.Step
Measurement Definition | Secondary Sweep Compliance Value | Test Parameter | Measurement.Secondary.Compliance
Measurement Definition | Secondary Sweep Power Compliance Value | Test Parameter | Measurement.Secondary.PowerCompliance
Measurement Definition | Constant Unit Source Value, Array | Test Parameter | Measurement.Bias.Source
Measurement Definition | Constant Unit Compliance Value, Array | Test Parameter | Measurement.Bias.Compliance
Measurement Definition | Pulse Period | Test Parameter | Measurement.Pulse.Period
Measurement Definition | Pulse Width | Test Parameter | Measurement.Pulse.Duration
Measurement Definition | Pulse Base Value | Test Parameter | Measurement.Pulse.Base
Measurement Definition | Monitor Unit, Array | Test Parameter | Measurement.Monitor.Unit
Measurement Definition | Monitor A/D Converter, Array | Test Parameter | Measurement.Monitor.Adc
Measurement Definition | Monitor Selection, Array | Test Parameter | Measurement.Monitor.Measurement
Measurement Definition | Sweep Hold Time | Test Parameter | Measurement.Timing.Hold
Measurement Definition | Sweep Delay Time | Test Parameter | Measurement.Timing.Delay
Measurement Definition | High Speed A/D Converter Mode | Test Parameter | Measurement.Adc.HighSpeed.Mode
Measurement Definition | High Speed A/D Converter Factor | Test Parameter | Measurement.Adc.HighSpeed.Coeff
Measurement Definition | High Resolution A/D Converter Auto-Zero | Test Parameter | Measurement.Adc.HighResolution.AutoZero
Measurement Definition | High Resolution A/D Converter Mode | Test Parameter | Measurement.Adc.HighResolution.Mode
Measurement Definition | High Resolution A/D Converter Factor | Test Parameter | Measurement.Adc.HighResolution.Coeff
Measurement Definition | Output Wait Control Factor | Test Parameter | Measurement.WaitTime.Source.Coeff
Measurement Definition | Output Wait Control Offset | Test Parameter | Measurement.WaitTime.Source.Offset
Measurement Definition | Measurement Wait Control Factor | Test Parameter | Measurement.WaitTime.Monitor.Coeff
Measurement Definition | Measurement Wait Control Offset | Test Parameter | Measurement.WaitTime.Monitor.Offset
Function Definition | User Function Name, Array | Test Parameter | Function.User.Name
Function Definition | User Function Unit Name, Array | Test Parameter | Function.User.Unit
Function Definition | User Function Definition, Array | Test Parameter | Function.User.Definition
Function Definition | Analysis Function Name, Array | Test Parameter | Function.Analysis.Name
Function Definition | Analysis Function Unit Name, Array | Test Parameter | Function.Analysis.Unit
Function Definition | Analysis Function Definition, Array | Test Parameter | Function.Analysis.Definition
Display Setup | Graph Status | Test Parameter | Output.Graph.Enabled
Display Setup | Run Time Auto Scaling (To be changed….) | Test Parameter | Output.Graph.AutoScaling
Display Setup | X Axis Data Name | Test Parameter | Output.Graph.XAxis.Data
Display Setup | X Axis Data Scaling | Test Parameter | Output.Graph.XAxis.Scale
Display Setup | X Axis Left (Minimum) Value | Test Parameter | Output.Graph.XAxis.Left
Display Setup | X Axis Right (Maximum) Value | Test Parameter | Output.Graph.XAxis.Right
Display Setup | Y Axis Data Name, Array | Test Parameter | Output.Graph.YAxis.Data
Display Setup | Y Axis Data Scaling, Array | Test Parameter | Output.Graph.YAxis.Scale
Display Setup | Y Axis Bottom (Minimum) Value | Test Parameter | Output.Graph.YAxis.Bottom
Display Setup | Y Axis Top (Maximum) Value | Test Parameter | Output.Graph.YAxis.Top
Display Setup | Y Axis Grouping | Test Parameter | Output.Graph.YAxis.Group
Display Setup | List Display Name, Array | Test Parameter | Output.List.Data
Display Setup | Parameter Name, Array | Test Parameter | Output.Scalar.Data
Auto Analysis | Interpolation Mode | Test Parameter | AutoAnalysis.Interpolation
Auto Analysis | Line 1 Status | Test Parameter | AutoAnalysis.Line1.Enabled
Auto Analysis | Line 1 Type | Test Parameter | AutoAnalysis.Line1.Type
Auto Analysis | Line 1 Fixed Status | Test Parameter | AutoAnalysis.Line1.Fix
Auto Analysis | Line 1 Y Axis | Test Parameter | AutoAnalysis.Line1.YAxis
Auto Analysis | Line 1 First Point Type | Test Parameter | AutoAnalysis.Line1.Point1.Type
Auto Analysis | Line 1 First Point X | Test Parameter | AutoAnalysis.Line1.Point1.XY.X
Auto Analysis | Line 1 First Point Y | Test Parameter | AutoAnalysis.Line1.Point1.XY.Y
Auto Analysis | Line 1 First Point (Variable) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Var
Auto Analysis | Line 1 First Point (Expression) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Condition
Auto Analysis | Line 1 First Point (After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Start
Auto Analysis | Line 1 First Point (Variable, After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.StartVar
Auto Analysis | Line 1 First Point (Expression, After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.StartCondition
Auto Analysis | Line 1 Second Point Type | Test Parameter | AutoAnalysis.Line1.Point2.Type
Auto Analysis | Line 1 Second Point X | Test Parameter | AutoAnalysis.Line1.Point2.XY.X
Auto Analysis | Line 1 Second Point Y | Test Parameter | AutoAnalysis.Line1.Point2.XY.Y
Auto Analysis | Line 1 Second Point (Variable) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Var
Auto Analysis | Line 1 Second Point (Expression) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Condition
Auto Analysis | Line 1 Second Point (After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Start
Auto Analysis | Line 1 Second Point (Variable, After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.StartVar
Auto Analysis | Line 1 Second Point (Expression, After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.StartCondition
Auto Analysis | Line 1 Gradient Expression | Test Parameter | AutoAnalysis.Line1.GradientExpr
Auto Analysis | Line 2 Status | Test Parameter | AutoAnalysis.Line2.Enabled
Auto Analysis | Line 2 Type | Test Parameter | AutoAnalysis.Line2.Type
Auto Analysis | Line 2 Fixed Status | Test Parameter | AutoAnalysis.Line2.Fix
Auto Analysis | Line 2 Y Axis | Test Parameter | AutoAnalysis.Line2.YAxis
Auto Analysis | Line 2 First Point Type | Test Parameter | AutoAnalysis.Line2.Point1.Type
Auto Analysis | Line 2 First Point X | Test Parameter | AutoAnalysis.Line2.Point1.XY.X
Auto Analysis | Line 2 First Point Y | Test Parameter | AutoAnalysis.Line2.Point1.XY.Y
Auto Analysis | Line 2 First Point (Variable) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Var
Auto Analysis | Line 2 First Point (Expression) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Condition
Auto Analysis | Line 2 First Point (After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Start
Auto Analysis | Line 2 First Point (Variable, After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.StartVar
Auto Analysis | Line 2 First Point (Expression, After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.StartCondition
Auto Analysis | Line 2 Second Point Type | Test Parameter | AutoAnalysis.Line2.Point2.Type
Auto Analysis | Line 2 Second Point X | Test Parameter | AutoAnalysis.Line2.Point2.XY.X
Auto Analysis | Line 2 Second Point Y | Test Parameter | AutoAnalysis.Line2.Point2.XY.Y
Auto Analysis | Line 2 Second Point (Variable) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Var
Auto Analysis | Line 2 Second Point (Expression) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Condition
Auto Analysis | Line 2 Second Point (After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Start
Auto Analysis | Line 2 Second Point (Variable, After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.StartVar
Auto Analysis | Line 2 Second Point (Expression, After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.StartCondition
Auto Analysis | Line 2 Gradient Expression | Test Parameter | AutoAnalysis.Line2.GradientExpr
Auto Analysis | Marker Status | Test Parameter | AutoAnalysis.Marker.Enabled
Auto Analysis | Marker (Variable) | Test Parameter | AutoAnalysis.Marker.Data.Var
Auto Analysis | Marker (Expression) | Test Parameter | AutoAnalysis.Marker.Data.Condition
Auto Analysis | Marker Condition (After) | Test Parameter | AutoAnalysis.Marker.Data.Start
Auto Analysis | Marker Condition (Variable, After) | Test Parameter | AutoAnalysis.Marker.Data.StartVar
Auto Analysis | Marker Condition (Expression, After) | Test Parameter | AutoAnalysis.Marker.Data.StartCondition
Measurement Result | Number of Primary Sweep Result, Array | Dimension1 |
Measurement Result | Index of Secondary Sweep, Array | Dimension2 |
Measurement Result | Data Name, Array | Data Name |
Measurement Result | Data Unit, Array | Data Unit |
Measurement Result | Measurement Data, Array | Data Value |


Multi Channel I/V Sweep

Text File Format (Multi Chanel I/V Sweep)

Category | Description | Header1 | Header2
Header | Setup Title | Setup title |
Header | Class Test Name | Classic test name |
Header | Test Date | Test date |
Header | Test Time | Test time |
Header | Device ID | Device ID |
Header | Count | Count |
Header | Flags | Flags |
Header | Remarks | Remarks |
Channel Definition | Unit Type, Array | Test Parameter | Channel.UnitType
Channel Definition | Unit Name, Array | Test Parameter | Channel.Unit
Channel Definition | Current Variable Name, Array | Test Parameter | Channel.IName
Channel Definition | Voltage Variable Name, Array | Test Parameter | Channel.VName
Channel Definition | Source Mode, Array | Test Parameter | Channel.Mode
Channel Definition | Source Function, Array | Test Parameter | Channel.Func
Channel Definition | Index Name | Test Parameter | Channel.Index
Channel Definition | Timestamp Variable Name | Test Parameter | Channel.Time
Measurement Definition | Unit Name, Array | Test Parameter | Measurement.Port.Unit
Measurement Definition | Series Resistor Usage, Array | Test Parameter | Measurement.Port.SeriesResistor
Measurement Definition | Filter Usage, Array | Test Parameter | Measurement.Port.Filter
Measurement Definition | Voltage Compliance, Array | Test Parameter | Measurement.Port.OutputVoltageComparison
Measurement Definition | Sweep Start Value | Test Parameter | Measurement.Primary.Start
Measurement Definition | Sweep Stop Value | Test Parameter | Measurement.Primary.Stop
Measurement Definition | Compliance Value | Test Parameter | Measurement.Primary.Compliance
Measurement Definition | Power Compliance Value | Test Parameter | Measurement.Primary.PowerCompliance
Measurement Definition | Sweep Direction | Test Parameter | Measurement.Primary.Locus
Measurement Definition | Sweep Steps Scaling | Test Parameter | Measurement.Primary.Scale
Measurement Definition | Number of Sweep Steps | Test Parameter | Measurement.Primary.Count
Measurement Definition | Sweep Abort Condition | Test Parameter | Measurement.Aborting.Condition
Measurement Definition | Output Value after Measurement | Test Parameter | Measurement.PostOutput.Value
Measurement Definition | Bias Hold after Measurement | Test Parameter | Measurement.PostOutput.Retention
Measurement Definition | Secondary Sweep Start Value | Test Parameter | Measurement.Secondary.Start
Measurement Definition | Number of Secondary Sweep Steps | Test Parameter | Measurement.Secondary.Count
Measurement Definition | Secondary Sweep Step Value | Test Parameter | Measurement.Secondary.Step
Measurement Definition | Secondary Sweep Compliance Value | Test Parameter | Measurement.Secondary.Compliance
Measurement Definition | Secondary Sweep Power Compliance Value | Test Parameter | Measurement.Secondary.PowerCompliance
Measurement Definition | Constant Unit Source Value, Array | Test Parameter | Measurement.Bias.Source
Measurement Definition | Constant Unit Compliance Value, Array | Test Parameter | Measurement.Bias.Compliance
Measurement Definition | Pulse Delay, Array | Test Parameter | Measurement.Pulse.Delay
Measurement Definition | Pulse Width, Array | Test Parameter | Measurement.Pulse.Duration
Measurement Definition | Pulse Base Value, Array | Test Parameter | Measurement.Pulse.Base
Measurement Definition | Pulse Period | Test Parameter | Measurement.Pulse.Period
Measurement Definition | Pulse Measure Delay | Test Parameter | Measurement.Pulse.MeasurementDelay
Measurement Definition | Pulse Measure Averanging | Test Parameter | Measurement.Pulse.AveragingCount
Measurement Definition | Monitor Unit, Array | Test Parameter | Measurement.Monitor.Unit
Measurement Definition | Monitor A/D Converter, Array | Test Parameter | Measurement.Monitor.Adc
Measurement Definition | Monitor Selection, Array | Test Parameter | Measurement.Monitor.Measurement
Measurement Definition | Sweep Hold Time | Test Parameter | Measurement.Timing.Hold
Measurement Definition | Sweep Delay Time | Test Parameter | Measurement.Timing.Delay
Measurement Definition | High Speed A/D Converter Mode | Test Parameter | Measurement.Adc.HighSpeed.Mode
Measurement Definition | High Speed A/D Converter Factor | Test Parameter | Measurement.Adc.HighSpeed.Coeff
Measurement Definition | High Resolution A/D Converter Auto-Zero | Test Parameter | Measurement.Adc.HighResolution.AutoZero
Measurement Definition | High Resolution A/D Converter Mode | Test Parameter | Measurement.Adc.HighResolution.Mode
Measurement Definition | High Resolution A/D Converter Factor | Test Parameter | Measurement.Adc.HighResolution.Coeff
Measurement Definition | Output Wait Control Factor | Test Parameter | Measurement.WaitTime.Source.Coeff
Measurement Definition | Output Wait Control Offset | Test Parameter | Measurement.WaitTime.Source.Offset
Measurement Definition | Measurement Wait Control Factor | Test Parameter | Measurement.WaitTime.Monitor.Coeff
Measurement Definition | Measurement Wait Control Offset | Test Parameter | Measurement.WaitTime.Monitor.Offset
Function Definition | User Function Name, Array | Test Parameter | Function.User.Name
Function Definition | User Function Unit Name, Array | Test Parameter | Function.User.Unit
Function Definition | User Function Definition, Array | Test Parameter | Function.User.Definition
Function Definition | Analysis Function Name, Array | Test Parameter | Function.Analysis.Name
Function Definition | Analysis Function Unit Name, Array | Test Parameter | Function.Analysis.Unit
Function Definition | Analysis Function Definition, Array | Test Parameter | Function.Analysis.Definition
Display Setup | Graph Status | Test Parameter | Output.Graph.Enabled
Display Setup | Run Time Auto Scaling (To be changed….) | Test Parameter | Output.Graph.AutoScaling
Display Setup | X Axis Data Name | Test Parameter | Output.Graph.XAxis.Data
Display Setup | X Axis Data Scaling | Test Parameter | Output.Graph.XAxis.Scale
Display Setup | X Axis Left (Minimum) Value | Test Parameter | Output.Graph.XAxis.Left
Display Setup | X Axis Right (Maximum) Value | Test Parameter | Output.Graph.XAxis.Right
Display Setup | Y Axis Data Name, Array | Test Parameter | Output.Graph.YAxis.Data
Display Setup | Y Axis Data Scaling, Array | Test Parameter | Output.Graph.YAxis.Scale
Display Setup | Y Axis Bottom (Minimum) Value | Test Parameter | Output.Graph.YAxis.Bottom
Display Setup | Y Axis Top (Maximum) Value | Test Parameter | Output.Graph.YAxis.Top
Display Setup | Y Axis Grouping | Test Parameter | Output.Graph.YAxis.Group
Display Setup | List Display Name, Array | Test Parameter | Output.List.Data
Display Setup | Parameter Name, Array | Test Parameter | Output.Scalar.Data
Auto Analysis | Interpolation Mode | Test Parameter | AutoAnalysis.Interpolation
Auto Analysis | Line 1 Status | Test Parameter | AutoAnalysis.Line1.Enabled
Auto Analysis | Line 1 Type | Test Parameter | AutoAnalysis.Line1.Type
Auto Analysis | Line 1 Fixed Status | Test Parameter | AutoAnalysis.Line1.Fix
Auto Analysis | Line 1 Y Axis | Test Parameter | AutoAnalysis.Line1.YAxis
Auto Analysis | Line 1 First Point Type | Test Parameter | AutoAnalysis.Line1.Point1.Type
Auto Analysis | Line 1 First Point X | Test Parameter | AutoAnalysis.Line1.Point1.XY.X
Auto Analysis | Line 1 First Point Y | Test Parameter | AutoAnalysis.Line1.Point1.XY.Y
Auto Analysis | Line 1 First Point (Variable) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Var
Auto Analysis | Line 1 First Point (Expression) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Condition
Auto Analysis | Line 1 First Point (After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Start
Auto Analysis | Line 1 First Point (Variable, After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.StartVar
Auto Analysis | Line 1 First Point (Expression, After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.StartCondition
Auto Analysis | Line 1 Second Point Type | Test Parameter | AutoAnalysis.Line1.Point2.Type
Auto Analysis | Line 1 Second Point X | Test Parameter | AutoAnalysis.Line1.Point2.XY.X
Auto Analysis | Line 1 Second Point Y | Test Parameter | AutoAnalysis.Line1.Point2.XY.Y
Auto Analysis | Line 1 Second Point (Variable) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Var
Auto Analysis | Line 1 Second Point (Expression) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Condition
Auto Analysis | Line 1 Second Point (After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Start
Auto Analysis | Line 1 Second Point (Variable, After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.StartVar
Auto Analysis | Line 1 Second Point (Expression, After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.StartCondition
Auto Analysis | Line 1 Gradient Expression | Test Parameter | AutoAnalysis.Line1.GradientExpr
Auto Analysis | Line 2 Status | Test Parameter | AutoAnalysis.Line2.Enabled
Auto Analysis | Line 2 Type | Test Parameter | AutoAnalysis.Line2.Type
Auto Analysis | Line 2 Fixed Status | Test Parameter | AutoAnalysis.Line2.Fix
Auto Analysis | Line 2 Y Axis | Test Parameter | AutoAnalysis.Line2.YAxis
Auto Analysis | Line 2 First Point Type | Test Parameter | AutoAnalysis.Line2.Point1.Type
Auto Analysis | Line 2 First Point X | Test Parameter | AutoAnalysis.Line2.Point1.XY.X
Auto Analysis | Line 2 First Point Y | Test Parameter | AutoAnalysis.Line2.Point1.XY.Y
Auto Analysis | Line 2 First Point (Variable) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Var
Auto Analysis | Line 2 First Point (Expression) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Condition
Auto Analysis | Line 2 First Point (After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Start
Auto Analysis | Line 2 First Point (Variable, After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.StartVar
Auto Analysis | Line 2 First Point (Expression, After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.StartCondition
Auto Analysis | Line 2 Second Point Type | Test Parameter | AutoAnalysis.Line2.Point2.Type
Auto Analysis | Line 2 Second Point X | Test Parameter | AutoAnalysis.Line2.Point2.XY.X
Auto Analysis | Line 2 Second Point Y | Test Parameter | AutoAnalysis.Line2.Point2.XY.Y
Auto Analysis | Line 2 Second Point (Variable) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Var
Auto Analysis | Line 2 Second Point (Expression) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Condition
Auto Analysis | Line 2 Second Point (After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Start
Auto Analysis | Line 2 Second Point (Variable, After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.StartVar
Auto Analysis | Line 2 Second Point (Expression, After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.StartCondition
Auto Analysis | Line 2 Gradient Expression | Test Parameter | AutoAnalysis.Line2.GradientExpr
Auto Analysis | Marker Status | Test Parameter | AutoAnalysis.Marker.Enabled
Auto Analysis | Marker (Variable) | Test Parameter | AutoAnalysis.Marker.Data.Var
Auto Analysis | Marker (Expression) | Test Parameter | AutoAnalysis.Marker.Data.Condition
Auto Analysis | Marker Condition (After) | Test Parameter | AutoAnalysis.Marker.Data.Start
Auto Analysis | Marker Condition (Variable, After) | Test Parameter | AutoAnalysis.Marker.Data.StartVar
Auto Analysis | Marker Condition (Expression, After) | Test Parameter | AutoAnalysis.Marker.Data.StartCondition
Measurement Result | Number of Primary Sweep Result, Array | Dimension1 |
Measurement Result | Index of Secondary Sweep, Array | Dimension2 |
Measurement Result | Data Name, Array | Data Name |
Measurement Result | Data Unit, Array | Data Unit |
Measurement Result | Measurement Data, Array | Data Value |

.


I/V List Sweep

Text File Format (I/V List Sweep)

Category | Description | Header1 | Header2
Header | Setup Title | Setup title |
Header | Class Test Name | Classic test name |
Header | Test Date | Test date |
Header | Test Time | Test time |
Header | Device ID | Device ID |
Header | Count | Count |
Header | Flags | Flags |
Header | Remarks | Remarks |
Channel Definition | Unit Type, Array | Test Parameter | Channel.UnitType
Channel Definition | Unit Name, Array | Test Parameter | Channel.Unit
Channel Definition | Current Variable Name, Array | Test Parameter | Channel.IName
Channel Definition | Voltage Variable Name, Array | Test Parameter | Channel.VName
Channel Definition | Source Mode, Array | Test Parameter | Channel.Mode
Channel Definition | Source Function, Array | Test Parameter | Channel.Func
Channel Definition | Index Name | Test Parameter | Channel.Index
Channel Definition | Timestamp Variable Name | Test Parameter | Channel.Time
Measurement Definition | Unit Name, Array | Test Parameter | Measurement.Port.Unit
Measurement Definition | Series Resistor Usage, Array | Test Parameter | Measurement.Port.SeriesResistor
Measurement Definition | Filter Usage, Array | Test Parameter | Measurement.Port.Filter
Measurement Definition | Voltage Compliance, Array | Test Parameter | Measurement.Port.OutputVoltageComparison
Measurement Definition | Primary Source List, Array ???? | Test Parameter | Measurement.Primary.Sources
Measurement Definition | Compliance Value, Array | Test Parameter | Measurement.Primary.Compliance
Measurement Definition | Power Compliance Value, Array | Test Parameter | Measurement.Primary.PowerCompliance
Measurement Definition | Sweep Abort Condition | Test Parameter | Measurement.Aborting.Condition
Measurement Definition | Output Value after Measurement | Test Parameter | Measurement.PostOutput.Retention
Measurement Definition | Secondary Sweep Source List, Array???? | Test Parameter | Measurement.Secondary.Sources
Measurement Definition | Secondary Sweep Compliance Value | Test Parameter | Measurement.Secondary.Compliance
Measurement Definition | Secondary Sweep Power Compliance Value | Test Parameter | Measurement.Secondary.PowerCompliance
Measurement Definition | Constant Unit Source Value, Array | Test Parameter | Measurement.Bias.Source
Measurement Definition | Constant Unit Compliance Value, Array | Test Parameter | Measurement.Bias.Compliance
Measurement Definition | Pulse Delay, Array | Test Parameter | Measurement.Pulse.Delay
Measurement Definition | Pulse Width, Array | Test Parameter | Measurement.Pulse.Duration
Measurement Definition | Pulse Base Value, Array | Test Parameter | Measurement.Pulse.Base
Measurement Definition | Pulse Period | Test Parameter | Measurement.Pulse.Period
Measurement Definition | Pulse Measure Delay | Test Parameter | Measurement.Pulse.MeasurementDelay
Measurement Definition | Pulse Measure Averanging | Test Parameter | Measurement.Pulse.AveragingCount
Measurement Definition | Monitor Unit, Array | Test Parameter | Measurement.Monitor.Unit
Measurement Definition | Monitor A/D Converter, Array | Test Parameter | Measurement.Monitor.Adc
Measurement Definition | Monitor Selection, Array | Test Parameter | Measurement.Monitor.Measurement
Measurement Definition | Sweep Hold Time | Test Parameter | Measurement.Timing.Hold
Measurement Definition | Sweep Delay Time | Test Parameter | Measurement.Timing.Delay
Measurement Definition | High Speed A/D Converter Mode | Test Parameter | Measurement.Adc.HighSpeed.Mode
Measurement Definition | High Speed A/D Converter Factor | Test Parameter | Measurement.Adc.HighSpeed.Coeff
Measurement Definition | High Resolution A/D Converter Auto-Zero | Test Parameter | Measurement.Adc.HighResolution.AutoZero
Measurement Definition | High Resolution A/D Converter Mode | Test Parameter | Measurement.Adc.HighResolution.Mode
Measurement Definition | High Resolution A/D Converter Factor | Test Parameter | Measurement.Adc.HighResolution.Coeff
Measurement Definition | Output Wait Control Factor | Test Parameter | Measurement.WaitTime.Source.Coeff
Measurement Definition | Output Wait Control Offset | Test Parameter | Measurement.WaitTime.Source.Offset
Measurement Definition | Measurement Wait Control Factor | Test Parameter | Measurement.WaitTime.Monitor.Coeff
Measurement Definition | Measurement Wait Control Offset | Test Parameter | Measurement.WaitTime.Monitor.Offset
Function Definition | User Function Name, Array | Test Parameter | Function.User.Name
Function Definition | User Function Unit Name, Array | Test Parameter | Function.User.Unit
Function Definition | User Function Definition, Array | Test Parameter | Function.User.Definition
Function Definition | Analysis Function Name, Array | Test Parameter | Function.Analysis.Name
Function Definition | Analysis Function Unit Name, Array | Test Parameter | Function.Analysis.Unit
Function Definition | Analysis Function Definition, Array | Test Parameter | Function.Analysis.Definition
Display Setup | Graph Status | Test Parameter | Output.Graph.Enabled
Display Setup | Run Time Auto Scaling (To be changed….) | Test Parameter | Output.Graph.AutoScaling
Display Setup | X Axis Data Name | Test Parameter | Output.Graph.XAxis.Data
Display Setup | X Axis Data Scaling | Test Parameter | Output.Graph.XAxis.Scale
Display Setup | X Axis Left (Minimum) Value | Test Parameter | Output.Graph.XAxis.Left
Display Setup | X Axis Right (Maximum) Value | Test Parameter | Output.Graph.XAxis.Right
Display Setup | Y Axis Data Name, Array | Test Parameter | Output.Graph.YAxis.Data
Display Setup | Y Axis Data Scaling, Array | Test Parameter | Output.Graph.YAxis.Scale
Display Setup | Y Axis Bottom (Minimum) Value | Test Parameter | Output.Graph.YAxis.Bottom
Display Setup | Y Axis Top (Maximum) Value | Test Parameter | Output.Graph.YAxis.Top
Display Setup | Y Axis Grouping | Test Parameter | Output.Graph.YAxis.Group
Display Setup | List Display Name, Array | Test Parameter | Output.List.Data
Display Setup | Parameter Name, Array | Test Parameter | Output.Scalar.Data
Auto Analysis | Interpolation Mode | Test Parameter | AutoAnalysis.Interpolation
Auto Analysis | Line 1 Status | Test Parameter | AutoAnalysis.Line1.Enabled
Auto Analysis | Line 1 Type | Test Parameter | AutoAnalysis.Line1.Type
Auto Analysis | Line 1 Fixed Status | Test Parameter | AutoAnalysis.Line1.Fix
Auto Analysis | Line 1 Y Axis | Test Parameter | AutoAnalysis.Line1.YAxis
Auto Analysis | Line 1 First Point Type | Test Parameter | AutoAnalysis.Line1.Point1.Type
Auto Analysis | Line 1 First Point X | Test Parameter | AutoAnalysis.Line1.Point1.XY.X
Auto Analysis | Line 1 First Point Y | Test Parameter | AutoAnalysis.Line1.Point1.XY.Y
Auto Analysis | Line 1 First Point (Variable) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Var
Auto Analysis | Line 1 First Point (Expression) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Condition
Auto Analysis | Line 1 First Point (After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Start
Auto Analysis | Line 1 First Point (Variable, After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.StartVar
Auto Analysis | Line 1 First Point (Expression, After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.StartCondition
Auto Analysis | Line 1 Second Point Type | Test Parameter | AutoAnalysis.Line1.Point2.Type
Auto Analysis | Line 1 Second Point X | Test Parameter | AutoAnalysis.Line1.Point2.XY.X
Auto Analysis | Line 1 Second Point Y | Test Parameter | AutoAnalysis.Line1.Point2.XY.Y
Auto Analysis | Line 1 Second Point (Variable) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Var
Auto Analysis | Line 1 Second Point (Expression) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Condition
Auto Analysis | Line 1 Second Point (After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Start
Auto Analysis | Line 1 Second Point (Variable, After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.StartVar
Auto Analysis | Line 1 Second Point (Expression, After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.StartCondition
Auto Analysis | Line 1 Gradient Expression | Test Parameter | AutoAnalysis.Line1.GradientExpr
Auto Analysis | Line 2 Status | Test Parameter | AutoAnalysis.Line2.Enabled
Auto Analysis | Line 2 Type | Test Parameter | AutoAnalysis.Line2.Type
Auto Analysis | Line 2 Fixed Status | Test Parameter | AutoAnalysis.Line2.Fix
Auto Analysis | Line 2 Y Axis | Test Parameter | AutoAnalysis.Line2.YAxis
Auto Analysis | Line 2 First Point Type | Test Parameter | AutoAnalysis.Line2.Point1.Type
Auto Analysis | Line 2 First Point X | Test Parameter | AutoAnalysis.Line2.Point1.XY.X
Auto Analysis | Line 2 First Point Y | Test Parameter | AutoAnalysis.Line2.Point1.XY.Y
Auto Analysis | Line 2 First Point (Variable) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Var
Auto Analysis | Line 2 First Point (Expression) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Condition
Auto Analysis | Line 2 First Point (After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Start
Auto Analysis | Line 2 First Point (Variable, After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.StartVar
Auto Analysis | Line 2 First Point (Expression, After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.StartCondition
Auto Analysis | Line 2 Second Point Type | Test Parameter | AutoAnalysis.Line2.Point2.Type
Auto Analysis | Line 2 Second Point X | Test Parameter | AutoAnalysis.Line2.Point2.XY.X
Auto Analysis | Line 2 Second Point Y | Test Parameter | AutoAnalysis.Line2.Point2.XY.Y
Auto Analysis | Line 2 Second Point (Variable) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Var
Auto Analysis | Line 2 Second Point (Expression) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Condition
Auto Analysis | Line 2 Second Point (After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Start
Auto Analysis | Line 2 Second Point (Variable, After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.StartVar
Auto Analysis | Line 2 Second Point (Expression, After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.StartCondition
Auto Analysis | Line 2 Gradient Expression | Test Parameter | AutoAnalysis.Line2.GradientExpr
Auto Analysis | Marker Status | Test Parameter | AutoAnalysis.Marker.Enabled
Auto Analysis | Marker (Variable) | Test Parameter | AutoAnalysis.Marker.Data.Var
Auto Analysis | Marker (Expression) | Test Parameter | AutoAnalysis.Marker.Data.Condition
Auto Analysis | Marker Condition (After) | Test Parameter | AutoAnalysis.Marker.Data.Start
Auto Analysis | Marker Condition (Variable, After) | Test Parameter | AutoAnalysis.Marker.Data.StartVar
Auto Analysis | Marker Condition (Expression, After) | Test Parameter | AutoAnalysis.Marker.Data.StartCondition
Measurement Result | Number of Primary Sweep Result, Array | Dimension1 |
Measurement Result | Index of Secondary Sweep, Array | Dimension2 |
Measurement Result | Data Name, Array | Data Name |
Measurement Result | Data Unit, Array | Data Unit |
Measurement Result | Measurement Data, Array | Data Value |


I/V-t Sampling

Text File Format (I/V-t Sampling)

Category | Description | Header1 | Header2
Header | Setup Title | Setup title |
Header | Class Test Name | Classic test name |
Header | Test Date | Test date |
Header | Test Time | Test time |
Header | Device ID | Device ID |
Header | Count | Count |
Header | Flags | Flags |
Header | Remarks | Remarks |
Channel Definition | Unit Type, Array | Test Parameter | Context.MainFrame
Channel Definition | Unit Name, Array | Test Parameter | Channel.UnitType
Channel Definition | Current Variable Name, Array | Test Parameter | Channel.Unit
Channel Definition | Voltage Variable Name, Array | Test Parameter | Channel.IName
Channel Definition | Source Mode, Array | Test Parameter | Channel.VName
Channel Definition | Source Function, Array | Test Parameter | Channel.Mode
Channel Definition | Index Name | Test Parameter | Channel.Index
Channel Definition | Timestamp Variable Name | Test Parameter | Channel.Time
Measurement Definition | Unit Name, Array | Test Parameter | Measurement.Port.Unit
Measurement Definition | Series Resistor Usage, Array | Test Parameter | Measurement.Port.SeriesResistor
Measurement Definition | Filter Usage, Array | Test Parameter | Measurement.Port.Filter
Measurement Definition | Voltage Compliance, Array | Test Parameter | Measurement.Port.OutputVoltageComparison
Measurement Definition | Sampling Scale | Test Parameter | Measurement.Sampling.Scale
Measurement Definition | Sampling Interval | Test Parameter | Measurement.Sampling.Interval
Measurement Definition | Number of Samples | Test Parameter | Measurement.Sampling.Count
Measurement Definition | Hold Time | Test Parameter | Measurement.Sampling.HoldTime
Measurement Definition | Base Hold Time | Test Parameter | Measurement.Sampling.BaseHoldTime
Measurement Definition | Output Sequence | Test Parameter | Measurement.Sampling.OutputSequence
Measurement Definition | Output Value after Measurement | Test Parameter | Measurement.PostOutput.Value
Measurement Definition | Bias Hold after Measurement | Test Parameter | Measurement.PostOutput.Retention
Measurement Definition | Constant Unit Source Value, Array | Test Parameter | Measurement.Bias.Source
Measurement Definition | Constant Unit Compliance Value, Array | Test Parameter | Measurement.Bias.Compliance
Measurement Definition | Constant Unit Base Value, Array | Test Parameter | Measurement.Bias.Base
Measurement Definition | Monitor Unit, Array | Test Parameter | Measurement.Monitor.Unit
Measurement Definition | Monitor A/D Converter, Array | Test Parameter | Measurement.Monitor.Adc
Measurement Definition | Monitor Selection, Array | Test Parameter | Measurement.Monitor.Measurement
Measurement Definition | Monitor Ranging Mode, Array | Test Parameter | Measurement.Monitor.RangingMode
Measurement Definition | Monitor Range, Array | Test Parameter | Measurement.Monitor.RangeBoundary
Measurement Definition | Monitor Range Change Rule, Array | Test Parameter | Measurement.Monitor.RangeRating
Measurement Definition | Monitor Range Change Rate, Array | Test Parameter | Measurement.Monitor.RangeRatingCoeff
Measurement Definition | High Speed A/D Converter Mode | Test Parameter | Measurement.Adc.HighSpeed.Mode
Measurement Definition | High Speed A/D Converter Factor | Test Parameter | Measurement.Adc.HighSpeed.Coeff
Measurement Definition | High Resolution A/D Converter Auto-Zero | Test Parameter | Measurement.Adc.HighResolution.AutoZero
Measurement Definition | High Resolution A/D Converter Mode | Test Parameter | Measurement.Adc.HighResolution.Mode
Measurement Definition | High Resolution A/D Converter Factor | Test Parameter | Measurement.Adc.HighResolution.Coeff
Measurement Definition | Output Wait Control Factor | Test Parameter | Measurement.WaitTime.Source.Coeff
Measurement Definition | Output Wait Control Offset | Test Parameter | Measurement.WaitTime.Source.Offset
Measurement Definition | Measurement Wait Control Factor | Test Parameter | Measurement.WaitTime.Monitor.Coeff
Measurement Definition | Measurement Wait Control Offset | Test Parameter | Measurement.WaitTime.Monitor.Offset
Function Definition | User Function Name, Array | Test Parameter | Function.User.Name
Function Definition | User Function Unit Name, Array | Test Parameter | Function.User.Unit
Function Definition | User Function Definition, Array | Test Parameter | Function.User.Definition
Function Definition | Analysis Function Name, Array | Test Parameter | Function.Analysis.Name
Function Definition | Analysis Function Unit Name, Array | Test Parameter | Function.Analysis.Unit
Function Definition | Analysis Function Definition, Array | Test Parameter | Function.Analysis.Definition
Display Setup | Graph Status | Test Parameter | Output.Graph.Enabled
Display Setup | Run Time Auto Scaling (To be changed….) | Test Parameter | Output.Graph.AutoScaling
Display Setup | X Axis Data Name | Test Parameter | Output.Graph.XAxis.Data
Display Setup | X Axis Data Scaling | Test Parameter | Output.Graph.XAxis.Scale
Display Setup | X Axis Left (Minimum) Value | Test Parameter | Output.Graph.XAxis.Left
Display Setup | X Axis Right (Maximum) Value | Test Parameter | Output.Graph.XAxis.Right
Display Setup | Y Axis Data Name, Array | Test Parameter | Output.Graph.YAxis.Data
Display Setup | Y Axis Data Scaling, Array | Test Parameter | Output.Graph.YAxis.Scale
Display Setup | Y Axis Bottom (Minimum) Value | Test Parameter | Output.Graph.YAxis.Bottom
Display Setup | Y Axis Top (Maximum) Value | Test Parameter | Output.Graph.YAxis.Top
Display Setup | Y Axis Grouping | Test Parameter | Output.Graph.YAxis.Group
Display Setup | List Display Name, Array | Test Parameter | Output.List.Data
Display Setup | Parameter Name, Array | Test Parameter | Output.Scalar.Data
Auto Analysis | Interpolation Mode | Test Parameter | AutoAnalysis.Interpolation
Auto Analysis | Line 1 Status | Test Parameter | AutoAnalysis.Line1.Enabled
Auto Analysis | Line 1 Type | Test Parameter | AutoAnalysis.Line1.Type
Auto Analysis | Line 1 Fixed Status | Test Parameter | AutoAnalysis.Line1.Fix
Auto Analysis | Line 1 Y Axis | Test Parameter | AutoAnalysis.Line1.YAxis
Auto Analysis | Line 1 First Point Type | Test Parameter | AutoAnalysis.Line1.Point1.Type
Auto Analysis | Line 1 First Point X | Test Parameter | AutoAnalysis.Line1.Point1.XY.X
Auto Analysis | Line 1 First Point Y | Test Parameter | AutoAnalysis.Line1.Point1.XY.Y
Auto Analysis | Line 1 First Point (Variable) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Var
Auto Analysis | Line 1 First Point (Expression) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Condition
Auto Analysis | Line 1 First Point (After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Start
Auto Analysis | Line 1 First Point (Variable, After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.StartVar
Auto Analysis | Line 1 First Point (Expression, After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.StartCondition
Auto Analysis | Line 1 Second Point Type | Test Parameter | AutoAnalysis.Line1.Point2.Type
Auto Analysis | Line 1 Second Point X | Test Parameter | AutoAnalysis.Line1.Point2.XY.X
Auto Analysis | Line 1 Second Point Y | Test Parameter | AutoAnalysis.Line1.Point2.XY.Y
Auto Analysis | Line 1 Second Point (Variable) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Var
Auto Analysis | Line 1 Second Point (Expression) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Condition
Auto Analysis | Line 1 Second Point (After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Start
Auto Analysis | Line 1 Second Point (Variable, After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.StartVar
Auto Analysis | Line 1 Second Point (Expression, After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.StartCondition
Auto Analysis | Line 1 Gradient Expression | Test Parameter | AutoAnalysis.Line1.GradientExpr
Auto Analysis | Line 2 Status | Test Parameter | AutoAnalysis.Line2.Enabled
Auto Analysis | Line 2 Type | Test Parameter | AutoAnalysis.Line2.Type
Auto Analysis | Line 2 Fixed Status | Test Parameter | AutoAnalysis.Line2.Fix
Auto Analysis | Line 2 Y Axis | Test Parameter | AutoAnalysis.Line2.YAxis
Auto Analysis | Line 2 First Point Type | Test Parameter | AutoAnalysis.Line2.Point1.Type
Auto Analysis | Line 2 First Point X | Test Parameter | AutoAnalysis.Line2.Point1.XY.X
Auto Analysis | Line 2 First Point Y | Test Parameter | AutoAnalysis.Line2.Point1.XY.Y
Auto Analysis | Line 2 First Point (Variable) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Var
Auto Analysis | Line 2 First Point (Expression) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Condition
Auto Analysis | Line 2 First Point (After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Start
Auto Analysis | Line 2 First Point (Variable, After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.StartVar
Auto Analysis | Line 2 First Point (Expression, After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.StartCondition
Auto Analysis | Line 2 Second Point Type | Test Parameter | AutoAnalysis.Line2.Point2.Type
Auto Analysis | Line 2 Second Point X | Test Parameter | AutoAnalysis.Line2.Point2.XY.X
Auto Analysis | Line 2 Second Point Y | Test Parameter | AutoAnalysis.Line2.Point2.XY.Y
Auto Analysis | Line 2 Second Point (Variable) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Var
Auto Analysis | Line 2 Second Point (Expression) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Condition
Auto Analysis | Line 2 Second Point (After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Start
Auto Analysis | Line 2 Second Point (Variable, After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.StartVar
Auto Analysis | Line 2 Second Point (Expression, After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.StartCondition
Auto Analysis | Line 2 Gradient Expression | Test Parameter | AutoAnalysis.Line2.GradientExpr
Auto Analysis | Marker Status | Test Parameter | AutoAnalysis.Marker.Enabled
Auto Analysis | Marker (Variable) | Test Parameter | AutoAnalysis.Marker.Data.Var
Auto Analysis | Marker (Expression) | Test Parameter | AutoAnalysis.Marker.Data.Condition
Auto Analysis | Marker Condition (After) | Test Parameter | AutoAnalysis.Marker.Data.Start
Auto Analysis | Marker Condition (Variable, After) | Test Parameter | AutoAnalysis.Marker.Data.StartVar
Auto Analysis | Marker Condition (Expression, After) | Test Parameter | AutoAnalysis.Marker.Data.StartCondition
Measurement Definition | Sampling Stop Condition Status | Test Parameter | Measurement.Sampling.StopCondition.Enabled
Measurement Definition | Sampling Stop Condition (Delay) | Test Parameter | Measurement.Sampling.StopCondition.EnableDelay
Measurement Definition | Sampling Stop Condition (Unit Name) | Test Parameter | Measurement.Sampling.StopCondition.Name
Measurement Definition | Sampling Stop Condition (Threshold) | Test Parameter | Measurement.Sampling.StopCondition.Threshold
Measurement Definition | Sampling Stop Condition (Event) | Test Parameter | Measurement.Sampling.StopCondition.Event
Measurement Definition | Sampling Stop Condition (No. of Events) | Test Parameter | Measurement.Sampling.StopCondition.EventCount
Measurement Result | Number of Primary Sweep Result, Array | Dimension1 |
Measurement Result | Index of Secondary Sweep, Array | Dimension2 |
Measurement Result | Data Name, Array | Data Name |
Measurement Result | Data Unit, Array | Data Unit |
Measurement Result | Measurement Data, Array | Data Value |


C-V Sweep

Text File Format (C-V Sweep)

Category | Description | Header1 | Header2
Header | Setup Title | Setup title |
Header | Class Test Name | Classic test name |
Header | Test Date | Test date |
Header | Test Time | Test time |
Header | Device ID | Device ID |
Header | Count | Count |
Header | Flags | Flags |
Header | Remarks | Remarks |
Channel Definition | Unit Type, Array | Test Parameter | Channel.UnitTyp
Channel Definition | Unit Name, Array | Test Parameter | Channel.Unit
Channel Definition | Current Variable Name, Array | Test Parameter | Channel.IName
Channel Definition | Voltage Variable Name, Array | Test Parameter | Channel.VName
Channel Definition | Source Mode, Array | Test Parameter | Channel.Mode
Channel Definition | Source Function, Array | Test Parameter | Channel.Func
Channel Definition | Index Name | Test Parameter | Channel.Index
Channel Definition | Timestamp Variable Name | Test Parameter | Channel.Time
Measurement Definition | Unit Name, Array | Test Parameter | Measurement.Port.Unit
Measurement Definition | Series Resistor Usage, Array | Test Parameter | Measurement.Port.SeriesResistor
Measurement Definition | Filter Usage, Array | Test Parameter | Measurement.Port.Filter
Measurement Definition | Voltage Compliance, Array | Test Parameter | Measurement.Port.OutputVoltageComparison
Measurement Definition | Sweep Direction | Test Parameter | Measurement.Primary.Locus
Measurement Definition | Sweep Steps Scaling | Test Parameter | Measurement.Primary.Scale
Measurement Definition | Sweep Start Value | Test Parameter | Measurement.Primary.Start
Measurement Definition | Sweep Stop Value | Test Parameter | Measurement.Primary.Stop
Measurement Definition | Sweep Step Value | Test Parameter | Measurement.Primary.Step
Measurement Definition | Sweep Abort Condition | Test Parameter | Measurement.Aborting.Condition
Measurement Definition | Output Value after Measurement | Test Parameter | Measurement.PostOutput.Value
Measurement Definition | Bias Hold after Measurement | Test Parameter | Measurement.PostOutput.Retention
Measurement Definition | Signal Source AC Level | Test Parameter | Measurement.Secondary.ACLevel
Measurement Definition | Signal Source Frequency Name | Test Parameter | Measurement.Secondary.FName
Measurement Definition | Signal Source Frequency, Array | Test Parameter | Measurement.Secondary.Frequency
Measurement Definition | Constant Unit Source Value, Array | Test Parameter | Measurement.Bias.Source
Measurement Definition | Constant Unit Compliance Value, Array | Test Parameter | Measurement.Bias.Compliance
Measurement Definition | C-V Model | Test Parameter | Measurement.ImpedanceMode.Model
Measurement Definition | C name | Test Parameter | Measurement.ImpedanceMode.CName
Measurement Definition | L Name | Test Parameter | Measurement.ImpedanceMode.LName
Measurement Definition | G Name | Test Parameter | Measurement.ImpedanceMode.GName
Measurement Definition | R Name | Test Parameter | Measurement.ImpedanceMode.RName
Measurement Definition | Q Name | Test Parameter | Measurement.ImpedanceMode.QName
Measurement Definition | D Name | Test Parameter | Measurement.ImpedanceMode.DName
Measurement Definition | Y Name | Test Parameter | Measurement.ImpedanceMode.YName
Measurement Definition | Z Name | Test Parameter | Measurement.ImpedanceMode.ZName
Measurement Definition | Th Name | Test Parameter | Measurement.ImpedanceMode.ThName
Measurement Definition | B Name | Test Parameter | Measurement.ImpedanceMode.BName
Measurement Definition | X Name | Test Parameter | Measurement.ImpedanceMode.XName
Measurement Definition | Monitor Unit, Array | Test Parameter | Measurement.Monitor.Unit
Measurement Definition | Monitor Ranging Mode | Test Parameter | Measurement.Monitor.RangingMode
Measurement Definition | Monitor Range | Test Parameter | Measurement.Monitor.RangeBoundary
Measurement Definition | Monitor Range Change Rule | Test Parameter | Measurement.Monitor.AcMonitorSymbol
Measurement Definition | Monitor Range Change Rate | Test Parameter | Measurement.Monitor.DcMonitorSymbol
Measurement Definition | Monitor A/D Converter, Array | Test Parameter | Measurement.Monitor.Adc
Measurement Definition | Monitor Selection, Array | Test Parameter | Measurement.Monitor.Measurement
Measurement Definition | Monitor Range Change Rule, Array | Test Parameter | Measurement.Monitor.RangeRating
Measurement Definition | Monitor Range Change Rate, Array | Test Parameter | Measurement.Monitor.RangeRatingCoeff
Measurement Definition | Hold Time | Test Parameter | Measurement.Timing.Hold
Measurement Definition | Delay Time | Test Parameter | Measurement.Timing.Delay
Measurement Definition | A/D Converter Type, Array | Test Parameter | Measurement.Adc.UnitType
Measurement Definition | High Resolution A/D Converter Mode | Test Parameter | Measurement.Adc.HighResolution.Mode
Measurement Definition | High Resolution A/D Converter Factor | Test Parameter | Measurement.Adc.HighResolution.Coeff
Measurement Definition | High Speed A/D Converter Mode | Test Parameter | Measurement.Adc.HighSpeed.Mode
Measurement Definition | High Speed A/D Converter Factor | Test Parameter | Measurement.Adc.HighSpeed.Coeff
Measurement Definition | High Resolution A/D Converter Auto-Zero | Test Parameter | Measurement.Adc.HighResolution.AutoZero
Measurement Definition | Output Wait Control Factor | Test Parameter | Measurement.WaitTime.Source.Coeff
Measurement Definition | Output Wait Control Offset | Test Parameter | Measurement.WaitTime.Source.Offset
Measurement Definition | Measurement Wait Control Factor | Test Parameter | Measurement.WaitTime.Monitor.Coeff
Measurement Definition | Measurement Wait Control Offset | Test Parameter | Measurement.WaitTime.Monitor.Offset
Function Definition | User Function Name, Array | Test Parameter | Function.User.Name
Function Definition | User Function Unit Name, Array | Test Parameter | Function.User.Unit
Function Definition | User Function Definition, Array | Test Parameter | Function.User.Definition
Function Definition | Analysis Function Name, Array | Test Parameter | Function.Analysis.Name
Function Definition | Analysis Function Unit Name, Array | Test Parameter | Function.Analysis.Unit
Function Definition | Analysis Function Definition, Array | Test Parameter | Function.Analysis.Definition
Display Setup | Graph Status | Test Parameter | Output.Graph.Enabled
Display Setup | Run Time Auto Scaling (To be changed….) | Test Parameter | Output.Graph.AutoScaling
Display Setup | X Axis Data Name | Test Parameter | Output.Graph.XAxis.Data
Display Setup | X Axis Data Scaling | Test Parameter | Output.Graph.XAxis.Scale
Display Setup | X Axis Left (Minimum) Value | Test Parameter | Output.Graph.XAxis.Left
Display Setup | X Axis Right (Maximum) Value | Test Parameter | Output.Graph.XAxis.Right
Display Setup | Y Axis Data Name, Array | Test Parameter | Output.Graph.YAxis.Data
Display Setup | Y Axis Data Scaling, Array | Test Parameter | Output.Graph.YAxis.Scale
Display Setup | Y Axis Bottom (Minimum) Value | Test Parameter | Output.Graph.YAxis.Bottom
Display Setup | Y Axis Top (Maximum) Value | Test Parameter | Output.Graph.YAxis.Top
Display Setup | Y Axis Grouping | Test Parameter | Output.Graph.YAxis.Group
Display Setup | List Display Name, Array | Test Parameter | Output.List.Data
Display Setup | Parameter Name, Array | Test Parameter | Output.Scalar.Data
Auto Analysis | Interpolation Mode | Test Parameter | AutoAnalysis.Interpolation
Auto Analysis | Line 1 Status | Test Parameter | AutoAnalysis.Line1.Enabled
Auto Analysis | Line 1 Type | Test Parameter | AutoAnalysis.Line1.Type
Auto Analysis | Line 1 Fixed Status | Test Parameter | AutoAnalysis.Line1.Fix
Auto Analysis | Line 1 Y Axis | Test Parameter | AutoAnalysis.Line1.YAxis
Auto Analysis | Line 1 First Point Type | Test Parameter | AutoAnalysis.Line1.Point1.Type
Auto Analysis | Line 1 First Point X | Test Parameter | AutoAnalysis.Line1.Point1.XY.X
Auto Analysis | Line 1 First Point Y | Test Parameter | AutoAnalysis.Line1.Point1.XY.Y
Auto Analysis | Line 1 First Point (Variable) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Var
Auto Analysis | Line 1 First Point (Expression) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Condition
Auto Analysis | Line 1 First Point (After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.Start
Auto Analysis | Line 1 First Point (Variable, After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.StartVar
Auto Analysis | Line 1 First Point (Expression, After) | Test Parameter | AutoAnalysis.Line1.Point1.Data.StartCondition
Auto Analysis | Line 1 Second Point Type | Test Parameter | AutoAnalysis.Line1.Point2.Type
Auto Analysis | Line 1 Second Point X | Test Parameter | AutoAnalysis.Line1.Point2.XY.X
Auto Analysis | Line 1 Second Point Y | Test Parameter | AutoAnalysis.Line1.Point2.XY.Y
Auto Analysis | Line 1 Second Point (Variable) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Var
Auto Analysis | Line 1 Second Point (Expression) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Condition
Auto Analysis | Line 1 Second Point (After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.Start
Auto Analysis | Line 1 Second Point (Variable, After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.StartVar
Auto Analysis | Line 1 Second Point (Expression, After) | Test Parameter | AutoAnalysis.Line1.Point2.Data.StartCondition
Auto Analysis | Line 1 Gradient Expression | Test Parameter | AutoAnalysis.Line1.GradientExpr
Auto Analysis | Line 2 Status | Test Parameter | AutoAnalysis.Line2.Enabled
Auto Analysis | Line 2 Type | Test Parameter | AutoAnalysis.Line2.Type
Auto Analysis | Line 2 Fixed Status | Test Parameter | AutoAnalysis.Line2.Fix
Auto Analysis | Line 2 Y Axis | Test Parameter | AutoAnalysis.Line2.YAxis
Auto Analysis | Line 2 First Point Type | Test Parameter | AutoAnalysis.Line2.Point1.Type
Auto Analysis | Line 2 First Point X | Test Parameter | AutoAnalysis.Line2.Point1.XY.X
Auto Analysis | Line 2 First Point Y | Test Parameter | AutoAnalysis.Line2.Point1.XY.Y
Auto Analysis | Line 2 First Point (Variable) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Var
Auto Analysis | Line 2 First Point (Expression) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Condition
Auto Analysis | Line 2 First Point (After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.Start
Auto Analysis | Line 2 First Point (Variable, After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.StartVar
Auto Analysis | Line 2 First Point (Expression, After) | Test Parameter | AutoAnalysis.Line2.Point1.Data.StartCondition
Auto Analysis | Line 2 Second Point Type | Test Parameter | AutoAnalysis.Line2.Point2.Type
Auto Analysis | Line 2 Second Point X | Test Parameter | AutoAnalysis.Line2.Point2.XY.X
Auto Analysis | Line 2 Second Point Y | Test Parameter | AutoAnalysis.Line2.Point2.XY.Y
Auto Analysis | Line 2 Second Point (Variable) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Var
Auto Analysis | Line 2 Second Point (Expression) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Condition
Auto Analysis | Line 2 Second Point (After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.Start
Auto Analysis | Line 2 Second Point (Variable, After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.StartVar
Auto Analysis | Line 2 Second Point (Expression, After) | Test Parameter | AutoAnalysis.Line2.Point2.Data.StartCondition
Auto Analysis | Line 2 Gradient Expression | Test Parameter | AutoAnalysis.Line2.GradientExpr
Auto Analysis | Marker Status | Test Parameter | AutoAnalysis.Marker.Enabled
Auto Analysis | Marker (Variable) | Test Parameter | AutoAnalysis.Marker.Data.Var
Auto Analysis | Marker (Expression) | Test Parameter | AutoAnalysis.Marker.Data.Condition
Auto Analysis | Marker Condition (After) | Test Parameter | AutoAnalysis.Marker.Data.Start
Auto Analysis | Marker Condition (Variable, After) | Test Parameter | AutoAnalysis.Marker.Data.StartVar
Auto Analysis | Marker Condition (Expression, After) | Test Parameter | AutoAnalysis.Marker.Data.StartCondition
Measurement Result | Number of Primary Sweep Result, Array | Dimension1 |
Measurement Result | Index of Secondary Sweep, Array | Dimension2 |
Measurement Result | Data Name, Array | Data Name |
Measurement Result | Data Unit, Array | Data Unit |
Measurement Result | Measurement Data, Array | Data Value |


Application Test

Text File Format (Application Test)

Category | Description | Header1 | Header2
Header | Setup Title | Setup title |
Header | Application Test Name | Application test name |
Header | Test Date | Test date |
Header | Test Time | Test time |
Header | Device ID | Device ID |
Header | Count | Count |
Header | Flags | Flags |
Header | Remarks | Remarks |
Test Parameter | Parameter Name, Array | Test Parameter | Name
Test Parameter | Parameter Value, Array | Test Parameter | Value
DUT Parameter | Parameter Name, Array | DUT Parameter | Name
DUT Parameter | Parameter Value, Array | DUT Parameter | Value
Measurement Result | Number of Primary Sweep Result, Array | Dimension1 |
Measurement Result | Index of Secondary Sweep, Array | Dimension2 |
Measurement Result | Data Name, Array | Data Name |
Measurement Result | Data Unit, Array | Data Unit |
Measurement Result | Measurement Data, Array | Data Value |


User Access Control

The EasyEXPERT provides Administrator, Engineer, and Operator user levels for user access control functions.

These functions are useful for protecting your test setups from unexpected overwriting, deleting, etc...

User Level | Prohibited Functions
Administrator | (None)
Engineer | Sets administrator's password. Opens password locked item without its password.
Operator | Sets administrator/engineer's password. Save test definitions, parameters, and My Favorites.

Note: If no password is set, the EasyEXPERT assumes all users as Administrator.

  • "User Level Configuration"

  • "Change Password"

  • "Add User Account"


Configure Windows Account

User Level Configuration

This dialog box is opened by clicking the [Tools] - [User Level] - [Config...] menu in Main Screen GUI and is used to assign Windows account and the EasyEXPERT user level. Click the OK button to apply the setup and close this dialog box.

Item | Description
Administrator's Password Status | Shows Administrator's password status.
Engineer's Password Status | Shows Engineer's password status.
Set... | Shows Change Password dialog.
Clear | Clears password.
Windows Account | Shows the Windows account.
User Level | Shows the EasyEXPERT user level associated to the Windows account.
Add... | Shows Add User Account dialog. (Needs Administrator privilege)
Delete | Deletes selected association.


Change Password

This dialog box is opened by clicking the [Password...] button on User Level Configuration dialog and is used to set passwords for Administrator and Engineer. Click the OK button to apply the setup and close this dialog box.

Item | Description
New Password | Enter new password to be set.
Retype New Password | Enter new password to be set.


Add User Account

This dialog box is opened by clicking the [Add...] button on User Level Configuration dialog and is used to assign Windows account and EasyEXPERT user level. Click the OK button to apply the setup and close this dialog box.

Item | Description
Windows Account | Select Windows account.
User Level | Select EasyEXPERT user level for the Windows account.

EasyEXPERT privileges are granted to each EasyEXPERT user level. If a Windows account is assigned to EasyEXPERT user level, the Windows account has EasyEXPERT privileges.


Classic Test Definition

This section provides the reference information of the classic test setup GUI of Keysight EasyEXPERT software.

  • “I/V Sweep”

  • “Multi Channel I/V Sweep”

  • “I/V List Sweep”

  • “I/V-t Sampling”

  • “C-V Sweep”

  • “Direct Control”

  • “Function Setup”

  • “Auto Analysis Setup”

  • “Display Setup”

  • “SMU Range Setup Window”

  • “ADC and Integration Time Setup Window”

  • “Pulse Setup Window”

  • “Advanced Setup Window”

  • “Range Setup Window”

  • “Advanced Setup Window for C-V Sweep”

  • “Switching Matrix Control”

  • “SPGU Control”

  • “SPGU Pulse Setup Window”

  • “Load Z Setup Window”

  • “Pulse Switch Setup Window”

  • “SPGU ALWG Setup Window”

  • “Define ALWG Waveform Window”

To perform measurement, see “Main Screen”.

To display measurement data and perform data analysis, see “Data Display Window”.

To perform self-test or diagnosis, see “Configuration Window”.

To perform self-calibration, see “Calibration Window”.

If You Use GNDU (Ground Unit)

Keep to the following rule to use the ground unit.

  • Set Mode to COMMON.

  • Set Function to CONST.

  • Do not use the I Name assigned to the ground unit.

  • Missing any one will cause an execution error.


I/V Sweep

On the EasyEXPERT main screen, click the Classic Test tab and select the I/V Sweep icon. The main screen displays the I/V sweep test setup screen. For the measurement mode, see “I/V Sweep Measurement”.

Setup Name

Used to set the name of test setup. The name must be the identification for the test setup saved to a My Favorite group (preset group). Enter a unique name that is distinct from other setup.

The name is recorded in the test result data and is used to differentiate the data in the test record list area.

Channel Setup

This tab displays the Channel Setup screen. See “Channel Setup”.

Measurement Setup

This tab displays the Measurement Setup screen. See “Measurement setup”.

Function Setup

This tab displays the Function Setup screen. See “Function Setup”.

Auto Analysis Setup

This tab displays the Auto Analysis Setup screen. See “Auto Analysis Setup”.

Display Setup

This tab displays the Display Setup screen. See “Display Setup”.


Channel Setup IV Sweep

Channel Setup

This setup screen is used to define the channel setups and the variables for the channel output data, measurement data, time stamp data, and index data.

Channel Definition

This area defines the channel setups and the variables for the channel output data and the measurement data.

Item | Description
Unit | Measurement resource used for the source output or measurement
V Name | Variable name of voltage output or measurement data
I Name | Variable name of current output or measurement data
Mode | Output mode. For SMU, V (voltage), I (current), VPULSE (voltage pulse), IPULSE (current pulse), or COMMON (ground). For SPGU, VPULSE (voltage pulse) or ALWG (arbitrary linear waveform voltage).
Function | Output function, VAR1 (primary sweep), VAR2 (secondary sweep), VAR1’ (synchronous sweep), or CONST (constant)
Add SMU | Adds a row for the SMU channel setup.
Add SPGU | Adds a row for the SPGU channel setup.
Delete | Deletes the channel setup. To select the channel setup, use the left radio button.
Up | Moves the selected channel setup upward.
Down | Moves the selected channel setup downward.

Note:

If multiple output channels are defined, the channels start output sequentially. The order is top to bottom of the channels defined in this screen. However the last output channel is always the MFCMU. The output stops in the opposite order.

Miscellaneous Variables

This area defines the variables for the time stamp data and the index data.

Item | Description
Time Stamp Name | Variable name of the time stamp. Time stamp data indicates the time at which step measurement was started.
Index Name | Variable name of the data index. Integer above 0 is returned.


Measurement setup IV Sweep

Measurement Setup

This setup screen is used to set the source channel outputs, the measurement ranging mode, the sweep abort condition, the measurement channel A/D converter, the series resistor, the filter, and the source output/measurement wait time.

VAR1

This area defines the primary sweep source output.

Item | Description
Unit | SMU used for the VAR1 output
Name | Variable name for the VAR1 output data
Direction | Sweep direction, single (start to stop) or double (start to stop to start)
Linear/Log | Sweep output, LINEAR, LOG10, LOG25, or LOG50. where the number following LOG means the number of sweep points in one decade.
Start | Sweep start value
Stop | Sweep stop value
Step | Incremental step value of the sweep output
No. of Steps | Number of steps. The value is automatically calculated by using the start, stop, and step values.
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.
Pwr. Comp | Power compliance value (in W), or OFF

VAR2

This area defines the secondary sweep source output.

Item | Description
Unit | SMU used for the VAR2 output
Name | Variable name for the VAR2 output data
Start | Sweep start value
Stop | Sweep stop value. The value is automatically calculated by using the start, step, and number of step values.
Step | Incremental step value of the sweep output
No. of Steps | Number of sweep steps
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.
Pwr. Comp | Power compliance value (in W), or OFF

VAR1’

This area defines the synchronous sweep source output. The VAR1’ output is given by the following formula.

(VAR1’ output) = Offset + Ratio x (VAR1 output)

Item | Description
Unit | SMU used for the VAR1’ output
Name | Variable name for the VAR1’ output data
Offset | Offset value
Ratio | Ratio value
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.
Pwr. Comp | Power compliance value (in W), or OFF

Timing

This area defines the hold time and the delay time. See “To Specify Source Output Time”.

Item | Description
Hold | Hold time. This is the time from beginning of channel output to beginning of delay time. 0 to 655.35 s, 10 ms resolution.
Delay | Delay time. This is the time from end of hold time to beginning of measurement. The measurement channels start measurement as soon as the wait time elapses. 0 to 65.535 s, 0.1 ms resolution.

Constants

This area defines the constant output source.

Item | Description
Unit | SMU used for the constant source
V Name | Variable name for the constant voltage output or measurement data
I Name | Variable name for the constant current output or measurement data
Mode | Output mode, V (voltage), I (current), VPULSE (voltage pulse), or IPULSE (current pulse)
Source | Output value
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.

SMU Pulse

This area defines the SMU pulse setup parameters. See “SMU Pulse”.

Item | Description
Unit | SMU used for the pulse output
Period | Pulse period. Entering AUTO sets the optimum value automatically.
Width | Pulse width
Base | Pulse base value

Sweep status

This field specifies the sweep abort condition. See “Sweep Abort Function”.

Range

This button opens a window used to set the measurement ranging operation. See “SMU Range Setup Window”.

ADC/Integ

This button opens a window used to set the A/D converter of the measurement channels. See “ADC and Integration Time Setup Window”.

Advanced

This button opens a window used to set the other functions of the measurement channel. See “Advanced Setup Window”.

SPGU Pulse / ALWG Setup

This button opens a window used to set the SPGU output. See “SPGU Pulse Setup Window” or “SPGU ALWG Setup Window”.


Multi Channel I/V Sweep

On the EasyEXPERT main screen, click the Classic Test tab and select the Multi Channel I/V Sweep icon. The main screen displays the Multi Channel I/V Sweep test setup screen. For the measurement mode, see “Multi Channel I/V Sweep Measurement”.

Setup Name

Sets the name of the test setup. The name is used to identify the test setup saved to a My Favorite group (preset group). Enter a unique name that is distinct from other setup.

The name is recorded in the test result data and is used to differentiate the data in the test record list area.

Channel Setup

This tab displays the Channel Setup screen. See “Channel Setup”.

Measurement Setup

This tab displays the Measurement Setup screen. See “Measurement Setup”.

Function Setup

This tab displays the Function Setup screen. See “Function Setup”.

Auto Analysis Setup

This tab displays the Auto Analysis Setup screen. See “Auto Analysis Setup”.

Display Setup

This tab displays the Display Setup screen. See “Display Setup”.

Note:

Setting of the Display Setup is applied to the X-Y Graph on the Data Display window. And the X-Y Graph can handle one X data for the X axis and the maximum eight Y data for the Y axis.

Define the X axis carefully to plot the Multi Channel I/V Sweep measurement result which may have the data measured by the multiple VAR1 channels. Because the result may also contain the multiple X data which can be the selections of the X axis.

The Display Setup must be set properly to match the X axis data and the X data of the plot you look at.


Channel Setup Multi Ch

Channel Setup

This setup screen is used to define the channel setups and the variables for the channel output data, measurement data, time stamp data, and index data.

Channel Definition

This area defines the channel setups and the variables for the channel output data and the measurement data.

Item | Description
Unit | Measurement resource used for the source output or measurement
V Name | Variable name of voltage output or measurement data
I Name | Variable name of current output or measurement data
Mode | Output mode. For SMU, V (voltage), I (current), VPULSE (voltage pulse), IPULSE (current pulse), or COMMON (ground). For SPGU, VPULSE (voltage pulse) or ALWG (arbitrary linear waveform voltage).
Function | Output function, VAR1 (primary sweep), VAR2 (secondary sweep), or CONST (constant)
Add SMU | Adds a row for the SMU channel setup.
Add SPGU | Adds a row for the SPGU channel setup.
Delete | Deletes the channel setup. To select the channel setup, use the left radio button.
Up | Moves the selected channel setup upward.
Down | Moves the selected channel setup downward.

Note:

If multiple output channels are defined, the channels start output sequentially. The order is top to bottom of the channels defined in this screen. However the last output channel is always the MFCMU. The output stops in the opposite order.

Miscellaneous Variables

This area defines the variables for the time stamp data and the index data.

Item | Description
Time Stamp Name | Variable name of the time stamp. Time stamp data indicates the time at which step measurement was started.
Index Name | Variable name of the data index. Integer above 0 is returned.


Measurement Setup Multi Ch

Measurement Setup

This setup screen is used to set the source channel outputs, the measurement ranging mode, the sweep abort condition, the measurement channel A/D converter, the series resistor, the filter, and the source output/measurement wait time.

VAR1

This area defines the primary sweep source output.

Item | Description
Direction | Sweep direction, single (start to stop) or double (start to stop to start)
Linear/Log | Sweep output, LINEAR, LOG10, LOG25, or LOG50 where the number following LOG indicates the number of sweep points in one decade.
No. of Steps | Number of steps.
Unit | SMU used for the VAR1 output
Name | Variable name for the VAR1 output data
Start | Sweep start value
Stop | Sweep stop value
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.
Pwr. Comp | Power compliance value (in W), or OFF

Constants

This area defines the constant output source.

Item | Description
Unit | SMU used for the constant source
V Name | Variable name for the constant voltage output or measurement data
I Name | Variable name for the constant current output or measurement data
Mode | Output mode, V (voltage) or I (current)
Source | Output value
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.

VAR2

This area defines the secondary sweep source output.

Item | Description
No. of Steps | Number of steps.
Unit | SMU used for the VAR2 output
Name | Variable name for the VAR2 output data
Start | Sweep start value
Stop | Sweep stop value. The value is automatically calculated from the start, step, and number of step values.
Step | Incremental step value for the sweep output
# Steps | Number of sweep steps
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.
Pwr. Comp | Power compliance value (in W), or OFF

Timing

This area defines the hold time and the delay time. See “To Specify Source Output Time”.

Item | Description
Hold | Hold time. This is the time between the beginning of channel output and the beginning of delay time. 0 to 655.35 s, 10 ms resolution.
Delay | Delay time. This is the time between the end of the hold time and the beginning of measurement. The measurement channels start measurement as soon as the wait time elapses. 0 to 65.535 s, 0.1 ms resolution.

Sweep status

This field specifies the sweep abort condition. See “Sweep Abort Function”.

Range

This button opens a window for setting measurement ranging operation. See “SMU Range Setup Window”.

ADC/Integ

This button opens a window for setting the A/D converter of the measurement channels. See “ADC and Integration Time Setup Window”.

Pulse

This button opens a window for setting the SMU pulse output. See “Pulse Setup Window”.

Advanced

This button opens a window for setting other functions of the measurement channel. See “Advanced Setup Window”.

SPGU Pulse / ALWG Setup

This button opens a window used to set the SPGU output. See “SPGU Pulse Setup Window” or “SPGU ALWG Setup Window”.


I/V List Sweep

On the EasyEXPERT main screen, click the Classic Test tab and select the I/V Sweep icon. The main screen displays the I/V List sweep test setup screen.

I/V List Sweep measurement is similar to I/V Sweep measurement described in “I/V Sweep Measurement”.

Changes from the I/V Sweep are listed below.

  • VAR1/VAR2 step output values are set by using a vector data. Vector data from a spreadsheet software, either tab separated or comma separated can be copied to the Define vector data dialog box via the Windows clipboard. See “To Define Vector Data”.

  • All SMU installed in the B1500 can be set to VAR1.

  • VAR1’ is not supported.

Setup Name

Sets the name of the test setup. The name is used to identify the test setup saved to a My Favorite group (preset group). Enter a unique name that is distinct from other setup.

The name is recorded in the test result data and is used to differentiate the data in the test record list area.

Channel Setup

This tab displays the Channel Setup screen. See “Channel Setup”.

Measurement Setup

This tab displays the Measurement Setup screen. See “Measurement Setup”.

Function Setup

This tab displays the Function Setup screen. See “Function Setup”.

Auto Analysis Setup

This tab displays the Auto Analysis Setup screen. See “Auto Analysis Setup”.

Display Setup

This tab displays the Display Setup screen. See “Display Setup”.


Channel Setup List

Channel Setup

This setup screen is used to define the channel setups and the variables for the channel output data, the measurement data, the time stamp data, and the index data.

Channel Definition

This area defines the channel setups and the variables for the channel output data and the measurement data.

Item

Description
Unit | Measurement resource used for the source output or measurement.
V Name | Variable name of voltage output or measurement data
I Name | Variable name of current output or measurement data
Mode Output mode.
For SMU, V (voltage), I (current), VPULSE (voltage pulse), IPULSE (current pulse), or COMMON (ground).
For SPGU, VPULSE (voltage pulse) or ALWG (arbitrary linear waveform voltage).
Function

Output function, VAR1 (primary sweep), VAR2 (secondary sweep), or CONST (constant).

If a SMU is set to Mode=VPULSE or IPULSE:

  • Number of VAR1 channels must be one or two.

  • If a VAR1 channel is set to Mode=VPULSE, the other VAR1 channel must be Mode=V.

  • If a VAR1 channel is set to Mode=IPULSE, the other VAR1 channel must be Mode=I.
Add SMU | Adds a row for the SMU channel setup.
Add SPGU | Adds a row for the SPGU channel setup.
Delete | Deletes the channel setup. To select the channel setup, use the left radio button.
Up | Moves the selected channel setup upward.
Down | Moves the selected channel setup downward.

Note:

If multiple output channels are defined, the channels start output sequentially. The order is top to bottom of the channels defined in this screen. However the last output channel is always the MFCMU. The output stops in the opposite order.

Miscellaneous Variables

This area defines the variables for the time stamp data and the index data.

Item | Description
Time Stamp Name | Variable name of the time stamp. Time stamp data indicates the time at which step measurement was started.
Index Name | Variable name of the data index. Integer above 0 is returned.


Measurement Setup List

Measurement Setup

This setup screen is used to set the source channel outputs, the measurement ranging mode, the sweep abort condition, the measurement channel A/D converter, the series resistor, the filter, and the source output/measurement wait time.

VAR1

This area defines the primary sweep source output.

Item | Description
Unit | SMU used for the VAR1 output
Source | Click the grid button to open the Define vector data dialog box. See “To Define Vector Data”.
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.
Pwr. Comp | Power compliance value (in W), or OFF

VAR2

This area defines the secondary sweep source output.

Item | Description
Unit | SMU used for the VAR2 output
Name | Variable name for the VAR2 output data
Source | Click the grid button to open the Define vector data dialog box. See “To Define Vector Data”.
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.
Pwr. Comp | Power compliance value (in W), or OFF

To define VAR1/VAR2 step outputs

To define these parameters, create a vector data by using the Define vector data dialog box which is opened by clicking the grid button in the vector data entry field. See Figure V-1.

Available array size for the vector data is as follows (column ´ row).

• VAR1 step output value: N1 = 1 * 1001 maximum (initial setting: 1 * 1)

• VAR2 step output value: N2 = 1 * 1001 maximum (initial setting: 1 * 1)

• Delay time: N3 = 1 * 1001 maximum (initial setting: 1 * 1)

Then, the following formula must be satisfied.

1 ≤ ( N1 * N2 ) ≤ 128128

SMU Pulse

This area defines the SMU pulse setup parameters. See “SMU Pulse”.

Item | Description
Unit | SMU used for the pulse output
Period | Pulse period. Cannot set this value. SMU applies the pulse after the delay time immediately.
Width | Pulse width
Base | Pulse base value

Timing

This area defines the hold time and the delay time. See “To Specify Source Output Time”.

Item | Description
Hold | Hold time. This is the time from the beginning of channel output to the beginning of delay time. 0 to 655.35 s, 10 ms resolution.
Delay | Delay time. This is the time between end of step changing and the beginning of measurement. For the first step, this is the time between the end of hold time and the beginning of measurement. The measurement channels start measurement as soon as the wait time elapses. 0 to 65.535 s, 0.1 ms resolution.Click the grid button to open the Define vector data dialog box. See “To Define Vector Data”.

Constants

This area defines the constant output source.

Item | Description
Unit | SMU used for the constant source
V Name | Variable name for the constant voltage output or measurement data
I Name | Variable name for the constant current output or measurement data
Mode | Output mode, V (voltage), I (current), VPULSE (voltage pulse), or IPULSE (current pulse)
Source | Output value
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.

Sweep status

This field specifies the sweep abort condition. See “Sweep Abort Function”.

Range

This button opens a window for setting the measurement ranging operation. See “SMU Range Setup Window”.

ADC/Integ

This button opens a window for setting the A/D converter of the measurement channels. See “ADC and Integration Time Setup Window”.

Advanced

This button opens a window for setting other functions of the measurement channel. See “Advanced Setup Window”.

SPGU Pulse / ALWG Setup

This button opens a window used to set the SPGU output. See “SPGU Pulse Setup Window” or “SPGU ALWG Setup Window”.


I/V-t Sampling

On the EasyEXPERT main screen, click the Classic Test tab and select the I/V-t Sampling icon. The main screen displays the I/V-t sampling test setup screen. For details of the measurement mode, see “I/V-t Sampling Measurement”.

Setup Name

Used to set the name of test setup. The name must be the identification for the test setup saved to a My Favorite group (preset group). Enter a unique name that is distinct from other setup.

The name is recorded in the test result data and is used to differentiate the data in the test record list area.

Channel Setup

This tab displays the Channel Setup screen. See “Channel Setup”.

Measurement Setup

This tab displays the Measurement Setup screen. See “Measurement setup”.

Function Setup

This tab displays the Function Setup screen. See “Function Setup”.

Auto Analysis Setup

This tab displays the Auto Analysis Setup screen. See “Auto Analysis Setup”.

Display Setup

This tab displays the Display Setup screen. See “Display Setup”.

If you set Interval < 0.002 s:

Sampling mode must be linear. This setting is not permitted for the log sampling. Also SPGU is not available.

The following conditions are automatically set to the all measurement channels. And the all channels start measurement simultaneously. After the measurement, they are returned to the previous conditions automatically.

  • High speed A/D converter (ADC)

  • Minimum measurement range that covers compliance value, fixed ranging

If the measurement time is expected to be longer than interval, the measurement channels automatically adjust the number of averaging samples (ADC settings) to keep the sampling interval. After the measurement, it is returned to the previous setting automatically.


Channel Setup Sampling

Channel Setup

This setup screen is used to define the channel setups and the variables for the channel output data, measurement data, time stamp data, and index data.

Channel Definition

This area defines the channel setups and the variables for the channel output data and the measurement data.

NOTE: UHCU and HVMCU cannot be used.

Item | Description
Unit | Measurement resource used for the source output or measurement
V Name | Variable name of voltage output or measurement data
I Name | Variable name of current output or measurement data
Mode | Output mode. For SMU, V (voltage), I (current), or COMMON (ground). For SPGU, VPULSE (voltage pulse) or ALWG (arbitrary linear waveform voltage).
Add SMU | Adds a row for the SMU channel setup.
Add SPGU | Adds a row for the SPGU channel setup.
Delete | Deletes the channel setup. To select the channel setup, use the left radio button.
Up | Moves the selected channel setup upward.
Down | Moves the selected channel setup downward.

Note:

If multiple output channels are defined, the channels start output sequentially. The order is top to bottom of the channels defined in this screen. The output stops in the opposite order. However, if the Output Sequence is SIMULTANEOUS, the channels start and stop output simultaneously.

Miscellaneous Variables

This area defines the variables for the time stamp data and the index data.

Item | Description
Time Stamp Name | Variable name of the time stamp. Time stamp data gives the time when step measurement is started.
Index Name | Variable name of the data index. Integer above 0 is returned.


Measurement setup Sampling

Measurement Setup

This setup screen is used to set the sampling timing parameters, constant voltage/current outputs, and so on.

Sampling Parameter

This area defines the sampling timing parameters.

Item

Description
Linear/Log

Sampling mode. LINEAR for linear sampling. LOG10, LOG25, LOG50, LOG100, LOG250, or LOG500 for logarithmic sampling.

For the logarithmic sampling, the number after LOG indicates the number of measurement data in a decade. For example, LOG10 mode is used to get 10 data/decade.
Interval

Interval of the sampling, in seconds. 0.002 to 65.535 s, 0.001 s resolution.

Interval < 0.002 s in 0.00001 s resolution is also available for the linear sampling. It must satisfy the following formula. See “If you set Interval < 0.002 s:”.

Interval ≥ 0.0001 + 0.00002 * ((number of measurement channels) - 1)
No. of Samples

Number of samples. Integer. 1 to the following value.

For linear: 100001 / (number of measurement channels)

For logarithmic: 1 + (number of data for 11 decades)
Total Sampling Time

This field just displays the total sampling time that is the time from the measurement start time for the first point to the end of sampling measurement. It does not include the hold time.

(Total Sampling Time) = Interval x (No. of Samples)
Output Sequence Source output sequence. SIMULTANEOUS or SEQUENTIAL. See “Source Output Sequence and Time Origin”.
Hold Time

Time since the Source value output until the first sampling point, in seconds. 0 to 655.35 s, resolution 0.01 s.

The following values are also available for Interval < 0.002 s. |Hold Time| will be the time since the sampling start until the Source value output.

-0.09 to -0.0001 s, resolution 0.0001 s.
Base Hold Time

Hold time of the Base value output until the Source value output, in seconds. 0 to 655.35 s, resolution 0.01 s.

Stop Condition

This area defines the sampling measurement stop condition. See “Stop Condition” on page 7-18 for this function.

Item | Description
Enable/Disable | Enables or disables the stop condition.
Enable Delay | Delay time. in second. This is the time from starting sampling measurement to enabling this function.
Name | Name of measurement data or user function to monitor for stop condition. Val of Event. Cannot use the user function that uses the following built-in functions. at, avg, cond, dim1Size, dim2Size, integ, mavg, max, min, storeAt
Threshold | Threshold value at which to stop sampling measurement. Th of Event.
Event | Event for stop condition. Val > Th: True if Name parameter value is greater than Threshold value. Val < Th: True if Name parameter value is less than Threshold value. |Val| > |Th|: True if absolute Name parameter value is greater than absolute Threshold value. |Val| < |Th|: True if absolute Name parameter value is less than absolute Threshold value.
No. of Events | Target value of the count the event occurs (true). When the count of true is this value, sampling is immediately stopped.

Constants

This area defines the constant voltage/current source.

Item | Description
Unit | SMU used for the constant source
V Name | Variable name for the constant voltage output or measurement data
I Name | Variable name for the constant current output or measurement data
Mode | Output mode, V (voltage), or I (current)
Base, Source | Base or Source value, in V or A. Base value is available for all output channels for the SIMULTANEOUS mode and the last source channel for the SEQUENTIAL mode.
Compliance | Compliance value, in A or V.

Range

This button opens a window used to set the measurement ranging operation. See “SMU Range Setup Window”.

ADC/Integ

This button opens a window used to set the A/D converter of the measurement channels. See “ADC and Integration Time Setup Window”.

Advanced

This button opens a window used to set the other functions of the measurement channel. See “Advanced Setup Window”.

SPGU Pulse / ALWG Setup

This button opens a window used to set the SPGU output. See “SPGU Pulse Setup Window” or “SPGU ALWG Setup Window”.

SPGU cannot be used for the sampling measurement of Interval < 0.002 s.


If you set Interval less than 2 ms

If you set Interval < 2 ms

  • Sampling mode must be linear. This setting is not permitted for the log sampling. Also SPGU is not available.

  • All measurement channels must use the high speed A/D converter (ADC). This setting is not permitted if a measurement channel uses the high resolution ADC.

  • If the multiple measurement channels are used, all channels perform measurement in parallel.

  • If the measurement ranging mode is not the fixed mode, the measurement channels automatically select the minimum range that covers compliance value set to the channel.

  • If the measurement time is expected to be longer than Interval, the measurement channels automatically adjust the number of averaging samples (ADC settings) to keep the sampling interval.


C-V Sweep

On the EasyEXPERT main screen, click the Classic Test tab and select the C-V Sweep icon. The main screen displays the C-V sweep test setup screen.

For details of the measurement mode, see “C-V Sweep Measurement”.

Setup Name

Used to set the name of test setup. The name must be the identification for the test setup saved to a My Favorite group (preset group). Enter a unique name that is distinct from other setup.

The name is recorded in the test result data and is used to differentiate the data in the test record list area.

Channel Setup

This tab displays the Channel Setup screen. See “Channel Setup”.

Measurement Setup

This tab displays the Measurement Setup screen. See “Measurement setup”.

Function Setup

This tab displays the Function Setup screen. See “Function Setup”.

Auto Analysis Setup

This tab displays the Auto Analysis Setup screen. See “Auto Analysis Setup”.

Display Setup

This tab displays the Display Setup screen. See “Display Setup”.

Error Correction:

Error correction must be performed before starting measurements. See “CMU Calibration” that explains the error correction GUI. There are four techniques. For the easy way, perform the phase compensation and the open correction.


Channel Setup CV

Channel Setup

This setup screen is used to define the channel setups and the variables for the channel output data, time stamp data, and index data.

Channel Definition

This area defines the channel setups and the variables for the channel output data.

Note: UHCU and HVMCU cannot be used.

Item | Description
Unit | Measurement resource used for the source output or measurement
V Name | Variable name of voltage output or measurement data
I Name | Variable name of current output or measurement data
Mode | SMU output mode, V (voltage), I (current), or COMMON (ground)
Function | Output function, VAR1 (primary sweep) or CONST (constant)
Add | Adds a row for the channel setup.
Delete | Deletes the channel setup. To select the channel setup, use the left radio button.
Up | Moves the selected channel setup upward.
Down | Moves the selected channel setup downward.

Note:

If multiple output channels are defined, the channels start output sequentially. The order is top to bottom of the channels defined in this screen. However the last output channel is always the MFCMU. The output stops in the opposite order.

Miscellaneous Variables

This area defines the variables for the time stamp data and the index data.

Item | Description
Time Stamp Name | Variable name of the time stamp. Time stamp data gives the time when step measurement is started.
Index Name | Variable name of the data index. Integer above 0 is returned.


Measurement setup CV

Measurement Setup

This setup screen is used to set the MFCMU measurement mode, source channel outputs, the sweep abort condition, and the measurement time.

C-V (VAR1)

This area defines the MFCMU measurement mode and DC bias output.

Item | Description
V Name | Variable name of the DC bias output data
Model | MFCMU measurement mode. Primary and secondary measurement parameters. See Table 20. Select one from the pull-down menu.
para1 Name | Variable name of the primary measurement parameter
para2 Name | Variable name of the secondary measurement parameter
Direction | Sweep direction, single (start to stop) or double (start to stop to start)
Linear/Log | Sweep output, LINEAR, LOG10, LOG25, or LOG50. where the number following LOG means the number of sweep points in one decade.
Start | Sweep start value
Stop | Sweep stop value
Step | Incremental step value of the sweep output
Compliance | Only for SMU. Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.
No. of Steps | Number of steps. The value is automatically calculated by using the start, stop, and step values.

Signal Source

This area defines the measurement signal.

Item | Description
Frequency List | Frequency of the measurement signal
F Name | Variable name of the frequency data
AC Level | Oscillator level of the measurement signal, 10 mV to 250 mV, 1 mV resolution
Add | Adds a measurement frequency.
Delete | Deletes the selected frequency. To select the frequency, use the left radio button.
Up | Moves the selected frequency upward.
Down | Moves the selected frequency downward.

Integration Time

This area sets the A/D converter of MFCMU.

Item | Description
Mode | A/D converter operation mode, AUTO or PLC
Factor | Factor for the initial value. See “Mode, Factor”.

Timing

This area defines the hold time and the delay time. See “To Specify Source Output Time”.

Item | Description
Hold | Hold time. This is the time from beginning of channel output to beginning of delay time. 0 to 655.35 s, 10 ms resolution.
Delay | Hold time. This is the time from end of hold time to beginning of measurement. The MFCMU starts measurement as soon as the wait time elapses. 0 to 655.35 s, 0.1 ms resolution.

Constants

This area defines the constant voltage/current source.

Item | Description
Unit | SMU used for the constant source
V Name | Variable name for the constant voltage output or measurement data
I Name | Variable name for the constant current output or measurement data
Mode | Output mode, V (voltage), I (current), or COMMON (ground).
Source | Output value
Compliance | Compliance value. Enter the current limit value for the voltage source, or the voltage limit value for the current source.

Sweep status

This field specifies the sweep abort condition. See “Sweep Abort Function”.

Range

This button opens a window used to set the measurement ranging operation. See “Range Setup Window”.

ADC/Integ

This button opens a window used to set the A/D converter of the SMU measurement channels. See “ADC and Integration Time Setup Window”.

Advanced

This button opens a window used to set the other functions of the measurement channel. See “Advanced Setup Window for C-V Sweep”.


Direct Control

On the EasyEXPERT main screen, click the Classic Test tab and select the Direct Control icon. The main screen displays the Direct Control test setup screen.

Direct Control test mode performs measurement by controlling measurement resources, SMU, CMU, and SPGU directly. The instrument can be controlled by using GPIB commands. For the GPIB commands, see Keysight B1500A/B1505A Programming Guide.

Available GPIB commands are listed in the Command pull-down menu on the Measurement Setup screen. Other commands are not supported by the Direct Control test.

Setup Name

Sets the name of the test setup. The name is used to identify the test setup saved to a My Favorite group (preset group). Enter a unique name that is distinct from other setup.

The name is recorded in the test result data and is used to differentiate the data in the test record list area.

Channel Setup

This tab displays the Channel Setup screen. See “Channel Setup”.

Measurement Setup

This tab displays the Measurement Setup screen. See “Measurement Setup”.

Function Setup

This tab displays the Function Setup screen. See “Function Setup”.

If Keysight B2200A/B2201A/E5250A switching matrix is used, the CMU measurement data should be compensated. To perform the compensation, define user functions by using the “compenReZ” and “compenImZ” built-in functions or the “compenReY” and “compenImY” built-in functions.

Auto Analysis Setup

This tab displays the Auto Analysis Setup screen. See “Auto Analysis Setup”.

Display Setup

This tab displays the Display Setup screen. See “Display Setup”.


Channel Setup Direct

Channel Setup

This setup screen is used to define the channel setups and the variables for the channel output data, measurement data, time stamp data, and index data.

Channel Definition

This area defines the channel setups and the variables for the channel output data and the measurement data.

Item | Description
Unit | Measurement resource used for the source output or measurement
V Name | Variable name of DC voltage output or measurement data
I Name | Variable name of DC current output or measurement data
Add SMU | Adds a row for the SMU channel setup.
Add CMU | Adds a row for the CMU channel setup.
Add SPGU | Adds a row for the SPGU channel setup.
Delete | Deletes the channel setup. To select the channel setup, use the left radio button.
Up | Moves the selected channel setup upward.
Down | Moves the selected channel setup downward.

Additional Data Variables

This area defines the variables for the measurement data other than DC voltage and DC current which can be defined in Channel Definition.

Item | Description
Unit | Unit (SMU or CMU) used for the measurement
Type | Type of measurement data. See Table D-1.
Name | Variable name of the measurement data
Add | Adds a row for the measurement variable.
Delete | Deletes the selected measurement variable. To select a variable, use the left radio button.

Miscellaneous Variables

This area defines the variables for the time stamp data and the index data.

Item | Description
Time Stamp Name | Variable name of the time stamp. Time stamp data indicates the time at which step measurement was started.
Index Name | Variable name of the data index. Integer above 0 is returned.

Table D-1 Available Type Values for Measurement Data Variables

Type | Description
SMU Quasi-Static C | SMU capacitance measurement data (F)
CMU Re(Z) | CMU resistance measurement data (W)
CMU Im(Z) | CMU reactance measurement data (W)
CMU Re(Y) | CMU conductance measurement data (S)
CMU IM(Y) | CMU susceptance measurement data (S)
CMU Frequency | CMU output signal frequency data (Hz)
CMU AC Level Output Data | CMU oscillator level output data (Vac)
CMU DC Bias Monitor Data | CMU DC bias monitor data (Vdc)
CMU AC Level Monitor Data | CMU oscillator level monitor data (Vac)


Measurement Setup Direct

Measurement Setup

This setup screen is used to define GPIB commands for controlling the SMU and CMU directly, and is used to set the SMU series resistor, the SMU filter, and the bias hold function.

Advanced

This button opens a window for setting the SMU series resistor, the SMU filter, and the bias hold function. See “Advanced Setup”.

Command Setup

This area defines GPIB commands for controlling the SMU and CMU directly.

Item

Description

Command

 Select the command or function from the pull-down menu. See “Command Setup”.

Arguments

Enter the command parameter. To enter multiple parameters, insert a comma (,) between parameters. Multiple spaces can be inserted before and after the comma.

All parameters should be entered. If an optional parameter is abbreviated, the initial value may be set, the last used value may be reused, or no value may be set. The result is unique and depends on the command. For a description of each command, see Keysight B1500A/B1505A Programming Guide.

The parameter can be a numeric variable or a numeric expression with fundamental arithmetic operations.

In an application test definition, the parameter can be a numeric type test parameters, device parameters, or Symbol.

If the internal variable is used, it must be used as a string variable. For example, the variables must be entered as follows.

“%I1”, “%R1”, “%R2”
Ignore | Check this box to comment out this command line.
Add | Adds a row for the command setup.
Delete | Deletes the selected command setup. To select a command setup, use the left radio button.
Up | Moves the selected command setup upward.
Down | Moves the selected command setup downward.


Advanced Setup

This window is opened by clicking the Advanced button on the Direct Control Measurement Setup screen, and is used to set the SMU series resistor, the SMU filter, and the bias hold function.

Options

The following setup is available.

Item

Description
Primary Setup Primary setup ON or OFF.

If Primary Setup=ON, the primary setup is applied to the instrument when the Direct Control test is started. For the setup condition, see “Primary Setup”.

If Primary Setup=OFF, the primary setup is not applied. Set the Primary Setup to OFF if a setup exists and is proven to problem-free for running a test with. The test execution time can be reduced by this setting.

Channel Settings

This area sets the series resistor and the filter.

Item | Description
Unit | SMU used for the measurement
V Name | Variable name of voltage output or measurement data
I Name | Variable name of current output or measurement data
Series R | Series resistor NONE or 1MOHM. See “SMU Series Resistor”.
SMU Filter | SMU filter ON or OFF. See “SMU Filter”.

After Measurement Setting

This area sets the bias hold function for maintaining the source output after measurement. The source applies the specified bias between two consecutive measurements of a repeated measurement or quick test. See “Bias Hold Function”.

Item | Description
Bias Hold after Measurement | Bias hold function ON or OFF

Semiconductor Relays (16440A SMU/PG Selector)

Effective only for the instrument installed with SPGU or PGU. Keysight 16445A selector adapter is needed for connecting Keysight 16440A SMU/PG selector.

This area sets the selector CH1/CH3 status (DEFAULT or PGU OPEN). To use this function, set the DEFAULT setting to Always SMU or Normally PGU (AUX) by using the SMU/PG Selector tab screen on the Configuration window before starting the SPGU output.

CH1: CH1 status, DEFAULT or PGU OPEN.

CH3: CH3 status, DEFAULT or PGU OPEN.

CH1 represents channel 1 on the first selector and CH3 represents channel 1 on the second selector. See “SMU/PG Selector” for details on the selector.


Primary Setup

Primary setup is the initial setting set for when the Direct Control test is started. This setting is different from the initial setting set by the device clear or the *RST command. The differences are listed below.

  • Data output format

FMT 13, 0 is set.

  • Program memory

Setup is not changed. The last used setting is retained.

  • Internal variables

Setup is not changed. The last used setting is retained.

  • Measurement condition setup commands

Setup is not changed for the following commands. The last used setting is retained.

MM

WV, WI, WSV, WSI, WNX

PV, PI, PWV, PWI

BDV

QSV, QSO

LGI, LGV, LSI, LSV, LSSI, LSSV

BGI, BGV, BSI, BSV, BSSI, BSSV

FC, WDCV

PDCV, PWDCV

WFC

WACV

MDCV


Command Setup

To define the Command Setup, set a command or a function to the Command field, and enter the command parameters to the Argument field. Also, be aware of the following note.

  • FMT command’s first parameter must be 13.

  • Use the Unit value of Channel Setup to specify the channel.

  • Use the ReadDataBuffer function to read measurement data.

  • Program memory number must be within the range of 1 to 1000.

  • SCR command parameter cannot be abbreviated.

  • VAR command’s second parameter must be within the range of 1 to 40. Hence, internal variables %I1 to %I40 and %R1 to %R40 are available.

A setup example is shown in Table C-1. This example uses SMU1 to performs voltage output and current spot measurement.

Table C-1 Command Setup Example

Command | Arguments | Description
FMT | 13, 0 | Sets the data output format.
MM | 1, SMU1:HP | Sets the measurement mode.
TSC | 1 | Enables the time data output.
AV | 10, 1 | Sets the number of averaging.
DV | SMU1:HP, 0, 1.5, 0.1 | Forces the DC voltage.
CMM | SMU1:HP, 0 | Sets the SMU operation mode.
RI | SMU1:HP, 0 | Sets the current measurement range.
TSR |  | Resets the timer.
XE |  | Starts the measurement.
ReadDataBuffer | 1 | Reads the measurement data.


ReadDataBuffer

This function reads the measurement data. The number of data blocks to be read is specified by the count parameter. If count is abbreviated, this function reads one data block.

Syntax

ReadDataBuffer [count]

Parameters

count

Number of data blocks or the number of terminators to be read.

A data block is a group of data that ends with a terminator. For the data output format, see Keysight B1500A/B1505A Programming Guide.

Example

The following example performs three high speed spot measurements and then reads three measurement data blocks.

Command | Arguments | Description
TI | 1, 0 | Measurement channel 1 performs the high speed spot measurement.
TI | 2, 0 | Measurement channel 2 performs the high speed spot measurement.
TI | 3, 0 | Measurement channel 3 performs the high speed spot measurement.
ReadDataBuffer | 3 | Reads three measurement data blocks.

Note:

The data output buffer is cleared when the Direct Control test is started.

Note:

If a SMU performs the force side measurement operation and the source data output is enabled (by the FMT command), the SMU’s source data is deleted and the SMU’s measurement data is stored instead of the source data. The force side measurement operation is the SMU operation which performs the voltage force and voltage measurement or the current force and current measurement.


compenReZ

This built-in function performs compensation on the specified impedance data and returns the real data for the compensation results.

This function is effective for the CMU measurement data compensation while the switching matrix is used with the CMU to extend the measurement terminals. Define the compenReZ and compenImZ functions as the user functions on the Function Setup screen, so that the compensation is performed while the Direct Control test is being executed. Also enter the formula to calculate the measurement parameters. An example definition is shown in Figure C-1. For the equations, see “About Impedance Measurements”.

Syntax

compenReZ(frequency,Real,Imaginary)

Parameters

frequency

Measurement frequency. Hz. Numeric scalar or vector data.

For the C-f measurement data, frequency should be a vector variable that stores multiple frequency values.

Real

CMU Re(Z) measurement result data. W. Numeric vector data.

Real should be a vector variable that stores the impedance real data before compensation.

Imaginary

CMU Im(Z) measurement result data. W. Numeric vector data.

Imaginary should be a vector variable that stores the impedance imaginary data before compensation.

Example

Name

Rcompen

Definition

compenReZ(Freq,ReZ,ImZ)

Rcompen returns the impedance real data for the compensation results.


compenImZ

This built-in function performs compensation on the specified impedance data and returns the imaginary data for the compensation results.

This function is effective for the CMU measurement data compensation while the switching matrix is used with the CMU to extend the measurement terminals. Define the compenReZ and compenImZ functions as the user functions on the Function Setup screen, so that the compensation is performed while the Direct Control test is being executed. Also enter the formula to calculate the measurement parameters. An example definition is shown in Figure C-1. For the equations, see “About Impedance Measurements”.

Syntax

compenImZ(frequency,Real,Imaginary)

Parameters

frequency

Measurement frequency. Hz. Numeric scalar or vector data.

For the C-f measurement data, frequency should be a vector variable that stores multiple frequency values.

Real

CMU Re(Z) measurement result data. W. Numeric vector data.

Real should be a vector variable that stores the impedance real data before compensation.

Imaginary

CMU Im(Z) measurement result data. W. Numeric vector data.

Imaginary should be a vector variable that stores the impedance imaginary data before compensation.

Example

Name

Xcompen

Definition

compenImZ(Freq,ReZ,ImZ)

Xcompen returns the impedance imaginary data for the compensation results.


compenReY

This built-in function performs compensation on the specified admittance data and returns the real data for the compensation results.

This function is effective for the CMU measurement data compensation while the switching matrix is used with the CMU to extend the measurement terminals. Define the compenReY and compenImY functions as the user functions on the Function Setup screen as shown in Figure C-1, so that the compensation is performed while the Direct Control test is being executed. Also enter the formula to calculate the measurement parameters. For the equations, see “About Impedance Measurements”. Figure C-1 defines the following formula to calculate capacitance.

C=ImY/(2*PI*Freq)

Syntax

compenReY(frequency,Real,Imaginary)

Parameters

frequency

Measurement frequency. Hz. Numeric scalar or vector data.

For the C-f measurement data, frequency should be a vector variable that stores multiple frequency values.

Real

CMU Re(Y) measurement result data. S. Numeric vector data.

Real should be a vector variable that stores the admittance real data before compensation.

Imaginary

CMU Im(Y) measurement result data. S. Numeric vector data.

Imaginary should be a vector variable that stores the admittance imaginary data before compensation.

Example

Name

Gcompen

Definition

compenReY(Freq,ReY,ImY)

Gcompen returns the admittance real data for the compensation results.

Figure C-1 Function Setup Example


compenImY

This built-in function performs compensation on the specified admittance data and returns the imaginary data for the compensation results.

This function is effective for the CMU measurement data compensation while the switching matrix is used with the CMU to extend the measurement terminals. Define the compenReY and compenImY functions as the user functions on the Function Setup screen as shown in Figure C-1, so that the compensation is performed while the Direct Control test is being executed. Also enter the formula to calculate the measurement parameters. For the equations, see “About Impedance Measurements”. Figure C-1 defines the following formula to calculate capacitance.

C=ImY/(2*PI*Freq)

Syntax

compenImY(frequency,Real,Imaginary)

Parameters

frequency

Measurement frequency. Hz. Numeric scalar or vector data.

For the C-f measurement data, frequency should be a vector variable that stores multiple frequency values.

Real

CMU Re(Y) measurement result data. S. Numeric vector data.

Real should be a vector variable that stores the admittance real data before compensation.

Imaginary

CMU Im(Y) measurement result data. S. Numeric vector data.

Imaginary should be a vector variable that stores the admittance imaginary data before compensation.

Example

Name

Bcompen

Definition

compenImY(Freq,ReY,ImY)

Bcompen returns the admittance imaginary data for the compensation results.


Function Setup

This setup screen is displayed by clicking the Function Setup tab of the I/V Sweep / Multi Channel I/V Sweep / I/V List Sweep / I/V-t Sampling / C-V Sweep / Direct Control test setup screen, and is used to set the user function and the analysis function.

Calculation of the function is automatically performed after measurement. And the functions defined in the Display Setup screen will be displayed on the Data Display window. The user functions are available for the X-Y Graph Plot, List Display, and Parameters area. The analysis functions are available for the Parameters area.

User Function, Analysis Function

The User/Analysis Function area sets the user/analysis functions effective for the test. Up to 20 functions can be set. The user function result is referable from the other user function defined in the following lines. The analysis function result is referable from the other analysis function defined in the following lines.

Item

Description

Name

 Function name

Unit

 Unit of the function

Definition

Definition of the function. The following identifiers can be used.

  • Variables for the measurement/output data used in this test

  • Functions defined in the above lines

  • Local variables passed from the application test that calls this test as a component

  • Built-in functions and global variables

  • Read-out functions (not available for the user functions)

Also see “Built-in Programming Tool”

Add, Delete

Adds a function, or deletes the selected function. To select the function, use the left radio button.

Up, Down

Moves the selected function upward or downward.


Auto Analysis Setup

This setup screen is displayed by clicking the Auto Analysis Setup tab of the I/V Sweep / Multi Channel I/V Sweep / I/V List Sweep / I/V-t Sampling / C-V Sweep / Direct Control test setup screen, and is used to set the automatic analysis function. When a measurement finishes, the function automatically draws lines, a marker, or both on the X-Y Graph of the Data Display window.

You can set up two lines and one marker for the automatic analysis function.

In the Line 1 and Line 2 areas, you can set up the lines to be drawn.

In the Marker area, you can set up the marker.

Interpolation Mode

Check this box to enable the interpolation mode. You can position marker between measurement points.

Line 1, Line 2

This area sets the line 1 or line 2 automatically displayed and moved to the specified position after the measurement.

Item | Description
Enable | Check this box to enable the line.
Fix | Check this box to fix the line on the graph after the auto analysis is performed. Remove the check to make the line free.
Type | Select one of the available line types listed below.
Axis | Axis effective for the line. Specify one from Y1 to Y8.
First Point | See the following description for the line you selected.
Second Point | See the following description for the line you selected. See also “To Draw a Line”.

Available line types:

  • “Normal line”: For drawing a line between any two points.

  • “Gradient line”: For drawing a line through any point with a specified gradient.

  • “Tangent line”: For drawing a tangent line to a measurement point.

  • “Regression line”: For drawing a regression line by using the measurement data included in the area specified by any two points.

Marker

This area sets the marker automatically displayed and moved to the specified position after the measurement.

Item | Description
Enable | Check this box to enable the marker.
Condition | Enter a variable name and a condition expression to specify where you want the marker to appear.
After | Check this box to enable the additional condition. Enter a second variable and condition expression. This sets up a search start condition for finding specified point.

For example, you can specify the following expressions to search for a measurement point that satisfies the first condition after the second condition is satisfied.

Condition: [DGM]=[MAX(DGM)*0.01] [x] After [DGM]=[MAX(DGM)]

Normal line

The First Point area and the Second Point area are used to specify the points the line passes through. The following two ways are available to specify the point.

  • X-Y Coordinate

Enter the desired X-Y coordinate values or expressions in the X and Y fields.

  • Data Condition

Enter a variable name and condition expression to specify the point. This is the same method as specifying the Marker point.

Gradient line

The First Point area is used to specify the point the line passes through. The following two ways are available to specify the point.

  • X-Y Coordinate

Enter the desired X-Y coordinate values or expressions in the X and Y fields.

  • Data Condition

Enter a variable name and condition expression to specify the point. This is the same method as specifying the Marker point.

In the Gradient field, enter a gradient value or expression.

Tangent line

The First Point area is used to specify the measurement point the tangent line passes through.

Enter a variable name and condition expression to specify the point. This is the same method as specifying the Marker point.

Regression line

The First Point area and the Second Point area are used to specify the range of the measurement data used for the regression calculation. The following two ways are available to specify the point.

  • X-Y Coordinate

Enter the desired X-Y coordinate values or expressions in the X and Y fields.

  • Data Condition

Enter a variable name and condition expression to specify the point. This is the same method as specifying the Marker point.


Display Setup Classic

Display Setup

This setup screen is displayed by clicking the Display Setup tab of the I/V Sweep / Multi Channel I/V Sweep / I/V List Sweep / I/V-t Sampling / C-V Sweep / Direct Control test setup screen or by checking the Define own Output Parameters box on the Test Definition window, and is used to set the test result output.

X-Y Graph

Selects the data to be displayed in the X-Y Graph Plot area. The X and Y1 to Y8 axes can be set.

Item

Description

Name

 Specifies the parameter for the axis.

Sharing

Specifies the group for sharing the Y axis scale. Select from Group 1, Group 2, Group 3, Group 4, or None (no grouping).

The Scale, Min, and Max values are shared by the Y axes in the same group. The scale set by Run Time Auto Scale, Auto Scale, Zoom in, and/or Zoom out are also shared.

If another layer on the Data Display window contains an X-Y trace which has the same name for both its grouped Y parameter and its X parameter, the scaling will also be shared by this X-Y trace.

Scale

Scale of the axis, Linear or Log

Min

Minimum value of the axis

Max

Maximum value of the axis
Auto

Enables or disables run-time auto-scaling.
Add

Adds a parameter (or axis).
Delete

Deletes the parameter selected with the radio button on the left.
Up

Moves the selected parameter upward.
Down

Moves the selected parameter downward.

List Display, Parameters

Selects the data displayed in the List Display area or the Parameters area. Up to 20 parameters can be set for each area.

Item | Description
(Parameter) | Specifies the parameter for the data output.
Add | Adds a row for the parameter.
Delete | Deletes the parameter selected by the left radio button.
Up | Moves the selected parameter upward.
Down | Moves the selected parameter downward.


SMU Range Setup Window

This window is opened by clicking the Range button on the I/V Sweep / Multi Channel I/V Sweep / I/V List Sweep / I/V-t Sampling Measurement Setup screen, and is used to set the measurement ranging operation.

For the measurement ranging function, see “SMU Ranging Mode”.

Item

Description
Unit | SMU used for the measurement
Name | Variable name for the measurement data
Mode | Ranging mode, AUTO (auto ranging), LIMITED (limited auto ranging), or FIXED (fixed range)
Range | Range value. For auto ranging, ignore this field. For limited auto ranging, the measurement channel never uses ranges less than the specified range.
Range Change Rule and Rate

Not available for voltage measurement or fixed ranging. See also “Enhanced Auto Ranging for Current Measurement”.

Available Range Change Rule values are BY FULL RANGE, GO UP AHEAD, and UP AND DOWN AHEAD.

BY FULL RANGE performs normal auto ranging operation.

For the GO UP AHEAD and UP AND DOWN AHEAD rules, specify the Rate value, 11 to 100, which fixes the boundary of the ranging. The ranging occurs when the measurement data goes across the boundary values shown below.

go up boundary = (present measurement range) * Rate / 100

go down boundary = (present measurement range) * Rate / 1000

The go down boundary is available only for the UP AND DOWN AHEAD rule.
Up | Moves the selected measurement channel setup upward.
Down | Moves the selected measurement channel setup downward.

NOTE:

If multiple measurement channels are defined, the channels perform measurement sequentially. The order is top to bottom of the channels defined in this screen. For exceptions and details, see “Multiple Measurement Channels”.

To use 1 pA range, only for B1500A:

The measurement channel connected to the ASU (Atto Sense and Switch Unit) supports the 1 pA range. To use the 1 pA range, set the 1 pA fixed range or the 1 pA limited auto ranging.

The B1500A automatically performs the compensation of the data measured by the 1 pA range and returns the compensated data. You can use either the pre-stored offset data or the pre-measured offset data.

To measure the offset data, perform the self-calibration before starting the measurement for a DUT. This offset data is temporarily memorized until the B1500A is turned off.


ADC and Integration Time Setup Window

This window is opened by clicking the ADC/Integ button on the I/V Sweep / Multi Channel I/V Sweep / I/V List Sweep / I/V-t Sampling / C-V Sweep Measurement Setup screen, and is used to set the A/D converter of the SMU measurement channels.

A/D Converter

This area selects the ADC type and enables/disables the auto zero function. See “Integration Time”.

Item | Description
Unit | SMU used for the measurement
Name | Variable name for the measurement data
ADC | ADC type, HR ADC (high resolution ADC) or HS ADC (high speed ADC) HR ADC is not available for MCSMU, HCSMU, and HVSMU. Also it is not available for the measurements using SMU pulse.
Measurement | Compliance Side only, or both Force and Compliance Sides Force and Compliance Sides is not available for HRSMU, MPSMU, and HPSMU.

Integration Time

This area sets the ADC mode and its factor for each ADC type.

Item

Description
Mode

ADC operation mode

  • AUTO, MANUAL, or PLC for High Resolution ADC

  • AUTO, MANUAL, PLC, or TIME for High Speed ADC

  • TIME or PLC for the measurements using SMU pulse.
Factor

Factor value. Factor value of “Integration Time”.
Auto Zero

Auto zero function ON or OFF. Only for the high resolution ADC. See “ADC Zero Function”.

Pulse Averaging Count

This area sets the averaging of the pulsed measurement. Not effective for HRSMU, MPSMU, and HPSMU. The Count value is automatically set to the same value as the Count value on the Pulse Setup window for using multiple SMU pulse output channels.

Item | Description
Count | Number of pulsed measurements for averaging to get one measurement data.


Pulse Setup Window

This window is opened by clicking the Pulse button on the Multi Channel I/V Sweep Measurement Setup screen, and is used to set the SMU pulse setup parameters. For the SMU pulse setup parameters, see “SMU Pulse”.

The followings are the setup parameters for pulse output.

Common

The following parameters are common to the all pulse output channels.

Item | Description
Period | Pulse period. Entering AUTO sets the optimum value automatically.
Measurement Delay Time | Delay time from the beginning of the pulse period to the beginning of the measurement. Entering AUTO sets the optimum value automatically so that the measurement is completed when the transition from peak to base is started by the pulse output channel which starts the transition at first.

Integration Time

The following entry fields are available for setting the high speed ADC. High resolution ADC is not available for this measurement.

Item | Description
Mode | ADC operation mode, TIME or PLC
Factor | Factor value. Factor value of “Integration Time” on page 4-60.

Pulse Averaging Count

The following parameter sets the averaging of the pulsed measurement. The Count value works with the Count value on the ADC and Integration Time Setup window.

The Count value is not effective for HRSMU, MPSMU, and HPSMU.

Item | Description
Count | Number of pulsed measurements for averaging to get one measurement data.

Pulse Channels

The followings are the pulse setup parameters set to the pulse output channels individually.

Item | Description
Unit | SMU used for the pulse output
Name | Variable name for the pulse voltage output data or the pulse current output data
Pulse Delay Time | Delay time from the beginning of the pulse period to the beginning of the transition from base to peak. This value must be 0 for HRSMU, MPSMU, and HPSMU.
Width | Pulse width. This value must be the same for HRSMU, MPSMU, and HPSMU.
Base | Pulse base value


Advanced Setup Window

This window is opened by clicking the Advanced button on the I/V Sweep / Multi Channel I/V Sweep / I/V List Sweep / I/V-t Sampling Measurement Setup screen, and is used to set the following functions of the measurement channel.

Channel Settings

This area sets the series resistor and the filter.

Item | Description
Unit | SMU used for the measurement
V Name | Variable name of voltage output or measurement data
I Name | Variable name of current output or measurement data
Series R | Series resistor NONE or 1MOHM. See “SMU Series Resistor”. SMU series resistor is not available for MCSMU, HCSMU, and HVSMU.
SMU Filter | SMU filter ON or OFF. See “SMU Filter”.
V Compliance | Only for UHCU, UHVU, or HVMCU. Limit value for the voltage sweep output. The output voltage of the measurement resource is automatically measured, and the measured voltage is compared with this limit value. And then, if it exceeds the limit, the measurement status is set to the compliance status, and the sweep measurement stops according to the setting in the Sweep [xxxx] status field on the Measurement Setup screen. Voltage range and setting resolution depend on the measurement resource.

Wait Time Control

This area sets the source output wait time and the measurement wait time. See “Wait Time”. The Output Wait sets the source output wait time. The Measurement Wait sets the measurement wait time.

Item | Description
Factor | Factor value. 0 to 10, 0.1 resolution. This is the N value shown in “Wait Time”.

After Measurement Settings

This area sets the bias hold function used to keep the source output after measurement. The source applies the specified bias between a measurement and the next measurement performed in the repeat measurement or quick test. See “Bias Hold Function”.

Item | Description
Bias Hold after Measurement | Bias hold function ON or OFF
Output Value after Measurement | Source output value after measurement START (sweep start value), STOP (sweep stop value), SOURCE (sampling output source value), or BASE (sampling output base value)

Semiconductor Relays (16440A SMU/PG Selector)

Effective only for the instrument installed with SPGU or PGU. Keysight 16445A selector adapter is needed for connecting Keysight 16440A SMU/PG selector.

This area sets the selector CH1/CH3 status (DEFAULT or PGU OPEN). To use this function, set the DEFAULT setting to Always SMU or Normally PGU (AUX) by using the SMU/PG Selector tab screen on the Configuration window before starting the SPGU output.

CH1: CH1 status, DEFAULT or PGU OPEN.

CH3: CH3 status, DEFAULT or PGU OPEN.

CH1 represents channel 1 on the first selector and CH3 represents channel 1 on the second selector. See “SMU/PG Selector” for details on the selector.


CMU Range Setup Window

Range Setup Window

This window is opened by clicking the Range button on the C-V Sweep Measurement Setup screen, and is used to set the measurement ranging operation.

CMU Measurement Range

This area sets the CMU measurement ranging operation.

Item | Description
Unit | CMU used for the measurement
Mode | Ranging mode, AUTO (auto ranging) or FIXED (fixed range). If Mode=AUTO, the MFCMU automatically searches for and measures at the range that provides the best resolution. If Mode=FIXED, the MFCMU measures at the range specified by the Range field.
Range | Measurement range. This field is effective when Mode=FIXED. Available measurement ranges depend on the measurement frequency setting. See Table CR-1.

Table CR-1 Available Measurement Ranges

Frequency | Available measurement ranges
≤ 200 kHz | 50 W, 100 W, 300 W, 1 kW, 3 kW, 10 kW, 30 kW, 100 kW, 300 kW
≤ 2 MHz | 50 W, 100 W, 300 W, 1 kW, 3 kW, 10 kW, 30 kW
≤ 5 MHz | 50 W, 100 W, 300 W, 1 kW, 3 kW

SMU Measurement Range

This area sets the SMU measurement ranging operation.

For the measurement ranging function, see “SMU Ranging Mode”.

Item

Description
Unit | SMU used for the measurement
Name | Variable name for the measurement data
Mode | Ranging mode, AUTO (auto ranging), LIMITED (limited auto ranging), or FIXED (fixed range)
Range | Range value. For auto ranging, ignore this field. For limited auto ranging, the measurement channel never uses ranges less than the specified range.
Range Change Rule and Rate

Not available for voltage measurement or fixed ranging. See also “Enhanced Auto Ranging for Current Measurement”.

Available Range Change Rule values are BY FULL RANGE, GO UP AHEAD, and UP AND DOWN AHEAD.

BY FULL RANGE performs normal auto ranging operation.

For the GO UP AHEAD and UP AND DOWN AHEAD rules, specify the Rate value, 11 to 100, which fixes the boundary of the ranging. The ranging occurs when the measurement data goes across the boundary values shown below.

go up boundary = (present measurement range) * Rate / 100

go down boundary = (present measurement range) * Rate / 1000

The go down boundary is available only for the UP AND DOWN AHEAD rule.
Up | Moves the selected measurement channel setup upward.
Down | Moves the selected measurement channel setup downward.

Note:

If multiple measurement channels are defined, the channels perform measurement sequentially. The order is top to bottom of the channels defined in SMU Measurement Range. For exceptions and details, see “Multiple Measurement Channels”.

To use 1 pA range, only for B1500A:

The measurement channel connected to the ASU (Atto Sense and Switch Unit) supports the 1 pA range. To use the 1 pA range, set the 1 pA fixed range or the 1 pA limited auto ranging.

The B1500A automatically performs the compensation of the data measured by the 1 pA range and returns the compensated data. You can use either the pre-stored offset data or the pre-measured offset data.

To measure the offset data, perform the self-calibration before starting the measurement for a DUT. This offset data is temporarily memorized until the B1500A is turned off.


Advanced Setup Window for C-V Sweep

This window is opened by clicking the Advanced button on the C-V Sweep Measurement Setup screen, and is used to set the following functions.

AC Level/DC Bias Monitor Settings

This area defines the variables for the AC level data and the DC bias data monitored by the CMU while the capacitance measurement is performed.

Item | Description
Unit | CMU used for the measurement
AC Level Monitor Name | Variable name of the AC level monitor data
DC Bias Monitor Name | Variable name of the DC bias monitor data

Channel Settings

This area sets the SMU series resistor and the SMU filter.

Item | Description
Unit | SMU used for the measurement
V Name | Variable name of voltage output or measurement data
I Name | Variable name of current output or measurement data
Series R | Series resistor NONE or 1MOHM. See “SMU Series Resistor”. SMU series resistor is not available for MCSMU, HCSMU, and HVSMU.
SMU Filter | SMU filter ON or OFF. See “SMU Filter”.

Wait Time Control

This area sets the source output wait time and the measurement wait time of SMU. See “Wait Time”. The Output Wait sets the source output wait time. The Measurement Wait sets the measurement wait time.

Item | Description
Factor | Factor value. 0 to 10, 0.1 resolution. This is the N value shown in “Wait Time”.

After Measurement Settings

This area sets the bias hold function used to keep the source output after measurement. The source applies the specified bias between a measurement and the next measurement performed in the repeat measurement or quick test. See “Bias Hold Function”.

Item | Description
Bias Hold after Measurement | Bias hold function ON or OFF
Output Value after Measurement | Source output value after measurement START (sweep start value) or STOP (sweep stop value)

Semiconductor Relays (16440A SMU/PG Selector)

Effective only for the instrument installed with SPGU or PGU. Keysight 16445A selector adapter is needed for connecting Keysight 16440A SMU/PG selector.

This area sets the selector CH1/CH3 status (DEFAULT or PGU OPEN). To use this function, set the DEFAULT setting to Always SMU or Normally PGU (AUX) by using the SMU/PG Selector tab screen on the Configuration window before starting the SPGU output.

CH1: CH1 status, DEFAULT or PGU OPEN.

CH3: CH3 status, DEFAULT or PGU OPEN.

CH1 represents channel 1 on the first selector and CH3 represents channel 1 on the second selector. See “SMU/PG Selector” for details on the selector.


Switching Matrix Control

On the EasyEXPERT main screen, click the Classic Test tab and select the Switching Matrix Control icon. The main screen displays the Switching Matrix Control setup screen. This setup screen is used to create the relay control setup for Keysight B2200A/B2201A/E5250A Switching Matrix.

To apply the relay control setup, click the Single button. Before doing this, you have to establish the GPIB connection to the switching matrix by using the Switching Matrix tab screen of the Configuration window. See “Switching Matrix”.

Setup Name

Used to set the name of the relay control setup. The name must be the identification for the setup saved to a My Favorite group (preset group). Enter a unique name that is distinct from other setup.

The name is recorded in the test result data and is used to differentiate the data in the test record list area.

Connection

This area is used to create the relay control setup for the switching matrix.

Item

Description
Add | Adds a row for the relay connection setup.
Delete | Deletes the setup row. To select the setup row, use the left radio button.
Up | Moves the selected setup row upward.
Down | Moves the selected setup row downward.
Operation

Relay control operation

Open All, Switch Setup, Close Range, Open Output, Open Range, or Open Input. See Table S-1.
Input

Switching matrix input port number or label

Available for the Switch Setup, Close Range, and Open Input operations.
Outputs

Switching matrix output channel number or label

Four entry fields are available for the Switch Setup and Open Output operations to specify the output channels.

Two entry fields are available for the Close Range and Open Range operations to specify the range of output channels.
Rule

Relay connection rule

BBM: Breaks the previous connection and then makes the new connection for the specified outputs.

MBBR: Makes the new connection and then breaks the previous connection for the specified outputs.

Table S-1 Relay Control Operations

Operation | Description
Open All | Opens all relays.
Switch Setup | Makes the connection from the specified input port to the specified output channels. Up to four output channels can be specified at once.
Close Range | Makes the connection from the specified input port to the specified output channels. They are between two channels given by the Outputs fields.
Open Output | Opens the relays connected to the specified output channels. Up to four output channels can be specified at once.
Open Range | Opens the relays connected to the specified output channels. They are between two channels given by the Outputs fields.
Open Input | Opens the relays connected to the specified input port.


SPGU Control

On the EasyEXPERT main screen, click the Classic Test tab and select the SPGU Control icon. The main screen displays the SPGU control screen. See “SPGU Module” for the function of the SPGU.

Setup Name

Used to set the name of the SPGU control setup. The name must be able to identify a setup saved in a My Favorite group (preset group). Enter a unique name that is distinct from other setup.

The name is recorded in the execution result data and is used to differentiate the data in the test record list area.

Channel Definition

Defines the SPGU channel setups.

Item | Description
Unit | Semiconductor pulse generator unit (SPGU) used for the voltage pulse output or the arbitrary linear waveform voltage output
V Name | Name of voltage output data
Mode | Output mode VPULSE (voltage pulse output) or ALWG (arbitrary linear waveform voltage output). All SPGU channels must have the same output mode.
Add | Adds a row for the channel setup.
Delete | Deletes the channel setup. To select the channel setup, use the left radio button.
Up | Moves the selected channel setup upward.
Down | Moves the selected channel setup downward.

SPGU Setup

Provides the following buttons used to open the following setup window.

Item | Description
Pulse/ALWG | Opens “SPGU Pulse Setup Window” if Mode=VPULSE. Opens “SPGU ALWG Setup Window” if Mode=ALWG.
Advanced | Opens “Advanced Setup Window for SPGU Control”.

Progress Monitor

Provides the following check boxes used to set the Data Display window displayed while the SPGU channel output is applied.

Item | Description
Graph: % of Progress | Check this box to display the Percent of Progress vs. Time plot.
List: Time Data | Check this box to display the Time data list.

No data may be displayed on the Data Display window if the SPGU output time is too short. The progress monitor will be used for long duration outputs, for example when the duration is longer than 30 seconds.


Advanced Setup Window for SPGU Control

This window is opened by clicking the Advanced button on the SPGU Control screen, and is used to set the following functions of the SPGU channel.

After Measurement Setting

Sets the bias hold function used to decide the channel output after the SPGU output operation.

Bias Hold after Measurement: Bias hold function ON or OFF

If the bias hold function is OFF, the channel stops the output immediately after the SPGU output operation.

If the function is ON, the channel maintains the base voltage output (in the VPULSE mode) or the initial voltage output (in the ALWG mode) between a SPGU output operation and the next operation performed in the repeat execution or quick test. Channel initialization occurs at the beginning of the next operation.

Semiconductor Relays (16440A SMU/PG Selector)

This area sets the Keysight 16440A selector CH1/CH3 status (DEFAULT or PGU OPEN). To use this function, set the DEFAULT setting to Always SMU or Normally PGU (AUX) by using the SMU/PG Selector tab screen on the Configuration window before starting the SPGU output.

CH1: CH1 status, DEFAULT or PGU OPEN.

CH3: CH3 status, DEFAULT or PGU OPEN.

CH1 represents channel 1 on the first selector and CH3 represents channel 1 on the second selector. See “SMU/PG Selector” for details on the selector.

Keysight 16445A selector adapter is needed for connecting the 16440A.


SPGU Pulse Setup Window

This window is opened by clicking the Pulse/ALWG button on the SPGU Control screen when Mode=VPULSE, or by clicking the SPGU Pulse Setup button on the I/V Sweep / Multi Channel I/V Sweep / I/V List Sweep / I/V-t Sampling Measurement Setup screen. It is used to set the SPGU pulse output. See PG Setup Parameters for the pulse setup parameters.

Global Settings

Provides the following entry field. The setting is effective for all channels.

Item | Description
Period | Pulse period. 20 ns to 10 s, 10 ns resolution.

Operation

Provides the following radio buttons used to set the SPGU channel output operation mode, free run, pulse count, or duration. Select one of the following buttons to set the operation mode. The setting is effective for all channels.

Item | Description
FREE RUN | In this mode, the SPGU continues the pulse output until the measurement is completed or stopped. This mode is not available for the SPGU Control classic test.
PULSE COUNT | In this mode, the SPGU outputs the specified number of pulses. Specify a number within the range of 1 to 1000000.
DURATION | In this mode, the SPGU continues the output until the specified time elapses. Specify a time within the range of 1 ms to 31556926 s (1 year).

Pulse Settings

Item | Description
Unit | Semiconductor pulse generator unit (SPGU) used for the voltage pulse output
V Name | Name of voltage output data
Type | 2-Level Pulse or 3-Level Pulse. If you choose 3-Level Pulse, the Additional Pulse fields become effective.
Base, Peak | Pulse base and peak voltage. 0 to ± 40 V, 1 mV resolution.
Delay | Delay time. 0 s to Period-20 ns, resolution 2.5 ns or 10 ns (pulse transition time > 8 ms).
Width | Delay time. 0 s to Period-20 ns, resolution 2.5 ns or 10 ns (pulse transition time > 8 ms).
Leading, Trailing | Pulse transition time. 8 ns to 400 ms, resolution 2 ns or 8 ns (pulse transition time > 8 ms).

SPGU setup view order

Item | Description
Up | Moves the selected channel setup upward.
Down | Moves the selected channel setup downward.

Changes are effective only for the display on the SPGU Pulse Setup window and not memorized. They are not applied to the Channel Setup.

Load Z

This button opens the “Load Z Setup Window” used to set the load impedance of the DUT (device under test) connected to the SPGU channel. The SPGU will automatically adjust the output voltage by using this value, and output the voltage close to the specified pulse base and peak values.

Pulse Switch

This button opens the “Pulse Switch Setup Window” used to set the pulse switch operation. The pulse switch is used to set the open condition of the SPGU output channel. The pulse switch is more durable than mechanical relays, and is better suited for frequent switching applications.


SPGU PG parameter

SPGU Pulse Setup Parameters:


Load Z Setup Window

This window is opened by clicking the Load Z button on the SPGU Pulse Setup window or the SPGU ALWG Setup window, and is used to set the load impedance of the DUT (device under test) connected to the specified SPGU channel.

Set the correct impedance value. The SPGU will automatically adjust the output voltage by using this value, and output the voltage close to the specified pulse base and peak values.

Load Z

Item | Description
Unit | Semiconductor pulse generator unit (SPGU) used for the voltage pulse output or the arbitrary linear waveform voltage output
V Name | Name of voltage output data
Load Z | Load impedance of the DUT (device under test) connected to this channel in W.


Pulse Switch Setup Window

This window is opened by clicking the Pulse Switch button on the SPGU Pulse Setup window, and is used to set the pulse switch operation. The pulse switch is used to set the open condition of the SPGU output channel. The pulse switch is more durable than mechanical relays, and is better suited for frequent switching applications.

Pulse Switch

Item | Description
Unit | Semiconductor pulse generator unit (SPGU) used for the voltage pulse output
V Name | Name of voltage output data
SW Sync | ENABLE (enables the pulse switch) or DISABLE (disables the pulse switch). Switching of the pulse switch status (open and close) will be controlled automatically and synchronized with the output pulse, as shown in PG Setup Parameters.
Delay | Delay time from start of pulse output to changeover of pulse switch. 0 s to Period-100 ns, 10 ns resolution.
Width | Duration to hold the switched state of the pulse switch. 100 ns to Period-Delay ns, 10 ns resolution.
Normal | CLOSE (normally closes the pulse switch) or OPEN (normally opens the pulse switch). The pulse switch will change the status after the Delay-sw time and keep the status until the Width-sw time elapses as shown in PG Setup Parameters. This operation is repeated every pulse period.


SPGU ALWG Setup Window

This window is opened by clicking the Pulse/ALWG button on the SPGU Control screen when Mode=ALWG, or by clicking the SPGU ALWG Setup button on the I/V Sweep / Multi Channel I/V Sweep / I/V List Sweep / I/V-t Sampling Measurement Setup screen. It is used to set the arbitrary linear waveform voltage output.

Operation

Provides the following radio buttons used to set the SPGU channel output operation mode, free run, sequence count, or duration. Select one of the following buttons to set the operation mode. The setting is effective for all channels.

Item | Description
FREE RUN | In this mode, the SPGU continues the ALWG sequence output until the measurement is completed or stopped. This mode is not available for the SPGU Control classic test.
SEQUENCE COUNT | In this mode, the SPGU outputs the specified number of sequences. Specify a number within the range of 1 to 1000000.
DURATION | In this mode, the SPGU continues the output until the specified time elapses. Specify a time within the range of 1 ms to 31556926 s (1 year).

ALWG Setting

Provides the following field.

Item | Description
ALWG Source | Click the start button in this field to open the Define ALWG Waveform window which is used to define the arbitrary linear waveform and its output sequence. See “Define ALWG Waveform Window”.

Load Z

This button opens the “Load Z Setup Window” used to set the load impedance of the DUT (device under test) connected to the SPGU channel. The SPGU will automatically adjust the output voltage by using this value, and output the voltage close to the specified pulse base and peak values.

SPGU ALWG Setup Window


Define ALWG Waveform Window

This window is opened by clicking the start button in the waveform data entry field or the ALWG Source field on the SPGU ALWG Setup window, and is used to create the arbitrary linear waveform data which is defined by the pattern data and the sequence data.

File menu

Provides the following five functions.

Item | Description
Export ALWaveform... | Exports the waveform data.
Import ALWaveform... | Imports the specified waveform data.
Export Pattern... | Exports the pattern highlighted in the Patterns display area
Import Patterns... | Imports the specified pattern data.
Close | Closes the Define ALWG Waveform window.

Pattern menu

Provides the following six functions.

Item | Description
New | This is for creating a new pattern. Opens the New Pattern dialog box. Entering a new name opens Waveform Pattern Editor.
Edit | Opens the Waveform Pattern Editor with the pattern highlighted in the Pattern display area.
Cut | Cuts the pattern highlighted in the Pattern display area and stores it on the Clipboard.
Copy | Copies the pattern highlighted in the Pattern display area to the Clipboard.
Paste | Pastes the pattern stored on the Clipboard.
Rename | Renames the pattern highlighted in the Pattern display area.

Column menu

Provides the following five functions.

Item | Description
Edit | Opens the Waveform Pattern Editor with the column data highlighted in the Sequence Editor area.
Insert | Adds a column.
Delete | Deletes the column data highlighted in the Sequence Editor area.
Move | Moves the highlighted column to the left or the right.
Repeat Count | Opens the Repeat Count dialog box used to set the repeat count.

Sequence Editor

Specifies the output channel, the output pattern, the repeat count of the pattern, and the output sequence of patterns. These setup information create the arbitrary linear waveform data.

Item | Description
Column No. | Number for specifying the output sequence. The pattern will be output in the order of this number.
Repeat Count | Output repeat count for the pattern specified by the channel field (e.g right field of the label “SPGU1:HV”). The repeat count must be entered in this field.
channel (e.g SPGU1:HV) | Output channel and its output pattern. The channel is specified by the header (e.g SPGU1:HV) of this row. The pattern data must be specified by this entry field. A pre-defined pattern can be selected from the drop down menu in this field. The right button opens the Waveform Pattern Editor.
Insert Column | Adds a column.
Delete Column | Deletes the highlighted column.
Move Column | Moves the highlighted column to the left or the right.
Repeat Count | Opens the Repeat Count dialog box used to set the repeat count.
To Left | Move the highlighted column to the left.
To Right | Move the highlighted column to the right.
Edit | Opens the Waveform Pattern Editor with the specified pattern data (Pattern) or the specified column data (Column).
Cancel | Closes the menu.

The Repeat Count field provides the following functions in the menu displayed by right-clicking the field.

Item | Description
Cut | Cuts the highlighted value and stores it on the Clipboard.
Copy | Copies the highlighted value to the Clipboard.
Paste | Pastes the value stored on the Clipboard.

When a column is highlighted (light blue), the highlighted area provides the following functions in the menu displayed by right-clicking the field.

Item | Description
Cancel | Closes the menu.
Edit Column | Opens the Waveform Pattern Editor with the specified column data.

When a channel field is highlighted (light blue), the highlighted field provides the following functions in the menu displayed by right-clicking the field.

Item | Description
Cancel | Closes the menu.
Edit Pattern | Opens the Waveform Pattern Editor with the specified pattern data.

Patterns

Displays icons for all pre-defined waveform patterns and provides the following functions in the menu displayed by right-clicking this area.

Item | Description
Cancel | Closes the menu.
New Pattern | This is for creating a new pattern. Opens the New Pattern dialog box. Entering a new name opens Waveform Pattern Editor.
Edit | Opens the Waveform Pattern Editor with the highlighted pattern.
Cut | Cuts the highlighted pattern and stores it on the Clipboard.
Copy | Copies the highlighted pattern to the Clipboard.
Paste | Pastes the pattern stored on the Clipboard.
Rename | Renames the highlighted pattern.
Export Pattern... | Exports the highlighted pattern data.
Import Pattern... | Imports the specified pattern data

Note:

Double-clicking a pattern icon will open the Waveform Pattern Editor with the clicked pattern.


Waveform Pattern Editor

This window is opened by several actions, for example by selecting New from the Pattern menu, and is used to create or edit the pattern data.

Menu

Menu |  | Description
File | Save | Saves the pattern data.
 | Save As... | Opens a dialog box used to specify a pattern name and save the pattern data.
 | Close | Closes the Waveform Pattern Editor without saving the data.
Edit | Undo | Undoes the last action.
 | Redo | Cancels the Undo operation.
 | Add a New Point | Adds a point.
 | Delete a Point | Deletes the highlighted point.
 | Same Level As Left Point | Sets the highlighted point to the same level as the left point.
 | Copy Pattern to Clipboard | Copies the highlighted pattern data to the Clipboard in the tab-separated spreadsheet format.
 | Paste Pattern from Clipboard | Pastes the tab-separated spreadsheet format data stored on the Clipboard.
Display | Channel | Opens the Display Channels dialog box used to select the SPGU channels displayed on the Waveform Pattern Editor. This function is available if the Waveform Pattern Editor was opened with the column data.

Pattern Editor

Defines the pattern data. The Pattern Editor provides two methods, graphic mode and tabular mode, for defining the pattern data.

In the graphic mode, you can define the pattern data by using the mouse pointer and GUIs on the graph (on the left side of the Pattern Editor).

In the tabular mode, you can define the pattern data by entering Time in seconds, Level in V, and Switch 0 (pulse switch open) or 1 (pulse switch close) into the table (on the right side of the Pattern Editor).

The Delta Time check box and the Delta Level check box are used to switch the data expression in the table. If the box is not checked, the value will be an absolute value; if the box is checked, the value will be the difference from the previous point.

The Pattern Editor provides the following buttons.

Item | Description
Undo | Undoes the last action.
Redo | Cancels the Undo operation.
Add a New Point | Adds a point.
Delete a Point | Deletes the highlighted point.

The Pattern Editor also provides the following functions in the menu displayed by right-clicking the area.

Item | Description
Cancel | Closes the menu
Save | Saves the pattern data.
Edit | Displays the Edit menu.
Display | Displays the Display menu.

If the Pattern Editor is opened with the column data, the following GUI will be available.

Item | Description
Ref Ch. | Specifies the channel or the pattern which contains the reference point.
Ref Pt. | Specifies the reference point by the index number (No. column of table).
Delta T | Displays the difference from the reference point. For time data.
Delta V | Displays the difference from the reference point. For level data.


Application Test Definition

This section provides the reference information of the application test definition setup GUI of the EasyEXPERT software.

  • “Test Definition Window”

  • “Test Specification”

  • “Test Output”

  • “Test Contents”

  • “Local Variable Definition”

  • “Program Component”

  • “Auto Analysis”

  • “Data Display Control”

  • “Display Data Setup”

  • “GPIB I/O”

  • “Message”

  • “Data Store Control”

  • “Command Execution”

  • “Using Command Execution”


Test Definition Window

The Test Definition window is opened by selecting the Define New Test... function or the Open Definition of This Test... function of the Library menu, and is used to create a test definition used in the application test mode.

The test definition consists of the elements shown in Figure 11. And the Test Definition window provides the following three tabs for creating a test definition.

  • “Test Specification”

The test specification contains test name, description, device parameters, and test parameters. The parameters will be the variables used to pass the test conditions to the test execution flow or test setup defined in the test contents.

  • “Test Contents”

The test contents are the core of the test definition, and defines the local variables, test execution flow, and test setup. You can define the test setup by selecting application tests, classic tests, or My Favorite setup, and entering the test conditions.

  • “Test Output”

The test output setup is optional. If you need the test result output (test result display and record) of the test definition, declare the variables (analysis parameters) and define the display setup.

Figure 11 Test Definition

The Test Definition window provides the following menus.

Menu

Menu |  |  | Description
File | Save |  | Saves the test definition. The sample application tests furnished with the EasyEXPERT and the application tests created by other users cannot be saved without changing the Test Name value. The Test Name must be your original.
 | Close |  | Opens a dialog box that asks if you want to save before closing the window. Selecting Yes saves the test definition and closes the Test Definition window. Selecting No closes the Test Definition window without saving the test definition.
Edit | Cut |  | (These menus are focus-dependent.)
 | Copy
 | Paste
 | Delete
 | Select
 | Select All
 | Insert
 | Selection | Line | Changes program list selection mode to Line mode.
 |  | Block | Changes program list selection mode to Block mode.
Debug | Run |  | Runs the test definition.
 | Pause |  | Pauses the test definition running.
 | Abort |  | Aborts the test definition running.
 | Step |  | Step the test definition running.
 | Toggle Breakpoint |  | Enables or disables a breakpoint for selected line.
 | Inspect... |  | Shows the Variables Inspector dialog.
Window | Reset Window Layout |  | Resets the Contents window layout. (not supported by Legacy mode)
Help | Keysight EasyEXPERT Help |  | Opens the EasyEXPERT help window.


Test Specification

This setup screen is used to define the test definition information and the input parameters for the test definition.

Test Information

The test information is defined in this area.

Item | Description
Category | Displays the category of the test definition. The button opens a dialog box used to set the category. It must be 1 to 30 characters. Multiple categories can be set to a test definition.
Test Name | Specifies the test definition name. It must be 1 to 30 characters.
Icon | Specifies a bitmap file used for the test definition icon listed in the Library area of the main screen.
Browse... | Opens a dialog box used to select a bitmap file.
Cancel | Returns to the default setting.
Description | Enters the description of the test definition.

Device Parameters Definition

The device parameters are defined in this area. Type of the device parameter is Numeric.

Item | Description
Name | Device parameter name
Default | Default value of the parameter
Description | Description of the parameter
Add | Adds a row for the device parameter.
Delete | Deletes the selected device parameter. To select the parameter, use the left radio button.
Up | Moves the selected device parameter upward.
Down | Moves the selected device parameter downward.

Test Parameters Definition

The test parameters are defined in this area.

Item

Description
Background | Specifies a bitmap file used for the background in the Test Parameters area of the main screen.
Browse... | Opens a dialog box used to select a bitmap file.
Cancel | Returns to the default setting.
Name | Test parameter name
Type | Type of the test parameter, Numeric, Module, String, Vector, or ALWaveform (SPGU ALWG output data)
Default

Default value of the parameter

For the Numeric, Vector, or ALWaveform type parameter, this field provides the button to open Numeric KeyPad at the right side.

For the Vector type parameter, this field provides the button to open the “Define vector data” dialog box at the left side.

For the ALWaveform type parameter, this field provides the button to open the “Define ALWG Waveform Window” at the left side.
Description | Description of the parameter
Align | Specifies the X origin of the entry field in the main screen Test Parameters area. Check this box to set it to the left edge of the entry field. Uncheck this box to set it to the left edge of the parameter name placed to the left of the entry field.
X, Y | Specifies the entry field position. (X, Y)=(0, 0) specifies the upper left corner of the main screen Test Parameters area. Downward and rightward are positive. See “Layout...”.
Width | Specifies the width of the entry field.
Ext

Do not check usually. The entry field for the parameter is put on the main screen.

If the parameter is minor and do not need changes frequently, check the Ext check box. The entry field will be put on the dialog box displayed by clicking the “Extended Setup” button.
Layout...

Opens the “Define Layout” dialog box.
Add | Adds a row for the test parameter.
Delete | Deletes the selected test parameter. To select the parameter, use the left radio button.
Up | Moves the selected test parameter upward.
Down | Moves the selected test parameter downward.
Copy | Copies the selected test parameter to the Clipboard.
Paste | Pastes the test parameter stored on the Clipboard.

Properties

The Properties area is used to define the following values for the specified device parameter or test parameter. See “Device Parameters Definition” and “Test Parameters Definition”.

To specify the parameter, select the radio button to the left of the parameter name.

Item

Description
Min | For Numeric or Vector parameters. Allowable minimum value.
Max | For Numeric or Vector parameters. Allowable maximum value.
Digits | For Numeric or Vector parameters. Number of effective digits.
Resolution | For Numeric or Vector parameters. Allowable setup resolution.
Unit | For Numeric or Vector parameters. Unit of the parameter.
Typical Values...

For Numeric or String parameters.

Opens the Define typical values dialog box used to define the selections (typical values) for the specified parameter.

The values defined here are the selections for the parameter entry field displayed on the main screen in the application test mode. The selections for the active entry field are displayed on the softkey. And one of the selections can be set by using the softkey. Also, it can be set by using the Select sub menu displayed by right-clicking the entry field.

The selections are effective for the specified parameter only.
Resource Type

For Module parameters.

Opens the Define Resource Types dialog box used to specify the type of measurement resource. Multiple resources can be set.

SMU, HPSMU, HCSMU, DHCSMU (dual HCSMU), HVSMU, HRSMU, MPSMU, MCSMU, HRSMU/ASU, GNDU, SPGU, HVSPGU, WGFMU, RSWGFMU, MFCMU, MFCMU/SCUU, SWM IN, SWM AUX IN, SWM SMU IN, UHCU500, UHCU1500, UHVU, or HVMCU
Dimension...

For Vector parameters.

Opens the Define dimensions dialog box for defining the dimension of vector data.

Use Dim1Min and Dim1Max to specify the primary dimension of vector data. This direction can be for the primary sweep data.

Use Dim2Min and Dim2Max to specify the secondary dimension of vector data. This direction can be for the secondary sweep data.

The following conditions must be satisfied.

  • 1 ≤ Dim1Min ≤ Dim1Max (ex. Dim1Min=1, Dim1Max=11)

  • 1 ≤ Dim2Min ≤ Dim2Max (ex. Dim2Min=1, Dim2Max=3)
Assign Output Channels...

For ALWaveform parameters.

This button opens the Assign ALWaveform Output Channels dialog box which specifies the variables if they are used to identify the SPGU channels. The variables must be the Module type test parameter.

For example, when the parameters are defined as shown below, PG1 should be set to the Assign ALWaveform Output Channels dialog box for the WAVE1 parameter.

PG1: Module parameter to identify the SPGU channel

WAVE1: ALWaveform parameter for the PG1 setup data

Use “Define ALWG Waveform Window” to create the SPGU ALWG setup data. For the above example, the PG1 is the SPGU channel identifier when creating the WAVE1 data.
Symbols...

For Numeric or Vector parameters.

Opens the Define dimensions dialog box for assigning a symbol (string value) to a numeric value for the specified numeric parameter.

By defining the numeric-symbol assignment, the symbol value, instead of the numeric value, is set to the parameter entry field displayed on the main screen in the application test mode.

In the test definition, the parameter works as a numeric value. However, the numeric-to-string translation result will not be the string value simply translated from the numeric value but the symbol assigned to the numeric value.

For example, if Symbol=ON is assigned to Value=1 of the Param1 parameter, the string ON will be set to the Param1 entry field when numeric value 1 is entered into the Param1 field. Also, while the Param1 field shows ON, the Param1 value will be 1 in the test definition. And when the numeric value of Param1 is 1, the numeric-to-string translation result will not be the string 1 but the string ON.

The numeric-symbol assignment is effective for the specified parameter only.

Value and symbol must be in a one-to-one relationship.

The value must satisfy the Min, Max, Digits, and Resolution settings.

The symbol must be between 1 and 30 characters.

Symbols... numeric-symbol assignment:

For parameters defined with a numeric-string assignment, the numeric-to-string translation result will be the symbol assigned to the numeric value. Be careful when using the string built-in function that is used to translate a numeric expression to a string value.

For the following example setup of a numeric-symbol assignment, string(Mode) execution result at Mode=0 is the string OFF, not the string 0.

Name=Mode, Value=0, Symbol=OFF


Define vector data

This dialog box is opened by clicking the grid button in the vector data entry field. See Figure V-1. The vector data entry field can be displayed on the followings.

  • Application test setup screen which contains the entry field for a vector type test parameter, on the EasyEXPERT main screen or the Test Definition window

  • Test Specification setup screen which contains the definition of a vector type test parameter, on the Test Definition window

  • Define symbols dialog box for a vector type test parameter

The Define vector data dialog box displays the array defined by using the Define dimensions dialog box. Figure V-1 shows the array created by setting Dim1Min=1, Dim1Max=11, Dim2Min=1, and Dim2Max=3, where Dim1 is the vertical direction (row) and Dim2 is the horizontal direction (columns). The array index always starts from 1.

Note:

Rotary knob and mouse wheel can be used to change the numeric value in the highlighted cell.

To delete column/row, highlight the line and press the Delete key.

Figure V-1 Vector Data Entry Field

The Define vector data dialog box provides the following GUI.

Button | Description
OK | Saves the vector data displayed on the dialog box and closes the dialog box.
Cancel | Displays a confirmation message and closes the dialog box. Vector data is not saved.

Menu

Menu |  | Description
File | Exit | Displays a confirmation message and closes the dialog box. Vector data is not saved.
Edit | Copy | Copies the highlighted item to the clipboard.
 | Paste | Pastes the data in the clipboard to the specified location.
 | Delete | Deletes the highlighted item.
 | Select All | Selects and highlights all cells in the array.

Mouse menu 1

The following menus are displayed when the right mouse button is clicked on a cell.

Menu | Description
Cut | Moves the highlighted characters to the clipboard.
Copy | Copies the highlighted characters to the clipboard.
Paste | Pastes the data in the clipboard to the specified location.

Mouse menu 2

The following menus are displayed when the right mouse button is clicked on the array display area.

Menu | Description
Copy | Copies the highlighted item to the clipboard.
Paste | Pastes the data in the clipboard to the specified location.
Insert | Inserts a row before the selected row. Available when the row header provides the * button and a row header is selected.
Delete | Deletes the highlighted item.
Select All | Selects and highlights all cells in the array.

To import vector data

The Define vector data dialog box can import comma separated data (each data must be separated by a comma, and have a CR/LF or LF at the end of each line) and tab separated data (each data must be separated by a tab, and have a CR/LF or LF at the end of each line). The procedure for importing vector data is as follows.

  1. Open a vector data with Notepad.

  2. Copy the data in Notepad.

  3. On the Define vector data dialog box, click a cell to be used as the top left corner of the imported vector data.

  4. Right click on the corner box between the column header and the row header, and select Paste.

Thus, the Define vector data dialog box can read vector data created on a spreadsheet software.

To export vector data

The Define vector data dialog box can export vector data in tab separated format. The procedure for exporting vector data is as follows.

  1. Highlight a vector data on the Define vector data dialog box.

  2. Select Copy from the Edit menu or the mouse menu 2.

  3. Create a new file in Notepad, and paste the vector data.

  4. Save the data as a file.

The data can then be read by opening the file with a spreadsheet software.


Define Layout

This dialog box is opened by clicking the Layout... button on the Test Specification screen of the Test Definition window, and is used to define the layout of the test parameter entry fields displayed on the application test setup screen. See Figure L-1.

To define the layout of the entry field, follow the procedures below.

  1. Select the entry fields to move. See “To Select Entry Fields”.

  2. Move the selected entry fields. See “To Move Entry Fields”.

Figure L-1 Define Layout dialog box

Define Layout GUI

This section describes the Graphical User Interface of the Define Layout dialog box.

The Define Layout dialog box provides the following buttons.

Button | Description
OK | Saves the layout definitions and closes the Define Layout dialog box.
Cancel | Closes the Define Layout dialog box without saving the layout definitions.

The Define Layout dialog box provides the following menus.

Menu |  | Description
File | Exit | Closes the Define Layout dialog box without saving the layout definitions.
Edit | Undo | Cancels an operation. Up to ten operations can be cancelled.
 | Redo | Performs the canceled operation again.
 | Select All | Selects all entry fields.
View | Property... | Opens the “Properties” window.
Align | Left | Aligns the left ends of other selected entry fields to the left end of the primary entry field.
 | Center | Aligns the horizontal centers of other selected entry fields to the horizontal center of the primary entry field.
 | Right | Aligns the right ends of other selected entry fields to the right end of the primary entry field.
 | Top | Aligns the upper ends of other entry fields to the upper end of the primary entry field.
 | Middle | Aligns the vertical centers of other selected entry fields to the vertical center of the primary entry field.
 | Bottom | Aligns the lower ends of other selected entry fields to the lower end of the primary entry field.
 | To Grid | Aligns the upper left corner of the entry field to the nearest grid.
Distribute | Horizontally | Distributes the selected entry fields (3 or more) with even horizontal intervals. The leftmost entry field is used as the base point.
 | Vertically | Distributes the selected entry fields (3 or more) with even vertical intervals. The leftmost entry field is used as the base point.
Centralize | Horizontally | Moves the horizontal center of all selected entry fields to the horizontal center of the entry field area.
 | Vertically | Moves the vertical center of all selected entry fields to the vertical center of the entry field area.
Tab Order | Top to Bottom | Sets the TabIndex in ascending order of the X of the entry fields, starting at the upper left entry field. If the X of the entry fields are equal, the TabIndex is set in ascending order of the Y of the entry fields. For more information on X/Y, see “Properties”.
 | Left to Right | Sets the TabIndex in ascending order of the Y of the entry fields, starting at the upper left entry field. If the Y of the entry fields are equal, the TabIndex is set in ascending order of the X of entry fields.For more information on X/Y, see “Properties”.

Properties

This window is opened by clicking the Property... button in the View menu of the Define Layout dialog box, and specifies characteristics of the entry field area or the entry fields.

When the entry field area is selected, the following characteristics can be specified.

Item |  | Description
Design | DrawGrid | Sets whether to display the grid.
 | GridSize | Sets the width and the height of the grid.
 | SnapToGrid | Sets whether to snap to the grid.
Layout | Size | Sets the width and the height of the entry field area.

When entry fields are selected, following characteristics can be specified.

Item |  | Description
Behavior | TabIndex | Sets the tab traversing order for the test parameter entry fields of the application test.
Layout | Align | Specifies the X origin of the entry field. True: Left edge of the entry field False: Left edge of the parameter name placed to the left of the entry field
 | Width | Specifies the width of the entry field.
 | X, Y | Specifies the entry field position. The Y origin is the upper edge of the entry field.(X, Y)=(0, 0) specifies the upper left corner of the entry field area. Values increase downward and rightward.

To Select Entry Fields

The following methods are available for selecting the entry fields.

  • Click on the entry field. Multiple entry fields can be selected by clicking on the entry field while holding down the Ctrl key on the keyboard.

  • Drag the mouse to draw a rectangle around multiple entry fields.

  • Select Select All from the EDIT menu to select all entry fields.

The selected entry fields are outlined by the blue rectangles. The primary entry field, which is the base for layout operations, is surrounded by a highlighted blue rectangle, as shown in Figure 5-5. Only one primary entry field can be selected. To change the primary entry field, click on a selected entry field. The selected entry field that was most recently clicked will be the primary entry field.

The following methods are available for releasing (unselecting) the selected entry fields.

  • Click the selected entry field while holding down the Shift key on the keyboard.

  • Click outside of the selected entry fields to release all selected entry fields.

To Move Entry Fields

The following methods are available for defining the layout of the selected entry fields.

  • Drag & drop with the mouse to move the selected entry field(s).

  • Change the X/Y values in the property window to move the selected entry field(s).

  • Press the arrow keys on the keyboard to move the selected entry field(s).

  • Using the functions in the Align menu, the selected single or multiple entry fields can be aligned to the primary entry field.

  • Use the functions in the Distribute menu to evenly distribute the selected entry horizontally or vertically.

  • Use the functions in the Centralize menu to move the horizontal or vertical center of all selected entry fields to the horizontal or vertical center of the entry field area.


Test Output

This setup screen is used to set the test result output (test result display and record) that is the output of the test definition.

The test output setup is optional. If you have the following requirements, define the analysis parameters and set the display parameters.

  • To send the test result data to the subsequent tests in an application test

  • To make the program branching depends on the test result

  • To make the calculation using the test data in the Test Contents

  • To display/record the test result of this application test

To read the analysis parameters defined in the application test used in a test definition, use the “External Variable Setup” dialog box.

Define Own Output Parameters

Check this check box to set the test result outputs of the test definition. While this box is checked, the X-Y Graph, List Display, and Parameters areas are available. The test result output will be obtained every execution of the test definition.

Allocate Data Display for each test

This field sets the Multi Display function to Enable, Disable, or Comply with above level.

If Enable is selected, the test result data of the same test setup name will be displayed on the exclusive Data Display window and the test result data of the different test setup name will be displayed on the new Data Display window.

If Disable is selected, the test result data will be always displayed on the singular Data Display window even if it is the test result data of the different test setup name.

Select Comply with above level for complying with the Multi Display ON/OFF status or the setting of the application test which uses this application test internally.

Define Analysis Parameters...

This button opens the “Analysis Parameter Definition” window. This window is used to define the vector data and the scalar data used in the test result output. The defined variable is called as the analysis parameter.

X-Y Graph, List Display, Parameters

The areas are used to set the test result output (test result display and record) that is the output of the test definition. See “Display Setup”.


Analysis Parameter Definition

This window is opened by clicking the Define Analysis Parameters button, and is used to define the vector variables and the scalar variables used in the test result output. The variables are called as the analysis parameters. This window is closed by the Close button.

The Close button closes the Analysis Parameter Definition window.

NOTE:

Analysis parameters can be referred from a test definition which uses this application test. To read the value, make a mapping table between the analysis parameters and the local variables, device parameters, test parameters, or analysis parameters defined in the test definition by using the “External Variable Setup” dialog box.

Vector Parameters

This area sets the analysis parameters for the vector data. The vector data is an array data that contains numeric data more than one.

Item | Description
Name | Name of the analysis parameter
Unit | Unit of the analysis parameter
Description | Description of the analysis parameter
Add | Adds a row for the parameter
Delete | Deletes the selected parameter. To select the parameter, use the left radio button.
Up | Moves the selected parameter upward.
Down | Moves the selected parameter downward.

Scalar Parameters

This area sets the analysis parameters for the scalar data. The scalar data is a numeric data.

Item | Description
Name | Name of the analysis parameter
Unit | Unit of the analysis parameter
Description | Description of the analysis parameter
Add | Adds a row for the parameter
Delete | Deletes the selected parameter. To select the parameter, use the left radio button.
Up | Moves the selected parameter upward.
Down | Moves the selected parameter downward.


Test Contents

Test contents are the core of the test definition, and consists of the local variables, test setups, and test execution flow. In the test contents, the following elements can be defined. See Figure 12.

  • Local variables

  • Program components

  • Application tests

  • Classic tests

  • My Favorite setup

  • Analysis components

  • Miscellaneous components

  • Device parameters defined in Test Specification

  • Test parameters defined in Test Specification

  • Analysis parameters defined in Test Output

The device parameters, test parameters, and analysis parameters can be used in the Test Contents without defining as the local variables.

For the available components, see Figure 13.

Also see:

  • “Defining/Editing Test Contents”

  • “Debugging Test Contents”

  • “Variable Inspector”

  • “External Variable Setup”

Figure 12 Test Contents


Defining/Editing Test Contents

The Test Contents setup screen is used to define the test execution flow that is the core of the test definition. To define the test execution flow, use the test flow list area at the lower left of the window, and do following. Also see Figure 14.

  1. Define local variables by using the Local Variables Definition statement.

  2. Select a component from the component selection area. See Figure 13 for the available components.

  3. Insert it between the BLOCK and END BLOCK statements.

  4. Repeat this until your test execution flow is completed.

Figure 13 Available Components

Program Component

This component selection menu lists the program components available for the test flow. See “Program Component”.

Application Test

This menu lists the application test setups available for the user. Inserting an application test setup to the test flow displays the test setup screen almost same as the “Application Test”. You set the test condition on this screen.

Variables can be used for setting the test condition. To use a Numeric or Module variable, enter the variable name to the entry field. To use a String variable, type an equal sign (=) and enter the variable name (for example, =VAR).

Clicking the Assign to external variables... button opens the External Variable Setup dialog box. See “External Variable Setup”.

Analysis

This component selection menu lists the analysis functions available for the test flow, and provides the following components.

  • “Auto Analysis”

  • “Display Data Setup”

  • “Data Display Control”

Classic Test

This component selection menu lists the classic test objects, I/V Sweep, Multi Channel I/V Sweep, I/V List Sweep, I/V-t Sampling, C-V Sweep, SPGU Control, Switching Matrix Control, and Direct Control.

Inserting a classic test component to the test flow displays the test setup screen almost same as the “I/V Sweep”, “Multi Channel I/V sweep”, “I/V List Sweep”, “I/V-t Sampling”, “C-V Sweep”, “SPGU Control”, “Switching Matrix Control”, or “Direct Control”. You set the test condition on the screen.

Clicking the Assign to external variables... button opens the External Variable Setup dialog box. See “External Variable Setup”.

My Favorite Setup

This component selection menu is used to select the My Favorite setup inserted to the test flow. Specify the preset group, then select the setup.

If a tracer test setup is selected, it is converted to and inserted as a Multi Channel I/V Sweep test setup. In this conversion process, the VAR1 dual polarity sweep setup (Dual Polarity) is ignored. The setup of the positive sweep from start to stop is converted, but the setup of the negative sweep from -start to -stop is not converted.

Miscellaneous

This component selection menu lists the miscellaneous functions available for the test flow, and provides the following components.

  • “GPIB I/O”

  • “Message”

  • “Command Execution”

  • “Data Store Control”

To add a component to the test flow, select the destination line for the component and drag the component from the component selection area to the test flow list area. Instead, you can select a line and a component, then click the Insert button. The component will be put on the line after the selected line, and the following lines will shift downward.

After adding a component to the test flow, selecting the new line might display an editor at the center to lower right of the window. The editor is used to define the setup. Some components provide the editor, and some components do not. For example, the Local Variables Definition provides the editor used to define the local variables. See “Local Variable Definition”.

You can edit the test flow by using the Block Selection/Line Selection, Insert, Delete, Copy, Cut, and Paste buttons. Also you can debug the test flow by using the Run/Pause, Abort, Step, Break, and Inspect buttons. See “Debugging Test Contents”.

Figure 14 Test Contents Screen

Edit / Debug

The Edit tab displays the buttons Block Selection/Line Selection, Insert, Delete, Copy, Cut, and Paste.

The Debug tab displays the buttons Run, Abort, Step, Break, and Inspect.

Only the buttons effective for the selected line in the list area are active.

Block Selection / Line Selection

The Line Selection button changes the list area selection mode to the line selection mode. The Block Selection button changes the selection mode to the block selection.

In the line selection mode, the line cursor selects every line.

In the block selection mode, the line cursor selects every block. For example, the lines from the IF statement to END IF statement can be a block.

Insert

This button puts the selected component on the next line of the selected line. The following lines will shift downward.

Delete

This button deletes the selected line. The following lines will shift upward.

Copy

This button copies the selected line to the clipboard.

Cut

This button moves the selected line to the clipboard. The following lines will shift upward.

Paste

This button puts the components in the clipboard on the next line of the selected line. The following lines will shift downward.


Debugging Test Contents

On the Test Contents tab screen, click the Debug tab. The following buttons will appear. They are useful for debug of your test contents.

Set the break point, and click the Run button. And check the operation of the test contents, the value of variables by using the Variable Inspector, and so on.

Run/Pause

This button starts the debug (executes the test flow). During execution, the label changes to Pause. Clicking Pause pauses the execution, and changes the label to Run that is used to continue the debug (execution).

Abort

This button aborts the debug (execution).

Step

This button executes the selected line of the test flow. Clicking the button repeatedly continues the execution by a line.

Break

This button sets/releases the break point. For the break point, this button releases the break point from the selected line. Program execution will break at the break point automatically.

Inspect

This button is available when the debug (execution) is paused or broken. This button opens the Variable Inspector used to monitor value of device parameters, test parameters, analysis parameters, local variables, or system variables. See “Variable Inspector”.


Variable Inspector

This Variable Inspector is displayed by clicking the “Inspect” button on the Test Contents screen, and is used to monitor or change the value of the local variables, device parameters, test parameters, and analysis parameters. For the vector variables, only data monitor is available. The Variable Inspector provides the following buttons to add the variable monitor area.

Item | Description
Add Numeric Variable | Adds the numeric variable monitor area.
Add Vector Variable | Adds the vector variable monitor area.
Add String Variable | Adds the string variable monitor area.
Add Module Variable | Adds the module variable monitor area.

The following functions are available for the menu displayed by clicking the banner of the variable monitor area.

Item | Description
Up | This button shifts the variable monitor area upward.
Down | This button shifts the variable monitor area downward.
Remove | This button deletes the variable monitor area.

Numeric Variable

You can monitor or change the following information.

Item | Description
Variable | Numeric variable name
Value | Value of the variable

Vector Variable

You can monitor the following information.

Item | Description
Name | Vector variable name. Two dimensional array.
Index1 | Index for the primary plane of the two-dimensional array
Index2 | Index for the secondary plane of the two-dimensional array
Value | Value of the variable

String Variable

You can monitor or change the following information.

Item | Description
Variable | String variable name
Value | Value of the variable

Module Variable

You can monitor or change the following information.

Item | Description
Variable | Module variable name
Value | Value of the variable


External Variable Setup

This dialog box is displayed by clicking the Assign to external variable... button on an Application Test setup screen or a Classic Test setup screen, and is used to make a mapping table between the test setup internal variables and the local variables, device parameters, test parameters, or analysis parameters defined in the test definition which uses this test setup. After making the mapping table, you can read the value by using the external variables.

This dialog box provides the following buttons.

Button | Description
Add | Adds the variable entry fields.
Delete | Deletes the variable entry fields selected by the radio button.
Up | Shifts the selected variable entry fields upward.
Down | Shifts the selected variable entry fields downward.

This dialog box provides the following entry fields.

External variable

Name of local variable, device parameter, test parameter, or analysis parameter connected with the variable set to the Measurement data field

Measurement data

Name of internal variable used in a test setup and to be read. For the Application Test, only the analysis parameters are available.

Example

The following example connects the internal vector variable Vdata with the local variable VDATA.

  1. Define VDATA as a local variable by using the Local Variables Definition statement.

  2. Click the Assign to external variable... button on a test setup screen.

  3. Click the Add button on the External Variable Setup dialog box.

  4. Set VDATA to the External variable field.

  5. Set Vdata to the Measurement data field.

  6. Click the Close button.


Local Variable Definition

This setup editor is displayed while the Local Variable Definition is selected in the test execution flow list area, and is used to define the variables used in the test definition. The setup editor provides the following buttons to add the variables.

Item | Description
Add Numeric Variable | Adds the numeric variable.
Add Vector Variable | Adds the vector variable.
Add String Variable | Adds the string variable.
Add Module Variable | Adds the module variable.

The following functions are available for the menu appeared by clicking the banner of the variable area.

Menu | Description
Up | This button shifts the variable area upward.
Down | This button shifts the variable area downward.
Remove | This button deletes the variable.

Numeric Variable

This area provides the following entry fields.

Item | Description
Name | Numeric variable name
Value | Initial value of the variable
Description | Additional information for the variable

Vector Variable

This area provides the following entry fields.

Item | Description
Name | Vector variable name. Two dimensional array.
Count | Number of elements, or array size
Description | Additional information for the variable

This area also provides the following radio button used to specify how to set the initial value of the array data automatically.

  • Assign Linear Values FROM [value of first element] TO [value of last element]

If Count > 1, this sets first value + (N-1) x (last value-first value)/(Count-1) to the N-th element. If Count = 1, this sets first value (=last value) to the element.

  • Assign Linear Values FROM [value of first element] STEP [step value]

This sets first value + (N-1) x step to the N-th element.

String Variable

This area provides the following entry fields.

Item | Description
Name | String variable name
Value | Initial value of the variable
Description | Additional information for the variable

Module Variable

This area provides the following entry fields.

Item | Description
Name | Module variable name
Description | Additional information for the variable


Program Component

The Program Component selection menu provides the components described in “Script Program Statements”. Especially, the following components provide the setup editor.

  • “ASSIGN”

  • “COMMENT”

  • “IF”

  • “ELSE IF”

  • “FOR”

ASSIGN

This component provides the setup editor that contains the following entry fields used to define the value of the variable.

Item | Description
Variable | Variable name
Expression | Definition of the variable

COMMENT

This component provides the setup editor used to enter the comment for the line.

IF

This component provides the setup editor used to enter the condition for the IF statement.

ELSE IF

This component provides the setup editor used to enter the condition for the ELSE IF statement.

FOR

This component provides the setup editor that contains the following entry fields used to define the FOR NEXT loop condition.

Item | Description
Variable | Variable name
Initial Value | Count to start the FOR NEXT loop
Terminate Value | Count to terminate the FOR NEXT loop
Step Value | Loop count incremental step value


Auto Analysis

This component provides the setup editor used to set up the automatic analysis function. When a measurement finishes, the function automatically draws lines, a marker, or both on the X-Y Graph of the Data Display window.

You can set up two lines and one marker for the automatic analysis function by using the setup editor.

In the Line 1 and Line 2 areas, you can set up the lines to be drawn.

In the Marker area, you can set up the marker.

Interpolation Mode

Check this box to enable the interpolation mode. You can position marker between measurement points.

Line 1, Line 2

This area sets the line 1 or line 2 automatically displayed and moved to the specified position after the measurement.

Item | Description
Enable | Check this box to enable the line.
Fix | Check this box to fix the line on the graph after the auto analysis is performed. Remove the check to make the line free.
Type | Select one of the available line types listed below.
Axis | Axis effective for the line. Specify one from Y1 to Y8.
First Point | See the following description for the line you selected.
Second Point | See the following description for the line you selected. See also “To Draw a Line”.

Available line types:

  • “Normal line”: For drawing a line between any two points.

  • “Gradient line”: For drawing a line through any point with a specified gradient.

  • “Tangent line”: For drawing a tangent line to a measurement point.

  • “Regression line”: For drawing a regression line by using the measurement data included in the area specified by any two points.

Marker

This area sets the marker automatically displayed and moved to the specified position after the measurement.

Item | Description
Enable | Check this box to enable the marker.
Condition | Enter a variable name and a condition expression to specify where you want the marker to appear.
After | Check this box to enable the additional condition. Enter a second variable and condition expression. This sets up a search start condition for finding specified point.

For example, you can specify the following expressions to search for a measurement point that satisfies the first condition after the second condition is satisfied.

Condition: [DGM]=[MAX(DGM)*0.01] [x] After [DGM]=[MAX(DGM)]

Normal line

The First Point area and the Second Point area are used to specify the points the line passes through. The following two ways are available to specify the point.

  • X-Y Coordinate

Enter the desired X-Y coordinate values or expressions in the X and Y fields.

  • Data Condition

Enter a variable name and condition expression to specify the point. This is the same method as specifying the Marker point.

Gradient line

The First Point area is used to specify the point the line passes through. The following two ways are available to specify the point.

  • X-Y Coordinate

Enter the desired X-Y coordinate values or expressions in the X and Y fields.

  • Data Condition

Enter a variable name and condition expression to specify the point. This is the same method as specifying the Marker point.

In the Gradient field, enter a gradient value or expression.

Tangent line

The First Point area is used to specify the measurement point the tangent line passes through.

Enter a variable name and condition expression to specify the point. This is the same method as specifying the Marker point.

Regression line

The First Point area and the Second Point area are used to specify the range of the measurement data used for the regression calculation. The following two ways are available to specify the point.

  • X-Y Coordinate

Enter the desired X-Y coordinate values or expressions in the X and Y fields.

  • Data Condition

Enter a variable name and condition expression to specify the point. This is the same method as specifying the Marker point.


Data Display Control

This component enables or disables the test result display of the application test or the classic test used in the test definition.

Item | Description
Enable Data Display | Checking this box enables the test result display.

If you do not use this component, the test result display is enabled.

This component cannot control the test result display of the test definition. The test result display is always enabled for the test definition. For the test result output of the test definition, see “Test Output”.


Display Data Setup

This component is used to set the data output of the local variables defined in the test execution flow. The values can be displayed on the Data Display window.

X-Y Graph

Selects the data to be displayed in the X-Y Graph Plot area. The X and Y1 to Y8 axes can be set.

Item

Description

Name

 Specifies the parameter for the axis.

Sharing

Specifies the group for sharing the Y axis scale. Select from Group 1, Group 2, Group 3, Group 4, or None (no grouping).

The Scale, Min, and Max values are shared by the Y axes in the same group. The scale set by Run Time Auto Scale, Auto Scale, Zoom in, and/or Zoom out are also shared.

If another layer on the Data Display window contains an X-Y trace which has the same name for both its grouped Y parameter and its X parameter, the scaling will also be shared by this X-Y trace.

Scale

Scale of the axis, Linear or Log

Min

Minimum value of the axis

Max

Maximum value of the axis
Auto

Enables or disables run-time auto-scaling.
Add

Adds a parameter (or axis).
Delete

Deletes the parameter selected with the radio button on the left.
Up

Moves the selected parameter upward.
Down

Moves the selected parameter downward.

List Display, Parameters

Selects the data displayed in the List Display area or the Parameters area. Up to 20 parameters can be set for each area.

Item | Description
(Parameter) | Specifies the parameter for the data output.
Add | Adds a row for the parameter.
Delete | Deletes the parameter selected by the left radio button.
Up | Moves the selected parameter upward.
Down | Moves the selected parameter downward.


GPIB I/O

This component provides the setup editor that contains the following entry fields. This component is used to control the GPIB interface. For the fields to enter a variable name, only the variable name defined in the test definition can be entered.

Note:

Do not set the GPIB address of the B1500 to the Address parameter of this component even if this is on the EasyEXPERT for PC software. Operation of the B1500 is not guaranteed.

Write String

Sends the specified string data to the specified GPIB device.

Parameter | Description
Address | GPIB address of the target device
String | String value to send
Terminator | Terminator, DEFAULT, EOI, CR/LF+EOI, LF+EOI, CR/LF, LF, or NONE (not specified)

Write Value

Translates the specified numeric data to the string data, and sends it to the specified GPIB device.

Parameter | Description
Address | GPIB address of the target device
Format | Format of Write Value. Follow IO Libraries Suite Help.
Value0 | Numeric value or string value to send
Value1 | Numeric value or string value to send
Value2 | Numeric value or string value to send
Value3 | Numeric value or string value to send
Terminator | Terminator, DEFAULT, EOI, CR/LF+EOI, LF+EOI, CR/LF, LF, or NONE (not specified).

Read String

Reads a string value from the specified GPIB device.

Parameter | Description
Address | GPIB address of the target device
String | String variable name. Used to store the returned value.
Length To Read | Byte length of the string value to read
Length Actually Read | Numeric variable name. Used to store the byte length of the returned value. If the Length To Read is large enough and the terminator is sent with the returned string value, the value of this numeric variable is smaller than the specified Length To Read.
Terminator | Terminator, DEFAULT, EOI, CR/LF+EOI, LF+EOI, CR/LF, LF, or NONE (not specified).
Terminated | Numeric variable name. Used to store the execution result. If reading is completed by the terminator, 1 is entered. Otherwise, 0 is entered.
Timeout | Timeout. The value must be less than 2^31 s, 1 ms resolution. 0 does not set timeout.

Read Value

Reads a numeric value from the specified GPIB device.

Parameter | Description
Address | GPIB address of the target device
Value | Numeric variable name. Used to store the returned value.
Preamble | String variable name. Used to store preamble of the returned value. The preamble is a part considered as non-numeric value. If this field is not set, the preamble is deleted.
Postamble | String variable name. Used to store postamble of the returned value. The postamble is a part considered as non-numeric value. If this field is not set, the postamble is deleted.
Success | Numeric variable name. Used to store the execution result. For the successful result, 1 is entered. Otherwise, 0 is entered.
Terminator | Terminator, DEFAULT, EOI, CR/LF+EOI, LF+EOI, CR/LF, LF, or NONE (not specified)
Timeout | Timeout. The value must be less than 2^31 s, 1 ms resolution. 0 does not set timeout.

Read List

Reads a vector data from the specified GPIB device.

Parameter | Description
Address | GPIB address of the target device
Values | Vector variable name. Used to store the returned value.
Delimiter | Delimiter. 1 character. 0 to 9, E, e, +, -, and . (comma) cannot be specified.
Length Actually Read | Numeric variable name. Used to store the number of data stored in the vector variable.
Terminator | Terminator, DEFAULT, EOI, CR/LF+EOI, LF+EOI, CR/LF, LF, or NONE (not specified)
Timeout | Timeout. The value must be less than 2^31 s, 1 ms resolution. 0 does not set timeout.

Read STB

Reads the status byte of the specified GPIB device.

Parameter | Description
Address | GPIB address of the target device
Status Byte | Numeric variable name. Used to store the status byte to read.
Timeout | Timeout. The value must be less than 2^31 s, 1 ms resolution. 0 does not set timeout.

GPIB Control

This area selects one from the following GPIB statements to execute.

Command | Parameter | Description
Group Execution Trigger (GET) | Address | GPIB address of the target device
 | Timeout | Timeout. The value must be less than 2^31 s, 1 ms resolution. 0 does not set timeout.
Device Clear (SDC) | Address | GPIB address of the target device
 | Timeout | Timeout. The value must be less than 2^31 s, 1 ms resolution. 0 does not set timeout.
Go To Local (GTL) | Address | GPIB address of the target device
 | Timeout | Timeout. The value must be less than 2^31 s, 1 ms resolution. 0 does not set timeout.
Local Lock Out (LLO) | Address | GPIB address of the target device
 | Timeout | Timeout. The value must be less than 2^31 s, 1 ms resolution. 0 does not set timeout.

Example 1

To send the following command to Keysight B2200A switching matrix (GPIB address 22), use Write Value function and enter the parameters as shown below.

:ROUT:SYMB:CHAN 0, 1, “Gate”

This command assigns the string Gate to the output 1 of the B2200A in the auto configuration mode.

  • Write Value:

Address: 22

Format: :ROUT:SYMB:CHAN {0}, {1}, “{2}”

Value0: 0

Value1: 1

Value2: Gate

Value3: (blank)

Terminator: LF+EOI

Where, {0}, {1}, {2}, and {3} are the variables that can be used in the Format field, and corresponds to the Value0, Value1, Value2, and Value3 respectively.

Example 2

After performing Example 1, enter the following query command and read the response by using Write String and Read String functions as shown below. Use Write String to send the command, after that use Read String to read the response.

:ROUT:SYMB:CHAN? 0, 1

This command returns the string assigned to the output 1 of the B2200A in the auto configuration mode.

  • Write String:

Address: 22

String: :ROUT:SYMB:CHAN? 0, 1

Terminator: LF+EOI

  • Read String:

Address: 22

String: ReturnedValue

Length To Read: 10

Length Actually Read: Length1

Terminator: LF+EOI

Terminated: Term

Timeout: 1.00 s

Where, ReturnedValue is a string variable to store the response of the :ROUT:SYMB:CHAN? 0, 1 command, Length1 is a numeric variable to store the byte length of the ReturnedValue value, and Term is a numeric variable to store the execution result. They must be defined in the Local Variables Definition statement.


Message

This component provides the setup editor that contains the following entry fields. These are used to set up the message box that pauses program execution, appears on the screen, and waits for the response of the user.

Item |  |  | Description
Message |  |  | Enter the message displayed on the message box.
User Response | Button 1 | Label | Label or name of the button placed at the left side
 |  | Selected | Variable name used in the test definition. The variable is used to store the response of the user. The returned value is 1 if the message box is closed by clicking this button. Otherwise, the returned value is 0.
 | Button 2 | Label | Label or name of the button placed at the second from the left
 |  | Selected | Variable name used in the test definition. The variable is used to store the response of the user. The returned value is 1 if the message box is closed by clicking this button. Otherwise, the returned value is 0.
 | Button 3 | Label | Label or name of the button placed at the second from the left
 |  | Selected | Variable name used in the test definition. The variable is used to store the response of the user. The returned value is 1 if the message box is closed by clicking this button. Otherwise, the returned value is 0.
 | Button 4 | Label | Label or name of the button placed at the second from the left
 |  | Selected | Variable name used in the test definition. The variable is used to store the response of the user. The returned value is 1 if the message box is closed by clicking this button. Otherwise, the returned value is 0.


Data Store Control

This component enables or disables the test record of the application test or the classic test used in the test definition.

Item | Description
Enable Creating Test Result Record | Checking this box enables the test record.

If you do not use this component, the test record is enabled.

This component cannot control the test record of the test definition. The test record is always enabled for the test definition. For the test result output of the test definition, see “Test Output”.


Command Execution

This component provides the setup editor that contains the following entry fields. This component is used to execute the specified execution file (EXE file) and obtain the execution results. For the fields to enter a variable name, only the variable name defined in the test definition can be entered. See “Using Command Execution”.

Parameter |  |  | Description
Command Filename |  |  | File name of the Windows execution file (EXE file) to execute.
Argument |  |  | Argument or parameter to pass to the EXE file.
Write Type | String |  | Displays the Write String area used to specify the string data to write. Up to 20 string data can be defined.
 | List | Values | Variable name of the List data to be passed to the EXE file.
 |  | Format | If you do not specify Format, this function passes the List data to the EXE file. To pass a data in the List data, enter the keyword to specify the element. See “Defining Format Field”.
Read Type | String | Result | Numeric variable name. Used to store the execution result.
 |  | String | String variable name. Used to store the returned value.
 |  | Length Actually Read | Numeric variable name. Used to store the byte length of the returned value.
 | Value | Result | Numeric variable name. Used to store the execution result.
 |  | Value | Numeric variable name. Used to store the returned value.
 | List | Result | Numeric variable name. Used to store the execution result.
 |  | Values | Vector variable name. Used to store the returned value.
 | None |  | This type is for the EXE file without response or data to read.


Using Command Execution

Windows execution file (.exe file) can be executed by using the Command Execution component. Most execution files will need parameters to be sent or returned. The parameters will be variables that can be defined on the Test Specification tab screen or the Local Variable Definition component on the Test Contents tab screen.

This section describes how to enter the windows execution file.

  • “Command Parameters”

  • “Defining Numeric/Vector Input Parameter”

  • “Defining String/Numeric Input Parameters”

  • “Defining Numeric Output Parameter”

  • “Defining Vector Output Parameter”

  • “Defining String Output Parameter”

  • “Defining Format Field”

  • “Setup Example”


Command Parameters

The Windows Command Execution component supports one input variable and one output variable. To use multiple string input parameters or multiple numeric input parameters, set the variable as shown below. Multiple vector input parameters and multiple output parameters are not supported.

  • If the command requires multiple string input parameters, use string variables. In the Windows Command Execution component, set the Write Type to String. Up to 20 string data can be defined.

  • If the command requires multiple numeric input parameters, use numeric variables and set the Write Type to String. To enter the numeric variable name, use the string built-in function. For example, enter string(Rz) to set the Rz numeric variable.

  • If the command requires both numeric and string input parameters, use numeric and string variables respectively, and set the Write Type to String.

Note:

Before calling the command, enter the value to the input variable by using the ASSIGN statement.

string built-in function:

The string built-in function is used to translate a numeric expression to a string value. Be careful about the argument for this function. If it is a numeric variable defined with the numeric-symbol assignment, the string function execution result will be the symbol assigned to the numeric value, not the string value just translated from the numeric value. The numeric-symbol assignment is defined in the “Test Specification”.

For the following example setup of the numeric-symbol assignment, string(Mode) execution result at Mode=0 is the string OFF, not the string 0.

Parameter Mode, Value=0, Symbol=OFF


Defining Numeric/Vector Input Parameter

  1. Define a vector variable in the Test Specification tab screen or the Local Variable Definition component of the Test Contents tab screen.

  2. Set the Write Type to List in the Windows Command Execution component.

  3. Enter the variable name in the Values field of the Write List area.

For the numeric parameter, a data element of vector variable is used to store the data for the parameter. Specify the data by using the Format field. For example, enter {0} to specify the data in the first element of the vector variable. For the Format field, see “Defining Format Field”.

For the vector parameter, ignore the Format field.


Defining String/Numeric Input Parameters

  1. Define string or numeric variables in the Test Specification tab screen or the Local Variable Definition component in the Test Contents tab screen.

  2. Set the Write Type to String in the Windows Command Execution component.

  3. Add a line in the Write String area.

  4. Enter the variable name for the first input parameter in the first line.

If the command needs multiple input parameters, add a line and enter the variable name for the variable in the added line. Then observe the order of parameters.

To enter a numeric variable name, use the string built-in function. For example, enter string(Rz) to set the Rz numeric variable.


Defining Numeric Output Parameter

  1. Define a numeric variable in the Test Specification tab screen or the Local Variable Definition component of the Test Contents tab screen.

  2. Set the Read Type to Value in the Windows Command Execution component.

  3. Enter the variable name in the Value field of the Read Value area.

The Result field can be blank or the name of another numeric variable defined in the Test Specification or Local Variable Definition. The variable will be used to receive the command execution result.


Defining Vector Output Parameter

  1. Define a vector variable in the Test Specification tab screen or the Local Variable Definition component of the Test Contents tab screen.

  2. Set the Read Type to List in the Windows Command Execution component.

  3. Enter the variable name in the Values field of the Read List area.

The Result field can be blank or the name of a numeric variable defined in the Test Specification or Local Variable Definition. The variable will be used to receive the command execution result.


Defining String Output Parameter

  1. Define a string variable in the Test Specification tab screen or the Local Variable Definition component of the Test Contents tab screen.

  2. Set the Read Type to String in the Windows Command Execution component.

  3. Enter the variable name in the String field of the Read String area.

The Result field and the Length Actually Read field can be blank or the name of a numeric variable defined in the Test Specification or Local Variable Definition. The variable will be used to receive the command execution result or the length of the returned string data.


Defining Format Field

The Format field requires a keyword to specify a data in vector variable. The keyword must have the style such as {I,A:F}. where,

I

Index used to specify the element. Integer, 0 or positive number. Mandatory. 0 specifies the first element.

A

Character length of the specified data element. Positive integer for right-aligned, or negative integer for left-aligned. If this value is not set, the length is not specified (no limit).

F

Style of the data. See Figure F-1. If this value is not set, G is selected..

Followings are the example formats.

{0,5:E} First element, five characters, exponential notation

{1,10} Second element, 10 characters, general

{2:x} Third element, no limit for length, hexadecimal numeric

{3} Fourth element, no limit for length, general

Figure F-1 Available F values

F | Meaning | F | Meaning
C or c | Circulation | N or n | Numeric
D or d | Decimal numeric | P or p | Percent
E or e | Exponential notation | R or r | Round trip
F or f | Fixed point | X or x | Hexadecimal numeric
G or g | General |  |


Setup Example

The following example setup is used to execute a PlsdivMeasureId command that has two numeric inputs and four numeric outputs.

ranging and id_range are numeric variables used for the input parameters, read_data is a vector variable used for the output parameters, and PassFail is a numeric variable used to store the command execution result. They must be defined in the Test Specification tab screen or the Local Variable Definition component on the Test Contents tab screen. Input parameter values must be set to the variables before executing the command. Four data will be assigned to read_data in sequence.

Windows Command Execution Setup Example:


Function Details

This section explains the following measurement functions of Keysight B1500 and EasyEXPERT.

  • “I/V Sweep Measurement”

  • “Multi Channel I/V Sweep Measurement”

  • “I/V-t Sampling Measurement”

  • “C-V Sweep Measurement”

  • “Capacitance Compensation When Using Switching Matrix”

  • “SPGU Module”

  • “Sweep Abort Function”

  • “Standby Function”

  • “Bias Hold Function”

  • “Current Offset Cancel”

  • “SMU CMU Unify Unit”

  • “Atto Sense and Switch Unit”

  • “SMU/PG Selector”

  • “Module Selector”

  • “Ultra High Current Expander/Fixture”

  • “HVSMU Current Expander”

  • “Ultra High Voltage Expander”

  • “SMU Ranging Mode”

  • “SMU Compliance”

  • “SMU Pulse”

  • “SMU Measurement Time”

  • “SMU Filter”

  • “SMU Series Resistor”

  • “Interlock Function”

  • “Auto Power Off Function”

  • “Initial Settings”


I/V Sweep Measurement

For the I/V sweep measurements, sweep source channels (SMU) perform staircase sweep output of voltage or current, while monitor channels (SMU) measure voltage or current for each sweep step. According to the output function, the following measurements are available. See Figure 15 for the SMU output function.

  • “Available Measurement Resources”

  • “Output Range”

  • “Basic Sweep Measurement” by using VAR1 function

  • “Subordinate Sweep Measurement” by using VAR1 and VAR2 functions

  • “Synchronous Sweep Measurement” by using VAR1 and VAR1’ functions, VAR2 function is also available

  • “Pulsed Sweep Measurement”

This is the basic, subordinate, or synchronous sweep measurement using a pulse output SMU. Only one pulse output SMU is available.

Figure 15 Sweep Source Output


Available Modules

Available Measurement Resources

SMUs and SPGUs can be used. SMU can be constant voltage/current source or pulse voltage/current source and perform voltage/current measurement. SPGU can be pulse voltage source. See “SPGU Module” for using the SPGU.

If multiple measurement channels are used, the channels perform measurement in order. See “Multiple Measurement Channels”.


Output Range

Output range of the sweep source channel is automatically set to the following range.

  • minimum range covers all sweep output values in Linear sweep.

  • minimum range covers all sweep output values in Log voltage sweep.

  • optimum range for output value every sweep step in Log current sweep.


Basic Sweep Measurement

Basic sweep measurement uses the primary sweep source (VAR1). You can select any combination of Direction and Linear/Log as shown in Figure 16.

  • Direction

  • Single source channel sweeps the output from user specified start value to stop value.

  • Double source channel sweeps the output from user specified start value to stop value, then from stop value to start value.

  • Linear/Log

  • Linear staircase

  • Logarithmic staircase

Figure 16 Staircase Sweep Outputs

See “I/V Sweep” for the GUI.

The following setup is required to perform the basic sweep measurements.

1. Select the following on the Channel Setup tab screen.

  • Select VAR1 for the Function of the SMU used for VAR1.

  • Select V, VPULSE, or COMMON for the Mode of current monitor SMU, or I or IPULSE for voltage monitor SMU. Pulse is available only for one SMU.

2. Specify the following parameters for VAR1 on the Measurement Setup tab screen.

Parameter

Description
Direction | Single or double sweep.
Linear/Log | Linear or logarithmic sweep. For logarithmic sweep, the number steps in one decade is 10, 25, or 50.
Start | Start value of sweep. Allowable range of start depends on output range of sweep source. For logarithmic sweep, start must not be zero.
Stop | Stop value of single sweep or turning back value of double sweep. Allowable range of stop depends on output range of sweep source. For logarithmic sweep, stop must have same polarity as start, and must not be zero.
Step, No. of Steps

For linear sweep, step is step increment of sweep. No of Step is calculated from start, stop, and step.

For logarithmic sweep, step is invalid. Number of sweep steps is calculated from start, stop, and number of steps in one decade.

Calculated number of steps must be in range: 1 to 10001.
Compliance | Compliance value of sweep source. Allowable range of compliance depends on the compliance range of sweep source.
Pwr. Comp | (Optional) Power compliance value of sweep source. Allowable range depends on power compliance range of sweep source.
Hold | Time required for DUT to settle after forcing start value. 0 to 655.35 s with 10 ms resolution. See Figure 17.
Delay | Time required for DUT to settle after stepping the output. 0 to 65.535 s with 100 ms resolution. See Figure 17.

Figure 17 Basic Sweep Measurement


Subordinate Sweep Measurement

For subordinate sweep measurement, you set up a secondary sweep source (VAR2) in addition to a primary sweep source (VAR1). After VAR1 sweep is completed, the output of VAR2 sweep source is increased or decreased by the specified step value, then the VAR1 sweep source is swept again.

Only the linear single sweep is available for the VAR2.

The following setup is required to perform the subordinate sweep measurements. See “I/V Sweep” for the GUI.

1. Select the following on the Channel Setup tab screen.

  • Select VAR1 for the Function of the SMU used for VAR1.

  • Select VAR2 for the Function of the SMU used for VAR2.

  • Select V, VPULSE, or COMMON for the Mode of current monitor SMU, or I or IPULSE for voltage monitor SMU. Pulse is available only for one SMU.

2. Set the VAR1 channel as shown in “Basic Sweep Measurement”.

3. Specify the following parameters for VAR2 on the Measurement Setup tab screen.

Parameter | Description
Start | Start value of secondary sweep. Allowable range of start depends on the output range of secondary sweep source.
Stop | Stop value of secondary sweep is calculated from start, step, and number of steps. Allowable range of stop depends on the output range of secondary sweep source.
Step | Step increment of secondary sweep.
No. of Steps | Number of secondary sweep steps (N2). 1 to 1001. Then, the following formula must be satisfied. 1 ≤ N1 * N2 ≤ 128128 (N1: number of primary sweep steps)
Compliance | Compliance value of secondary sweep source. Allowable range of compliance depends on the compliance range of secondary sweep source.
Pwr. Comp. | (Optional) Power compliance value of secondary sweep source. Allowable range of power compliance depends on the power compliance range of sweep source.

Figure 18 Subordinate Sweep Measurement


Synchronous Sweep Measurement

For synchronous sweep measurement, you set up a synchronous sweep source (VAR1’) in addition to a primary sweep source (VAR1).

The relationship between the output of primary and synchronous sweep sources is determined by the following equation:

synchronous output = primary output ´ ratio + offset

The synchronous output determined by above equation must not exceed the output range of synchronous sweep source.

The following parameter settings are effective for the VAR1’ sweep source.

  • Direction (Single or Double)

  • Linear/Log

The following setup is required to perform the synchronous sweep measurements. See “I/V Sweep” for the GUI.

1. Select the following on the Channel Setup tab screen.

  • Select VAR1 for the Function of the SMU used for VAR1.

  • Select VAR1’ for the Function of the SMU used for VAR1’.

  • Select V, VPULSE, or COMMON for the Mode of current monitor SMU, or I or IPULSE for voltage monitor SMU. Pulse is available only for one SMU.

Mode of VAR1 and VAR1’ must be the same, voltage or current.

2. Set the VAR1 channel as shown in “Basic Sweep Measurement”.

3. Specify the following parameters for VAR1’ on the Measurement Setup tab screen.

Parameter | Description
Offset | Offset between outputs of primary and synchronous sweep sources.
Ratio | Ratio between outputs of primary and synchronous sweep sources.
Compliance | Compliance value of synchronous sweep source. Allowable range of compliance depends on the compliance range of synchronous sweep source.
Pwr. Comp. | (Optional) Power compliance value of synchronous sweep source. Allowable range of power compliance depends on the power compliance range of synchronous sweep source.

Figure 19 Synchronous Sweep Measurement


Pulsed Sweep Measurement

For a sweep measurement, a sweep or constant source SMU can be a pulse source. But only one SMU can be a pulse source.

Figure 20 shows the relationship between pulse source and other sources. Each step of the primary sweep source is synchronized with output of the SMU pulse source. Measurements are made during the pulse output. For the pulsed sweep measurement, the delay time cannot be set.

The following setup is required to perform the pulsed sweep measurements. See “I/V Sweep” for the GUI.

1. Select the following on the Channel Setup tab screen.

  • Select VAR1 for the Function of the SMU used for VAR1.

  • Select V, VPULSE, or COMMON for the Mode of current monitor SMU, or I or IPULSE for voltage monitor SMU. Pulse is available only for one SMU.

2. Set the VAR1 channel as shown in “Basic Sweep Measurement”.

3. Specify the following parameters for the SMU Pulse on the Measurement Setup tab screen.

Parameter | Description
Period | SMU forces the next pulse after specified pulse period.
Width | Time from when SMU output starts to change from base value to time when SMU starts to return from peak value. Measurements are made while the peak value is output.
Base | The base output value of the SMU pulse.

Pulse peak value

Pulse peak value depends on the Function setting of the pulse source SMU. See Table 19.

Table 19 Pulse Peak and Function

Function | Pulse peak
CONST | Source value in the Constants area
VAR1 | Calculated from the Start, Stop, Step values of the VAR1.
VAR2 | Calculated from the Start, Stop, No of Step values of the VAR2.
VAR1’ | Calculated from the Start, Stop, Step values of the VAR1 and the Offset and Ratio values of the VAR1’.

Measurement channel

Only one SMU can be used for the measurement channel.

The measurement channel always uses the compliance range which covers the setting compliance value. The Range button in the Measurement Setup is not available.

Figure 20 Pulse Source and Other Sources

Figure 21 SMU Pulse


Multi Channel I/V Sweep Measurement

Multi Channel I/V Sweep measurement is similar to I/V Sweep measurement. Changes from I/V Sweep are listed below.

  • All SMU can be set to the VAR1 sweep source (up to 10 channels)

  • All SMU can be set to the pulse source (up to 10 channels)

  • There is no restriction for the VAR1 output mode, voltage or current

  • VAR1’ sweep mode is not available

The timing of the sweep output and measurements are shown in Figure 4-8. The DC output channels start to output in the order in which they are listed on the Channel Setup screen. If multiple measurement channels are used, the channels perform the measurements in order. See “Multiple Measurement Channels”.

If multiple pulse output channels are used, the DC output channels start to output in the order in which they are listed on the Channel Setup screen, and then the pulse output channels start to output simultaneously. And the all measurement channels perform measurements simultaneously.

Multi Channel I/V Sweep Measurements using High-Resolution A/D Converter


I/V-t Sampling Measurement

For the I/V-t sampling measurements, source channels (SMU) force constant current or voltage, and monitor channels (SMU) measure current or voltage changes at a device under test (DUT) with a specified sampling interval.

  • “Available Measurement Resources”

  • “Operation Summary”

  • “Setup Parameters”

  • “Time Data and Index”

  • “Source Output Sequence and Time Origin”

  • “Sampling Completion”


Available Modules

Available Measurement Resources

SMUs and SPGUs can be used. SMU can be constant voltage source or constant current source and perform voltage measurement or current measurement. SPGU can be pulse voltage source. See “SPGU Module” for using the SPGU

Note:

To use the SPGU, the sampling interval must be ≥ 2 ms.


Operation Summary

I/V-t sampling measurement is executed as explained below. See Figure 22. In this example, the Output Sequence is set to SEQUENTIAL. And the bias hold function sets the bias to the Base value.

Figure 22 Operation Summary

In this figure, a and b in the formula of Time indicate the time from the start of one point measurement to the start of integration by the A/D converter.

1. When the Output Sequence is SEQUENTIAL, source channels start the Source value output in order, and the last source channel starts the Base value output (Starts sampling). See “Source Output Sequence and Time Origin”.

When the Output Sequence is SIMULTANEOUS, source channels start the Base value output simultaneously (Starts sampling).

Base value is available for all output channels for the SIMULTANEOUS mode and the last source channel for the SEQUENTIAL mode.

2. Base Hold Time later, the source channels change the output to the Source value. The channels keep the value until the end of the sampling measurement.

3. Another Hold Time later, the measurement channel starts measurement for the first sampling point. If multiple channels are used, the channels perform measurement in order. See “Multiple Measurement Channels”.

4. After that, the following operation is repeated with the specified time Interval.

This operation is repeated until the number of measurement result data reaches the specified No of Samples of measurement data.

  • Measurement channels start measurement if they are ready to measure.

  • Measurement channels keep the condition if they are busy.

For the log sampling, the B1500 holds only the data that can be plotted on the log scale in the same distance as close as possible. Only the held data is counted in the number of measurement result data.

For the linear sampling with Interval < 2 ms, if the total measurement time runs over the specified time Interval x No of Samples, the sampling measurement will be stopped even if the number of measurement result data is less than the specified No of Samples.

5. The source channels stop the output, and the I/V-t sampling measurement is completed.

If the bias hold function is enabled, the source channels force the Base or Source value.

Time data and index:

For the log sampling, the recorded data will be only the data that can be plotted on the log scale in the same distance as close as possible. The index of the first data is 1. And the index of the following data will increase by 1. For the linear sampling, see “Time Data and Index”.


Setup Parameters Sampling

Setup Parameters

The following setup is required to perform the I/V-t sampling measurements. See “I/V-t Sampling” for the GUI.

1. Select the following on the Channel Setup screen.

  • Select SMUs used for constant voltage sources or constant current sources.

  • Select V or COMMON for Mode of current monitor SMU, or I for voltage monitor SMU.

2. Specify the following parameters for the SMU in the Sampling Parameter area on the Measurement Setup screen.

Parameter

Description
Linear/Log

Sampling mode. LINEAR for linear sampling. LOG10, LOG25, LOG50, LOG100, LOG250, or LOG500 for logarithmic sampling.

For the logarithmic sampling, the number after LOG indicates the number of measurement data in a decade. For example, LOG10 mode is used to get 10 data/decade.
Interval

Interval of the sampling, in seconds. 0.002 to 65.535 s, 0.001 s resolution.

Interval < 0.002 s in 0.00001 s resolution is also available for the linear sampling. It must satisfy the following formula. See If you set Interval < 2 ms.

Interval ≥ 0.0001 + 0.00002 * ((number of measurement channels) - 1)
No. of Samples

Number of samples. Integer. 1 to the following value.

For linear: 100001 / (number of measurement channels)

For logarithmic: 1 + (number of data for 11 decades)
Total Sampling Time

This field just displays the total sampling time that is the time from the measurement start time for the first point to the end of sampling measurement. It does not include the hold time.

Total Sampling Time = Interval * (No. of Samples)
Output Sequence

Source output sequence. SIMULTANEOUS or SEQUENTIAL. See “Source Output Sequence and Time Origin”.
Hold Time

Time since the Source value output until the first sampling point, in seconds. 0 to 655.35 s, resolution 0.01 s.

The following values are also available for Interval < 0.002 s. |Hold Time| will be the time since the sampling start until the Source value output.

-0.09 to -0.0001 s, resolution 0.0001 s.
Base Hold Time Hold time of the Base value output until the Source value output, in seconds. 0 to 655.35 s, resolution 0.01 s.

3. Specify the following parameters for the SMU in the Constants area on the Measurement Setup screen.

Parameter | Description
Base, Source | Base or Source value, in V or A. Base value is available for all output channels for the SIMULTANEOUS mode and the last source channel for the SEQUENTIAL mode.
Compliance | Compliance value, in A or V.


Time Data and Index

To obtain the time data, enter a variable name (e.g. Time) into the Time Stamp Name field of the Channel Setup screen. The time data can be obtained after the linear sampling measurement is executed, and can be expressed by the following formula.

Time = (Hold Time) + Interval * [(Index - 1) + N] + a

Variable | Description
Time | Variable name set to the Time Stamp Name field of the Measurement Setup screen. Time data is returned.
Index | Variable name set to the Index Name field of the Measurement Setup screen. Data index is returned. Maximum value is 2147483647.
Interval | Sampling interval. Defined in the Measurement Setup screen.
Hold Time | Hold time. Defined in the Measurement Setup screen.
N | Number of samplings performed while one point measurement was executed. This value is 0 if the sampling interval is longer than the measurement time.
a | Time from the start of one point measurement to the start of integration by the A/D converter.

If the sampling interval is longer than the actual measurement time, measurement channels repeat measurement with the specified sampling interval. However, if the sampling interval is shorter than the measurement time, the measurement interval will be integral multiples of the specified sampling interval. Example for Hold Time =10 ms, Interval=5 ms, and the following Time values is shown in Figure 23. In this case, N=3.

  • Time (for Index=1) = 10 ms = 10 + 5 * [(1 - 1) + 0] ms

  • Time (for Index=2) = 30 ms = 10 + 5 * [(2 - 1) + 3] ms

Figure 23 Sampling and Measurement Timing


Source Output Sequence and Time Origin

When the Output Sequence is SEQUENTIAL, source channels start output in order. The order is top to bottom of the channels defined in the Channel Setup screen. The order of bias stop is bottom to top.

When the Output Sequence is SIMULTANEOUS, source channels start output simultaneously. And the source channels stop output at the same time.

The time origin is when the source output value is changed from Base to Source.


Sampling Completion

The sampling measurement completes when one of the following conditions is satisfied:

  • The event of the stop condition occurs. See “Stop Condition”.

  • The measurement channels obtain the specified number (No of Samples) of measurement data.

  • The total measurement time runs over the time Interval * No of Samples for the linear sampling with Interval < 2 ms.

  • The Stop button is clicked.

  • An emergency condition occurs on the B1500.

  • Interlock terminal is opened when a channel is in the high voltage output status.


Stop Condition

The stop condition is defined by using the Stop Condition fields on the Measurement Setup screen. This function stops the measurement as shown below.

1. Compares the value of parameter set to the Name field and the value defined in the Threshold field.

2. Counts how many times the selected Event occurs.

3. When the count reaches the value defined in the No. of Events field, sampling is stopped immediately.

For the setup parameters of the stop condition, see “I/V-t Sampling”.


C-V Sweep Measurement

For the C-V sweep measurements, MFCMU (multi frequency capacitance measurement unit) forces AC signal, performs staircase sweep output of DC bias voltage, and measures impedance for each sweep step.

  • “Available Measurement Resources”

  • “Setup Parameters”

  • “Measurement Parameters”

  • “Four-Terminal Pair Configuration”

  • “Error Correction”


Available Module

Available Measurement Resources

MFCMU can be used for the C-V sweep measurements. For the DC bias output over ± 25 V, use the SMU CMU Unify Unit (SCUU) and SMUs. This expands the voltage range up to ± 100 V. Or use the high voltage bias-T and HVSMU to expand the voltage range up to ± 3000 V.


Setup Parameters CV

Setup Parameters

The following setup is required to perform the C-V sweep measurements.See “C-V Sweep” for the GUI.

1. Set the following on the Channel Setup tab screen.

  • Set V Name of the CMU.

  • If you use a constant current or voltage source, set Mode (I, V, or COMMON) and V Name or I Name of the SMU.

2. Specify the following parameters for the CMU on the Measurement Setup tab screen.

Parameter

Description
Model, x Name | Measurement parameters. See Table 20.
Direction | Single or double sweep.
Linear/Log | Linear or logarithmic sweep. For logarithmic sweep, the number steps in one decade is 10, 25, or 50.
Start, Stop

Start is the DC bias sweep start value. Stop is the stop value of single sweep or turning back value of double sweep. The CMU can force up to ± 25 V.

If the SCUU (SMU CMU Unify Unit) is used, up to ± 100 V output is available.

If the high voltage bias-T and HVSMU are used, up to ± 3000 V output is available.
Step, No. of Steps | Step is step increment of sweep. No. of Steps value is calculated from Start, Stop, and Step. Calculated number of steps must be in range: 2 to 1001.
Frequency List | AC signal frequency. 1 kHz to 5 MHz. Resolution: 6 digits.
F Name | Variable name of frequency list.
AC Level | AC signal level. 10 mV to 250 mV, 1 mV resolution.
Mode, Factor

One of the following is used for setting the measurement time.

For Mode=AUTO, you set the number of samples used for averaging of the measurement data. The initial value is the predefined constant, and you set the multiple number to Factor. Available Factor values are 1 to 1023, integer.

For Mode=PLC, you set the integration time of the A/D converter. The initial value is 1 power line cycle (20 ms for 50 Hz, 16.7 ms for 60 Hz), and you set the multiple number to Factor. Available Factor values are 1 to 100, integer.
Hold | Hold time. The time required for DUT to settle after forcing start value. 0 to 655.35 s with 10 ms resolution.
Delay | Time required for DUT to settle after stepping the DC bias output value. 0 to 65.535 s with 100 ms resolution.

Note:

For a more accurate measurement, perform correction data measurement at the measurement frequency before starting the capacitance measurement.

If the measurement frequency is not included in the list of default frequencies below, click the Advanced Options... button and set the measurement frequency on the Frequency area of the Advanced Options for CMU Calibration window.

Default frequencies:

1 k, 2 k, 5 k, 10 k, 20 k, 50 k, 100 k, 200 k, 500 k, 1 M, 1.2 M, 1.5 M, 2 M, 2.5 M, 2.7 M, 3 M, 3.2 M, 3.5 M, 3.7 M, 4 M, 4.2 M, 4.5 M, 5 MHz


Measurement Parameters

MFCMU performs impedance measurement, calculates parameters shown in Table 20, and returns the calculated data. A combination can be selected for the return data. For example and for your reference, select the parallel measurement mode (Cp-G or Cp-D) for the low capacitance measurements (100 W or more of impedance), and select the series measurement mode (Cs-Rs) for the high capacitance measurements (100 W or less of impedance). Because the low capacitance yields high reactance, which implies that the effect of the parallel resistance has relatively more significance than that of series resistance.

Table 20 MFCMU Measurement Parameters

Primary Parameter | Secondary Parameter
R (resistance, W) | X (reactance, W)
G (conductance, S) | B (susceptance, S)
Z (impedance, W) | q (phase, radian)
Z (impedance, W) | q (phase, degree)
Y (admittance, S) | q (phase, radian)
Y (admittance, S) | q (phase, degree)
Cp (parallel capacitance, F) | G (conductance, S)
Cp (parallel capacitance, F) | D (dissipation factor)
Cp (parallel capacitance, F) | Q (quality factor)
Cp (parallel capacitance, F) | Rp (parallel resistance, W)
Cs (series capacitance, F) | Rs (series resistance, W)
Cs (series capacitance, F) | D (dissipation factor)
Cs (series capacitance, F) | Q (quality factor)
Lp (parallel inductance, H) | G (conductance, S)
Lp (parallel inductance, H) | D (dissipation factor)
Lp (parallel inductance, H) | Q (quality factor)
Lp (parallel inductance, H) | Rp (parallel resistance, W)
Ls (series inductance, H) | Rs (series resistance, W)
Ls (series inductance, H) | D (dissipation factor)
Ls (series inductance, H) | Q (quality factor)

About Impedance Measurements

All circuit components, resistors, capacitors, or inductors, have parasitic components, for example unwanted resistance in capacitors, unwanted resistance in inductors, and unwanted inductance in resistors. Thus simple components should be modeled as complex impedances.

Impedance definitions and vector representation of impedance are shown in Figure 24. Impedance Z is the total opposition that a circuit or device offers to the flow of alternating current at a given frequency. Z contains a real and an imaginary part, and it is expressed in rectangular form as resistance R and reactance X, or in polar form as magnitude of impedance |Z| and phase q.

In addition to these parameters, the quality factor Q and dissipation factor D are used to describe the quality of components.

Figure 24 Impedance and Parameter Calculation

For your reference, select the parallel measurement mode (Lp-G, Lp-D, or anything) for the high inductance measurements (100 W or more of impedance), and select the series measurement mode (Ls-Rs, or anything) for the low inductance measurements (100 W or less of impedance). Because the reactance of high inductance at a given frequency is relatively high (compared with that of a low inductance), so the parallel resistance becomes more significant than the series component.

Figure 25 Admittance and Parameter Calculation

In some case, the reciprocal of impedance (admittance) Y is used. Figure 25 shows the vector representation of admittance. As impedance Z, Y contains a real and an imaginary part, and is expressed in rectangular form as conductance G and susceptance B, or in polar form as magnitude of admittance |Y| and phase f.


Four-Terminal Pair Configuration

Generally, any mutual inductance, interference of the measurement signals, and unwanted residual factors in the connection method incidental to ordinary termination methods will have significant effects on the measurements, especially at a high frequency. The MFCMU employs the four-terminal pair (4TP) measurement configuration which permits easy, stable, and accurate measurements and avoids the measurement limitations inherent to such factors.

Figure 26 shows the four-terminal pair measurement principle. The measurement terminals consist of the following four coaxial connectors.

  • Hcur: High current

  • Hpot: High potential

  • Lpot: Low potential

  • Lcur: Low current

Figure 26 Four-Terminal Pair Measurement Principle

The four-terminal pair measurement method has the advantage in both low and high impedance measurements. The outer shield conductors work as the return path for the measurement signal current (they are not grounded). The same current flows through both the center conductors and outer shield conductors (in opposite directions), but no external magnetic fields are generated around the conductors (the magnetic fields produced by the inner and outer current completely cancel each other). Because the measurement signal current does not develop an inductive magnetic field, test leads do not contribute additional errors due to self or mutual inductance between the individual leads.

To realize accurate measurements using the four-terminal pair measurement method, the following connection tips are important. See Figure 26 and Figure 27.

  • The signal path from MFCMU to DUT must be as short as possible.

  • The four-terminal pair configuration must be extended as close as possible to the DUT.

  • The outer shield conductors must be connected together at the extended cable ends. Then take care of contacts. They must be electrically isolated.

This is the same as connecting the CMU return terminals of the atto sense/switch unit (ASU) or the guard switch unit (GSWU).

  • The signal path from the shield ends to the DUT must be as short as possible.

  • If it is possible, make protective guard (plate, shield, or anything) around the DUT, and connect it to the outer shield conductor of the four-terminal pair configuration. This minimizes the effects of stray capacitance and electrical noise. Then take care of contacts. The guard must be electrically isolated.

  • The Low (Lcur, Lpot) terminal must be prevented from stray capacitance and guard capacitance. If the measurement terminal has to be connected to the wafer chuck, use the High (Hcur, Hpot) terminal to connect to the wafer chuck.


Error Correction

The MFCMU is equipped with the error correction function used to realize accurate impedance measurements. The correction function minimizes the effects of the error elements in the extension cables and the DUT interface such as manipulator and probe card.

  • Phase compensation

Corrects phase error caused by extending measurement cables.

  • Open correction

Corrects for stray admittance. Effective for high impedance measurements.

  • Short correction

Corrects for residual impedance. Effective for low impedance measurements.

  • Load correction

Corrects any error by using the working standard.

The MFCMU will internally perform the error correction for the CMU cables and CMU accessories that keep the four-terminal pair configuration.

For the measurements for evaluating DUT against a working standard, perform the open/short/load correction.

However, you have to consider that some parasitic remain in measurement path even after performing corrections. To minimize the influence of parasitic, make the signal path from the shield ends to the DUT as short as possible.

To perform the phase compensation and error correction, see “CMU Calibration”.

Figure 27 Error Correction


SPGU Module

Only for the B1500A. High voltage SPGU is a pulse generator module designed for semiconductor parametric test applications and provides the following key functions. The SPGU can be controlled by using the SPGU Control classic test or the SPGU setup function in the I/V Sweep, Multi Channel I/V Sweep, I/V List Sweep, and I/V-t Sampling classic tests.

• Number of output channels: 2 channels per module

• Output impedance: 50 W

• Output level: 0 to ± 40 V (open load), ± 20 V (50 W load)

• SPGU operation mode (effective for all channels installed in B1500A):

PG (pulse generator) or ALWG (arbitrary linear waveform generator)

See “PG Operation Mode” for PG mode.

See “ALWG Operation Mode” for ALWG mode.

• Channel output operation mode:

Free run, duration, or pulse count (PG mode)/sequence count (ALWG mode)

Free run mode is not available for the SPGU Control classic test.

• PG output mode:

2-level pulse or 3-level pulse, for each channel

• Pulse switch, which is more durable than mechanical relays, and better suited for frequent switching applications.

• Automatic voltage level adjustment by specifying load impedance of DUT

SPGU Simplified Circuit Diagram

Note:

To use the SPGU for I/V-t Sampling tests, the sampling interval must be >= 2 ms.


PG Operation Mode

In the PG mode (pulse generator operation mode), the SPGU outputs 2-level or 3-level pulse voltage as shown in Figure PG3.

The SPGU channels simultaneously start the pulse output and repeat the output every pulse period. The channels continue the pulse output until the specified time elapses or the repeat count reaches the specified number of pulses.

For the SPGU pulse setup, see “SPGU Pulse Setup Parameters”.

For a summary of source output operation in sweep or sampling measurement mode, see “Pulse Output Operation Summary”.

Figure PG3 3-Level Pulse Output Examples


SPGU Pulse Setup Parameters

The following setup is required to apply the SPGU pulse. See “SPGU Control” for the GUI.

1. Set the following for the SPGU channel on the Channel Setup tab screen.

• Set the V Name of the SPGU.

• Set the Mode to VPULSE. This sets the PG mode. Do not set to ALWG.

2. On the SPGU Pulse Setup window, specify the following parameters for the SPGU. See PG Setup Parameters for the pulse setup parameters.

Parameter

Description
Period Pulse period. 20 ns to 10 s, 10 ns resolution.
Operation

FREE RUN, PULSE COUNT, or DURATION.

In the FREE RUN mode, the SPGU continues the pulse output until the measurement is completed or stopped. Not available for the SPGU Control classic test.

For the PULSE COUNT mode, specify the number of pulses, within the range of 1 to 1000000. The SPGU will output the specified number of pulses.

For the DURATION mode, specify the total time to output, within the range of 1 ms to 31556926 s (1 year). The SPGU will continue to output until the specified time elapses.
Type

2-Level Pulse or 3-Level Pulse. If you choose 3-Level Pulse, the Additional Pulse fields become effective.
Base, Peak

Pulse base and peak voltage. 0 to ± 40 V (open load), ± 20 V (50 W load), 1 mV resolution.
Delay

Delay time. 0 s to Period-20 ns, 2.5 ns resolution. Resolution will be set at 10 ns if the pulse transition time is > 8 ms.
Width

Pulse width. 10 ns to Period-10 ns, 2.5 ns resolution. Resolution will be set at 10 ns if the pulse transition time is > 8 ms.
Leading, Trailing

Pulse transition time. 8 ns to 400 ms, 2 ns resolution. Resolution will be set at 8 ns if the pulse transition time is > 8 ms.

3. (Optional) Set the Additional Pulse fields for the 3-Level Pulse. 3-level pulses can be achieved by the Primary Pulse and the Additional Pulse. See Figure PG3 for examples.

4. On the Load Z Setup window, specify the load impedance of the DUT (device under test). The value is used to adjust the SPGU output voltage automatically. The SPGU will output the voltage close to the specified Base or Peak value.

5. (Optional) On the Pulse Switch Setup window, enable the pulse switch, which is the semiconductor relay mounted in the SPGU output and is used to open the SPGU channel output. This relay is more durable than mechanical relays, and is better suited for frequent switching applications.

Parameter | Description
SW Sync | ENABLE (enables the pulse switch) or DISABLE (disables the pulse switch). Switching of the pulse switch status (open and close) will be controlled automatically and synchronized with the output pulse, as shown in PG Setup Parameters. Delay, Width, and Normal fields will be active when SW Sync=ENABLE.
Delay | Delay time from start of pulse output to changeover of pulse switch. 0 s to Period-100 ns, 10 ns resolution.
Width | Duration to hold the switched state of the pulse switch. 100 ns to Period-Delay ns, 10 ns resolution.
Normal | Switch status in the pulse switch normal condition. CLOSE (normally closes the pulse switch) or OPEN (normally opens the pulse switch). The pulse switch will change the status after the Delay-sw time and keep the status until the Width-sw time elapses, as shown in PG Setup Parameters. This operation is repeated every pulse period.


Pulse Output Operation Summary

The SPGU can be used for I/V Sweep, Multi Channel I/V Sweep, I/V List Sweep, and I/V-t Sampling classic tests. The SPGU pulse output operation will differ as shown in the following cases. Pulse output example of the sampling measurement is shown in Figure P1.

• Sampling measurement, simultaneous output mode. See Table P1.

• Sampling measurement, sequential output mode. See Table P2

• Sweep measurement mode. See Table P3.

Figure P1 SPGU Pulse Output Example for Sampling Measurement in Free Run Mode

Table P1 Output Timing for I/V-t Sampling, Simultaneous

Pulse output conditions

Source Channel Operation

Starting

During measurement

After measurement

Ending

Duration > Measurement time

SMUs and SPGUs start the base value output simultaneously.

SMUs start sampling measurement operation.

After the base hold time, SMUs start the source value output and SPGUs start pulse output simultaneously.

SMUs continue the source value output and SPGUs continue pulse output until the specified time elapses or the repeat count reaches the specified number.

After that, SMUs output the base or source value set by the Output Value after Measurement, and SPGUs output the base value.

If the bias hold function is ON, all source channels continue the output.

Else, all source output goes to 0 V in the reverse order of the Channel Setup definition.

Free run

SMUs output the base or source value set by the Output Value after Measurement, and SPGUs continue pulse output.

If the bias hold function is OFF, SPGUs output the base value.

Duration < Measurement time

After the base hold time, SMUs start the source value output and SPGUs start pulse output simultaneously.

After the specified time elapses or the repeat count reaches the specified number, SPGUs output the base value.

SMUs output the base or source value set by the Output Value after Measurement, and SPGUs output the base value.

Table P2 Output Timing for I/V-t Sampling, Sequential

Pulse output conditions

Source Channel Operation

Starting

During measurement

After measurement

Ending

Duration > Measurement time

Except for the last SMU, SMUs start the source value output. And SPGUs and the last SMU start the base value output. The source output sequence is the definition order on the Channel Setup screen (top to bottom).

SMUs start sampling measurement operation.

After the base hold time, the last SMU start the source value output and SPGUs start pulse output simultaneously.

SMUs continue the source value output and SPGUs continue pulse output until the specified time elapses or the repeat count reaches the specified number.

After that, the last SMU outputs the base or source value set by the Output Value after Measurement, and SPGUs output the base value.

If the bias hold function is ON, all source channels continue the output.

Else, all source output goes to 0 V in the reverse order of the Channel Setup definition.

Free run

The last SMU outputs the base or source value set by the Output Value after Measurement, and SPGUs continue pulse output.

If the bias hold function is OFF, SPGUs output the base value.

Duration < Measurement time

After the base hold time, the last SMU start the source value output and SPGUs start pulse output simultaneously.

After the specified time elapses or the repeat count reaches the specified number, SPGUs output the base value.

The last SMU outputs the base or source value set by the Output Value after Measurement, and SPGUs output the base value.

Table P3 Output Timing for I/V Sweep, Multi Channel I/V Sweep, I/V List Sweep

Pulse output conditions

Source Channel Operation

Starting

During measurement

After measurement

Ending

Duration > Measurement time

SMUs and SPGUs start output. The source output sequence is the definition order on the Channel Setup screen (top to bottom).

Then, sweep sources output the start value, constant sources output the source value, and SPGUs output the base value.

The constant sources continue the output until Ending.

SPGUs start and continue the pulse output.

SMUs start and perform sweep measurement operation.

Sweep sources output the start or stop value set by the Output Value after Measurement.

SPGUs continue the pulse output until the specified time elapses or the repeat count reaches the specified number. After that, SPGUs output the base value.

If the bias hold function is ON, all source channels continue the output.

Else, all source output goes to 0 V in the reverse order of the Channel Setup definition.

Free run

Sweep sources output the start or stop value set by the Output Value after Measurement.

SPGUs continue pulse output.

If the bias hold function is OFF, SPGUs output the base value.

Duration < Measurement time

SPGUs start the pulse output.

SMUs start and perform sweep measurement operation.

SPGUs continue the pulse output until the specified time elapses or the repeat count reaches the specified number. After that, SPGUs output the base value.

Sweep sources output the start or stop value set by the Output Value after Measurement.

SPGUs output the base value.


ALWG Operation Mode

In the ALWG mode (arbitrary linear waveform generator operation mode), SPGU can output an arbitrary linear waveform voltage as shown in Figure ALWG1. The waveform is the voltage pattern sequence specified by the pattern data and the sequence data, which can be created by using the Define ALWG Waveform Window.

For a summary of source output operation in sweep or sampling measurement mode, see “Pulse Output Operation Summary”. One sequence output will be handled as same as one pulse output.

Pattern data

Specifies all of the voltage patterns set to a channel. A pattern consists of some vector data. A vector data is defined by the output level and the time data.

• Number of patterns: maximum 512 for a channel

• Number of vector data: maximum 1024-N (N: number of patterns) for defining all patterns to a channel

• Output level: 0 to ± 40 V (open load, 1 mV resolution)

• Time data (incremental time): 10 ns to 671.088630 ms (10 ns resolution)

Sequence data

Specifies the output channel, the output pattern, the repeat count of the pattern, and the output sequence of patterns applied in a single sequence.

• Repeat count of a pattern: 1,048,576

• Number of patterns in a sequence: maximum 512

Figure ALWG1 ALWG Output Example

In the example in Figure ALWG1, SPGU1 and SPGU2 are used. The channels output Pattern2 twice and Pattern1 three times in one sequence, although the two patterns for SPGU1 are the same.

The SPGU channels simultaneously start the sequence output. The sequence will be repeated in the same way as for the pulse period. The channels continue the sequence output until the specified time elapses or the repeat count reaches the specified number of sequences.

Setup delay time between the different patterns

When the pattern is changed to a pattern of a differing index, a 50 ns setup delay will always be inserted.

There is no delay between patterns of the same index.


Sweep Abort Function

This function is used to stop sweep measurement automatically when one of the following conditions is detected. This function is useful to reduce sweep time and to prevent damage to the device during measurement.

  • Effective measurement modes:

  • I/V Sweep measurement

  • Multi Channel I/V Sweep measurement

  • I/V List Sweep measurement

  • C-V Sweep measurement

  • Stop conditions:

  • The output reaches voltage compliance or current compliance

  • A measurement value exceeds the specified measurement range

  • An SMU oscillates

  • An error is caused in the MFCMU

This automatic sweep abort function is enabled by using the Sweep [xxxx] status field on the Measurement Setup screen of the Classic Test definition.

  • Sweep [CONTINUE AT ANY] status: Sets the abort function OFF. Not available if the power compliance has been set.

  • Sweep [STOP AT ANY ABNORMAL] status: Sets the abort function ON.

  • Sweep [SKIP AT ANY ABNORMAL] status: Sets the abort function ON. However if a stop condition is detected during a subordinate sweep measurement, this function stops the VAR1 sweep once, changes the VAR2 step value, and continues the sweep measurement. This mode is not available for EasyEXPERT for PC and for I/V List Sweep and C-V Sweep measurements.

When abort occurs:

After measurement is aborted, the source forces the following value.

  • Sweep source: Start value

  • Pulsed source or Pulsed sweep source: Pulse base value


Standby Function

This function forces the specified DC bias outputs (standby outputs) before starting or after stopping a measurement.

  • Standby Channels

  • Standby State

  • Output Sequence of Standby Channels

  • To Use Standby Function


Standby Channels

Standby channels are SMU or UHVU that force the standby output. Standby channels maintain the specified DC bias output when the standby mode is ON and in the non-measurement state.

Standby channel cannot be set for CMU, GNDU, and SMU connected to the atto sense and switch unit (ASU) which makes the path to the AUX port.

To specify the measurement resource connected to the selector (N1258A, N1259A-300, N1265A) or N1266A expander, the channel must be set to the Default output in the Configuration window.

See “Standby Channel Definition” to define the standby channels and set the standby mode.


Standby State

Standby state is the state before starting or after stopping a measurement, in which only the standby channels perform DC bias outputs. The other channels will be in the idle state, which is 0 V output, 100 uA compliance, SMU filter OFF, and series resistor OFF. When the standby mode is OFF and in the non-measurement state, all channels will be in the idle state.

When the B1500 is in the standby state, the measurement trigger stops the standby state, so the standby channels stop the standby output and the measurement channels perform a measurement (measurement state). After the measurement, the standby channels start the standby output (standby state). During this series of operations, the state is never changed to the idle state. See Figure S-1 for an example operation.

If the bias hold function is enabled for the standby channel, after the measurement, the channel forces the bias output set by the bias hold function. After the bias hold period, the channel starts the standby output. During this series of operations, the state is never changed to the idle state.


Output Sequence of Standby Channels

The standby channels will start to output in order, from the top to bottom, as listed in the Standby Channel Definition on the Standby Channel Definition window. The order of bias stop is bottom to top.

The following figure shows the standby and measurement operations for the following example setup. This example assumes that the channel setup is defined in the Standby Channel Definition as follows in the order show, and that the output value in the standby state is the same as the output value in the measurement state.

  • SMU1: Voltage source, non-standby channel

  • SMU2: Voltage source, standby channel

  • SMU3: Voltage source, standby channel

Figure S-1 Standby Function


To Use Standby Function

To start the standby output, click the Standby ON button on the Standby Channel Definition window. However, if no channel has been defined as the standby channel, the standby mode cannot be turned ON. In the standby state, the Standby ON indicator appears at the bottom of the EasyEXPERT main screen. The Standby Channel Definition window is opened by clicking the Standby button on the main screen.

To stop the standby output, click the Standby OFF button on the Standby Channel Definition window.

In the standby state, you can change the setting parameters for non-standby channels without changing the operation state. However, if you modify the settings for the standby channels, the operation state is changed from the standby state to the idle state.

In the standby state, the following functions are set to OFF.

  • SMU filter

  • Series resistor

In the standby state, the following functions cannot be performed.

  • Diagnosis

  • Self-test

  • Self-calibration (SMU calibration and CMU calibration)

  • SMU zero offset measurement

  • ASU connection path change

In the standby state, self-calibration is not performed even if auto calibration is set to ON. Also the state cannot be changed to the standby state while self-calibration is being performed.

When the workspace is opened, it will be in the idle state.

If the workspace or EasyEXPERT is closed while the standby mode is ON, the mode is automatically changed to OFF in the closing process.

If Windows session is stopped while the standby mode is ON, the mode is not changed to OFF in the closing process.


Bias Hold Function

This function is used to keep source output after measurement. Source modules apply the specified bias between measurements in a quick test or application test that defines some classic test setups, or a repeat measurement. And the source modules change the output value and the unused modules are disconnected when the next measurement is started.

Output channels and output value

If the bias hold function is OFF, the channel stops the output immediately after measurement.

If the function is ON, the channel continues the output as shown below.

I/V Sweep measurement:

  • VAR1 and VAR1’ output channels: Sweep start or stop value

  • VAR2 output channel: Sweep stop value

  • CONST output channels: Output value

  • SMU pulse output channels: Base value

C-V Sweep measurement:

  • Bias sweep output channel: Sweep start or stop value

  • CONST output channels: Output value

I/V-t Sampling measurement:

  • Constant source output channels: Base or source value

SPGU output:

  • SPGU keeps the output as shown in Table 1.

Period of bias hold

  • From the end of a measurement to the end of a single measurement

  • From the end of a measurement to the start of the next measurement during a quick test, application test, or repeat measurement

Reset of source output

The source output is reset after a quick test, application test, repeat measurement, or single measurement. The SMU is set to 0 V output and 0.1 mA compliance. The MFCMU is set to 0 V DC bias and 0 V oscillator level.

Setup method

This function can be set by using the Advanced Setup window.

  • Bias hold after measurement

Set the function ON (enable) or OFF (disable, default setting).

  • Output value after measurement

Select the bias output value START (default) or STOP for the I/V or C-V sweep measurement, or BASE or SOURCE (default) for the sampling measurement. This is invalid for the VAR2, CONST, and constant source for C-V Sweep.

Table 1 SPGU Channel Output after Execution when Bias Hold is ON

SPGU output operation mode | SPGU output
FREE RUN | Continues the pulse output in the VPULSE mode or the sequence output in the ALWG mode. SPGU trigger reset is performed at the beginning of the simultaneous sampling measurement.
COUNT | Continues the base voltage output in the VPULSE mode or the initial voltage output in the ALWG mode. SPGU channel initialization is performed at the beginning of the next measurement.
DURATION


Current Offset Cancel

This function subtracts the offset current from the current measurement raw data, and returns the result as the measurement data. This function is used to compensate the error factor (offset current) caused by the measurement path such as the measurement cables, manipulators, or probe card.

The offset cancel is not available for measurement over 100 nA range. For 10 nA range measurement, the offset cancel is performed by using the 1 nA range offset value. For measurement by a range less than 10 nA, the offset value measured by each range is used. See Table 21 for the effective measurement range, the allowable offset value, and the module type of the measurement channel.

Enabling offset cancel function

You can perform the offset current measurement and enable the offset cancel function as shown below.

  1. Click the Calibration button on the main screen to open the Calibration window. See “Calibration Window”.

  2. Specify the channels to perform the offset current measurement on the SMU Zero Cancel tab screen of the Calibration window. To specify the channel, check the check box to the left of the Name field.

  3. To enable the 1 pA range offset current measurement of SMU+ASU, check the Full Range check box. Can be set for each channel.

  4. Set the integration time for the offset measurement to the Integration Time field. Available value: 1 PLC (power line cycle) to 100 PLC, initial setting 16 PLC. Can be set for each channel.

    Set the value longer than the integration time for the measurement of the device under test. Otherwise, the offset cancel will not be performed.

  5. Click the Measure... button. A dialog box is opened.

Follow the instruction of the dialog box, and perform the offset measurement. After the measurement, the offset cancel function is automatically enabled.

Open the measurement terminals at the cable end of the device side during the offset current measurement.

Note:

Except for HVSMU, the high resolution A/D converter is used for the offset current measurement.

To disable the offset cancel function, remove the check from the check box to the left of the Name field.

Table 21 Measurement range, allowable offset value, and module type

Measurement range | Allowable offset value | Module type
1 nA | ± 10 pA | SMU+ASU, HRSMU, MPSMU, HPSMU, HVSMU
100 pA | ± 1 pA | SMU+ASU, HRSMU
10 pA | ± 400 fA | SMU+ASU, HRSMU
1 pA | ± 100 fA | SMU+ASU

If the offset value for a measurement range of a channel exceeds the allowable value, the offset data is not effective in this range and lower for this channel. Then, if the ranging mode setting of this channel covers this range or lower, the offset cancel is not performed for any data measured by this channel.


SMU CMU Unify Unit

Only for the B1500A. The SMU CMU Unify Unit (SCUU) is available for the B1500A installed with the multi frequency capacitance measurement unit (MFCMU). The MFCMU must be installed in the slot N (integer, 3 to 10) and the SMUs must be installed in the slot N-1 and N-2. See Keysight B1500A User’s Guide to install the SCUU properly. The SCUU cannot be connected to the high power SMU (HPSMU).

The Guard Switch Unit (GSWU) controls the connection of the CMU High and Low guard lines (CMU return). The connection will be broken when using the SMU and made when using the MFCMU.

The SCUU can switch the measurement resources, MFCMU or SMU, and can configure four setups shown in Figure 28. When the B1500A is turned on, no measurement resource is connected to the output. The SCUU has input connectors, four coaxial and four triaxial, connected to the MFCMU and SMU directly or by using the dedicated SCUU cable.

The SCUU front panel LEDs indicate the following conditions of the SCUU.

SMU

SMU in the slot N-1/N-2 can be used.

CMU Internal Bias

MFCMU can be used. CMU internal DC bias source is used.

CMU SMU Bias

MFCMU can be used. SMU is used as DC bias source.

The SCUU has output connectors, four triaxial, that must be connected to the DUT interface such as manipulators and probe card. When the measurement resource is the SMU, they are the Force1/Sense1 and Force2/Sense2 connectors for the Kelvin connection. And when the resource is the MFCMU, the CMU High/Low are connected to the Force1/Force2 respectively, and the Sense1/Sense2 are not used.

To realize accurate impedance measurements, connect the CMU return terminals together. The CMU return terminal means the shield end of the outer shield conductor extended to the DUT interface. The shield end must be opened as close as possible to the DUT. See Figure 27.

The GSWU has one connector and two terminals. The connector must be connected to the SCUU by using the SCUU cable. And the terminals must be connected to the CMU High/Low guard lines at the shield ends of the DUT interface by using a wire.

Figure 28 SCUU Input/Output Connections

Before using SCUU:

Instrument connection must be done before the B1500A is turned on.


Atto Sense and Switch Unit

Only for the B1500A. To use the Atto Sense and Switch Unit (ASU), it must be connected to the SMU which is connected together when the calibration is performed. Using the ASU permits use of the 1 pA range. Also the ASU can switch the measurement resources, SMU or an external instrument connected to the AUX input connectors. The ASU can configure two setups shown in Figure 29. When the B1500A is turned on, the ASU will be the Setup 1 condition. See Keysight B1500A User’s Guide to install the ASU properly.

The ASU has input connectors, one triaxial and two coaxial. The triaxial connector must be connected to the SMU Force, and the coaxial connectors must be connected to an instrument. Also the ASU has the control connector to be connected to the SMU by using the ASU cable.

The ASU has the following status indicators (LED).

SMU

The SMU can be used (Setup 1).

AUX

The AUX instrument can be used (Setup 2).

The ASU has output connectors, two triaxial, that must be connected to the DUT interface such as manipulators and probe card. When the measurement resource is the SMU, they are the Force/Sense connectors for the Kelvin connection. And when the resource is not SMU, the CMU/AUX is connected to the Force, and the Sense is not used.

If you connect the MFCMU or the LCR meter with the four-terminal pair configuration, two ASUs are required. Then the CMU-pot/CMU-cur connectors of a ASU must be connected to the Hpot/Hcur of the instrument. And the other one must be connected to the Lpot/Lcur in like manner.

To realize accurate impedance measurements using the four-terminal pair measurement method, connect the CMU Return terminals of ASUs together. See “Four-Terminal Pair Configuration” and Figure 27.

Figure 29 ASU Input/Output Connections

To use 1 pA range:

The measurement channel connected to the ASU (Atto Sense and Switch Unit) supports the 1 pA range. To use the 1 pA range, set the 1 pA fixed range or the 1 pA limited auto ranging.

The B1500A automatically performs the compensation of the data measured by the 1 pA range and returns the compensated data. You can use either the pre-stored offset data or the pre-measured offset data.

To measure the offset data, perform the self-calibration before starting the measurement for a DUT. This offset data is temporarily memorized until the B1500A is turned off.

Before using ASU:

ASU connection must be done before the B1500A is turned on.

The combination of ASU and SMU is important. The B1500A can work with wrong combination, but it cannot satisfy its specifications. The specifications are guaranteed for the correct combination which the performance verification was performed. See “ASU” and check if the combination is correct.

The CMU-pot connector is for the MFCMU or the LCR meter that uses the four-terminal pair. For the other instrument, connect a BNC open connector or nothing to there. The line will be internally connected to the CMU-cur/AUX-in line.

It is unavailable to use the series resistor in the SMU connected to the ASU.


SMU/PG Selector

Not available for the B1505A. Keysight 16440A SMU/PG Selector provides the built-in switching capability to select a measurement path connected to the Output port. See Figure Selector-1 for the simplified circuit diagram of the selector. The selector has the channels CH 1 and CH 2 which provide the following conditions. It can be controlled by using the SMU/PG Selector tab screen of the Configuration window.

CH 1

Open (no connection), SMU connect, PGU connect, and PGU open

CH 2

Open (no connection), SMU connect, and PGU connect

The PGU open is available only for the CH 1, and is made by keeping the PGU side mechanical relay close and opening the semiconductor relay. This is effective for frequent switching applications because the semiconductor relay is more durable than mechanical relays. The PGU open can be set by using the Advanced Setup window of the Measurement Setup.

Figure Selector-1 SMU/PG Selector Circuit Diagram and Connections

The selector must be connected to the B1500A through the Digital I/O connector and the Keysight 16445A Selector Adapter. Up to two selectors can be used by connecting the selector control cable between the CONTROL Output connector of the first selector and the CONTROL Input connector of the second seluector.


Module Selector-function

Module Selector

Available for the B1505A. The Keysight N1258A Module Selector is used to switch the measurement resources (HCSMU or DHCSMU (dual HCSMU), HPSMU, and HVSMU) connected to DUT (device under test). The Input ports should be connected to the HCSMU or DHCSMU, GNDU, HPSMU, and HVSMU. At least, two SMU modules must be connected to the Input ports. And the Output port must be connected to the DUT interface.

For the packaged devices, use the Keysight N1259A test fixture which can install the module selector.

The module selector can be controlled by using the Module Selector tab screen of the Configuration window.

Module Selector Circuit Diagram and Connections

Caution:

If dual HCSMU (DHCSMU) is used with the module selector, the maximum current must be ± 30 A to prevent the module selector from performance degradation and failure.


N1265A Ultra High Current Expander/Fixture

Ultra High Current Expander/Fixture

Available for the B1505A. The N1265A is a test fixture which contains the current expander to enable 500 A or 1500 A (option N1265A-015) output and measurement, and contains the selector to switch the measurement resource connected to the DUT.

The current expander is used to configure the ultra high current unit (UHCU).

The selector is used to switch the measurement resource connected to the DUT. The measurement resource will be the UHCU, HVSMU, HP/MPSMU, or GNDU. See Figure 2.

The selector output can be extended to your prober station by using the N1254A-524 ultra high current prober system cable. This cable supports current up to 500 A.

The N1265A also provides the connection paths for UHVU, MFCMU via bias-tee, and HP/MP/HC/DHCSMU.

Ultra High Current Unit

The ultra high current unit (UHCU) can be configured by using the N1265A and two MC/HCSMU modules as shown in Figure 1. The UHCU output can appear on the Selector Output by controlling the built-in selector.

The ultra high current expander/fixture can be controlled by using the UHC Expander / Fixture tab screen of the Configuration window. See "UHC Expander / Fixture".

Figure 1 To Configure UHCU

Figure 2 N1265A Built-in Selector Simplified Internal Connections


N1266A HVSMU Current Expander

HVSMU Current Expander

Available for the B1505A. The N1266A is a current expander for HVSMU. The N1266A is used to configure the high voltage medium current unit (HVMCU) with the HVSMU module and two MC/HCSMU modules as shown in Figure 1. Selector is initially installed for switching the HVSMU or the HVMCU connected to the DUT.

The HVSMU current expander can be controlled by using the HVSMU Current Expander tab screen of the Configuration window. See "HVSMU Current Expander".

Figure 1 To Configure HVMCU


N1268A Ultra High Voltage Expander

Ultra High Voltage Expander

Available for the B1505A. The N1268A is a voltage expander to enable 10 kV output and measurement. The N1268A is used to configure the ultra high voltage unit (UHVU) with two MC/HCSMU modules as shown in Figure 1.

The ultra high voltage expander can be controlled by using the UHV Expander tab screen of the Configuration window. See "UHV Expander".

Figure 1 To Configure UHVU


SMU Ranging Mode

Keysight B1500 provides the following operation modes for the measurement range and the output range. The ranging mode must be set for each channel.

  • “Auto Ranging”

  • “Limited Auto Ranging”

  • “Fixed Range”

  • “Compliance Range”

  • “Enhanced Auto Ranging for Current Measurement”

  • “To Set Ranging Mode”


Auto Ranging

Range changing is performed as below.

For measurement channels

The measurement channel automatically searches for and measures at the range that provides the best resolution as follows:

  • For current measurement, the measurement channel uses the present range if the following formula is satisfied; otherwise, the channel changes the range.

Range * 0.1 ≤ Measurement value ≤ Range * A / 100

where A=115, or 100 at the maximum range.

See also “Enhanced Auto Ranging for Current Measurement”.

  • For voltage measurement, the measurement channel uses the present range if the following formula is satisfied; otherwise, the channel changes the range.

Next lower range value ≤ Measurement value ≤ Range * A / 100

where A=110, or 100 at the maximum range.

For output channels

The output channel automatically searches for and forces at the lowest range that covers the output value as follows:

  • For staircase sweep output, the output channel uses the lowest range that covers the start and stop values. However, it uses the lowest range that covers the step output value for the logarithmic current sweep. For the voltage sweep that sets the power compliance, the channel uses the lowest range (20 V range or more) that covers the step output value.

  • For pulsed bias output, the output channel uses the lowest range that covers the base and peak values.

  • For pulsed sweep output, the output channel uses the lowest range that covers the base, start, and stop values.

  • For quasi-pulsed output and search source output, the output channel uses the lowest range that covers the start and stop values.

The maximum output value is as follows:

  • Maximum current output value = Range * A / 100

where A=115, or 100 at the maximum range.

  • Maximum voltage output value = Range value


Limited Auto Ranging

Limited auto ranging is similar to auto ranging. However, limited auto ranging does not use the range(s) less than what you specified. For example, if you select 10 mA limited auto ranging, the measurement unit does not use the 1 mA range or less. Consequently, the measurement time for limited auto ranging is less than for auto ranging.


Fixed Range

The channel uses the specified range only.

For the current measurement channel, if you specify a range higher than the minimum range that covers the compliance value, the measurement channel uses this range (compliance range).


Compliance Range

The compliance range is effective for the Vf/Im (voltage output and current measurement) or If/Vm (current output and voltage measurement) channel. The measurement channel automatically selects and uses the lowest range that covers the specified compliance value.

For the measurement channel that performs constant voltage or current output, you can set the compliance range.

For the measurement channel that performs sweep output, you can set the power compliance value. If you set the power compliance value, the channel uses the lowest range that covers the lower value of either the specified compliance value or the compliance value given by the following formula.

Current compliance = Specified power compliance value / Step voltage

Voltage compliance = Specified power compliance value / Step current

For details about setting compliance, refer to “SMU Compliance”.

Note:

Range change is performed when the compliance value is set, not when the measurement is performed.


Enhanced Auto Ranging for Current Measurement

Expanded functions are available for the auto ranging operation of the current measurement channel. To use the functions, set Range Change Rule. See “SMU Range Setup Window”. Rate value defines the boundary of ranging.

  • Range Change Rule = BY FULL RANGE:

Performs normal auto ranging operation. If a condition shown below is satisfied, the range changes immediately, even during measurement.

Measurement value > Range * A / 100

Measurement value ≤ Range * 0.1

where A=115, or 100 at the maximum range.

  • Range Change Rule = GO UP AHEAD:

If the following condition is satisfied, the range changes up after measurement.

Measurement value ≥ current1

  • Range Change Rule = UP AND DOWN AHEAD:

If the following condition is satisfied, the range changes down immediately, even during measurement.

Measurement value ≥ current2

If the following condition is satisfied, the range changes up after measurement.

Measurement value ≥ current1

where current1 and current2 are given by the following formula. Then rate must be an integer, 11 to 100.

current1 = Range * rate / 100

current2 = Range * rate / 1000

For example, if the range value is 10 mA and rate is 90, they are:

current1 = 9 mA

current2 = 0.9 mA


To Set Ranging Mode

The following points must be noted when setting the ranging mode.

For measurement channels

  • If you do not specify the ranging mode, the auto ranging mode is set automatically.

  • For the channels that perform Vf/Vm (voltage force and voltage measurement) or If/Im (current force and current measurement), the measurement range is always the same as the output range.

  • For measurement with pulse output, the measurement channel uses the compliance range or the specified fixed range. The channel cannot perform the auto ranging operation or the limited auto ranging operation.

  • For the SMU connected to the atto sense/switch unit (ASU), the 10 pA range is the minimum for the auto ranging operation. To use the 1 pA range, select the 1 pA limited auto ranging mode or the 1 pA fixed range mode.

For output channels

  • The auto ranging mode and the limited auto ranging mode are available for the output channels.

  • When the voltage output range or the voltage compliance range is changed, the channel forces 0 V at that moment.


SMU Compliance

Compliance is the output limiter to prevent damage to the test device from overcurrent, overvoltage, or overpower. Voltage compliance is for the current output channels, and current compliance is for the voltage output channels.

When a channel reaches compliance, the channel acts as a constant voltage source or a constant current source. The channel keeps the output value when reaching compliance.

Compliance can be set with the same resolution and accuracy as output current or output voltage.

  • “Polarity and Output Area”

  • “Power Compliance”

  • “To Set Compliance”


Polarity and Output Area

  • Polarity of current compliance

The B1500 automatically sets current compliance for both positive and negative polarity. For opposite polarity as the output voltage, the compliance value is increased by an amount that is 2.5 % to 12 % of the range value in the lowest range that covers the specified compliance value. See Figure 30.

  • Polarity of voltage compliance

The B1500 automatically sets voltage compliance to the same polarity as the output current. There is no compliance for opposite polarity.

Figure 30 Relation of Compliance and Output


Power Compliance

In addition to V compliance or I compliance, you can set power compliance for the staircase sweep source. Power compliance is not available for HVSMU.

If you specify power compliance, SMU changes the current or voltage compliance value every sweep step. The value is the lower value of either the specified compliance value or the compliance value given by the following formula. See Figure 31.

Current compliance = Specified power compliance value / Step voltage

Voltage compliance = Specified power compliance value / Step current

Figure 31 Power Compliance Output Area

Available values

The following values are available for the power compliance:

MPSMU/HRSMU: 1 mW to 2 mW

HPSMU: 1 mW to 20 mW

HCSMU: 1 mW to 40 W (DC), 1 mW to 400 W (pulse)

DHCSMU: 1 mW to 80 W (DC), 1 mW to 800 W (pulse)

MCSMU: 1 mW to 3 W (DC), 1 mW to 30 W (pulse)

UHCU: 1 mW to 7.5 kW (pulse, 500 A range), 1 mW to 22.5 kW (pulse, 1500 A range)

UHVU: 1 mW to 100 W (DC), 1 mW to 200 W (pulse)

HVMCU: 1 mW to 600 W (pulse, 2200 V range), 1 mW to 900 W (pulse, 1500 V range)

Conditions after compliance

When a channel reaches compliance, the staircase sweep source automatically stops the sweep and forces the start value. After reaching the compliance, the measurement data will be “NaN”.

SMU output values

If you specify power compliance, the SMU changes the current or voltage compliance every sweep step. Hence, the SMU can apply voltage or current with the maximum power. Figure 32 shows the differences between the output with power compliance and the output without power compliance, for MPSMU.

Figure 32 Allowable Current in Voltage Sweep (0 V to 100 V, MPSMU)

Note:

If you specify power compliance, the measurement time increases slightly because the B1500 adjusts the compliance for every sweep step.


To Set Compliance

The following points must be noted when setting the compliance.

  • If the current compliance value is too low, the SMU will take a long settling time.

  • The SMU will reach voltage compliance if the SMU cannot force the specified current for the following reasons:

  • Over current for test device.

  • Another channel has reached compliance.

  • Current measurement data of another channel has reached the limit for the present measurement range.


SMU Pulse

SMU can apply voltage or current pulse. This section describes the pulse setup parameters. The parameters are different by the number of pulse output channels as shown in Figure P-1.

  • To Set Pulse Output

  • Pulse Setup Parameters


SMU Pulse-set output

To Set Pulse Output

The following points must be noted when setting the pulse output.

  • Cannot use the 1 nA output range and lower ranges.

  • Cannot use multiple pulse output channels for the tests other than the Multi Channel I/V Sweep.

  • Cannot use multiple measurement channels for the tests other than the Multi Channel I/V Sweep.

  • The measurement channel uses the compliance range. The channel cannot perform the auto ranging operation or the limited auto ranging operation.


SMU Pulse-parameters

Pulse Setup Parameters

The pulse setup parameters and the available values are shown below.

Parameter

Description
Hold time | 0 s to 655.35 s, 10 ms resolution
Pulse period | 5 ms to 5 s, 100 ms resolution
Pulse width

HR/MP/HP/HVSMU: 500 ms to 2 s, 2 ms resolution

HCSMU: 50 ms to 2 s, 2 ms resolution. Maximum 1 ms and duty ratio ≤ 1 % for using 20 A range (for HCSMU) or 40 A range (for DHCSMU).

MCSMU: 10 ms to 2 s, 2 ms resolution. Maximum 100 ms and duty ratio ≤ 5 % for using 1 A range.

UHCU: 10 ms to 1 ms and duty ratio £ 0.4 % for 500 A range, 10 ms to 500 ms and duty ratio ≤ 0.1 % for 1500 A range, 2 ms resolution.

UHVU: 100 ms to 2 s, 2 ms resolution. Maximum 1 ms for using 100 mA range.

HVMCU: 10 ms to 100 ms, 2 ms resolution. Maximum 1 ms for using 2200 V / 110 mA range.
Pulse delay time

0 to Pulse period - Pulse width, 2 ms resolution

0 s for using HR/MP/HPSMU
Measurement delay time

2 ms to Pulse period - Measurement time - 2 ms, 2 ms resolution
Measurement time

HR/MP/HPSMU: 16 ms to 20 ms, 2 ms resolution

HC/MCSMU: 2 ms to 20 ms, 2 ms resolution

HVSMU: 6 ms to 20 ms, 2 ms resolution

See “Integration Time”.

The setup values must satisfy the following conditions.

  • Pulse period >= pulse delay + width + 2 ms, for pulse delay + width ≤ 100 ms

  • Pulse period >= pulse delay + width + 10 ms, for pulse delay + width > 100 ms

  • Pulse width must be the same for all of the HR/MP/HPSMU pulse output channels. If a different value is entered, the longest value is set.

Pulse period = AUTO sets the longest one of the followings automatically.

  • Maximum period given by the pulse width and the duty ratio

  • Pulse period = 5 ms, for pulse delay + width ≤ 3 ms

  • Pulse period = pulse delay + width + 2 ms, for 3 ms < pulse delay + width ≤ 100 ms

  • Pulse period = pulse delay + width + 10 ms, for 100 ms < pulse delay + width

Measurement delay time = AUTO sets the optimum value automatically so that the measurement is completed when the transition from peak to base is started by the pulse output channel which starts the transition at first.

Figure P-1. SMU Pulse Setup Parameters


SMU Measurement Time

Measurement time depends on integration time, measurement range, and other measurement conditions, and can be expressed by the following formula:

Measurement time = Integration time + Overhead time

Integration time is the time required for measurement, and does not include such factors as range changing or data compensation, which would be the overhead time.

  • “Integration Time”

  • “Overhead Time”

  • “To Specify Source Output Time”

  • “Wait Time”

  • “Multiple Measurement Channels”


Integration Time

Integration time is the time required to get measurement data. For accurate and reliable measurement, integration time should be increased. Integration time can be set for each type of A/D converter (ADC) used by the measurement channel.

  • High-speed ADC

  • High-resolution ADC

ADC Zero Function

The ADC zero function is available for the high-resolution ADC (A/D converter) and not available for the high-speed ADC. This function measures the internal offset of the high-resolution ADC and compensates it automatically. The measurement data displayed on the LCD will be the data after compensation.

Note:

This function is especially effective for the low voltage measurement. Disable the function in cases where measurement speed is more important than measurement accuracy. This approximately halves integration time.


Overhead Time

The overhead time is the time required for range changing and so on. This time depends on the measurement condition, and cannot be specified. Major elements of the overhead time are:

  • Range changing time during measurement (when measurement ranging mode is set to auto or limited auto)

  • Range changing time at measurement start (when the measurement range is less than the compliance value)


To Specify Source Output Time

You cannot specify the measurement time. However, in sweep measurement mode, you can specify a source output time that includes the measurement time. To specify the source output time, set the delay time and the step delay time. The step delay time is defined as the time from the measurement trigger up to the trigger for changing the source output value. See the figure below. The step delay time must cover the measurement time to keep the source output time constant.

The EasyEXPERT does not support the step delay time. It is available only for the GPIB remote mode.


Wait Time

Wait time is the time after starting source output until changing the source output value or until starting measurement. You can set the source wait time and the measurement wait time individually.

The source wait time is the time the source channel always waits after it starts output until it changes the output value. The measurement wait time is the time the measurement channel always waits after the source channel starts output until the measurement channel starts measurement. Refer to Figure 33. The wait time is given by the following formula:

wait time = N x reference

where reference is the wait time the B1500 automatically sets according to the present settings; this wait time cannot change. Available N values are 0 to 10, 0.1 step. Initial value is 1.

It is not easy to determine the best wait time. If you specify it too short, the measurement may start before device characteristics stable. If too long, time will be wasted. For measurements of low capacitance or fast response devices, if measurement speed has top priority or is more important than reliability and accuracy, set the wait time shorter. The initial wait time may be too short for measurements of high capacitance or slow response devices. Then set the wait time longer.

Figure 33 Source/Measurement Wait Time

Note:

In the GPIB remote mode, if the delay time is longer than the wait time, the wait time can be ignored.

The EasyEXPERT does not support the step delay time.


Multiple Measurement Channels

To use multiple measurement channels, define multiple measurement parameters in the Display Setup screen or the Function Setup screen. Then, measurement sequence, time data, and measurement time for each measurement point are as follows.

Sequence of measurement execution

Measurement channels perform measurement in the order shown below.

  1. Measurement channels which use the high speed AD converter and the FIXED measurement range start measurement simultaneously (parallel measurement).

  2. After the parallel measurement, the other measurement channels perform measurement sequentially. The order is top to bottom of the channels defined in the SMU Range Setup screen.

As a special case, for the sweep measurement with multiple pulse outputs and for the linear sampling measurement with Interval < 2 ms, all channels start measurement simultaneously.

Time data

Only the measurement start time of the channel which starts measurement at first is recorded.

Measurement time

Measurement time is the sum of the measurement time by all channels.


SMU Filter

The filter is mounted on each source/monitor unit (SMU) module. It assures clean source output with no spikes or overshooting. However, using a filter may increase the SMU settling time.

To set the filter, refer to “Advanced Setup Window”.

Note:

The SMU filter is set to OFF for the standby channels in the standby state.


SMU Series Resistor

The series resistor (approx. 1 MW) is mounted on each source/monitor unit module (HRSMU, HPSMU, and MPSMU). The series resistor may be used for the device protection, negative resistance measurement, and so on. It depends on the characteristics of test device and measurement environment.

If you use a series resistor, the voltage you set is applied to the near side of the series resistor. Thus, the voltage will be divided by the series resistor and the device under test. The setting value is not the voltage at the device terminal.

To set the series resistor, refer to “Advanced Setup Window”.

The series resistor is not mounted on MCSMU, HCSMU, and HVSMU.

Restrictions:

The series resistor cannot be used for the measurements that use the SMU connected to the Atto Sense and Switch Unit (ASU) or the measurements that use 1 A range of the high power SMU (HPSMU).

The series resistor is set to OFF for the standby channels in the standby state.


Interlock Function

The interlock function is designed to prevent electrical shock when a user touches the measurement terminals. If the Interlock terminal is open, maximum output is limited to ± 42 V.

To perform high voltage measurement more than ± 42 V, connect the Interlock terminal to an interlock circuit of test fixture or connector plate. The interlock circuit must have one LED and two mechanical switches placed near the shielding box opening doors. And they must be connected together. For details on how to install the interlock circuit, see Keysight B1500A or B1505A User’s Guide.

The interlock function works as shown below.

  • When the interlock circuit is open, maximum output is limited to ± 42 V.

  • When the interlock circuit is close, source channel can force its maximum output value.

  • When the interlock circuit is opened in the high voltage condition more than ± 42 V, output voltage is set to 0 V immediately.

Caution:

If the actual output value is not set to 0 V within 120 msec, the B1500 automatically performs the initialization. Then perform self-test. Any module may be defective.

WARNING:

Dangerous voltage of up to the maximum voltage of SMUs may be present at force, guard, and sense terminals if the Interlock terminal is closed.


Auto Power Off Function

If an abnormal voltage or current is detected in the B1500, the B1500 automatically turns off to prevent damage.

If this function is activated, the B1500 is turned off, but the Standby switch is left ON. Perform the following steps to turn the B1500 on again.

  1. If Windows is running, end all tasks, and shutdown Windows.

  2. Open the measurement terminals.

  3. Press the Standby switch to set it to the OFF position.

  4. Remove the power cable from the B1500 rear panel.

  5. Wait for 10 seconds or more.

  6. Connect the power cable from the B1500 rear panel.

  7. Press the Standby switch to set it to the ON position.

Abnormal voltage or current can be caused by incorrect connections of the B1500 to the test device, excess voltage or current input, momentary power loss, defects of the instrument, and so on.

If no cable is connected to the measurement terminals of the B1500, and the line voltage is correct, the B1500 may have a defect. Contact the nearest Keysight Technologies Service Center for assistance.


Initial Settings

Keysight B1500 is initialized by turning it on, the *RST command, or the device clear. Initial settings of the B1500 are shown in the following tables.

Table 23 Initial Settings

 | Setup Item | Initial Setting
Mainframe | Auto calibration | off
SMU | Output switch | close
 | Filter | on
 | Series resistor, only for HR/MP/HP | off
 | ASU path/indicator | SMU side/enable
 | ASU 1 pA auto range | disable
 | Current measurement range | with pulse | compliance range
 |  | without pulse | auto
 | Voltage measurement range | with pulse | compliance range
 |  | without pulse | auto
 | A/D converter | HR/MP/HPSMU: high resolution ADC HC/DHC/MC/HVSMU: high speed ADC
 | ADC integration time | high speed ADC: auto
 |  | high resolution ADC: auto
 | ADC zero function | off
 | Sweep automatic abort function | off
 | Hold time | 0 s
 | Delay time | 0 s
 | Pulse width | 0.001 s
 | Pulse period | 0.01 s
CMU | SCUU path/indicator | open/enable
 | Measurement parameter | Cp-G
 | Measurement range | auto
 | Measurement time | auto
 | Open/short/load correction | off
 | Phase compensation mode | auto
 | Measurement signal frequency | 1 k, 2 k, 5 k, 10 k, 20 k, 50 k, 100 k, 200 k, 500 k, 1 M, 2 M, 5 MHz
 | Automatic abort function | off
 | Hold time | 0 s
 | Delay time | 0 s
SPGU | Operation mode | VPULSE (PG mode)
 | Pulse period | 1.0 ms
 | Channel output mode | Primary Pulse, 2-level pulse output
 | Pulse source setup | Delay: 0 s Width 100 ns Leading: 20 ns Trailing: 20 ns
 | ALWG setup | Cleared
 | Pulse switch | Disable
 | DUT load impedance | 50 W
 | SPGU trigger output | Disable


Built-in Programming Tool

This section explains the programming tool built into Keysight EasyEXPERT. The programming tool is used to define user functions and analysis functions in the Classic Test definitions and to define the test contents in the Application Test definitions.

This section contains the following sections.

  • “Variables”

  • “Expressions”

  • “Built-in Functions”

  • “Read-out Functions”

  • “Script Program Statements”


Variables

Variables can be used in Keysight EasyEXPERT setup editor for the following applications. User functions and analysis functions can also be used for variables.

  • To store the value of the measurement condition input parameter

  • To store the value of the measurement result data or analysis data

  • Variable used in the test execution flow of the Application Test definition

  • User function of the Classic Test definition

  • Analysis function of the Classic Test definition

The following characters can be used for the variable name.

  • Alphabetic characters A to Z and a to z, case sensitive

  • _ (underscore)

  • Numeric characters 0 to 9

  • @ (at mark)

Numeric characters and at mark cannot be used for the first character of variable name.

About variable names:

The variable name must be unique. If a variable is defined as a local variable in an application test definition and its name is the same as one of the following variables, the local variable is effective and the following variable is not effective.

  • variable that defines a built-in function in a test setup

  • variable that defines a read-out function in a test setup

  • variable defined as a test parameter

  • variable defined as a device parameter

  • variable defined as an analysis parameter

The local variables are defined by using the Local Variable Definition statement in the Test Contents setup displayed on the Test Definition window. The test parameters and the device parameters are defined in the Test Specification setup, and the analysis parameters are defined in the Test Output setup.


Expressions

Figure 35 shows the expression effective for variable definition. The elements are explained below.

Figure 35 Syntax of Expression

Literals

Numeric type and string type are available.

Numeric type

To enter a numeric value, type as follows, where [ ] is optional.

Dd[.d][E[S]d][s]

D: Numeric character 0 to 9

d: This means repeating D 0 times or more.

E: Exponent symbol, E or e

S: Sign, + or -

s: Prefix symbol. The subsequent symbols (y, z, a, f, p, n, u, m, k, M, G) separated by the comma mean the value following the colon. y: 1E-24, z: 1E-21, a: 1E-18, f: 1E-15, p: 1E-12, n: 1E-9, u: 1E-6, m: 1E-3, k: 1E3, M: 1E6, G: 1E9

String type

Enclose the string by using the double quotes. To contain the double quotes into the string, type as shown below. The example string is ABC”DEF.

"ABC""DEF"

Constants

The following scientific constants are available.

  • q: electric charge. 1.602177E-19

  • k: Boltsmann’s constant. 1.380658E-23

  • e: space permittivity. 8.854188E-12

Monomial Operators and Binomial Operators

Table 24 shows monomial operators and binomial operators available for an expression. The table also shows the priority of operators and the type of operand. For the expression that contains the same priority operators, the operations are performed from left to right. Module type variable is one of SMU, HPSMU, HCSMU, DHCSMU, HVSMU, MPSMU, MCSMU, HRSMU, HRSMU/ASU, CMH, CML, UHCU500, UHCU1500, UHVU, or HVMCU.

Operation between arrays:

Operation is performed between data at the same index.

Table 24 Monomial Operator and Binomial Operator

Priority | Operator | Type of operand
 |  | Numeric | Vector a | String | Module
High Low | ( ) | Yes | Yes | Yes | Yes
 | NOT | Yes | Yes | No | No
 | ^ | Yes | Yes | No | No
 | * or / | Yes | Yes | No | No
 | + or -, monomial | Yes | Yes | +: Yes, -: No | No
 | + or -, binomial | Yes | Yes | +: Yes, -: No | No
 | >, >=, <, <= | Yes | Yes | Yes | No
 | =, <> | Yes | Yes | Yes | No
 | AND | Yes | Yes | No | No
 | XOR | Yes | Yes | No | No
 | OR | Yes | Yes | No | No

a Two-dimensional array. The primary plane is for the primary sweep index, and the secondary plane is for the secondary sweep index.

Built-in Functions

Keysight EasyEXPERT built-in function can be used. See “Built-in Functions”.

Read-out Functions

Keysight EasyEXPERT built-in read-out function can be used. See “Read-out Functions”.

User Functions and Analysis Functions

User functions and analysis functions are the user-defined functions that consist of the variable name, unit, and expression. The functions are effective for numeric or vector type data. To define the functions, see “Function Setup”.

Numeric literal, scientific constants (q, k, e), variable to store the test result data, and a built-in function that returns the numeric or vector type data can be used in the expression. The read-out function can also be used for the analysis functions.


Built-in Functions

This section describes Keysight EasyEXPERT built-in functions. The functions appear in alphabetical order. In the function name, the character in parentheses is a variable.

abs(A)

Returns the absolute value of the expression A.

Example

B=abs(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

acos(A)

Returns the arccosine value of the expression A. The A value must be between -1 and 1.

Example

B=acos(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

applyN1272ACorrection()

Applies the capacitance correction data of N1272A capacitance measurement path at the function call to the B1500 firmware, then returns 0.

Example

B=applyN1272ACorrection()

Data type

B: string

asin(A)

Returns the arcsine value of the expression A. The A value must be between -1 and 1.

Example

B=asin(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

at(A,B)

Finds a data element in the expression A, and returns the value. The data element is specified by index B. The index number starts from 1. If B is not an integer, a linear interpolated A value will be returned.

Example

C=at(A,B)

Data type

A: vector or numeric, B: numeric, C: vector.

at(A,B,C)

Finds a data element in the expression A, and returns the value. The data element is specified by the indices B and C. B is the index for the primary plane of a two-dimensional array and C is the index for the secondary plane. The index number starts from 1.

If B is not an integer, a linear interpolated A value will be returned. The linear interpolation will be executed between A[n,C] and A[n+1,C], where n < B < n+1.

If C is not an integer, C will be n, where n < C < n+1.

Example

D=at(A,B,C)

Data type

A: vector or numeric, B: numeric, C: numeric, D: numeric.

atan(A)

Returns the arctangent value of the expression A.

Example

B=atan(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

atan2(A,B)

Returns the radian value of the angle made by the X-axis and the line that passes through the coordinates (0, 0) and (A, B).

Example

C=atan2(A,B)

Data type

A: numeric, B: numeric, C: numeric. If A and/or B is vector, C: vector.

avg(A)

Returns the average value of data in the expression A. For subordinate sweep measurement, this function returns the average values for each primary sweep.

Example

B=avg(A)

Data type

A: vector or numeric, B: vector.

ceil(A)

Returns the minimum integer value more than or equal to the expression A.

Example

B=ceil(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

cond(A,B,C,D)

This function does the following.

If A < B, returns C.

If A >= B, returns D.

If the A or B value is invalid, the value for the previous measurement index number is used for the comparison.

Example

E=cond(A,B,C,D)

Data type

A, B, C, D: numeric, E: numeric. If A, B, C, and/or D is vector, E: vector.

cos(A)

Returns the cosine value of the expression A.

Example

B=cos(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

delta(A)

Returns the difference of the expression A. Calculation is performed as follows.

D(n) = A(2)-A(1)             when n = 1

D(n) = [A(n+1)-A(n-1)]/ 2      when 1 < n < N

D(n) = A(N)-A(N-1)           when n = N

where,

D(n)

difference for the index number n

A(n)

A value for the index number n

N

number of sweep steps or number of samples

For subordinate sweep, the first index number of each primary sweep is always 1.

If A is a data variable for a secondary sweep source, this function returns the sweep step value of the secondary sweep.

For frequency data of C-V sweep, the calculation is performed for all frequencies.

Example

B=delta(A)

Data type

A: vector or numeric, B: vector.

diff(A,B)

Returns the differential coefficient of the expression A by B. Calculation is performed as follows.

A’(n) = [A(2)-A(1)]/[B(2)-B(1)]         when n = 1

A’(n) = [A(n+1)-A(n-1)]/[B(n+1)-B(n-1)]   when 1 < n < N

A’(n) = [A(N)-A(N-1)]/[B(N)-B(N-1)]      when n = N

where,

A’(n):

differential coefficient for the index number n

A(n):

A value for the index number n

B(n):

B value for the index number n

N:

number of sweep steps or number of samples

For subordinate sweep, the first index number of each primary sweep is always 1.

Example

C=diff(A,B)

Data type

A, B: vector or numeric, C: vector.

dim1Size(A)

Returns the number of elements in the primary plane of the vector variable A.

Example

B=dim1Size(A)

Data type

A: vector, B: numeric.

dim2Size(A)

Returns the number of elements in the secondary plane of the vector variable A.

Example

B=dim2Size(A)

Data type

A: vector, B: numeric.

exp(A)

Raises e (exponential) to the power of the expression A. The following example enters eA calculation result to the variable B.

Example

B=exp(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

extract(A, N)

Extract 'N'th subordinate sweep measurement result and returns as a vector.

Example

B=extract(A,N)

Data type

A: vector, B: vector, N: numeric.

floor(A)

Returns the maximum integer value less than or equal to the expression A.

Example

B=floor(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

getDeviceId()

Returns the string of Device ID parameter.

Example

B=getDeviceId()

Data type

B: string.

getDeviceIdSupplement()

Returns the supplemental string at the of Device ID parameter of test result record. This value is set by setDeviceIdSupplement(A).

Example

B=getDeviceIdSupplement()

Data type

B: string.

getN1272ABiasDelay()

Returns the wait time (s) for bias charge of N1272A capacitance measurement path at the function call and sets it to the Delay for the "C-V Sweep" measurement using N1272A.

Example

B=getN1272ABiasDelay()

Data type

B: numeric.

getNumericData(A)

Returns data of the numeric variable specified by A. This function is effective for the variables defined in the Function Setup or Display Setup of the last Classic Test or the analysis parameters of the last Application Test. The variables are valid in a test definition.

Example

B=getNumericData("A")

Data type

A: string (name of numeric variable), B: numeric.

getVectorData(A)

Returns data of the vector variable specified by A. This function is effective for the variables defined in the Function Setup or Display Setup of the last Classic Test or the analysis parameters of the last Application Test. The variables are valid in a test definition.

Example

B=getVectorData("A")

Data type

A: string (name of vector variable), B: vector.

getRemarks()

Returns the string set in the test result record. This value is set by setRemarks(A).

Example

B=getRemarks()

Data type

B: string.

index(A,B)

Finds the string B in the string A, and returns the index number where the string B is first found. The index 0 indicates the first character. The following example returns 3.

Example

C=index("AGILENT","L")

Data type

C: numeric.

integ(A,B)

Performs numerical integration of the expression A by B. Calculation is performed as follows.

When n = 1, an = 0

When n > 1, an is defined as follows:

where,

an:

integral of A for the index number n

yi:

A value for the index number i

xi:

B value for the index number i

If A or B contain some invalid values, the invalid values are ignored for the calculation.

For subordinate sweep, the first index number of each primary sweep is always 1.

Example

C=integ(A,B)

Data type

A, B: vector or numeric, C: vector.

isValid(A)

Returns 1 if the expression A is valid and is not double.NaN, or else returns 0.

Example

B=isValid(A)

Data type

A: numeric, B: numeric.

lastValid(A)

Returns the last valid data of the expression A.

Example

B=lastValid(A)

Data type

A: vector, B: numeric.

lastValid2(A)

Returns the last valid data of the expression A as a vector. A is subordinate sweep measurement result.

Example

B=lastValid2(A)

Data type

A: vector, B: vector.

lgt(A)

Returns the logarithm (base 10) of the expression A.

If A=0, -Overflow is returned with the status “Arithmetic error”.

If A is a negative value, the logarithm of the absolute value is returned with the status “Arithmetic error”.

Example

B=lgt(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

log(A)

Returns the logarithm (base e) of the expression A.

If A=0, -Overflow is returned with the status “Arithmetic error”.

If A is a negative value, the logarithm of the absolute value is returned with the status “Arithmetic error”.

Example

B=log(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

mavg(A,B)

Returns the moving average value of data in the expression A. B specifies how many data to use for the average. The moving average at the index number n is defined as follows.

When n =< r

When r < n =< N-r

When N-r < n

where,

xn :

moving average of A for the index number n

xi :

A value for the index number i

r :

B value

N :

number of sweep steps or number of samples

If A contains some invalid values, the invalid values are ignored for the calculation.

For subordinate sweep, the first index number of each primary sweep is always 1.

Example

C=mavg(A,B)

Data type

A: vector or numeric, B: numeric, C: vector.

max(A)

Returns the maximum value of data in the expression A. For subordinate sweep measurement, this function returns the maximum value of the primary sweep for each secondary sweep step.

If there are invalid values in A, invalid values are ignored.

Example

B=max(A)

Data type

A: vector or numeric, B: vector.

max2(A)

Returns the maximum value of data and the index of it in the expression A as a vector data.

If there are invalid values in A, invalid values are ignored.

Example

B=max(A)

Data type

A: vector or numeric, B: vector.

(1) For primary sweep measurement

at(B,1) : The maximum value of A

at(B,2) : The index of the maximum value

(2) For subordinate sweep measurement

at(B,1,N) : The maximum value of A in 'N'th subordinate sweep measurement.

at(B,2,N) : The index of the maximum value of A in 'N'th subordinate sweep measurement.

min(A)

Returns the minimum value of data in the expression A. For subordinate sweep measurement, this function returns the minimum value of the primary sweep for each secondary sweep step.

If A contains invalid values, the invalid values are ignored.

Example

B=min(A)

Data type

A: vector or numeric, B: vector.

readThermometerOfN1265A(A)

Performs the temperature measurement by using the thermometer channel specified by the expression A, and returns the measured value. If this function is executed when a classic test is in progress, this function returns the last measured temperature value. To enable the thermometer channel, see "UHC Expander / Fixture". If the thermometer channel is disabled, this function returns NaN.

Example

B=readThermometerOfN1265A(A)

Data type

A: numeric (1 or 2), B: numeric (deg C).

setDeviceId(A)

Sets the value of the string variable A to the Device ID parameter of the test result record. This value is effective for the test result records created after this function call. If the A value is an empty string, this function does nothing.

Example

B=setDeviceId(A)

Data type

A: string, B: numeric. B (returned value) is always 0.

setDeviceIdSupplement(A)

Adds the value of the string variable A to the end of Device ID parameter of the test result record. This value is effective for the test result records after this function call. If the A value is an empty string, this function does nothing.

Example

B=setDeviceIdSupplement(A)

Data type

A: string, B: numeric. B (returned value) is always 0.

setRemarks(A)

Sets the value of the string variable A to the Remarks parameter of the test result record. This value is effective for the test result records created after this function call. If the A value is an empty string, this function does nothing.

Example

B=setRemarks(A)

Data type

A: string, B: numeric. B (returned value) is always 0.

sin(A)

Returns the sine value of the expression A.

Example

B=sin(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

sleep(A)

Waits for the time (seconds) specified by numeric variable A and the returns 0. If an abort operation is performed, returns a value other then 0.

Example

B=sleep(A)

Data type

A: numeric, B: numeric.

sqrt(A)

Returns the square root of the expression A.

Example

B=sqrt(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

storeAt(A,B,C,D)

Finds a data element in the expression A, and replaces it with the D value, and returns the result vector data. The data element is specified by the indices B and C. B is the index for the primary plane of a two-dimensional array and C is the index for the secondary plane. The index number starts from 1. The following example replaces the A[5, 5] value with the D value and enters the result vector data to the variable E.

Example

E=storeAt(A,5,5,D)

Data type

A: vector or numeric, B, C, D: numeric, E: vector.

string(A)

Translates the expression A to a string data, and returns it.

Example

B=string(A)

Data type

A: numeric or module, B: string.

Translating the variable defined with the numeric-symbol assignment:

If the argument of the string function is a numeric variable defined with the numeric-symbol assignment, the string function execution result will be the symbol assigned to the numeric value, not the string value just translated from the numeric value. The numeric-symbol assignment is defined in the “Test Specification”.

For the following example setup of the numeric-symbol assignment, string(Mode) execution result at Mode=0 is the string OFF, not the string 0.

Parameter Mode, Value=0, Symbol=OFF

substring(A,B,C)

Extracts a string from the string A, and returns it. B is the index used to specify the first character to extract, and C is the number of characters to extract. The index number starts from 0. If B or C is not an integer, digits over the decimal point are used as the integer. The following example returns G.

Example

D=substring("AGILENT",1,1)

Data type

A: string, B, C: numeric, D: string.

swmToModule(A)

Searches the measurement module connected to Keysight B2200/E5250 switching matrix input port number A. And returns the module name.

Example

B=swmToModule(A)

Data type

A: string (Input port number 1 to 14), B: module.

tan(A)

Returns the tangent value of the expression A.

Example

B=tan(A)

Data type

A: numeric, B: numeric. Or A: vector, B: vector.

value(A)

Translates the string A to a numeric data, and returns it. If the A value is invalid as numeric literal, 0 is returned.

Example

B=value(A)

Data type

A: string, B: numeric.


Read-out Functions

The read-out functions are built-in functions for reading various values related to a analysis tool which is marker, cursor, or line. You can use these functions to perform complex analysis of the measurement results. They are available only for the Analysis Functions.

To read the value of the read-out function, use a numeric variable. The following example reads the X intercept of the line 1 and enters it to the variable A.

Example

A=@L1X

Note:

In this section, n of the function name is an integer (1 to 8), and m is 1 or 2.

You cannot assign a data variable that includes a read-out function to an axis of a graphics plot.

If the analysis tool that is referred to by the read-out function is not displayed, the read-out function uses the position at which it was most recently displayed. If the analysis tool has not been displayed, the read-out function returns invalid data.

In the application test definition, to use a read-out function in a component such as ASSIGN, IF, FOR, Application Test, and Classic Test, place the Auto Analysis component before the component, and set the analysis tool associated with the read-out function.

  • “Functions for Marker”

  • “Functions for Cursor”

  • “Functions for Line”

  • “Functions for Two Line Display”


Functions for Marker

@MI

Returns the index number of measurement data at the marker location.

If interpolation mode is enabled and the marker is located between the measurement data, this function returns a non-integer value.

@MX

Returns the value of the X coordinate at the marker location.

@MY

Returns the value of the Y coordinate at the marker location.

If there are two Y axes, this function returns the value for the selected axis.

@MYn

Returns the value of the Yn coordinate at the marker location (n: 1 to 8, integer).


Functions for Cursor

@CX

Returns the value of the X coordinate at the active cursor position.

@CY

Returns the value of the Y coordinate at the active cursor position. If there are two Y axes, this function returns the value for the selected axis.

@CYn

Returns the value of the Yn coordinate at the active cursor position (n: 1 to 8, integer).


Functions for Line

@LmCO

Returns the correlation coefficient of the regression for Line m (m: 1 or 2).

Line m must be in regression mode. If not, this function returns invalid data.

@LmG

Returns the slope of Line m (m: 1 or 2).

If there are two Y axes, this function returns the value for the selected axis.

This function calculates the slope by using the following formula:

If the X and Y axes are both linear scale:

a = (y1 - y0) / (x1 - x0)

If the X axis is log scale, and the Y axis is linear scale:

a = (y1 - y0) / (log x1 - log x0)

If the X axis is linear scale, and the Y axis is log scale:

a = (log y1 - log y0) / (x1 - x0)

If the X and Y axes are both log scale:

a = (log y1 - log y0) / (log x1 - log x0)

where,

a :

Slope of Line m

x0 , y0 , x1 , y1 :

X and Y coordinate values at the two points where Line m intercepts the perimeter of the plotting area.

@LmGn

Returns the slope of Line m (m: 1 or 2) for the Yn axis (n: 1 to 8, integer).

This function calculates the slope by using the following formula:

If the X and Yn axes are both linear scale:

a = (y1 - y0) / (x1 - x0)

If the X axis is log scale, and the Yn axis is linear scale:

a = (y1 - y0) / (log x1 - log x0)

If the X axis is linear scale, and the Yn axis is log scale:

a = (log y1 - log y0) / (x1 - x0)

If the X and Yn axes are both log scale:

a = (log y1 - log y0) / (log x1 - log x0)

where,

a :

Slope of Line m

x0 , y0 , x1 , y1 :

X and Y coordinate values at the two points where Line m intercepts the perimeter of the plotting area.

@LmX

Returns the X intercept value (Y=0) of Line m (m: 1 or 2).

If Line m is horizontal, this function returns invalid data.

@LmY

Returns the Y intercept value (X=0) of Line m (m: 1 or 2).

If there are two Y axes, this function returns the value for the selected axis.

If Line m is vertical, this function returns invalid data.

@LmYn

Returns the Yn (n: 1 to 8) intercept value (X=0) of Line m (m: 1 or 2).

If Line m is vertical, this function returns invalid data.


Functions for Two Line Display

@IX

Returns the value of the X coordinate at the intersection of Line 1 and Line 2.

This function calculates the intersection by using the following formula.

X = (y2 - y1) / (a2 - a1)

where,

X :

Value of the X coordinate at the intersection. If the X axis is log scale, this function returns 10^X.

ym :

Y intercept value of Line m (m: 1 or 2). If the Y axis is log scale, ym is the log value of the Y intercept of Line m.

am :

Slope of Line m

If Line 1 is parallel to Line 2, this function returns invalid data with the status “Arithmetic error”.

@IY

Returns the value of the Y coordinate at the intersection of Line 1 and Line 2.

If there are two Y axes, this function returns the value for the selected axis.

This function calculates the intersection by using the following formula:

Y = y1 + a1 * (y2 - y1) / (a1 - a2)

where,

Y :

Value of the Y coordinate at the intersection. If the Y axis is log scale, this function returns 10^Y.

ym :

Y intercept value of Line m (m: 1 or 2). If the Y axis is log scale, ym is the log value of the Y intercept of Line m.

am :

Slope of Line m

If Line 1 is parallel to Line 2, this function returns invalid data with the status “Arithmetic error”.

@IYn

Returns the value of the Yn (n: 1 to 8, integer) coordinate at the intersection of Line 1 and Line 2.

This function calculates the intersection by using the following formula:

Yn = y1 + a1 * (y2 - y1) / (a1 - a2)

where,

Yn :

Value of the Yn coordinate at the intersection. If the Yn axis is log scale, this function returns 10^Yn.

ym :

Yn intercept of Line m (m: 1 or 2). If the Yn axis is log scale, ym is the log value of the Yn intercept of Line m.

am :

Slope of Line m

If Line 1 is parallel to Line 2, this function returns invalid data with the status “Arithmetic error”.


Script Program Statements

The program statements are used to define the test execution flow on the Test Contents tab screen of the Test Definition window. On the screen, click the Program Component tab. The program statements are listed in the component selection area. See also “Program Component”.

Local Variable Definition

This statement defines the local variables used in the test definition. For the setup editor, see “Local Variable Definition”. For the available names and variable types, see “Variables” and “Expressions”.

The local variables are effective only for this test definition.

ASSIGN

This statement enters a value or expression to the variable as follows:

<variable> = <definition>

where, <variable> is the variable to define, and <definition> is the value or expression.

BLOCK

Beginning of the BLOCK/END BLOCK block. The statements are added to the program list as a pair. The test execution flow (program) must be defined between the statements. Optionally, the following statements can be used in this block.

  • ON ERROR

This statement enables an event-initiated branch performed when an error occurs. The routine to be performed when error occurs must be defined between ON ERROR and END BLOCK or between ON ERROR and FINALLY.

  • FINALLY

This statement enables an event-initiated branch performed just before terminating the block. The routine to be performed before terminating the block must be defined between FINALLY and END BLOCK.

The statements or components between the BLOCK and END BLOCK statements are performed from top-down. If no error occurs during program execution, the routine below FINALLY is executed and the block is terminated.

If an error occurs, the error code is stored in the @ERROR system variable, the routine below ON ERROR is executed, and the block is terminated. If FINALLY is used, the routine below FINALLY is executed before the block is terminated.

COMMENT

This statement enters a comment in the program line.

END

This statement terminates program execution. After the END statement, the routines defined by the FINALLY statement are performed.

ERROR

This statement causes an error. However, no error code is stored in the @ERROR system variable because of the fictious error.

FOR

Beginning of the FOR/NEXT loop block. FOR and NEXT are added to the program list as a pair. The statements repeatedly performed when looping must be defined between the statements. The FOR/NEXT statements are entered as follows:

FOR <variable> = <initial value> TO <terminate value> STEP <step value>

NEXT <variable>

where, <variable> is a variable used for the loop counter. <initial value>, <terminate value>, and <step value> are values for the loop counter start value, stop value, and step value respectively.

The EXIT FOR statement is available to exit from the loop before the loop count reaches <terminate value>. After looping, the next line of NEXT is performed.

IF

Beginning of the IF/END IF block. The statements are added to the program list as a pair. The IF statement specifies the primary branching condition. The routines performed when the condition is satisfied are defined between the statements. The statements are entered as follows:

IF <expression>

END IF

where, <expression> is the condition of branching. Optionally the following statements can be used in this block.

  • ELSE IF <expression>

This statement specifies the additional branching condition used when the previous condition is not satisfied, and defines the routines performed when this branching condition is satisfied.

  • ELSE

This statement defines the routines performed when no branching condition is satisfied.

LOOP

Beginning of the LOOP/END LOOP block. LOOP and END LOOP are added to the program list as a pair. The statements repeatedly performed during looping should be defined between the statements.

The EXIT LOOP statement is available to exit from the loop. After looping, the next line of END LOOP is performed.

Example 1

Test definition name: Vth_gmMax

Local Variables Definition

BLOCK

 !***** Integration Time Setting *****

 IF IntegTime="SHORT"

    IntegMode = "MANUAL"

    AdcFactor = 8

 ELSE IF IntegTime="MEDIUM"

    IntegMode = "PLC"

    AdcFactor = 1

 ELSE IF IntegTime="LONG"

    IntegMode = "PLC"

    AdcFactor = 16

  END IF

 !***** I-V Sweep *****

  Vth_gmmax

 !***** Analysis *****

  Auto Analysis

END BLOCK

Line 1: Defines local variables.

Line 2: Beginning of program. Program ends by the END BLOCK statement.

Line 3: Comment line. The COMMENT statement is used.

Lines 4 to 13: Changes the integration time setting by the variable IntegTime value.

Line 14: Comment line. The COMMENT statement is used.

Line 15: Executes Vth_gmmax of the Application Test component to perform Id-Vg measurement.

Line 16: Comment line. The COMMENT statement is used.

Line 17: Executes Auto Analysis of the Analysis component.

Example 2

Test definition name: NandFlash IV-Write-IV

Local Variables Definition

BLOCK

 !***** Integration Time Setting *****

 IF IntegTime="SHORT"

    IntegMode = "MANUAL"

    AdcFactor = 8

 ELSE IF IntegTime="MEDIUM"

    IntegMode = "PLC"

    AdcFactor = 1

 ELSE IF IntegTime="LONG"

    IntegMode = "PLC"

    AdcFactor = 16

  END IF

 !***** I/V Sweep & Analysis Initial Characteristics *****

  ForcePG2

  Id-Vg_Initial

  ResetPG

  Auto Analysis

  VthInitial = getNumericData("VthBefore")

  VgateList = getVectorData("Vgate")

  IdInitialList = getVectorData("Idrain")

 !***** Force Pulse *****

  ForcePG1

  ResetPG

 !***** I/V Sweep & Analysis after Write *****

  ForcePG2

  Id-Vg_Written

  ResetPG

  Auto Analysis

  VthWritten = getNumericData("VthAfter")

  IdWrittenList = getVectorData("Idrain")

END BLOCK

Line 1: Defines local variables.

Line 2: Beginning of program. Program ends by the END BLOCK statement.

Line 3: Comment line. The COMMENT statement is used.

Lines 4 to 13: Changes the integration time setting by the variable IntegTime value.

Line 14: Comment line. The COMMENT statement is used.

Line 15: Executes ForcePG2 of the Application Test component to apply pulse from the Output 2 terminal of Keysight 81110A pulse generator connected to the B1500.

Line 16: Executes Id-Vg_Initial of the Application Test component to perform Id-Vg measurement.

Line 17: Executes ResetPG of the Application Test component to reset Keysight 81110A.

Line 18: Executes Auto Analysis of the Analysis component.

Lines 19 to 21: Enters the value of the variables (VthBefore, Vgate, Idrain) defined in the Function Setup or Display Setup of the Id-Vg_Initial test into the local variables (VthInitial, VgateList, IdInitialList). The ASSIGN statements are used.

Line 22: Comment line. The COMMENT statement is used.

Line 23: Executes ForcePG1 of the Application Test component to perform the NAND-type flash memory write operation.

Line 24: Executes ResetPG of the Application Test component.

Line 25: Comment line. The COMMENT statement is used.

Line 26: Executes ForcePG2 of the Application Test component.

Line 27: Executes Id-Vg_Written of the Application Test component to perform Id-Vg measurement.

Line 28: Executes ResetPG of the Application Test component.

Line 29: Executes Auto Analysis of the Analysis component.

Lines 30 to 31: Enters the value of the variables (VthAfter, Idrain) defined in the Function Setup or Display Setup of the Id-Vg_Written test into the local variables (VthWritten, IdWrittenList). The ASSIGN statements are used.

Line 32: End of program


Utility and Software Furnished

This section introduces the utility programs and software furnished with Keysight B1500 and EasyEXPERT.

  • “System Requirements”

  • “License Management Tool”

  • “Setup File Converter”

  • “MDM File Converter”

  • “Utility Programs”

  • “EasyEXPERT for PC”

The following conventions are used in this document.

<system drive>: Drive the EasyEXPERT has been installed

<your account>: Your Windows login account

  • For Windows 7 64 bit version

<program folder>: <system drive>:\Program Files (x86)

<offline configuration folder>: <system drive>:\ProgramData\Agilent\EasyEXPERT\Service\OfflineConfiguration

<user configuration folder>: <system drive>:\Users\<your account>\AppData\Roaming\Agilent\EasyEXPERT\Service\OfflineConfiguration

  • For Windows 7 32 bit version or Windows Vista

<program folder>: <system drive>:\Program Files

<offline configuration folder>: <system drive>:\ProgramData\Agilent\EasyEXPERT\Service\OfflineConfiguration

<user configuration folder>: <system drive>:\Users\<your account>\AppData\Roaming\Agilent\EasyEXPERT\Service\OfflineConfiguration

  • For Windows XP

<program folder>: <system drive>:\Program Files

<offline configuration folder>: <system drive>:\Documents and Settings\All Users\Application Data\Agilent\EasyEXPERT\Service\OfflineConfiguration

<user configuration folder>: <system drive>:\Documents and Settings\All Users\Application Data\Agilent\EasyEXPERT\Service\OfflineConfiguration


System Requirements

The following table shows the minimum requirements to run the software/program furnished with the B1500. They are effective as of June 2013. For the latest information, go to www.agilent.com and type in EasyEXPERT in the Search field at the top of the page.

Operating system and service pack | Microsoft Windows XP Professional SP3 or later | Microsoft Windows Vista Business SP2 or later | Microsoft Windows 7 Professional SP1 or later | Remarks
Language | English (US) |  |  | for all furnished programs
.NET Framework | Microsoft .NET Framework 3.5 SP1
Processor | Intel Celeron 2 GHz | Vista certified PC | Windows 7 certified PC | for PC
Memory | 512 MB DDR266 | 1 GB | 2 GB
Display | XGA 1024´768 (SXGA 1280´1024 recommended)
HDD | 1 GB free space on the C drive, 10 GB (30 GB recommended) free space on a drive for test setup/result data storage.


License Management Tool

The licence management tool is the program used to install the license of the software listed below. This program is also used to confirm the licenses already installed and the host ID of the B1500 or the computer for EasyEXPERT. For GUI of this software, see “License Management Tool GUI”.

  • Keysight B1500A-SWS EasyEXPERT Extension

  • Keysight B1500AU-SWS EasyEXPERT Extension

  • Keysight B1505A-SWS EasyEXPERT Extension

  • Keysight B1505AU-SWS EasyEXPERT Extension

To launch program

Click [Start] - [All Programs] - [Keysight EasyEXPERT] - [Licence Management Tool].

To check licenses already installed

Click Installed Licenses tab on the Licence Management Tool. The installed licenses will be displayed.

To check host ID

Click Information tab on the Licence Management Tool. The host ID of the B1500 or the computer will be displayed.

To install license

The following procedure installs the license.

1. Click Install icon, or click [File] - [Install License File] to open a dialog box.

2. Specify the license file (.lic file).

3. Click Open.


Setup File Converter

The setup file converter is the program which converts the 4155A/4156A/4155B/4156B/4155C/4156C setup file (extension: DAT or MES) and creates the EasyEXPERT setup file (extension: XTS). This program can convert the setup information but cannot convert the test result data. For GUI of this software, see “Setup File Converter GUI”.

Execution environment

Keysight EasyEXPERT execution environment

To execute this program, the SetupFileConverter.exe, SetupFileConverterW.exe, and SetupFileConverterW.exe.config files must be stored in the following folder.

<program folder>\Agilent\B1500\EasyEXPERT\415xC\Conversion\

To launch program

Click [Start] - [All Programs] - [Agilent B1500 EasyEXPERT] - [4155,4156 Setup File Converter].

To create XTS file

The following procedure converts the 4155/4156 setup file (.DAT or .MES) and creates the .XTS file in the folder the setup file is stored.

1. Click Select icon, or click [File] - [Select Files] to open the Select 4155/4156 MES Files or DAT Files dialog box.

2. Specify the 4155/4156 setup file to convert. Multiple files can be selected.

3. Click Open on the Select 4155/4156 MES Files or DAT Files dialog box.

4. Click Convert icon, or click [File] - [Convert Files].

Instead of the step 1 to 3, you can use the drag and drop operation from Explorer to the Selected Files area on the Setup File Converter.

To read XTS file

Use the import function to read the created .XTS file on the EasyEXPERT.

Open the Import Test Setup window by clicking [File] - [Import...] on the Classic Test screen. Specify the .XTS file to be imported, and click Open.

Conversion results

For details about the conversion results, see “SetupFileConverter.exe”.


MDM File Conveter

MDM File Converter

The MDM file converter is the program which converts the EasyEXPERT test result data file (extension: xtr or ztr) and creates the Keysight IC-CAP model data manager file (extension: mdm). For GUI of this software, see “MDM File Converter GUI”.

Supported data

The MDM file converter supports the test result data of the following Classic Tests. The Application Test result data is not supported.

  • I/V Sweep

  • Multi Channel I/V Sweep

  • C-V Sweep

Execution environment

Keysight EasyEXPERT execution environment

To execute this program, the MdmFileConverter.exe and MdmFileConverterW.exe files must be stored in the following folder.

<program folder>\Agilent\B1500\EasyEXPERT\IC-CAP Support\MDM\

To launch program

Click [Start] - [All Programs] - [Agilent B1500A EasyEXPERT] - [IC-CAP MDM File Converter].

To create MDM file

The following procedure converts the xtr/ztr file and creates the mdm file with the same name as the xtr/ztr file in the folder which the xtr/ztr file has been stored.

  1. Click Browse to open the Please select Test Result File dialog box.

  2. Select the xtr/ztr file to convert. Multiple files can be selected.

  3. Click Convert, or click Action > Convert.

Instead of the step 1 to 2, you can use the drag and drop operation from Explorer to the Input Files area on the MDM file converter.

Note:

If a mdm file of the same name already exists, "(N)" is added to the file name. For example, if the abc.mdm file already exists when converting the abc.xtr file, the abc(1).mdm file is created.


Utility Programs

The following useful programs are stored in the following folder. Remember that they are just sample programs.

<program folder>\Agilent\B1500\EasyEXPERT\Utilities\

  • "User Account Management Tool"

  • "Off-line Configuration Tool"

  • "Software Configuration Tool"

  • “Prober Control”

  • “sleep.exe”

  • “XSLT”

<program folder>\Agilent\B1500\EasyEXPERT\415xC\Conversion\

  • “SetupFileConverter.exe”

<program folder>\Agilent\B1500\EasyEXPERT\IC-CAP Support\MDM\

  • “MdmFileConverter.exe”


User Account Management Tool

The <program folder>\Agilent\B1500\EasyEXPERT\Utilities\UserAccountManager\StaUserAccountManager.exe is used for managing EasyEXPERT passwords and Windows account assignments. Refer "User Access Control" for detail.

Note: This program needs Windows Administrator privilege.


Off-line Configuration Tool

The <program folder>\Agilent\B1500\EasyEXPERT\Utilities\OffConf\StaOfflineConfig.exe is used for simulating B1500 or E5270B.

  • Mainframe selection (B1500 or E5270B) as slot 11.

  • Module Selection

  • Load stored configuration for Common or User.

  • Save configuration for Common or User.

  • Import configuration from B1500, E5270B or the file.

  • Export configuration to the file.


Software Configuration Tool

The <program folder>\Agilent\B1500\EasyEXPERT\Utilities\StaSoftwareConfig.exe is used for managing Windows Startup programs.

Note: This program needs Windows Administrator privilege.


Prober Control

The <program folder>\Agilent\B1500\EasyEXPERT\Utilities\ProberControl folder stores the execution files used to control the following probers.

  • Cascade Microtech Summit 12K or S300

  • SUSS MicroTec PA200 or PA300

  • Vector Semiconductor VX-2000 or VX-3000

You can use the execution files when you perform a repeat measurement by using EasyEXPERT and a prober listed above. The execution files control the prober chuck movement (down, move, and up) by defining them in the Repeat Measurement Setup window. See “Repeat Measurement Setup”. Also see the readme.mht file in the ProberControl folder to use the prober control script.

This folder also stores the source files and the document files. See the pdf files in the ProberControl\xxxx\doc folder for more details or if you create your own prober control script by referring to the source code; xxxx is cascade, suss, or vector.


SetupFileConverter.exe

This program is the script version of the setup file converter. This program converts the 4155A/4156A/4155B/4156B/4155C/4156C setup file (.DAT or .MES) and creates the EasyEXPERT setup file (.XTS). This program can convert the setup information but cannot convert the test result data.

Execution environment

Keysight EasyEXPERT execution environment

Syntax

SetupFileConverter.exe [option] [file]

Parameter

option :

Execution options. See Table 1. Multiple options can be set. Both /4155 and /4156 cannot be set for one execution.

file :

4155/4156 setup file name

You can specify multiple files by using a space as the separator. Also wildcard can be used.

If no parameter is specified, the Usage message is displayed.

Execution examples

C:\415xConvert>SetupFileConverter.exe MOS1.MES

C:\415xConvert>SetupFileConverter.exe MOS*.DAT MOS*.MES

C:\415xConvert>SetupFileConverter.exe /4156 /HP *.MES

Table 1 Option Parameter

Option | Description
(no option) | Performs normal operation.
/4155 | Creates the XTS file for the 4155, not for the B1500.
/4156 | Creates the XTS file for the 4156, not for the B1500.
/HP | Converts HPSMU in the MES/DAT file to SMU5: HP. For creating the XTS file for the 4155/4156.
/S | Leaves Command Prompt open after execution.

XTS file creation example 1

The .XTS file can be created by using Command Prompt as shown below.

1. Create your working folder (for example, C:\415xConvert\).

2. Copy the 4155/4156 setup files to convert and the SetupFileConverter.exe file, and paste them to the working folder.

3. Open Command Prompt.

4. On Command Prompt, execute SetupFileConverter.exe as shown below. This creates the .XTS file in the working folder and displays the message as follows.

C:\415xConvert>SetupFileConverter.exe IDVG.MES
SetupFileConverter.exe : Version A.02.10
Start Conversion : IDVG.MES
ExportFile : IDVG.xts
SetupVersion: HP4155_C03.06
Conversion successfully completed.

XTS file creation example 2

The .XTS file can be created by using a shortcut on the Desktop. The shortcut should be created by the following conditions.

• Name: SetupFileConverter

• Target file: "<program folder>\Agilent\B1500\EasyEXPERT\415xC\Conversion\SetupFileConverter.exe" /S

If you want to make the .XTS file for the 4155/4156, insert /4155 or /4156 before /S.

If you want to add /HP option, insert /HP before /S.

1. Create your working folder (for example, C:\415xConvert\).

2. Copy the 4155/4156 setup files to convert, and paste them to the working folder.

3. Drag the files and drop them on the SetupFileConverter icon. This creates the .XTS files in the working folder.

To read XTS file

Use the import function to read the created .XTS file on the EasyEXPERT.

Open the Import Test Setup window by clicking File > Import Test Setup... on the Classic Test screen. Specify the .XTS file to be imported, and click Open.

About conversion results

The setup file conversion is not complete. The following are the expected differences. When you use the .XTS file, you will see differences in the operation, performance, measurement result data, and so on.

• Channel number may be changed. For example, the HPSMU channel number is 5 for the 4155/4156 but 1 for the B1500.

• Setup value is changed to the value available for the B1500 and EasyEXPERT.

• Voltage Source and Monitor Unit (two channels of VSU and two channels of VMU) is converted to four channels of MPSMU.

• Pulse Generator Unit (PGU) setup is deleted.

• Unused module information is deleted.

• Functions only for the 4155/4156 are deleted.

• For converting the setup data which satisfies the following two conditions, SMU5 is converted to HPSMU. Else, SMU5 is converted to MPSMU.

1. SMU6 information is not included in the setup data.

2. SMU5 information contains the value available only for the HPSMU.

If an inconvertible setup parameter is found during the setup file conversion, a message will be displayed. If an inconvertible setup file is specified, the file conversion is not performed for the file and a message will be displayed.

About conversion results with option /4155 or /4156

If the /4155 or /4156 option is specified, there are the following differences between the conversion results.

• Channel number is not changed.

• Setup value will be changed to the value available for the 4155/4156 and EasyEXPERT for PC.

• VSU/VMU is converted to VSU/VMU respectively.


MdmFileConverter.exe

This program is the script version of the MDM file converter. This program converts the EasyEXPERT test result data file (extension: xtr or ztr) and creates the Keysight IC-CAP model data manager file (extension: mdm).

Execution environment

Keysight EasyEXPERT execution environment

Syntax

MdmFileConverter.exe [option] [file]

Parameter

option :

Execution options. See Table 1. Multiple options can be set.

file :

xtr/ztr file name

You can specify multiple files by using a space as the separator. Also wildcard can be used.

If no parameter is specified, the MDM file converter is launched.

Execution examples

C:\MdmFileConvert>MdmFileConverter.exe MOS.xtr

C:\MdmFileConvert>MdmFileConverter.exe *.xtr *.ztr

C:\MdmFileConvert>MdmFileConverter.exe /o MOS1 MOS.xtr

C:\MdmFileConvert>MdmFileConverter.exe /d folder1 *.xtr *.ztr

Table 1 Option Parameter

Option | Description
(no option) | Performs normal operation.
/o output_file | Specifies the mdm file name. Only one xtr/ztr file can be specified.
/d output_folder | Specifies the folder used for storing the mdm files.
/l log_file | Specifies the file for recording the conversion log.
/s | Does not record the conversion log.
/t | Appends the test setup title to the mdm file name. If the xtr/ztr file name is "abc" and the test setup title is "title", the mdm file name will be "abc-title".

mdm file creation example 1

The mdm file can be created by using Command Prompt as shown below.

1. Create your working folder (for example, C:\MdmConversion\).

2. Copy the xtr/ztr files to convert and the MdmFileConverter.exe file, and paste them to the working folder.

3. Open Command Prompt.

4. On Command Prompt, execute MdmFileConverter.exe as shown below. This creates the mdm file in the working folder and displays the message as follows.

C:\MdmConversion>MdmFileConverter.exe Idvd.xtr

Starting at 2013/03/27 18:11:15
Reading 'Idvd.xtr' ...
Converting 'Idvd' ...
Writing 'Idvd.mdm' ...
Completed successfully.

mdm file creation example 2

The mdm file can be created by using a shortcut on the Desktop. The shortcut should be created by the following conditions.

• Name: MdmFileConverter

• Target file: "<program folder>\Agilent\B1500\EasyEXPERT\IC-CAP Support\MDM\MdmFileConverter.exe" /t

Add or delete the option as you want. See Table 1 for the available options.

1. Create your working folder (for example, C:\MdmConversion\).

2. Copy the xtr/ztr files to convert, and paste them to the working folder.

3. Drag the files and drop them on the MdmFileConverter icon. This creates the mdm files in the working folder.

mdm file name and folder

  • Without the /d option, the mdm file is created in the folder which the xtr/ztr file has been stored.

  • With the /d option, the mdm file is created in the specified folder.

  • Without the /o option, the mdm file name is same as the xtr/ztr file name.
    Example: MdmFileConverter.exe abc.xtr creates the abc.mdm file.

  • With the /o option, the mdm file is created with the specified name.
    Example: MdmFileConverter.exe /o xyz abc.xtr creates the xyz.mdm file.

  • If the xtr/ztr file includes multiple test data, "(N)" is added to the file name.
    Example: If the xtr/ztr file includes three test data, MdmFileConverter.exe abc.xtr creates the abc.mdm, abc(1).mdm, and abc(2).mdm files.

  • With the /t option, the title of the test setup is added to the file name.
    Example: If the title is "title", MdmFileConverter.exe /t abc.xtr creates the abc-title.mdm file.

  • If a mdm file of the same name already exists, "(N)" is added to the file name.
    Example: If the abc.mdm file already exists, MdmFileConverter.exe abc.xtr creates the abc(1).mdm file.


sleep.exe

This execution file is used to put a wait time in the test execution flow of an application test.

Execution environment

Keysight EasyEXPERT application test execution environment

File Name

<program folder>\Agilent\B1500\EasyEXPERT\Utilities\sleep.exe

Parameters

The following parameters are available for this file. To use sleep.exe, the parameters must be defined in the Local Variables Definition statement of the Test Contents tab in the Test Definition window.

WAIT :

List input parameter. Vector variable (1x1) to store the data passed to sleep.exe. Enter a wait time in ms.

PassFail :

Value output parameter. Numeric variable to store the execution result. 0 is always returned.

ReturnValue :

Value output parameter. Numeric variable to store the data returned by executing sleep.exe. 1 is returned after execution.

Setup examples

To execute sleep.exe, the following setup should be done in the Command Execution element, Miscellaneous component, Test Contents tab in the Test Definition window.

Windows Command Execution
Command Filename: |  | C:\Program Files\Agilent\B1500\EasyEXPERT\Utilities\sleep.exe
Argument:
Write Type: |  | String | x | List
Read Type: |  | String | x | Value |  | List | None
Write List
Values: | WAIT
Format: |
Read Value
Result: | PassFail |  |  |  | Value: | ReturnValue


XSLT

The XSLT (XSL-Transformation, eXtensible Stylesheet Language Transformation) filter files are used to export test records. The fifteen filter files are stored in the <program folder>\Agilent\B1500\EasyEXPERT\Utilities\XSLT folder. See Table XSLT1.

Filter files that contain csv in the file name export test record in the format that uses a comma (,) as data separator.

Filter files that contain tab-sv in the file name export test record in the format that uses a tab as data separator.

Filter files that contain xmlss in the file name export test record in the XML Spread Sheet format.

See also the following topics to use the filter file.

  • To export test record

  • To read export result

  • Filter file modification example

Table XSLT1 XSLT Filter Files

Group | File name | Description
1 | • meas-csv.xsl • meas-tab-sv.xsl • meas-xmlss.xsl | Filter files for exporting the measurement data only Classic test record export example is shown in Group1.
2 | • meas-index-csv.xsl • meas-index-tab-sv.xsl • meas-index-xmlss.xsl | Filter files for exporting the measurement data with the index Classic test record export example is shown in Group2.
3 | • meas-meta-csv.xsl • meas-meta-tab-sv.xsl • meas-meta-xmlss.xsl | Filter Files for exporting the measurement data with the meta data The meta data contains the test name, the setup name, the record time of the test results, the device ID, the counter number, the flag of the test results, and the remarks on the test results. Classic test record export example is shown in Group3.
4 | • meas-index-meta-csv.xsl • meas-index-meta-tab-sv.xsl • meas-index-meta-xmlss.xsl | Filter files for exporting the measurement data with the index and the meta data The meta data contains the test name, the setup name, the record time of the test results, the device ID, the counter number, the flag of the test results, and the remarks on the test results. Classic test record export example is shown in Group4.
5 | • csv.xsl (used by the Export As CSV... function) • tab-sv.xsl • xmlss.xsl (used by the Export As XML Spread Sheet... function) | Filter files for exporting all data including the test setup Application test record export example is shown in Group5. Data in the first cell is the label for the data components in that row. The following cells are the data corresponding to the label. Table XSLT2 and Table XSLT3 list the components available for the exported data file.


Group 1

Filter files for exporting the measurement data only

  • meas-csv.xsl

  • meas-tab-sv.xsl

  • meas-xmlss.xsl

Example of the data exported by using the XSLT Filter File Group 1

Vd | Vg | Index | Time | Id | ABS_ID | Slope
0 | 1 | 1 | 0.00264 | -0.00012 | 0.00012 | 0.004346
0.06 | 1 | 2 | 0.01265 | 0.000398 | 0.000398 | 0.004346
0.12 | 1 | 3 | 0.02265 | 0.000902 | 0.000902 | 0.004346
: | : | : | : | : | : | :


Group 2

Filter files for exporting the measurement data with the index

  • meas-index-csv.xsl

  • meas-index-tab-sv.xsl

  • meas-index-xmlss.xsl

Example of the data exported by using the XSLT Filter File Group 2

No. | Vd | Vg | Index | Time | Id | ABS_ID | Slope
1 | 0 | 1 | 1 | 0.00264 | -0.00012 | 0.00012 | 0.004346
2 | 0.06 | 1 | 2 | 0.01265 | 0.000398 | 0.000398 | 0.004346
3 | 0.12 | 1 | 3 | 0.02265 | 0.000902 | 0.000902 | 0.004346
: | : | : | : | : | : | : | :


Group 3

Filter files for exporting the measurement data with the meta data

  • meas-meta-csv.xsl

  • meas-meta-tab-sv.xsl

  • meas-meta-xmlss.xsl

The meta data contains the test name, the setup name, the record time of the test results, the device ID, the counter number, the flag of the test results, and the remarks on the test results.

Example of the data exported by using the XSLT Filter File Group 3

I/V Sweep | Trng Id-Vd |  |  |  |  |
Record Time | 04/04/2007 08:36:42 |  |  |  |  |
Device ID |  |  |  |  |  |
Count | 2 |  |  |  |  |
Flag |  |  |  |  |  |
Remarks |  |  |  |  |  |
Vd | Vg | Index | Time | Id | ABS_ID | Slope
0 | 1 | 1 | 0.00264 | -0.00012 | 0.00012 | 0.004346
0.06 | 1 | 2 | 0.01265 | 0.000398 | 0.000398 | 0.004346
0.12 | 1 | 3 | 0.02265 | 0.000902 | 0.000902 | 0.004346
: | : | : | : | : | : | :


Group 4

Filter files for exporting the measurement data with the index and the meta data

  • meas-index-meta-csv.xsl

  • meas-index-meta-tab-sv.xsl

  • meas-index-meta-xmlss.xsl

The meta data contains the test name, the setup name, the record time of the test results, the device ID, the counter number, the flag of the test results, and the remarks on the test results.

Example of the data exported by using the XSLT Filter File Group 4

I/V Sweep | Trng Id-Vd |  |  |  |  |  |
Record Time | 04/04/2007 08:36:42 |  |  |  |  |  |
Device ID |  |  |  |  |  |  |
Count | 2 |  |  |  |  |  |
Flag |  |  |  |  |  |  |
Remarks |  |  |  |  |  |  |
No. | Vd | Vg | Index | Time | Id | ABS_ID | Slope
1 | 0 | 1 | 1 | 0.00264 | -0.00012 | 0.00012 | 0.004346
2 | 0.06 | 1 | 2 | 0.01265 | 0.000398 | 0.000398 | 0.004346
3 | 0.12 | 1 | 3 | 0.02265 | 0.000902 | 0.000902 | 0.004346
: | : | : | : | : | : | : | :


Group 5

Filter files for exporting all data including the test setup

  • csv.xsl, used by the Export As CSV... function

  • tab-sv.xsl

  • xmlss.xsl, used by the Export As XML Spread Sheet... function

Application test record export example is shown below. Data in the first cell is the label for the data components in that row. The following cells are the data corresponding to the label. The components available for the exported data file are listed in Classic Test Components and Application Test Components.

Example of the data exported by using the XSLT Filter File Group 5

SetupTitle | Trng Id-Vd |  |  |  |
PrimitiveTest | I/V Sweep |  |  |  |
TestParameter | Channel.Unit | SMU1:HP | SMU2:HP | SMU3:HR | SMU4:HR
TestParameter | Channel.IName | Id | Ig | Is | Isub
TestParameter | Channel.VName | Vd | Vg | Vs | Vsub
: | : | : | : | : | :
MetaData | TestRecord.Entr | true |  |  |
: | : | : | : | : | :
AnalysisSetup | Analysis.Setup. | true |  |  |
: | : | : | : | : | :
Dimension1 | 51 | 51 | 51 | 51 | 51
Dimension2 | 3 | 3 | 3 | 3 | 3
DataName | Vd | Vg | Index | Time | Id
DataValue | 0 | 1 | 1 | 0.00251 | 0
DataValue | 0.06 | 1 | 2 | 0.01251 | 3.35E-05
: | : | : | : | : | :


To export test record

Test record can be exported by the following procedure.

  1. Open the Export in My Format dialog box by clicking Results > Transport Data > Export in My Format....

  2. Enter the XSLT filter file name, and click the Export As... button.

  3. On the Export As dialog box, specify the file name and file type for the export data, and click Save.


To read export result

The exported data file can be opened and read with a spreadsheet software. The procedure for opening the export data with a spreadsheet software is as follows.

  • For data separated by a comma

Specify the data separated by a comma for the original data format.

  • For data separated by a tab

Specify the data separated by a tab for the original data format.

  • For data in the XML Spread Sheet format

Specify the XML file for the file type.

After reading the file, all data in the file will be entered into independent cells on the spreadsheet software.


Filter File Modification Example

This section explains the modification example of a filter file. In this example, a filter file of group 5 is used.

The group 5 filter files will export the data that contains the test setup information. To obtain the data without the setup information, modify the filter file as shown below, also see the Modification Example, and export data by using the filter file after modification.

The data will not contain the TestParameter, DutParameter, MetaData, and AnalysisSetup of the Application test result record, and the TestParameter, MetaData, and AnalysisSetup of the Classic test result record.

  1. Modify the following template elements for sta:TestParameterList to sta:TerminalList as shown below.
    For the reference name, see Filter File Reference Name which explains the reference name used in the filter file and shows the relation to the parameter name used in the data file exported by using the filter file.

    <xsl:template match="sta:TestParameterList">
    </xsl:template>

    <xsl:template match="sta:DutParameterList">
    </xsl:template>

    <xsl:template match="sta:AnalysisParameterList">
    </xsl:template>

    <xsl:template match="sta:MetaData/sta:ParameterList">
    </xsl:template>

    <xsl:template match="sta:TerminalList">
    <xsl:apply-templates />
    </xsl:template>

  2. Comment out the whole of the following template element.

    <!--
    <xsl:template match="sta:Parameter">
    : : : : : : : : :
    </xsl:template>
    -->

Exported data examples of Classic test result record are shown in Group5 Example and the following table.

Example of the data exported by using the filter file after modification

SetupTitle | Trng Id-Vd |  |  |  |
PrimitiveTest | I/V Sweep |  |  |  |
Dimension1 | 51 | 51 | 51 | 51 | 51
Dimension2 | 3 | 3 | 3 | 3 | 3
DataName | Vd | Vg | Index | Time | Id
DataValue | 0 | 1 | 1 | 0.00251 | 0
DataValue | 0.06 | 1 | 2 | 0.01251 | 3.35E-05
: | : | : | : | : | :


Filter File Modification Example Image


Filter File Reference Name

Reference name | Description
sta:TestData | Indicates a test result data saved in an EasyEXPERT test result record
sta:MeasurementData | Indicates a measurement result data saved in a test result data
sta:DataVectorSet | Indicates a set of vector data saved in a measurement result data
sta:TestSetup | Indicates a test setup data saved in a test result data
sta:Title | Indicates test setup name, SetupTitle in export data
sta:PrimitiveTest | Indicates a classic test data set, PrimitiveTest in export data
sta:ApplicationTest | Indicates an application test data set, ApplicationTest in export data
sta:TestParameterList | Indicates a set of Test Parameters definitions, TestParameter in export data
sta:DutParameterList | Indicates a set of Device Parameters definitions, DutParameter in export data
sta:AnalysisParameterList | Indicates a set of display and analysis data, AnalysisSetup in export data
sta:MetaData/sta:ParameterList | Indicates a set of system data, MetaData in export data
sta:TerminalList | Indicates a set of terminal information
sta:Parameter | Indicates a parameter
sta:Number | Indicates an integer data
sta:Double | Indicates a real data
sta:String | Indicates a string data
sta:Boolean | Indicates a boolean data
sta:DateTime | Indicates a date time data
sta:Binary | Indicates a binary data
sta:Channel | Indicates a channel information
sta:Terminal | Indicates a terminal information
sta:Port | Indicates a port information


Export data components of Classic Test

Label | Description | Example (csv output)
SetupTitle | Title of this test setup | Trng_Id_Vd
PrimitiveTest | Setup name of this classic test | I/V Sweep
TestParameter | Parameter name and setup value of Channel Setup, Measurement Setup, Function Setup, Auto Analysis Setup, and Display Setup. Data file contains a lot of rows for TestParameter. One setup item per row. | Channel.Unit, SMU1:HP, SMU2:HP, SMU3:HR, SMU4:HR
MetaData | Data for system use. Test record entry point, record time, test target, iteration index, preservation, flag, remarks, and link key. | TestRecord.EntryPoint, true
AnalysisSetup | Parameter name and setup value of the data display and analysis setup. Data file contains a lot of rows for AnalysisParameter. One setup item per row. | Analysis.Setup.Vector.Graph.Enabled, true
Dimension1 | Size of data variable. For dimension 1. Order sensitive. 51 for all data variables in Example. | 51, 51, 51, 51, 51
Dimension2 | Size of data variable. For dimension 2. Order sensitive. 1 for all data variables in Example. | 3, 3, 3, 3, 3
DataName | Measurement parameter names or data variable names. Order sensitive. For example, Vgate=-0.5 in Example. | Vd, Vg, Index, Time, Id
DataValue | Measurement result data. Order sensitive. For example, Vgate=-0.5 in Example. Data file contains a lot of rows for DataValue. One data set per row. | 0, 1, 1, 0.00251, 0


Export data components of Application Test

Label | Description | Example (csv output)
SetupTitle | Title of this test setup | Trng_Id_Vd
ApplicationTest | Setup name of this application test | Trng_Id_Vd, Public
TestParameter | Two rows. The upside is for the test parameter names. The downside is for the test parameter values. Order sensitive. For example, Vd=0.1 in Example. | Name, VdStart, VdStop, VdStep, VgStart, VgStop, VgStep, Vs
 |  | Value, 0, 3, 0.06, 1, 2, 0.5, 0
DutParameter | Two rows. The upside is for the device parameter names. The downside is for the device parameter values. Order sensitive. For example, Temp=25 in Example. | Name, Polarity, Lg, Wg, Temp, IdMax
 |  | Value, 1, 1.00E-07, 1.00E-05, 25, 0.005
MetaData | Data for system use. Test record entry point, record time, test target, iteration index, preservation, flag, remarks, and link key. | TestRecord.EntryPoint, true
AnalysisSetup | Parameter name and setup value of the data display and analysis setup. Data file contains a lot of rows for AnalysisParameter. One setup item per row. | Analysis.Setup.Vector.Graph.Enabled, true
Dimension1 | Size of data variable. For dimension 1. Order sensitive. 51 for all data variables in Example. | 51, 51, 51, 51, 51
Dimension2 | Size of data variable. For dimension 2. Order sensitive. 1 for all data variables in Example. | 3, 3, 3, 3, 3
DataName | Measurement parameter names or data variable names. Order sensitive. For example, Vgate=-0.5 in Example. | Vd, Vg, Index, Time, Id
DataValue | Measurement result data. Order sensitive. For example, Vgate=-0.5 in Example. Data file contains a lot of rows for DataValue. One data set per row. | 0, 1, 1, 0.00251, 0


EasyEXPERT for PC

This section describes the following topics for using the EasyEXPERT software on your PC.

  • “About EasyEXPERT for PC”

  • “To Install EasyEXPERT for PC”

  • “Before Starting EasyEXPERT on PC”

  • “To Start EasyEXPERT on PC”

  • “Execution Mode dialog box”

  • “Start EasyEXPERT window”

  • “To Change Execution Mode and GPIB Settings”

  • “To Move the EasyEXPERT Database”

  • “Using 4155B/4156B/4155C/4156C”

  • "Using E5260A/E5262A/E5263A/E5270B"

Note: Software Update and Database Backup

To perform software update of EasyEXPERT, see “Updating EasyEXPERT”.

To make and restore EasyEXPERT database, see “Data Backup and Recovery”.

Note: About privilege to use EasyEXPERT

The revision A.03.20 or later does not require the administrator privilege. However, if the software is updated from a previous revision to the revision A.03.20 or later, it still requires the administrator privilege.


About EasyEXPERT for PC

The EasyEXPERT software provides the following additional advantages to the B1500, allowing you to minimize the amount of offline tasks performed on the B1500 and increase the working ratio for measurements.

  • Allows the B1500 to be controlled from an external computer via GPIB while online.

  • Allows test setup to be created on an external computer while offline.

  • Allows data analysis to be performed on an external computer while offline.

The EasyEXPERT can use the 4155B, 4156B, 4155C, 4156C, E5260A, E5262A, E5263A, or E5270B instead of the B1500. Then, there are some differences in the functions and operations compared with when the B1500 is used. See “Using 4155B/4156B/4155C/4156C” or "Using E5260A/E5262A/E5263A/E5270B".

Figure 34 Using EasyEXPERT for PC

Note:

EasyEXPERT on PC supports most EasyEXPERT functions. However, some functions are not supported on an external computer due to differences in hardware and so on.

To control the B1500A or the B1505A, use the firmware 4.0 or later..


To Install EasyEXPERT for PC

  • Prepare a computer which satisfy the system requirements described in README file included in the software installation package.

  • For one of the following cases, prepare the Software Entitlement Certificate sheet provided with the B1500A-SWS, B1500AU-SWS, B1505A-SWS, or B1505AU-SWS.

    • If you use the Oscilloscope View function

    • If you install the revision A.05.50 or later, for controlling the B1500A or B1505A

And get the license file as described in the Software Entitlement Certificate sheet.

  • Install the EasyEXPERT by following the procedure described in the README file.

System Requirements

Operating System and Service Pack | Microsoft Windows Vista Business SP2 or later (32bit) | Microsoft Windows 7 Professional SP1 or later (32bit/64bit) | Microsoft Windows 8.1 Professional SP1 or later (32bit/64bit)
Language | English (US)
.NET Framework | Microsoft .NET Framework 3.5 SP1
Processor | Vista certified PC | Windows 7 certified PC | Windows 8.1 certified PC
Memory | 2 GB
Display | XGA 1024x768 (SXGA 1280x1024 recommended)
HDD | 1 GB free space on the C drive, 30GB free space on a drive for test setup/result data storage is recommended.

To set the same module configuration as B1500:

The module configuration of the B1500 can be set to the EasyEXPERT in the offline mode. Copy the following file on the B1500 internal HDD to the <user configuration folder> on the PC which the EasyEXPERT runs.

For B1500A: <offline configuration folder>\UnitConfigB1500A.xml

For B1505A: <offline configuration folder>\UnitConfigB1505A.xml

See Utility and Software Furnished for <user configuration folder> and <offline configuration folder>. They depend on the operating system.


Before Starting EasyEXPERT for PC

Before Starting EasyEXPERT on PC

Note the following when you use EasyEXPERT.

  • When using the Offline mode, use the data import/export function to transfer your test setup data files and test result records.

  • When using the Online mode, do not send a control command to the analyzer (B1500A, B1505A, or other supported instrument) by using a programming environment except for EasyEXPERT.

  • Do not send a control command to the analyzer by using the GPIB IO statement in the application test definitions.

  • To control the B1500 by using EasyEXPERT on PC, exit EasyEXPERT on the B1500. The Start EasyEXPERT window (button) must be displayed or be minimized to the Windows task bar on the B1500 screen.


To Start EasyEXPERT for PC

To Start EasyEXPERT on PC

To launch EasyEXPERT on PC, follow the procedure below.

  1. Click [Start] - [All Programs] - [Keysight EasyEXPERT] - [EasyEXPERT].

  2. If the Execution Mode dialog box is not opened, click [Options] - [Execution Mode] on the EasyEXPERT window.

  3. On the Execution Mode dialog box, select the execution mode, Online or Offline. If you select the Online mode, set the GPIB configuration. See “Execution Mode dialog box”.

  4. Click the OK button on the Execution Mode dialog box.

  5. Click the Start EasyEXPERT button to launch EasyEXPERT.


Execution Mode dialog box

The Execution Mode dialog box provides the following graphical user interface.

Online

Click the Online radio button to select the online execution mode. Then the following fields are available.

VISA interface ID

VISA interface ID of the GPIB interface installed in your computer. Select one from the pop-up menu.

GPIB address

GPIB address of the analyzer (B1500A, B1505A, or other supported instrument). Select one from the pop-up menu. 0 to 30 are available.

Offline

Click the Offline radio button to select the offline execution mode. And select the analyzer assumed by the EasyEXPERT for PC in the offline mode.

Model

Select one from the selections (B1500A, B1505A, and so on).

@ANALYZER Function:

This function returns the present Model setting. It can be used in the application test definitions. The return value can be read by using a string variable (e.g. String1) as shown below.

Example: String1=@ANALYZER

The return value is B1500A, B1505A, or the other model number set to Model..


Start EasyEXPERT window

The Start EasyEXPERT window provides the following graphical user interface.

Start EasyEXPERT

This button launches EasyEXPERT.

Menu

Menu |  |  | Description
File | Exit |  | Closes the Start EasyEXPERT window.
Options | Execution Mode |  | Opens the Execution Mode dialog box.
 | Auto Start of EasyEXPERT |  | Only available on B1500. This function is effective for EasyEXPERT, and enables or disables the automatic start function.
 | EasyEXPERT Database | Backup EasyEXPERT Database | Opens the EasyEXPERT Database Backup Creation Wizard used to make backup of the EasyEXPERT database. You can make backup easily by following the wizard. Required time depends on the database size.
 |  | Restore EasyEXPERT Database | Opens the EasyEXPERT Database Restoration Wizard used to restore the EasyEXPERT database backup. You can restore the backup easily by following the wizard. Required time depends on the database size.
 |  | Move EasyEXPERT Database | Opens the EasyEXPERT Database dialog box used to move the EasyEXPERT database. To move the database, enter the destination folder name into the Move To field. For example, enter C:\EasyEXPERT_user_1\database.
 | User Level... |  | Opens the User Level dialog box used to set logon level for the EasyEXPERT.


To Change Execution Mode and GPIB Settings

To change the EasyEXPERT for PC execution mode or the GPIB configuration, follow the procedure below.

  1. Launch Start EasyEXPERT.
     If the Execution Mode dialog box is not opened, click Option > Execution Mode on the Start EasyEXPERT window.
    If EasyEXPERT for PC is running, exit it. And click Option > Execution Mode on the Start EasyEXPERT window.

  2. Select the execution mode, Online or Offline.
    If you select the Online mode, set the GPIB configuration. See “Execution Mode dialog box”.

  3. Click the OK button to set the changes.
    Click the Cancel button to cancel the setup changes.


To Move the EasyEXPERT Database

When the HDD (hard disk drive) is full, add a humongous HDD and move the EasyEXPERT database to it. To move the database, follow the procedure below. Required time depends on the database size.

  1. Launch Start EasyEXPERT.
    If the Execution Mode dialog box is opened, click the Cancel button.
    If the EasyEXPERT for PC is running, exit it to open the Start EasyEXPERT window.

  2. Click Option > EasyEXPERT Database > Move EasyEXPERT Database. The EasyEXPERT Database dialog box is displayed.

  3. Enter the destination folder name into the Move To field. For example, enter C:\EasyEXPERT_user_1\database.

  4. Click the OK button to start the database move operation.
    Click the Cancel button to cancel the move operation.


Using 4155B/4156B/4155C/4146C

Using 4155B/4156B/4155C/4156C

This section describes the notices when using EasyEXPERT on PC and 4155/4156.

4155/4156 Firmware Revision

4155/4156 firmware revision supported by EasyEXPERT

  • HOSTC: 03.08 or later

  • SMUC: 04.08 or later

4155/4156 Functions

4155/4156 functions unsupported by EasyEXPERT

  • Log sampling measurement and Thinned out sampling measurement

  • Functions using R Box

  • Differential voltage measurement using VMU (Voltage Monitor Unit)

  • DC bias output using PGU (Pulse Generator Unit)

  • Other functions unavailable for the B1500

EasyEXPERT on PC

Classic tests available for 4155/4156

  • I/V Sweep, I/V-t Sampling, and Switching Matrix Control for 4155C/4156C

  • I/V Sweep and Switching Matrix Control for 4155B/4156B

EasyEXPERT functions unavailable on PC for 4155/4156

  • I/V List Sweep

  • Direct Control

  • Tracer Test

  • Functions using SMU Series Resistor

  • Functions using ASU (Atto Sense Unit)

  • Functions using SCUU (SMU CMU Unify Unit)

  • Functions using CMU (Capacitance Measurement Unit)

  • Functions using SPGU (Semiconductor Pulse Generator Unit)

PGU can be used instead of SPGU for the I/V Sweep and I/V-t Sampling classic tests. The Load Z function and the ALWG output are not supported. The Output Impedance dialog box is available to set the output impedance of the PGU.

  • Functions using WGFMU (Waveform Generator/Fast Measurement Unit) and RSU (Remote-sense and Switch Unit)

Calibration

Differences on Calibration window

  • Calibration window provides Module Self Calibration screen only.

  • Module Self Calibration screen provides Enable Auto Calibration only.

Configuration, Main Frame

Differences on Configuration window Main Frame screen

  • Line Frequency just displays the setting of 4155/4156.

  • Firmware Rev. displays as follows.

[HOSTC Rev.]:[SMUC Rev.]:[ADC Rev.]

  • Main Frame Diagnosis is not supplied.

Configuration, Module

Differences on Configuration window Module screen

  • Self-test cannot be performed.

  • Status, SCUU, and Notes columns are not supplied.

  • Start Self Test and Recover Module buttons are not supplied.

  • Accessory Configuration is not supplied.

I/V Sweep

Differences on I/V Sweep Classic Test

  • Time Stamp Name field is not supplied for 4155B/4156B.

  • Number of sweep steps must be 1 to 1001 for VAR1.

  • SMU Pulse Period and Width value must satisfy Period ≥ Width + 4 ms.

I/V-t Sampling

Differences on I/V-t Sampling Classic Test

  • Log sampling is not supported.

  • Sampling interval must be 60 μs to 65.535 s.

  • Number of samples must be 1 to 10001.

  • Base hold time must be 0 sec.

ADC and Integration Time

Differences on A/D Converter & Integration Time Setup

  • ADC always shows HR ADC.

  • High Resolution ADC is set as shown in the table below.
    Integration Time is ignored for the sampling measurement of Interval < 2 ms.

Advanced Setup

Differences on Advanced Setup

  • Series R always shows NONE.

  • Wait Time Control is not supplied.

Setting of High Resolution ADC

Mode | Factor | Setting of 4155/4156
AUTO | - | MEDIUM
MANUAL | 1 ≤ N ≤ 127 | SHORT, TIME=80 μs * N
PLC | 1 | MEDIUM
 | N ≥ 2 | LONG, NPLC=N

Note: To reuse the test setup for B1500A

Perform the following procedure to reuse the test setup created for the B1500A.

  1. Launch EasyEXPERT with the condition Set Analyzer=B1500A.

  2. Export the test setups to be reused. And exit EasyEXPERT.

  3. Launch EasyEXPERT with the condition Set Analyzer=4155B, 4156B, 4155C, or 4156C.

  4. Import the test setups exported at the step 2.

  5. Set the channel for the analyzer to use.

Also, the procedure made by replacing the step 1 with the step 3 can be used to reuse the test setup created for the 4155/4156.


Using E5260A/E5262A/E5263A/E5270B

This section describes the notices when using EasyEXPERT on PC and E5260A/E5262A/E5263A/E5270B.

E5260A/E5262A/E5263A/E5270B Firmware Revision

Firmware revision supported by EasyEXPERT

  • B.01.10 or later

EasyEXPERT on PC

Classic tests available for E5260A/E5262A/E5263A/E5270B

  • I/V Sweep, Multi Channel I/V Sweep, I/V List Sweep, and Switching Matrix

EasyEXPERT functions unavailable on PC for E5260A/E5262A/E5263A/E5270B

  • I/V-t Sampling

  • Direct Control

  • Tracer Test

  • Functions using SCUU (SMU CMU Unify Unit)

  • Functions using CMU (Capacitance Measurement Unit)

  • Functions using SPGU (Semiconductor Pulse Generator Unit)

  • Functions using WGFMU (Waveform Generator/Fast Measurement Unit) and RSU (Remote-sense and Switch Unit)

Calibration

Differences on Calibration window

  • Calibration window provides Module Self Calibration screen only.

  • Module Self Calibration screen provides Enable Auto Calibration only.

Configuration, Main Frame

Differences on Configuration window Main Frame screen

  • Line Frequency just displays the setting of E5260A/E5262A/E5263A/E5270B.

  • Main Frame Diagnosis is not supplied.

Configuration, Module

Differences on Configuration window Module screen

  • Self-test cannot be performed.

  • Status, SCUU, and Notes columns are not supplied.

  • Start Self Test and Recover Module buttons are not supplied.

  • Accessory Configuration is not supplied.

I/V Sweep

Differences on I/V Sweep Classic Test

  • Time Stamp Name field is not supplied for E5260A/E5262A/E5263A/E5270B.

  • Number of sweep steps must be 1 to 1001 for VAR1.

  • SMU Pulse Period and Width value must satisfy as:

Period ≥ Width + 2 ms. (for width ≤ 100ms)

Period ≥ Width + 10 ms. (for width > 100ms)

Note: To reuse the test setup for B1500A

Perform the following procedure to reuse the test setup created for the B1500A.

  1. Launch EasyEXPERT with the condition Set Analyzer=B1500A.

  2. Export the test setups to be reused. And exit EasyEXPERT.

  3. Launch EasyEXPERT with the condition Set Analyzer=E5260A, E5262A, E5263A, or E5270B.

  4. Import the test setups exported at the step 2.

  5. Set the channel for the analyzer to use.

Also, the procedure made by replacing the step 1 with the step 3 can be used to reuse the test setup created for the E5260A/E5262A/E5263A/E5270B.


If You Have a Problem

This section explains how to solve problems or how to read error codes, if you encounter some problems. This section consists of the following sections.

  • “When You Operate B1500”

  • “When You Perform Measurement”

  • “Before Shipping to Service Center”

  • “Data Backup and Recovery”

  • “B1500 System Recovery”

  • “Updating EasyEXPERT”

  • "Performing a Clean Install of EasyEXPERT"

  • “Error Codes”

If error occurs, find solutions in the following sections and solve problems. However, if problems still remain, perform self-test.

If the B1500 fails self-test, contact Keysight Technologies.

To get the latest firmware/software/manual/support information, go to http://www.keysight.com/find/easyexpert.


When You Operate B1500

This section covers the following basic problems that you may encounter when you install or operate the B1500, and the solutions. See also “Error Codes”.

  • “Power On Trouble”

  • “SCUU is not Detected”

  • “ASU is not Detected”

  • “N1265A/N1266A/N1268A is not Detected”

  • “External GPIB Devices are not Detected”

  • “To Simplify the Connections”

To set up the Windows, see Keysight B1500A or B1505A User’s Guide.

If you need to reinstall Keysight EasyEXPERT software, see “B1500 System Recovery”


Power On Trouble

  • Connect the power cable to the B1500 firmly.

  • Connect the power cable to power outlet firmly.

  • Open the measurement terminals, and set the Standby switch to the ON position.

Note:

Open the measurement terminals at the device side when turning the B1500 on. Also disconnect the device from the measurement terminals and open the measurement terminals after the measurement. If you leave the connection with the device, the device may be damaged by unexpected operations or charge-up of measurement cables.


SCUU is not Detected

If Keysight B1500A/EasyEXPERT cannot detect SCUU (SMU CMU unify unit), turn the B1500A off, check the cable connection, and reboot the B1500A/EasyEXPERT.

For the installation and connection of SCUU, see Keysight B1500A User’s Guide.


ASU is not Detected

If the B1500A/EasyEXPERT cannot detect ASU (atto sense/switch unit), turn the B1500A off, check the cable connection, and reboot the B1500A/EasyEXPERT.

For the installation and connection of ASU, see Keysight B1500A User’s Guide.

Connect ASU to dedicated SMU:

The specifications are satisfied and guaranteed for the exclusive combination of ASU and SMU. So confirm the serial number of ASU and connect it to the dedicated SMU properly.


N1265A/N1266A/N1268A is not Detected

If Keysight B1505A/EasyEXPERT cannot detect any of the following fixtures, turn the B1505A off, check the cable connection, and reboot the B1505A/EasyEXPERT.

  • N1265A Ultra High Current Expander/Fixture

  • N1266A HVSMU Current Expander

  • N1268A Ultra High Voltage Expander

For the installation and connection of these fixtures, see Keysight B1505A User's Guide and Configuration and Connection Guide.


External GPIB Devices are not Detected

If Keysight B1500/EasyEXPERT cannot detect external GPIB devices, do the following troubleshooting.

  1. Turn the B1500 and external GPIB devices off, check the GPIB cable connection, and reboot the devices and the B1500/EasyEXPERT.

  2. If the problem still remains, confirm if the B1500 is set to the system controller. See User's Guide of Keysight B1500A, B1505A, B1506A, or B1507A to enable the system controller.

  3. If the problem still remains, confirm if the B1500 is connected to USB0. Open Keysight Connection Expert, check Instrument I/O on this PC. The USB0 in this area must show the information as shown below.

USB0
 + B1500A(USB0::xxxx::x::xxxx::x::INSTR)
    + agb1500a
    + UsbDevice1

If the problem still remains, perform Keysight B1500 system recovery. To perform recovery, see “B1500 System Recovery”.


To Simplify the Connections

If you want to simplify the measurement connections, use the triaxial cables instead of the kelvin triaxial cables, and connect the triaxial cables between the Force terminals and the test fixture or the connector plate. Then the Sense terminals must be opened.

Note:

The B1500 has the Force and Sense terminals to make the kelvin connection. And the kelvin triaxial cables are effective to extend the measurement terminals near by the device under test. Connecting the Force and Sense lines together at the device terminals can minimize the measurement error caused by the residual resistance of the connection cables. The kelvin connection is effective for the low resistance measurement and the high current measurement. Also it is one of the conditions to satisfy the measurement specifications of the B1500.


When You Perform Measurement

This section covers the following basic problems that you may encounter when you making a measurement, and the solutions.

  • “Measurement Takes More Time than Specified”

  • “Noise Affects the Measured Values”

  • “Voltage Measurement Error is Large”

  • “SMU Oscillates for High-Frequency Device Measurements”

  • “SMU Oscillates for Negative Resistance Measurements”

  • “Large Current Causes High Temperature (Thermal Drift)”

  • “Measurement Damages the Device under Test”

  • “Leaving Connections Damages Devices after Measurement”

  • “Unexpected Sampling Measurement Data is Returned”

  • “MFCMU Causes Unbalance Condition”


Measurement Takes More Time than Specified

If you set many measurement channels, auto ranging mode, or too long integration time, measurement takes a longer time.

To solve this problem:

Depending on your measurement requirements, perform following:

  • Decreases measurement channels.

  • Uses limited auto ranging mode.

  • Uses fixed range.

  • Decreases averaging samples of the high-speed A/D converter.

  • Decreases integration time of the high-resolution A/D converter.

  • Disables the ADC zero function.


Noise Affects the Measured Values

When you measure low current of a DUT, the measured values may not be stable.

To solve this problem:

  • Set the power line frequency correctly. The value affects the integration time. So the wrong value causes the measurement error by the power line noise. You can set the power line frequency by using the Configuration window of EasyEXPERT.

  • Use guarding to reduce the leakage current between your prober and the B1500. Note that long wires cause oscillation because of their large inductance.

  • If some high-power electric machines are operating around the B1500, turn off the machines, then perform the measurements. The machines affect the power line waveform.

  • Shut the lid of test fixture or shield box to prevent effects of light.

  • If these are vibrations due to nearby machines or due to air flow, put cushioning material under prober, cable, and the B1500; install stabilizer on the prober; and make the cables stable by taping.

  • Wait several minutes after connecting cables or moving probe needles. Because these operations cause electromotive force.

  • If you use only Force terminal and triaxial cables, connect an open cap to Sense terminal.

  • Keep constant temperature in the room when you use the B1500. Shift of 1 degree C may shift the measurement values. Temperature change causes the following.

  • Offset current in B1500.

  • Thermoelectromotive force in DUT, which causes low current.

  • Expansion and contraction of cables, which causes noise.


Voltage Measurement Error is Large

Voltage measurement error may be large because of the effects of the cable resistance when forcing a large current.

To solve this problem:

  • Use kelvin connections between SMUs and DUT. To cancel the effects of cable resistance, connect the sense line as close as possible to the terminal of the DUT.


SMU Oscillates for High-Frequency Device Measurements

When measuring parameters of high-frequency devices, such as GaAs MESFETs or high-frequency bipolar transistors, oscillation may cause measurement problems. Normal measurement cannot be performed because of oscillation.

To solve this problem:

  • For FETs, add resistive ferrite beads as close as possible to the gate.

  • For bipolar transistors, add resistive ferrite beads as close as possible to the base or emitter.

  • Make connection cables as short as possible. Long wires cause oscillation because of their large inductance.


SMU Oscillates for Negative Resistance Measurements

If the DUT has negative resistance characteristics, SMUs may oscillate. Because the positive feedback may be configured by the DUT and the SMUs.

To solve this problem:

  • For voltage controlled negative resistance device

  • Connect G in parallel with your DUT to cancel negative resistance. To obtain an output I-V curve, use the following equation.

IY = I - G x V

  • For current controlled negative resistance device

  • Connect R in series with your DUT to cancel negative resistance. To obtain an output I-V curve, use the following equation.

VZ = V - R x I

  • If the resistance of the DUT is less than 1 MW, you can use a series resistor built into the SMU.


Large Current Causes High Temperature (Thermal Drift)

If a large current is forced to a DUT, the temperature of the DUT may increase, which may cause characteristics to drift.

To solve this problem:

  • Use the pulse output mode of the SMU.

For large currents, the SMU should be set to pulse output mode. This decreases the average power output to prevent temperature rise of DUT.


Measurement Damages the Device under Test

When performing breakdown measurements, DUTs may be damaged.

When voltage is forced from an SMU, the current is limited by the compliance setting, which prevents the DUT from being damaged by a large current. But when the current rapidly increases, the current limiter in the SMU cannot follow the rapid current increase, so a large amount of current may flow through the DUT for a moment, which may damage the DUT.

To solve this problem:

  • Insert a protecting resistor as close as possible to DUT. You can also use a series resistor built into the SMU.


Leaving Connections Damages Devices after Measurement

After the measurements, open the measurement terminals or disconnect the device under test from the measurement terminals. If you leave the connection with the device, the device may be damaged by unexpected operations.

Do not leave the connection over 30 minutes after the measurement if the auto calibration is set to ON. Then, the B1500 performs the self-calibration automatically every 30 minutes after the measurement. The calibration requires to open the measurement terminals.

Note:

Open the measurement terminals and never connect anything when the calibration is performed.


Unexpected Sampling Measurement Data is Returned

If sampling interval is set to a short time and if FILTER ON is set, you may get unwanted data. FILTER ON causes a slower rise time, so short initial interval will sample during this rise time.

To solve this problem:

  • Set FILTER field to OFF if you set initial interval to a short time.

Some data may be skipped because measurement takes a long time. Measurement takes a long time if measurement is performed in a low current range, if many measurement channels are set up, or if analysis, such as moving a marker, is performed during measurements.

To solve this problem:

  • Measure current using a fixed range that is more than 10 mA. For measurement ranges 10 mA or less, measurement takes longer than the specified integration time.

  • Do not perform analysis operation during measurement state.


MFCMU Causes Unbalance Condition

Extending measurement cables may cause the unbalance condition of the MFCMU.

To solve this problem:

  • Perform the phase compensation. See “CMU Calibration”.

  • The signal path from MFCMU to DUT must be as short as possible.

  • Reduce stray capacitance and guard capacitance on the signal line.

Do not connect the Low (Lcur, Lpot) terminal to the wafer chuck. If the MFCMU must be connected to the wafer chuck, use the High (Hcur, Hpot) terminal to connect to the wafer chuck.


Before Shipping to Service Center

Before shipping Keysight B1500 to the Service Center, you have to do following:

  • “To Make Backup”

  • “To Check Module Slots”

  • “To Check ASU/SMU Combination”

  • “To Collect Equipment and Accessories”


To Make Backup

If the internal hard disk drive (HDD) is failed, you will lose all data stored in the HDD. So it is important to make backup constantly.

Before shipping the B1500 to the service center, make backup of data in the HDD. And keep the backup media in trust. You may need to perform data recovery of the B1500 returned from the service center.

If the HDD is replaced, the B1500 will be returned with the latest revision of the software.


To Check Module Slots

Do not remove the plug-in module from the mainframe. The B1500 must be shipped with all modules. The module cannot be repaired without the mainframe. If a module is removed and installed by anyone who is not a service personnel of Keysight Technologies, the specifications are not guaranteed.


To Check ASU/SMU Combination

When you ship the B1500A used with the atto sense/switch unit (ASU), disconnect the ASU cable set (triaxial and Dsub) between the ASU and the SMU, and ship the mainframe, the ASU cable set, and the ASU. The ASU can be used with the exclusive SMU. To confirm the ASU/SMU combination, check the serial number. See “ASU”.


To Collect Equipment and Accessories

All equipment and accessories used with Keysight B1500 are required for servicing and must be shipped to the Service Center. For details, contact the Service Center.

  • B1500 mainframe with all plug-in modules installed

  • ASU and connection cable set between ASU and SMU

  • RSU and connection cable set between RSU and WGFMU

  • N1265A ultra high current expander/fixture and connection cables

  • N1266A HVSMU current expander and connection cables

  • N1267A HVSMU/HCSMU fast switch and connection cables

  • N1268A ultra high voltage expander and connection cables

  • Test fixture and system cable furnished with the B1506A

  • Test fixture and system cable furnished with the B1507A

For returning ASU or RSU, do not forget to notify the combination of the unit, connection cable, and module channel.

The connection cable set between ASU and SMU means one of the following.

  • E5288A-001 Triaxial and D-sub cables, 1.5 m

  • E5288A-002 Triaxial and D-sub cables, 3 m

The connection cable set between RSU and WGFMU means one of the following.

  • 16493R-003 3 m Cable between WGFMU and RSU

  • 16493R-004 5 m Cable between WGFMU and RSU

  • 16493R-006 1.5 m Cable between WGFMU and RSU

  • 16493R-001 and 002 60 cm Cable and 2.4 m Cable between WGFMU and RSU

  • 16493R-001 and 005 60 cm Cable and 4.4 m Cable between WGFMU and RSU

WARNING:

To prevent electrical shock, turn off Keysight B1500 and remove the power cable before removing the connection cables.


Data Backup and Recovery

Unexpected trouble of HDD (hard disk drive), operation mistake, or malfunction may cause elimination of valuable data. To avoid this kind of risk, make backup of data in the HDD as frequently as possible.

  • Folders to Backup

  • To Make Database Backup

  • To Restore Database Backup

  • To Make Backup of Other Data

  • To Restore Backup of Other Data

Note: Drive for making backup

Make backup into the storage device that has large free space and can be accessed by the B1500 directly. The device may be the D drive, a USB memory, an external HDD with USB interface and such.

If you make backup into the B1500 internal HDD, C drive or D drive, make a copy of the backup into an external storage device or backup media, CD-ROM, CD-RW, USB memory and such.


Folders to Backup

Backup should be made for the following data areas.

  • EasyEXPERT database on B1500, below D:\Agilent\EasyEXPERT

D:\Agilent\EasyEXPERT\1

  • Personal folders, below C:\Users

Example: C:\Users\B1500user

  • EasyEXPERT user folder on PC

Example: <program folder>\Agilent\B1500\EasyEXPERT\User

  • EasyEXPERT database on PC

Example: <program folder>\Agilent\B1500\EasyEXPERT\User\1

  • Folders that store the data exported by EasyEXPERT

  • Other folders that store the data to be saved

<program folder> indicates the folder where programs are installed. For example, C:\Program Files, C:\Program Files (x86) and such.


To Make Database Backup

EasyEXPERT database backup can be made by the following procedure.

  1. Launch EasyEXPERT.

  2. Click [Options] - [EasyEXPERT Database] - [Backup EasyEXPERT Database] in the EasyEXPERT window.

  3. Follow the EasyEXPERT Database Backup Creation wizard, and make backup into the D drive. The extension of the backup file is xdb.

  4. Make a copy of the xdb file into an external storage device or backup media.

    Example:
    COPY EasyEXPERT_backup_1.xdb F:\


To Restore Database Backup

EasyEXPERT database can be restored by the following procedure.

  1. Make a copy of the database backup file (xdb file) into the D drive.

  2. Launch EasyEXPERT.

  3. Click [Options] - [EasyEXPERT Database] - [Restore EasyEXPERT Database] in the EasyEXPERT window.

  4. Follow the EasyEXPERT Database Restoration wizard, and restore the backup of EasyEXPERT database.

If the backup is not the xdb file:

The backup for recovery must be “a copy of the folder that contains the EasyEXPERT database image”. And it must be stored in the location other than the following folders.

  • D:\Agilent folder

  • EasyEXPERT database folder

For the Windows backup (bkf file) or the compressed backup (zip file or other), uncompress the backup file at the location other than the above folders. And launch the wizard after the uncompression is completed.

Also, for the Backup Type Selection of the wizard, select “A Copy of the folder that contains the EasyEXPERT database image” and follow the wizard.


To Make Backup of Other Data

Backup of the data other than the EasyEXPERT database can be made by the following procedure.

  1. Connect an external storage device, USB memory, HDD with USB interface and such, to the B1500.

  2. Make a copy of the folder into the external storage device.

    Example:
    XCOPY Folder_user_1 F:\Backup_user_1


To Restore Backup of Other Data

Data other than the EasyEXPERT database can be restored by the following procedure.

  1. Connect the external storage device which stores the backup to the B1500.

  2. Make a copy of the backup into the D drive.
    Example: XCOPY F:\Backup_user_1 Backup_user_1

  3. Delete the original folder.
    Example: RMDIR /S Folder_user_1

  4. Change the name of the backup to the original one.
    Example: RENAME Backup_user_1 Folder_user_1


B1500 System Recovery

If you find problems in the B1500 system, perform the system recovery.

  • Preparation

  • To Perform System Recovery

  • To Initialize Database

  • To Restore Database


Preparation

  1. Note the computer name of your B1500.
    This is required to set the same computer name again after System Recovery is completed. You can find it on System Properties displayed by [Control Panel] - [System].

  2. Note all user account if you added the accounts.
    This is required to add the same user accounts again after System Recovery is completed. You can check it on User Accounts displayed by [Control Panel] - [User Accounts].

  3. Make backup of data in the HDD. See "Data Backup and Recovery".

  4. Confirm the current revision of EasyEXPERT and prepare the same revision of the EasyEXPERT software installation package.


To Perform System Recovery

B1500 system recovery can be performed by the following procedure.

1. Set the B1500 Standby switch to the OFF position.

2. Disconnect all USB devices from the B1500.

3. Connect the USB keyboard to a USB port of the B1500.

4. Set the B1500 Standby switch to the ON position.

5. Before Windows boots up, press the F8 key to display the boot system selection menu.

6. On the boot system selection menu, select Keysight Recovery System, and press Enter key. To select the system, use arrow keys.

The Command Prompt window is opened. See Figure SR.

Where, 2 is not valid now. 3 should be entered for rebooting the B1500 without performing system recovery.

7. For the message “Enter a Choice:”, enter 1 and press the Enter key. Message will be displayed for asking if you allow to overwrite the C drive.

8. For the message, enter 1 and press the Enter key. System recovery starts.

After the recovery completes successfully, the Command Prompt window displays the message as shown in Figure SR1.

Enter 1 for rebooting the B1500.

Enter 2 for turning off the B1500.

9. Set the computer name and add the user accounts to the B1500 again. They must be the value noted at the step of "Preparation".

10. Perform "To Initialize Database".

11. Update EasyEXPERT to the latest revision. See "Updating EasyEXPERT".

12. Perform "To Restore Database".

Figure SR Keysight System Recovery Screen 1

Keysight Technologies System Utilities
Recovery Options

Choose one of the following:
-----------------------------------------------------------

1. Recover Factory Backup Image.
2. Update System.
3. Exit

-----------------------------------------------------------

Enter a Choice:

Figure SR1 Keysight System Recovery Screen 2

Choose one of the following:
-----------------------------------------------------------

1. Restart
2. Shut down

-----------------------------------------------------------

Enter a Choice:


To Initialize Database

EasyEXPERT database can be initialized by the following procedure. You can use EasyEXPERT after this procedure is completed.

  1. Exit Start EasyEXPERT.

  2. Rename D:\Agilent\EasyEXPERT\1 folder (EasyEXPERT database).

    Example:
    CHDIR /D D:\Agilent\EasyEXPERT
    RENAME 1 1-backup

  3. Create D:\Agilent\EasyEXPERT\1 folder.

    Example:
    MKDIR 1

  4. Copy all files and folders in the D:\Agilent\EasyEXPERT\Copy of 1 folder, and paste them to the D:\Agilent\EasyEXPERT\1 folder.

    Example:
    CHDIR Copy of 1
    COPY * ..\1


To Restore Database

EasyEXPERT database can be restored by the following procedure.

In the example shown in “To Initialize Database”, the EasyEXPERT database backup is the whole D:\Agilent\EasyEXPERT\1-backup folder. The database can be restored by using the data in this folder.

  • For EasyEXPERT revision A.02.10 and earlier

The database re-configuration tool is required. Obtain it from Keysight Technologies web site. For the execution procedure, see the README text file included in the package.

  • For EasyEXPERT revision A.02.11 and later

  1. Launch EasyEXPERT.

  2. Click [Options] - [EasyEXPERT Database] - [Restore EasyEXPERT Database] in the EasyEXPERT window.

  3. Follow the EasyEXPERT Database Restoration Wizard and complete the restoration of EasyEXPERT database. topic text here.


Updating EasyEXPERT

Note:

The latest version of the update package can be obtained from Keysight Technologies web site.

Note:

The revision A.03.20 or later does not require the administrator privilege. However, if the software is updated from a previous revision to the revision A.03.20 or later, it still requires the administrator privilege.

Preparation

For one of the following cases, prepare the Software Entitlement Certificate sheet provided with the B1500A-SWS, B1500AU-SWS, B1505A-SWS, or B1505AU-SWS.

  • If you use the Oscilloscope View function

  • If you update the EasyEXPERT to the revision A.05.50 or later

  • If you update the EasyEXPERT for PC to the revision A.05.50 or later, for controlling the B1500A or B1505A

And get the license file as described in the Software Entitlement Certificate sheet.

Procedure

1. Get EasyEXPERT update package.

2. Make a backup of EasyEXPERT database. See “To Make Database Backup”.

3. Install the required software described in README file included in the update package. If it is already installed, go to the step 4.

4. Update the EasyEXPERT by following the procedure described in the README file.

5. After the update is completed, make a backup of EasyEXPERT database.

If update fails

Perform the following procedure.

If EasyEXPERT could recover to the revision before starting the update procedure, skip the following step 1 to 2.

1. Perform system recovery. See “B1500 System Recovery”. This is not required for EasyEXPERT for PC software.

2. Update EasyEXPERT to the revision before starting the update procedure.

3. Restore the backup made by Procedure step 2. See “To Restore Database Backup”.

4. Perform Procedure step 3 to 5.


Performing a Clean Install of EasyEXPERT

This section explains how to clean install EasyEXPERT.

  1. Confirm the current revision of EasyEXPERT and get the same revision of the EasyEXPERT software installation package.

  2. Make a backup of the EasyEXPERT database. See "Data Backup and Recovery" for the procedure.

  3. Terminate the EasyEXPERT and logoff the Windows. And login again.

  4. By using the Explorer of Windows, move the folder for EasyEXPERT setup files. For example, move it to the Temp folder.

  5. By using the Control Panel of Windows, uninstall the EasyEXPERT software. If the multiple revisions have been installed, uninstall all revisions.

  6. By using the Explorer, delete the EasyEXPERT program folder.

    Operating System | Location
    Windows Xp, Windows Vista, Windows 7, or Windows 8.1 32bit | C:\Program Files\Agilent\B1500\EasyEXPERT
    Windows 7 or Windows 8.1 64bit | C:\Program Files (x86)\Agilent\B1500\EasyEXPERT

  7. Re-install the EasyEXPERT of the revision confirmed in the step 1. For more information see "To Install EasyEXPERT for PC".

  8. Confirm that the EasyEXPERT starts and works normally.

  9. Restore the database from the backup.

  10. If you need, restore your desired files from the folder moved in the step 4.


Error Codes

This section lists Keysight B1500 error codes and messages.

  • “Keysight EasyEXPERT Operation Error”

  • “Keysight FLEX Execution Error”

  • “Keysight B1500 Self-test/Calibration Error”

  • “Setup File Converter Execution Error”

  • “MDM File Converter Execution Error”

This document uses the following conventions.

<system drive>: Drive the EasyEXPERT has been installed

  • For Windows 7 64 bit version

<program folder>: <system drive>:\Program Files (x86)

<common data folder>: <system drive>:\ProgramData

  • For Windows 7 32 bit version or Windows Vista

<program folder>: <system drive>:\Program Files

<common data folder>: <system drive>:\ProgramData

  • For Windows XP

<program folder>: <system drive>:\Program Files

<common data folder>: <system drive>:\Documents and Settings\All Users\Application Data


Keysight EasyEXPERT Operation Error

When Keysight B1500 causes errors in Keysight EasyEXPERT execution environment, the B1500 returns the following error codes and error messages.

101001

Log repository operation failed.

101002

Log file operation failed.

101003

Log record operation failed.

102001

Service started successfully.

102002

Service stopped successfully.

102003

Service starting process failed. Contact your nearest Keysight Technologies Service Center.

102004

Service stopping process failed. Contact your nearest Keysight Technologies Service Center.

103001

USB488 error occurred. Alias: A, Reason: B

103002

USB488 device was not found. Alias: A, Reason: B

103003

USB488 timeout occurred. Alias: A, Timeout: B [ms]

103004

GPIB error occurred. Interface: A, Address: B, Reason: C

103005

GPIB address must be between 0 and 31. Interface: A, Address: B

103006

Duplicate GPIB address was found. GPIB address must be unique. Interface: A, Address: B

103007

GPIB device was not found. Interface: A, Address: B, Reason: C

103008

GPIB timeout occurred. Interface: A, Address: B, Timeout: C [ms]

104001

Module (A) is not available.

105001

Generic setup error occurred. Code: A, Reason: B

105002

Duplicate data name was found. Data name must be unique. Data name: A

105003

Operation is not supported in offline mode.

105004

Interlock circuit is open. Interlock circuit must be closed for setting voltage source/compliance absolute value exceeding 42V.

105005

Output series resistor cannot be used for SMU with ASU.

105006

Source wait time coefficient must be between A and B.

105008

Monitor wait time coefficient must be between A and B.

105010

Series resistor is not available for HPSMU using the 1 A range.

105011

I/V Staircase Sweep needs at least one monitoring channel.

105012

I/V Pulsed Sweep needs exactly one monitoring channel.

105013

I/V Sweep with pulsed bias needs exactly one monitoring channel.

105014

I/V-t Sampling needs at least one monitoring channel.

105015

C-V Sweep needs at least one monitoring channel.

105016

At least one measurement channel is required for Multi Channel I/V Sweep measurement.

105017

Only one measurement channel can be used for I/V-t linear sampling measurement of interval < 2 ms.

105018

Base hold time is not available for 4155B/C and 4156B/C. The value must be 0.

105020

Interlock circuit is open. Interlock circuit must be closed to set an output or compliance value greater than ± 40 V.

105021

Current source value of A must be between B A and C A.

105022

Voltage compliance value of A must be between B V and C V.

105023

Voltage source value of A must be between B V and C V.

105024

Current compliance value of A must be between B A and C A.

105025

Power compliance value of A must be between B W and C W.

105026

A power compliance must be OFF.

105027

Measurement unit emergency reset occurred. Code: A, Reason: B

105031

The product of voltage source value and current compliance value of A exceeds its output power range. Please set the current compliance value between B A and C A.

105032

The product of current source value and voltage compliance value of A exceeds its output power range. Please set the voltage compliance value between B V and C V.

105033

The polarity of peak value(s) and the base value of SMU current pulse must be the same.

105034

The start value and stop value of SMU log sweep must be non-zero and have same polarity for primary sweep source (and synchronous sweep source).

105035

Invalid value (A) was specified for SMU I/V Sweep stop condition. Valid option(s): B

A is not available for the setting of the sweep abort condition. Select one from the available choices B. If you use a formula, the calculation result must show the available value.

105036

The hold time for SMU I/V Sweep must be between A s and B s.

105037

The delay time for SMU I/V Sweep must be between A s and B s.

105041

Invalid value (B) was specified for current monitor ranging mode of A. Valid option(s): C

105042

Invalid value (B) was specified for current monitor range of A. Valid option(s): C

105043

Invalid value (B) was specified for current monitor ranging rule of A. Valid option(s): C

105044

Invalid value (B) was specified for voltage monitor ranging mode of A. Valid option(s): C

105045

Invalid value (B) was specified for voltage monitor range of A. Valid option(s): C

105046

Invalid value (A) was specified for the integral mode of High-Resolution ADC. Valid option(s): B

105047

The coefficient for High Resolution ADC A integral mode must be between B and C.

105048

Invalid value (A) was specified for the averaging mode of High-Speed ADC. Valid option(s): B

105049

The coefficient for High Speed ADC A averaging mode must be between B and C.

105050

Invalid value (A) was specified for the integral mode of ADC. Valid option(s): B

105051

Invalid value (A) was specified for the sweep direction. Valid option(s): B

105052

Invalid value (A) was specified for the sweep stop condition. Valid option(s): B

105053

Invalid value (A) was specified for the impedance measurement model. Valid option(s): B

105054

Hold time value must be between A s and B s.

105055

Delay time value must be between A s and B s.

105056

Voltage source value of A must be between B V and C V.

105057

Frequency value of A must be between B Hz and C Hz.

105058

Coefficient value of A integral mode must be between B and C.

105059

AC Level value of A must be between B mV and C mV.

105060

Invalid value (B) was specified for monitor ranging mode of A. Valid option(s): C

105061

SMU pulse period must be A s longer than the pulse width.

105062

Primary sweep source step value must be greater than the setup resolution.

105063

Synchronous sweep source step value must be greater than the setup resolution. Adjust the offset value and the ratio value, or change the primary sweep source settings.

105064

Compliance absolute value must be A A or greater if the channel is the SMU pulse source and the output value is B Vpp.

105065

Compliance value must be ± 2 V or less if the channel is the SMU pulse source and the output value is 0 A to 10 mA.

105066

Current compliance must be 100 mA for VSU.

105067

Power compliance must be OFF for VSU.

105071

Sampling interval for I/V-t sampling must be between A s and B s.

105072

Number of samples for I/V-t A sampling must be between B and C.

105073

Hold time for I/V-t sampling must be between A s and B s.

105074

Multiplying the number of monitor channels by No of Samples must be between A and B.

105075

Invalid value A specified for I/V-t sampling Lin/Log setting. Valid option(s): B

105076

Base hold time for I/V-t sampling must be between A s and B s.

105077

Invalid value A specified for I/V-t sampling output sequence. Valid option(s): B

105078

Sampling interval for I/V-t A sampling must be between B s and C s.

105079

Hold time for I/V-t A sampling must be between B s and C s.

105080

Hold time for I/V-t A sampling with interval of B s or longer must be between C s and D s.

105081

Hold time for I/V-t A sampling with interval shorter than B s must be between C s and D s.

105083

The number of VAR1 steps multiplied by the number of VAR2 steps must be between A and B in I/V Sweep, I/V List Sweep and Multi Channel I/V Sweep.

105091

List length of VAR1 sweep must be between A and B for the I/V List Sweep measurement. Length C is not applicable.

105092

List length of VAR2 sweep must be between A and B for the I/V List Sweep measurement. Length C is not applicable.

105093

List length of delay time must be between A and B for the I/V List Sweep measurement. Length C is not applicable.

105094

Time until the first step measurement, (hold time + delay time), must be between A and B s for the I/V List Sweep measurement using SMU pulse.

105095

A does not support current measurement.

105801

Invalid value A specified for Output Value after Measurement in the Advanced Setup dialog box. Valid option(s): B

105802

Invalid value A specified for Bias Hold after Measurement in the Advanced Setup dialog box. Valid option(s): B

105803

Bias hold function execution error. All channel outputs or voltage compliance must be at the allowable voltage for the interlock open condition or less to control the output switch or the series resistor.

105804

Bias hold function execution error. Output voltage or voltage compliance must be ± 40 V or less to control the output switch or the series resistor.

105811

Invalid value A was specified for Semiconductor Relays (B) of Advanced Setup. Valid option(s): C

105821

Invalid value A was specified for Type of SPGU Pulse Setup. Valid option(s): B, VName: C

105822

Invalid value A was specified for SW Sync of Pulse Switch Setup. Valid option(s): B, VName: C

105823

Invalid value A was specified for Normal of Pulse Switch Setup.. Valid option(s): B, VName: C

105824

Width value of Pulse Switch Setup must be between A s and B s. VName: C

105825

Width for pulse switch must be between A s and B s. VName: C

105826

Sum of Delay and Width of Pulse Switch Setup must be within Period value. VName: A

105830

Load Z value must be between A ohm and B ohm. VName: C

105831

Period value of SPGU Pulse Setup must be between A s and B s.

105832

PULSE COUNT value of SPGU Pulse Setup must be between A and B.

105833

DURATION value of SPGU Pulse Setup must be between A s and B s.

105834

Base value of SPGU Pulse Setup must be between A V and B V. VName: C

105835

Peak value of SPGU Pulse Setup must be between A V and B V. VName: C

105836

Delay value of SPGU Pulse Setup must be between A s and B s. VName: C

105837

Width value of SPGU Pulse Setup must be between A s and B s. VName: C

105838

Leading value of SPGU Pulse Setup must be between A s and B s. VName: C

105839

Trailing value of SPGU Pulse Setup must be between A s and B s. VName: C

105840

Leading * 1.25 must be within Width value. VName: A

105841

Sum of Delay, Width, and Trailing * 1.25 must be within Period value. VName: A

105842

Invalid value A was specified for PGU output impedance. Valid option(s): B, VName: C

105843

SPGU cannot be used for bias source of I/V-t linear sampling measurement of interval < 2 ms.

105844

|Peak-Base| value of PGU pulse must be between A V and B V. VName: C

105845

Period, Width, and Delay values of PGU pulse must be in the same setting range. And Leading and trailing values must be in the same setting range.

105846

SPGU cannot output the specified voltage. Change Load Z value or output voltage.

105901

Over voltage was applied to SMU measurement terminal.

105902

Over current was applied to SMU measurement terminal.

105903

Cannot use the specified module that failed self-test.

105904

A cannot be set to Additional Data Variables. Only the channels defined in Channel Definition can be set.

105905

Entry is already defined in Additional Data Variables. It is not necessary to redefine the entry. Unit: A, Type: B

105906

Variable name specified in Additional Data Variables is used for another variable. Specify a different name. Variable name: A

105907

FMT command’s first argument must be 13.

105908

Invalid Type value was found in the Additional Data Variables area. A test setup cannot contain both the type Re(Z) or Im(Z) and the type Re(Y) or Im(Y).

105909

Program memory number is out of range. Valid value: A to B Entered value: C

105910

Program memory variable number is out of range. Valid value: A to B Entered value: C

105911

Empty Command field was found in the Command Setup. A command must be entered in the Command field.

105912

Test execution error was detected. Check the parameter values of the command, and set the Arguments field again. Setup Name=A, Line Number=B, Command=C

105913

Incorrect usage of ST and END commands. Use them as a pair to store a command group into the program memory.

105914

Improper number of Arguments for the A command. Enter the Arguments correctly.

105915

A pulse base must be between B A and C A.

105916

A pulse peak must be between B A and C A.

105917

A pulse peak and base must be between B V and C V.

105918

A compliance must be between B V and C V.

105919

A compliance must be between B A and C A.

105920

A pulse peak * compliance exceeds its output power limit. Compliance must be between B V and C V.

105921

A pulse peak * compliance exceeds its output power limit. Compliance must be between B A and C A.

105922

A pulse delay time must be between B s and C s.

105923

A does not support pulse delay time. It must be 0.

105924

SMU pulse measurement delay time must be between A s and B s.

105925

SMU pulse averaging count must be between A and B.

105926

A pulse duty cycle must be B % or less if the pulse peak or compliance exceeds C A.

105927

A pulse width must be between B s and C s if the pulse peak or compliance exceeds D A.

105928

A pulse base must be between B A and C A if the pulse peak exceeds D A.

105929

A pulse peak and base must be same polarity if the pulse output exceeds B V.

105930

The coefficient for High Speed ADC TIME averaging mode must be between A s and B s.

105931

Invalid value A was specified for the series resistor of B. Valid option(s): C

105932

N1258A selector is not found.

105933

Communication with N1258A selector interrupted. Connect the cable properly.

105934

N1258A selector is turned off. Connect the power cable properly.

105935

N1258A selector can make an input-output path. Multiple input channels cannot be specified.

105936

Invalid value (A) was specified for SMU I/V sweep Linear/Log. Valid option(s): B

105937

Invalid value (A) was specified for C-V sweep Linear/Log. Valid option(s): B

105938

The start value and stop value of C-V log sweep must be non-zero and have same polarity.

105939

SMU cannot set the voltage or current exceeds Setting Limit defined in the SMU Output Setting Limits tab screen on the Configuration window.

105940

SMU pulse period must be A s longer than measurement delay time + measurement time. Measurement Delay Time: B s, Measurement Time: C s, Pulse Period: D s

105941

Measurement time must be equal to or less than pulse delay time + pulse width in case of AUTO measurement delay setting. Channel: A, Pulse Delay Time: B s, Pulse Width: C s, Measurement Time: D s

105942

SMU pulse period must be A s longer than pulse delay time + pulse width. Channel: B, Pulse Delay Time: C s, Pulse Width: D s, Pulse Period: E s

105943

Total setting current exceeds the capacity of main frame power supply. Reduce setting current.

105951

HCSMU detected open sense condition. Connect the cables properly between HCSMU and DUT, then use Kelvin connection.

105952

HCSMU detected overvoltage condition. HCSMU output terminals may be open. Connect the cables properly between HCSMU and DUT, then use Kelvin connection.

105953

MCSMU detected overvoltage condition. MCSMU output terminals may be open. Connect the cables properly between MCSMU and DUT, then use Kelvin connection.

105960

Module set to the HCSMU field on the Module Selector tab screen cannot be set to the Master HCSMU or Slave HCSMU field on the Dual HCSMU Combination tab screen. Empty the HCSMU field and then set the Dual HCSMU Combination tab screen.

105970

N1265A Ultra High Current Expander / Fixture is not found.

105971

Communication with N1265A Ultra High Current Expander / Fixture interrupted. Connect the cable properly.

105972

N1265A Ultra High Current Expander / Fixture is turned off. Connect the power cable properly and check the power switch.

105973

N1265A Ultra High Current Expander / Fixture can make an drain input-output path. Multiple drain input channels cannot be specified.

105974

Same SMU cannot be specified for V Control SMU and I Control SMU of N1265A Ultra High Current Expander / Fixture.

105975

Failed to read correction data from EEPROM of N1265A Ultra High Current Expander / Fixture. Default values for correction data will be applied.

105976

Over voltage is detected in Selector Output High Force, Low Force, or Low Sense terminal of N1265A. Remove the causes of overvoltage.

105977

Over voltage is detected in Selector Output High Sense terminal of N1265A. Remove the causes of overvoltage.

105978

Pulse width overrun is detected in N1265A. Check the assignment of control modules.

105979

Cooling fan failure is detected in N1265A. Check the operation of the fan.

105980

N1266A HVSMU Current Expander is not found.

105981

Communication with N1266A HVSMU Current Expander interrupted. Connect the cable properly.

105982

N1266A HVSMU Current Expander is turned off. Connect the power cable properly and check the power switch.

105983

N1266A HVSMU Current Expander can make an input-output path. Multiple input channels cannot be specified.

105984

Same SMU cannot be specified for V Control SMU and I Control SMU of N1266A HVSMU Current Expander.

105985

Failed to read correction data from EEPROM of N1266A HVSMU Current Expander. Default values for correction data will be applied.

105986

N1265A Self-test failed. Code: A, Reason: B
Confirm the connection of the control modules and perform the self-calibration of the modules. Then try the self-test again.

105987

N1265A Self-calibration failed. Code: A, Reason: B
Confirm the connection of the control modules and perform the self-calibration again.

105988

N1266A Self-test failed. Code: A, Reason: B
Confirm the connection of the control modules and perform the self-calibration of the modules. Then try the self-test again.

105989

Cannot use the N1258A/N1265A's series resistor for HVSMU when the HVMCU is used.

105990

N1268A Ultra High Voltage Expander is not found.

105991

Communication with N1268A Ultra High Voltage Expander interrupted. Connect the cable properly.

105992

N1268A Ultra High Voltage Expander is turned off. Connect the power cable properly and check the power switch.

105993

Same SMU cannot be specified for V Control SMU and I Control SMU of N1268A Ultra High Voltage Expander.

105994

A is already used in B.

105995

Diagnosis failed. Code: A, Reason: B
Confirm the connections of modules and the connections of output terminals. Then try the diagnosis again.

105996

Diagnosis failed. Code: A, Reason: B
Confirm the connections of modules and the open condition of output terminals. Then try the diagnosis again.

105998

Main frame reset occurs.

105999

Digital I/O devices are turned off. Connect the power cable properly and check the power switch.

106001

Logon request was rejected. The number of Logons already reaches the limit of the software regulation. Restart EasyEXPERT. If this does not solve the problem, restart the B1500.

107001

Workspace management error was occurred.

107002

Workspace was not found. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

107003

Workspace could not be loaded. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

107004

The request to load or create Workspace was rejected. Workspace is already active. Close the present Workspace and open the Workspace again.

107005

The operation cannot be executed because Workspace is in use now. Close the present Workspace and open the Workspace again.

107006

The workspace name is conflicting. It must be unique in system. Specify the correct Workspace name.

107011

Cannot import Workspace. Specified file is not effective for Workspace.
Specify the effective file. Path: A

107012

Cannot import Workspace. Specified file is not supported by this EasyEXPERT.
EasyEXPERT must be updated to the revision A or later to import this file. Path: B

107013

Failed to import Workspace. Refer to the detail message, and retry after taking necessary measures. Path: A

107014

Failed to export Workspace. Refer to the detail message, and retry after taking necessary measures. Path: A

108001

Function Library management error occurred.

108002

Function Library function has not been configured correctly or is not running. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108003

Invalid Function Module assembly file. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108004

Invalid Function Module. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108005

Function Module was not found. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108006

Function Module is inaccessible because it has been removed. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108007

The same process is running now. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108008

Profile was not found. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108009

Profile could not be loaded. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108010

The request to load or create Profile was rejected. Profile is already active. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108011

Invalid Function Module for this EasyEXPERT revision. Module ID: A, Path: B

Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108020

An I/O error occurred during Function Library operation. Path: A

Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108021

Function Module read error. Path: A

Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

108022

Function Module save error. Path: A

Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

109001

Auto calibration is in progress.

109002

CMU phase compensation failed.

109011

CMU open correction failed.

109012

The value of standard for CMU open correction must be finite as admittance.

109021

CMU short correction failed.

109022

The value of standard for CMU short correction must be finite as impedance.

109031

CMU load correction failed.

109032

The value of standard for CMU load correction must be finite in impedance (non-zero as admittance).

109041

Cannot define multiple standby settings for a SMU. Channel: A

109051

Direct Control execution status. Sweep measurement was aborted by the automatic abort function or the power compliance. Test setup: A

109052

Direct Control execution status. Quasi-static CV measurement was aborted by the automatic abort function. Test setup: A

109053

Direct Control execution status. Search measurement was aborted by the automatic abort function. Test setup: A

109054

Direct Control execution status. Sampling measurement was aborted by the automatic abort function. Test setup: A

109061

Duplicate SMU assignment was found. SMU assignment must be unique. SMU: A

110001

Configuration query completed.

111001

Data name (A) is invalid.

111002

Function name (A) is invalid.

111003

Function name (A) duplicates other data/function name.

111004

Definition expression of function (A) is invalid. expression: B

111005

The data (A) assigned with the data (B) is not defined.

111006

The data (A) assigned to the data (B) is not defined.

111007

The data (A) cannot be assigned to the data (B) for the mismatch of their types.

111008

Recursive definition is not allowed for function (A). Expression: B

111011

Vector data expression is expected. Expression: A

111012

Numeric expression is expected. Expression: A

111013

String expression is expected. Expression: A

111014

Descriptor expression is expected. Expression: A

111015

Module descriptor expression is expected. Expression: A

111016

ALWaveform type expression must be entered. Expression: A

111021

Test setup name cannot be an empty string.

111022

Test setup name must be A characters or less.

111031

Assign module parameter for ALWaveform type parameter.

111032

ALWG Pattern Name must be entered.

111033

Invalid character is included in Name of module parameter assigned for ALWaveform type parameter. Module name: A, Invalid character: B

111034

Invalid character is included in ALWG Pattern Name. ALWG pattern name: A, Invalid character: B

111035

No sequence is defined in the ALWG waveform data. Define one column or more.

111036

Pattern is not defined in the ALWG waveform data for the output channel A. Specify a pattern.

111037

ALWG waveform data contains an invalid pattern. Name of the invalid pattern: A

111038

ALWG waveform data memory overflow. Delete unnecessary columns or points in a pattern, and increase free space. Output channel: A, Required space: B, Maximum space: C

112001

Output function must be constant for the unit (A) in common mode.

112002

Output function (A) must be assigned to any unit.

112003

Output function (A) cannot be assigned to multiple units (B and C).

112004

Pulse mode cannot be assigned to multiple SMUs (A and B).

112005

I/V mode of the primary sweep source and synchronous sweep source must be the same.

112006

Duplicate channel data name was found. Channel data name must be unique. Channel data name: A

112007

Duplicate channel unit assignment was found. Channel unit assignment must be unique. Channel unit: A

112008

No channel unit was assigned. At least one channel unit must be assigned.

112009

Function (A) can be used for a maximum of B channel(s) in the C mode.

112010

All SPGU channels must be set to the same output mode, VPULSE or ALWG.

112011

SMU descriptor expression is expected. Expression: A

112012

CMU descriptor expression is expected. Expression: A

112013

SPGU descriptor expression must be entered. Expression: A

112014

Mode must be V or COMMON for VSU (A).

112015

VMU (A) must be defined as a constant current source.

112016

Mode must be COMMON for GNDU.

112022

No CMU was assigned. At least one CMU must be assigned.

112023

No SMU was assigned. At least one SMU must be assigned.

112024

At least one SPGU must be used for SPGU Control.

112051

Auto analysis operation failed.

112052

Invalid value A specified for the switching matrix input setting. Specify a string, string variable, or module variable defined in the test definition or test setup.

112053

Enter a value for numeric variable A, used to specify the switching matrix output channel.

112054

A switch setup named A is already in the preset group B. The switch setup name must be unique in a preset group.

112055

A preset group named A already exists. The preset group name must be unique.

112056

Enter a name for the switching matrix setup.

112057

Maximum length for a switching matrix setup name is A characters.

112058

Read Switch Setup operation failed. Set the switching matrix configuration mode to Normal. Could not read the setup for connecting multiple input ports to a output channel.

112060

Specified connection pattern is not available for the couple port A, B.

112061

Input port A uses a shared path. The path is currently connected to the other input port. The specified connection is not available.

112071

Invalid Unit value was entered in the Channel Definition area. A test setup cannot use multiple units connected to the SCUU. Invalid entry: Unit=SMU A

112072

Invalid value A was specified for Enable/Disable of I/V-t Sampling Stop Condition. Valid option(s): B

112073

Invalid value A was specified for Name of I/V-t Sampling Stop Condition. Valid option(s): B

112074

Invalid value A was specified for Event of I/V-t Sampling Stop Condition. Valid option(s): B

112075

Invalid function was used in the definition of variable specified by Name of I/V-t Sampling Stop Condition.

112100

ALWG waveform data for A was not found. Set data of the ALWaveform type parameter properly.

112101

Multiple ALWG waveform data are specified for A. Set Properties of the ALWaveform type parameter properly.

112102

Primary sweep source of C-V Sweep must be V mode.

112103

A does not support B mode.

113001

Category name length must be in range of A to B characters.

113002

Application test definition name cannot be an empty string.

113003

Application test definition of the same name is already existing. Test definition: A Test categories: B

113011

Duplicate parameter name was found. Parameter name must be unique. Parameter name: A

113012

Duplicate typical value A is assigned. Each typical value must be unique for a numeric parameter.

113013

Symbol must not be an empty string.

113014

Symbol A is duplicated. Symbol must be unique for a numeric parameter.

113015

Same value A is assigned to symbols B and C. Each symbol must have unique value for a numeric parameter.

113016

Duplicate typical value A is assigned. Each typical value must be unique for a string parameter.

113017

Empty string is not allowed for the symbol.

113018

Symbol A is used for another vector parameter. Specify a different symbol.

113021

The type of evaluated value does not match the type of parameter A.

113022

Value for numeric parameter is out of range. Value must be in range. Parameter name: A Parameter value: B Parameter range: from C to D

113023

Value for string parameter is not contained in the enumeration. Value must be a member of the enumeration. Parameter name: A, Parameter value: B, Enumeration: C

113024

Value for module parameter is invalid or is not compliant to the resource type of the parameter. Parameter name: A, Parameter value: B

113025

Improper value specified for the vector parameter. The value must be within the following range.
Restriction: A, Specified value: B, Effective range: C to D

113031

Test setup A depends on an undefined application test B. Please import the application test B in advance.

114001

A preset group named A already exists. The preset group name must be unique.

114002

Unnamed preset group cannot be exported. Please name the preset group in advance.

114011

A test setup named A is already in the preset group B. The test setup name must be unique in a preset group.

114012

A test setup named A cannot be retrieved in the preset group B. Probably it had already been modified or deleted.

114021

Following test result record cannot be retrieved. Probably it had already been deleted. Test result record: A

114031

Change the file name in the File Name Format dialog box. Following elements can be used in the file name.

A Setup Name
B Date (Time stamp)
C Count
D Device ID
E Flag
F Remarks

114032

Change the file name in the File Name Format dialog box. Specified value contains an invalid character. Specified file name: A, Invalid character: B

114101

File I/O error occurred during automatic data export. Refer to the detail message, and retry after taking necessary measures.

114102

Specify the folder path in the Test Results Data Auto Export dialog box.

114103

Change the folder path in the Test Results Data Auto Export dialog box. Specified value contains an invalid character. Specified folder path: A

114104

Folder creation failed during automatic data export. Specify the correct drive letter and folder path in the Test Results Data Auto Export dialog box.

114105

Change the file extension in the Test Results Data Auto Export dialog box. Specified value contains an invalid character. Specified file extension: A

114106

Data file creation failed during automatic data export. Refer to the detail message, and retry after taking necessary measures.

114107

Index file creation failed during automatic data export. Refer to the detail message, and retry after taking necessary measures.

114151

Specify the XML Style Sheet File Path in the Test Results Data Auto Export dialog box.

114152

Change the XML Style Sheet File Path in the Test Results Data Auto Export dialog box. Specified value contains an invalid character. Specified path: A

115001

There is no working test setup. First preset the test setup.

115011

The application test A depends on an undefined application test B. Import the application test B in advance.

115021

Test setup import operation failed. Probably the imported contents are not a test setup.

115022

Test setup conversion failed. Setup A is not available for the tests that use the model B.

115031

Failed to invoke A.

115032

Repeat execution was aborted.

115041

Standby state was changed to OFF due to high voltage related error.

115042

Standby state was automatically changed to OFF by the measurement unit emergency reset.

116001

Connected model not supported by EasyEXPERT for PC. Only model A is supported. Connected model: B (address: C)

116002

B1500A/B1505A firmware revision A is not supported by this revision of EasyEXPERT. Only revisions B and later are supported.

116003

Invalid argument specified for /gpib. Specified argument: /gpib:A Example argument (valid): /gpib:gpib0::17

116004

EasyEXPERT for PC does not support 4155/56 firmware revision A. Update the firmware to the revision B or later.

117001

Enter another label for the switching matrix input port. A is already used for another port.

117002

Do not use a colon (:) in the label for a switching matrix input port.

117003

Connect the switching matrix to use this function. To establish the GPIB connection, set the GPIB address on the Configuration window’s Switching Matrix tab, and click the Poll button.

117004

Invalid value A for the switching matrix output channel. Value must be between B and C.

117005

A to B is not a valid range for the switching matrix output channels. Use positive integers, with the first value no greater than the second.

117006

Switching matrix close error. Enter odd numbers to specify output channels connected to couple input port A.

117007

Switching matrix open error. Enter odd numbers to specify output channels connected to couple input port A.

117008

Switching matrix input port A is a couple input port. Enter A-1 to specify the couple port.

117009

swmToModule(A) execution failed. Specified port number is out of the valid range (1 to 14). Otherwise, an invalid resource name has been defined in the switching matrix input port configuration. Enter the port number for an input that has a valid resource name.

117010

Switching matrix command execution error. B2200 error code: A
B2200 error message: B

117011

Connected model not supported by EasyEXPERT. Only model A is supported. Connected model: B

117012

Capacitance compensation data file read error. Specified file is either corrupt, or is not a compensation data file.

117014

Cannot control the switching matrix. It is controlled by the other tool.

120000

Script program execution error.

120001

Duplicated variable name used. Change the name of the variable. In a script program, the local variable name must be unique.

120002

Script program execution is aborted. Program execution paused by clicking the Pause button. This is the status message in normal operation.

120003

Script program execution ended abnormally. Program execution stopped by an illegal operation or statement. For more information, click the Detail button.

120004

An error forced by ERROR statement. Program execution stopped by the ERROR statement. This is the status message in normal operation.

120005

Invalid value detected in flow control statement. Correct the IF, FOR, or other flow control statement. Inappropriate expression used in the statement.

120006

Pasting program component failed. Specified program components cannot be pasted to the specified place. Cut or copy the appropriate program components, and paste them to the appropriate place.

120007

Variable type mismatch detected for assigning. Enter the appropriate value to the variable. Data type must be the same.

120008

Unknown program component imported. Keyword Prefix: A, Keyword: B

Data import was completed for an application test definition that contains a statement to call a test definition not in this system. Then the statement was automatically commented out. Before importing the test definition, import the test definition to be called.

121000

Plug-in execution error.

121001

Plug-in execution aborted. Plug-in execution paused by clicking the Pause button. This is the status message in normal operation.

121002

Plug-in execution ended abnormally.

122000

Script Error.

122001

Operator located in wrong place. Operator: A

Correct the expression. Put the operator in the correct place.

122002

Invalid expression is specified in user function definition. User function: A, Expression: B

Correct the expression B defined in the user function or analysis function A. Click the Detail button for more information.

122003

Bracket Mismatch. Add or delete parenthesis. Parentheses must be paired.

122004

Invalid expression is specified for function argument. Function: A, Argument: B

Correct the expression defined for the argument B of the function A. Click the Detail button for more information.

122005

Invalid type of data is specified as function argument. Correct the data type of the variable used for the argument. Or change the variable that is the same data type as the argument.

122006

Incorrect data is specified as function argument.

122007

Specified argument is out of range. Correct the value of the argument. The value must be within its allowable range.

122008

Invalid character is used for system symbol. System symbol: A, Invalid character: B

122009

Invalid character is used for user defined symbol. User defined symbol: A, Invalid character: B

Use the characters available for the user defined symbol.

122010

Missing operator. Index: A

Correct the expression. Put the operator on the correct place.

122011

Missing operand. Index: A

Correct the expression. Number of operands must be one for the monomial operators, and two for the binomial operators.

122012

Operand Type Mismatch. Operator: A

Correct the expression. The type of operands used in the expression must be the same.

122013

Undefined Symbol is used. Symbol: A

Correct the expression. Symbols must be defined before using them in the expression.

122014

Function failed to call. Function: A

Failed to call the function A. For more information, click the Detail button.

122015

Number of vector data elements must be A or less.

123000

Only literal value can be specified here. Invalid character is entered in the Variable Inspector. Enter the correct variable name.

130001

Transport function error occurred.

130002

A target package was not found. Cannot import data because of invalid file format or corrupted file. Specify correct file.

130003

The package is unusable because it includes incorrect data. Cannot import data because of invalid file format or corrupted file. Specify correct file.

130004

Package data is insufficient for this process. Cannot import data because of invalid file format or corrupted file. Specify correct file.

130005

File I/O error. Cannot find or access the package file.

130011

Data import failed. Data may be incompatible or corrupt. Data: A

131001

Conversion function error occurred.

131002

Invalid style sheet. Cannot export data (to CSV or XMLSS) because of invalid file format or corrupted file. Specify correct file.

131003

Invalid XML document. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

131004

Conversion process failed. Cannot export data (to CSV or XMLSS) because of invalid file format or corrupted file. Specify correct file.

131005

File I/O error. Cannot access the target file.

132001

Command interface error occurred.

132002

The process failed to execute the specified external command. Confirm that the file is in the system path, and specify the correct file name. Otherwise the file might have a problem.

133001

GPIB interface error occurred.

133002

Internal error occurred during GPIB operation. GPIB interface might be defective.

133003

The GPIB operation failed to complete within the specified timeout period. Set the correct timeout value. GPIB interface might be defective.

133004

The specified expression does not match any device, or the GPIB resource was not found. Set GPIB address properly. GPIB interface might be defective.

133005

The specified GPIB resources are invalid. Set GPIB address properly.

133006

The specified GPIB address value is invalid. Set the correct GPIB address of the GPIB device.

133007

The specified GPIB interface number value is invalid. Set the correct GPIB interface number of the GPIB device.

133008

The specified timeout value is invalid. Set the proper timeout value.

133009

The specified delimiter characters are invalid. Set the proper delimiter value.

133010

Install Keysight IO Library.

133011

The specified GPIB address A is assigned to the B1500. Specify the value assigned to the other equipment. Cannot control the B1500.

134001

Dialog box interface error occurred.

134002

The process failed to activate the message-box window. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

134003

Message-box is already registered in the system. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

134004

Message-box function is not available because it is unregistered. Restart Keysight B1500. If the problem still occurs, contact your nearest Keysight Technologies Service Center.

134005

The message-box configuration with no button information is invalid. Define the message box properly.

135001

No value is entered in this field. Enter the appropriate value in this field.

140001

Specified value range from A to B of the axis “C” is not valid. Specified value is out of the range for the “C” axis. Enter the available value.

140002

Specified scale type “A” of the axis “B” is not valid. Set the scale type to LINEAR or LOG.

140003

Data for Auto Analysis is not found. Cannot find the data that satisfy the automatic analysis condition. Specify the analysis condition properly.

140004

Data Display Operation has not completed within specified time (A seconds). Cannot complete the graph plot, automatic analysis, or data display properly. Internal error.

140005

Invalid operation for the stream occurred. Internal error.

140006

Duplicate data name was found. Data name must be unique. data name: A

140007

No printers installed.

140008

Operation for printing failed. Perform printer setup properly.

140009

Failed to evaluate the read out function “A”.

140010

Enable the X-Y Graph to use this read out function.

140011

Define the axis A to use this read out function.

140012

There is no data for this read out function.

140013

Font size must be between A and B.

140014

Number of texts exceeds the limit. Maximum of A texts are allowed.

140015

Number of pointers exceeds the limit. Maximum of A pointers are allowed.

140016

Invalid value included in data specified by the marker. Pointer could not be added.

140017

Available number of decades for the log scale must be between A and B.

140101

Scalar data A is not found. Calculation failed. Scalar data A does not exist. Change the test definition so that the data is set before it is called.

140102

Vector data A is not found. Calculation failed. Vector data A does not exist. Change the test definition so that the data is set before it is called.

140103

Invalid value (A) was specified for axis scale. Valid option(s): B

141001

Maximum A Data Display windows can be opened other than the base window. Cannot open additional Data Display window because the number of opened windows reaches the limit. Close an unnecessary window to open a new window.

141002

Maximum A Base Data Display windows can be opened.

151001

Maximum A Data Display windows can be opened other than the base window.

151002

Test execution mode cannot be changed during the test.

151003

Up to A data traces can be displayed in the Data Display window.

151004

Repeat Measurement Setup is not available when Data Record is OFF.

151005

Thermo-trigger list must be defined.

151006

Thermometer channel must be enabled.

161001

Number of test definition windows must be A or less.

170001

Archive process failed. Reason: A

171001

Data compression failed. Program error. Contact Keysight Technologies.

171002

Specify a correct file for the import. Specified file is either unsupported or corrupt.

171003

File I/O failed during compressed data export. Could not access destination file. Specified file is either unsupported or corrupt. Specify a correct file for the export.

171004

Compression process or decompression process failed. Specified file is either unsupported or corrupt. Specify a correct file for the export or import. It may also be a program error.

200001

Select from the candidates. Specify the value from the choices for this field.

200002

Input a numeric value. The value must be numeric. Enter a numeric value.

200003

Number of grid data elements must be A or less.

200004

Data paste failed. Data format is unsupported or incorrect.

200005

Data paste failed. Data of size A´B cannot be pasted to position C,D. It must be pasted to a range of E´F.

201001

Failed to load image data. File A may not be an image file.

202001

The name A already exists.

300001

SDA daemon is already running.

300002

SDA daemon configuration file is corrupt. Check the file <common data folder>\Agilent\EasyEXPERT\Daemon\StaDaemon.log.

300003

Specify a correct folder for the EasyEXPERT database. Specified folder not found.

300004

Moving of EasyEXPERT database failed. Refer to the detail message, and retry after taking necessary measures.

300005

Another user is running EasyEXPERT. EasyEXPERT does not support "switching user".

300011

SDA daemon failed to start FLEX command service.
path: A, arguments: B, reason: C

300012

FLEX command service was stopped by SDA daemon. After closing Keysight Connection Expert, launch Start EasyEXPERT or restart B1500.

300021

SDA daemon failed to start SDA service.
path: A, arguments: B, reason: C

300031

SDA daemon failed to start SDA shell.
path: A, arguments: B, reason: C

300041

SDA daemon failed to start model name inspection process. Path: A, Arguments: B, Reason: C

300042

Model name inspection failed. Set VISA interface ID and GPIB address correctly, or connect the GPIB cable properly. Reason: A

300051

SDA daemon failed to start database recovery process. Path: A, Arguments: B, Reason: C

300052

Database recovery failed. Contact Keysight Technologies. Reason: A

300101

Error occurred during inspection for the specified EasyEXPERT database. Path: A

See the log file <common data folder>\Agilent\EasyEXPERT\Daemon\StaDaemon.log if needed.

300102

The specified EasyEXPERT database is broken. Initialize the database or restore the normal database backup. Path: A, Reason: B

300103

EasyEXPERT database backup file (.xdb) is broken. Cannot restore this backup. Path: A

300104

Insufficient free space of HDD. Drive: A Present Free Space: B bytes Required Free Space: C bytes

Retry the operation after increasing free space. Free space can be increased by deleting unnecessary files, compressing folders, and so on.

300105

EasyEXPERT database is not in the specified drive A. Specify a folder on the drive B where the EasyEXPERT database exists.

300106

The specified backup contains the EasyEXPERT database contents for another revision. Specify the other backup. Contents: A

300107

The specified backup does not contain the file or folder needed to restore the database. Specify the other backup. Contents: A

300108

The specified backup contains the database that is created by the EasyEXPERT revision A. It cannot be supported by the present revision. Specify the other backup.

300109

EasyEXPERT database backup extraction error. See the log file <common data folder>\Agilent\EasyEXPERT\Daemon\StaDaemon.log if needed. Backup restoration is canceled, and the present EasyEXPERT database remains the same.

300110

Folder delete error. Delete the folder in the following path manually. Path: A

300111

EasyEXPERT database backup restoration error. Database could not be replaced with the backup. See the log file <common data folder>\Agilent\EasyEXPERT\Daemon\StaDaemon.log if needed. Source: A, Destination: B

If Source shows the EasyEXPERT database folder name, the database remains the same.

If Destination shows the EasyEXPERT database folder name, the database is broken. Restore the previous database by renaming the temporary database folder named 1.tmp1A and such.

300112

Application Library update error. Information: A

300113

The specified backup is not complete. Evidence of deletion was detected. Specify the other backup.

300114

The specified folder is not empty. Specify an empty folder.

300115

Folder deletion was canceled. The folder is left to the following path. Path: A

300116

EasyEXPERT database backup extraction was canceled. The extracted files were deleted.

300117

Folder copy was canceled. The copied files were deleted.

400001

Failed to load inf.dat file. Path: A, Description: B

400002

Cannot access EasyEXPERT database. Path: A, Description: B

400003

The specified EasyEXPERT database contains the contents for another revision. Path: A, Description: B

400004

The specified EasyEXPERT database has the incorrect structure. Path: A, Description: B

400005

Failed to load dir file. Path: A, Description: B

400006

Cannot access EasyEXPERT database library directory. Path: A, Description: B

500011

License device not found. Connect the license device for EasyEXPERT properly. Feature: A, Error: B

500012

License device busy. Try again later. Feature: A, Error: B

500021

License for this feature is locked. Try again later. Feature: A, Error: B

500022

Unlicensed feature found. Feature: A

500023

Unknown license information for this feature. The software revision may be too old. Feature: A

500024

You need the license to use this function. Function: A, Required Option: B

500031

License authentication error. Feature: A, Reason: B

500032

License authentication failed. Feature: A, Reason: B


Keysight FLEX Execution Error

When Keysight B1500 causes errors in Keysight FLEX command execution environment, the B1500 returns the following error code and error message.

100

Undefined GPIB command.

Send the correct command.

102

Incorrect numeric data syntax.

Correct the data syntax.

103

Incorrect terminator position.

Correct the command syntax. The number of parameters will be incorrect.

104

Incorrect serial data syntax.

120

Incorrect parameter value.

Correct the parameter value.

121

Channel number must be 1 to 10.

Correct the channel number. The channel number must be 1 to 10 for Keysight B1500.

122

Number of channels must be corrected.

Check the MM, FL, CN, CL, IN, DZ, or RZ command, and correct the number of channels.

123

Compliance must be set correctly.

Incorrect compliance value was set. Set the compliance value correctly.

124

Incorrect range value for this channel.

Check the range value available for the channel, and correct the range value.

125

Search goal value must be less than compliance value.

126

Pulse base and peak must be same polarity.

The polarity of the base and peak values must be the same in the PI command. Also the polarity of the base, start, and stop values must be the same in the PWI command.

130

Start and stop must be same polarity.

For a log sweep, the polarity of the start and stop values must be the same in the WV, WI, WSV, WSI, or WNX command. Also, 0 is not allowed for the start and stop values.

140

Invalid setup

Check the setup required for the specified function and set it properly.

150

Command input buffer is full.

Keysight B1500 can receive 256 characters maximum including the terminator at one time.

151

This command is not allowed to this channel.

152

Cannot use failed module.

The channel number specifying the module failed the self-test or calibration. Specify another module that passed the self-test or calibration. For the service purpose, execute the RCV command to enable the module.

153

No module for the specified channel.

Module is not installed in the slot specified by the channel number.

154

Cannot recover this module.

The specified module cannot recover from the fail status. It may be defective.

155

Module initialization failed.

The specified module failed the initialization. It may be defective.

160

Incorrect ST execution.

The internal memory programming can be started by the ST command and completed by the END command. Do not enter the ST command between the ST command and the END command.

161

Incorrect END execution.

The internal memory programming can be started by the ST command and completed by the END command. Do not send the END command before starting the programming.

162

Incorrect command for program memory.

Specified command cannot be stored in the program memory. For the incorrect commands, see Programming Guide.

170

Incorrect usage of internal variable.

The internal variable must be %In for integer data, or %Rn for real data. where n is an integer, 0 to 99. Use %In for the integer type command parameters; and use %Rn for the real type command parameters. For the internal variables, see the VAR command of Programming Guide.

171

Internal variable is not allowed.

The internal variables %In and %Rn are not available for the ACH, VAR, and VAR? commands. Do not use the internal variables for the commands.

200

Channel output switch must be ON.

To enter the specified command, set the channel output switch to ON.

201

Compliance must be set.

To change the source output mode (voltage or current), set the compliance value.

202

Interlock circuit must be closed.

To set the output voltage or the voltage compliance to more than the allowable voltage for the interlock open condition (high voltage state), close the interlock circuit. If the interlock circuit is opened in the high voltage state, outputs of all units will be set to 0 V.

203

Cannot enable channel.

The channel output switch cannot be set to ON in the high voltage state. Set the output voltage or the voltage compliance to the allowable voltage for the interlock open condition or less to set the switch to ON.

204

Cannot disable channel.

The channel output switch cannot be set to OFF in the high voltage state. Set the output voltage or the voltage compliance to the allowable voltage for the interlock open condition or less to set the switch to OFF. Or send the CL command with no parameter to set switches of all channels to OFF immediately.

205

DZ must be sent before RZ.

The RZ command is effective for the channels set to 0 V output by the DZ command.

206

Do not specify the channel recovered by RZ.

Specify the channels that have not been recovered yet by the RZ command after the DZ command. The RZ command cannot be executed if the specified channels include a channel that has already been recovered by the RZ command.

210

Ext trigger could not start measurement.

External trigger cannot start measurement because of busy condition.

211

TM1 must be sent to use GET.

Send the TM1 command to use the GPIB GET command (TRIGGER statement in HP BASIC).

212

Compliance must be set correctly.

Compliance was not set or an incorrect compliance value was set in the DV, DI, PV, PI, PWV, PWI, TDV, TDI, LSV, LSI, LSSV, LSSI, BSV, BSI, BSSV, or BSSI command. Set the compliance value correctly.

213

Cannot perform self-test or calibration.

Self-test and calibration cannot be performed in the high voltage state. Set the output voltage or the voltage compliance to the allowable voltage for the interlock open condition or less to perform the self-test or calibration.

214

Send MM before measurement trigger.

Before sending the measurement trigger, the MM command must be sent to set the measurement mode.

217

Self-test is not defined for this module.

218

Cannot change output range.

The specified module failed the output range change. The output is set to the initial condition 0 V and 100 mA.

219

Channel output switch must be OFF.

The channel output switch must be OFF before executing the specified command.

220

Send WV or WI to set primary sweep source.

Before triggering the staircase sweep measurement, triggering the staircase sweep with pulsed bias measurement, or sending the WSV, WSI, or WNX command to set the synchronous sweep source, send the WV or WI command to set the primary sweep source.

221

Send PWV or PWI to set pulse sweep source.

Before triggering the pulsed sweep measurement, or sending the WSV or WSI command to set the synchronous sweep source, send the PWV or PWI command to set the pulse sweep source.

222

Send PV or PI to set pulse source.

Before triggering the staircase sweep with pulsed bias measurement, send the PV or PI command to set the pulse source.

223

Compliance must be set correctly.

Compliance was not set or an incorrect compliance value was set in the WV, WI, WSV, WSI, WNX, or BDV command. Set the compliance value correctly.

224

Sweep and sync output modes must be the same.

The primary sweep channel and the synchronous sweep channel must be different, and they must be set to the same output mode (voltage or current).

225

Send WSV, WSI, or WNX to get sync sweep data.

If you enable data output of the synchronous sweep source, do not forget to set the synchronous sweep source by the WSV, WSI, or WNX command. For data output, see the FMT command of Programming Guide.

226

Set linear sweep for MM4 or MM5.

Only the linear sweep is available for the PWV or PWI command for the pulsed sweep measurement (MM4) or the WV or WI command for the staircase sweep with pulsed bias measurement (MM5).

227

Sweep measurement was aborted.

Sweep measurement was aborted by the automatic abort function or the power compliance.

228

Pulse period is not set for pulse measurements.

230

Pulse source must be set.

To perform the pulsed spot measurement (MM3), send the PV or PI command to set the pulse source.

231

Compliance must be set correctly.

Compliance was not set or an incorrect compliance value was set in the PV, PI, PWV, or PWI command. Set the correct compliance value effective for the pulse output.

232

Invalid pulse output setup

Check the pulse output setup and set the correct value.

233

Invalid pulse timing setup

Check the pulse timing parameters and set the correct values.

238

Too large pulse width (max. 2 s).

The maximum value of the pulse width is 2 s. And the available value depends on the pulse period value. See the PT command of Programming Guide.

239

Pulse width must be 0.01 ms or more.

Set the pulse width to 0.01 ms or more. See the PT command of Programming Guide.

240

Enter QSV to set QSCV sweep source.

The QSV command must be entered to set the sweep source of the quasi-static CV measurement.

241

QSR range value must be -9 to -14.

The range values available for the QSR command are -9 to -14. Set one of the available values.

242

QSCV measurement was aborted.

Quasi-static CV measurement was aborted by the automatic abort function.

243

Enter MM13 before QSZ.

Before the QSZ command, the MM13 command must be entered to set the measurement mode.

244

Set a longer integration time to QST.

The integration time is too short to perform the offset measurement. Set a longer value to the integration time parameter of the QST command.

245

Specify a higher measurement range to QSR.

Too large offset current was measured. Specify the next higher measurement range to the QSR command.

246

QSV mode value must be 1 or 3.

The mode values available for the QSV command are 1 (single linear) and 3 (double linear). Set one of the available values.

247

Dedicated channel must be specified by QSO.

Specify the dedicated channel to the QSO command. It must be the channel other than the measurement channel set by the MM13 command or the sweep output channel set by the QSV command.

253

Program memory is full.

Maximum of 2000 programs or 40000 commands can be stored in the program memory. See the ST command of Programming Guide.

254

Invalid input for a memory program.

The GPIB GET command (TRIGGER statement in HP BASIC) and an external trigger input are not allowed in a memory program (between the ST and END commands).

255

Maximum nesting level is eight.

Nesting (one program calling another) of a memory program must be eight levels or less.

260

Data output buffer is full.

Maximum 34034 measurement data items can be stored in the data output buffer.

270

Search source channel must be set.

Before triggering the search measurement or sending the LSSV, LSSI, BSSV, or BSSI command to set the synchronous search source, send the LSV, LSI, BSV, or BSI command to set the primary search source.

271

Search monitor channel must be set.

Before triggering the search measurement, send the LGV, LGI, BGV, or BGI command to set the search monitor channel.

273

Search and sync output modes must be the same.

The primary search source channel and the synchronous source channel must be different, and they must be set to the same output mode (voltage or current).

274

Search sync source is overflow.

Set the search sources so that the same output range is set to both primary and synchronous search sources.

275

Search target must be compliance value or less.

The search target value must be less than or equal to the compliance value of the search monitor channel. Correct the search target value or the compliance value.

276

Start and stop must be different.

Set different values for the search start and stop values.

277

Step must be output resolution or more.

Set the search step value to the output resolution or more.

278

Search and sync channels must be different.

Set the search source and the synchronous source to different channels.

279

Search monitor mode must be compliance side.

Send the LGI/BGI command to set the voltage source search monitor channel, or send the LGV/BGV command to set the current source search monitor channel.

280

Send WDCV to set CV sweep source.

Before triggering the multi frequency CV measurement, send the WDCV command to set the DC voltage sweep source.

281

Send PDCV to set CV pulse source.

Before triggering the pulsed spot C measurement, send the PDCV command to set the pulsed voltage source.

282

Send PWDCV to set CV pulse sweep source.

Before triggering the pulsed CV measurement, send the PWDCV command to set the pulsed voltage sweep source.

283

Set linear sweep for MM20.

Only the linear sweep is available for the PWDCV command for the pulsed CV measurement (MM20).

284

Improper setting of CMU frequency and pulse width.

Pulse width value is out of the range for the CMU output frequency. Set both frequency value and pulse width value properly.

290

Send WFC to set Cf sweep source.

Before triggering the Cf sweep measurement, send the WFC command to set the frequency sweep source (oscillator).

301

Line power failure.

303

Excess voltage in MPSMU.

Voltage that exceeds maximum voltage at the present current range was detected by a MPSMU. All output switches were set to OFF.

304

Ground unit abuse is detected.

305

Excess current in HPSMU.

Current that exceeds maximum current at the present voltage range was detected by a HPSMU. All output switches were set to OFF.

307

Unsupported module.

This module is not supported by this firmware revision. Until you update the firmware, use Keysight B1500 with this module removed.

309

Unknown emergency occurred.

All modules stopped their output and opened their output relay.

310

Interlock open operation error. Initialized.

Initialization was automatically performed because the B1500 failed to set its output to 0 V when the interlock circuit was opened in the high voltage condition. Any module may be defective. Perform self-test.

311

ASU control cable was connected/disconnected.

The B1500 must be turned off when the Atto Sense and Switch Unit (ASU) is connected/disconnected.

312

SCUU control cable was connected/disconnected.

The B1500 must be turned off when the SMU CMU Unify Unit (SCUU) is connected/disconnected.

320

Excess current in CMU.

Current that exceeds maximum current at the present voltage range was detected by the CMU. The output switch was set to OFF.

321

This command is not available for CMU.

CMU was specified for the SMU dedicated command. Specify SMU.

322

This command is not available for SMU.

SMU was specified for the CMU dedicated command. Specify CMU.

323

Use SSP instead of CN for SCUU modules.

It is not necessary to specify the modules connected to the SMU CMU Unify Unit (SCUU) in the CN command. The output switches will be controlled by the SSP command.

330

Turn on again to detect source channel.

SCUU might be disconnected/connected on the power on condition. Restart the B1500 to detect and enable the channel.

331

Turn on again to detect synchronous channel.

SCUU might be disconnected/connected on the power on condition. Restart the B1500 to detect and enable the channel.

332

Turn on again to detect measurement channel.

SCUU might be disconnected/connected on the power on condition. Restart the B1500 to detect and enable the channel.

333

Turn on again to detect search source.

SCUU might be disconnected/connected on the power on condition. Restart the B1500 to detect and enable the channel.

334

Turn on again to detect search sync source.

SCUU might be disconnected/connected on the power on condition. Restart the B1500 to detect and enable the channel.

335

Turn on again to detect search monitor channel.

SCUU might be disconnected/connected on the power on condition. Restart the B1500 to detect and enable the channel.

603

Sweep and pulse channels must be different.

Set the sweep source and the pulse source to different channels for the staircase sweep with pulsed bias measurement (MM5).

610

Quasi-pulse source channel must be set.

Before triggering the quasi-pulsed spot measurement, send the BDV command to set the quasi-pulse source.

620

TGP specified incorrect I/O port.

Specify trigger input for the Ext Trig In port, or trigger output for the Ext Trig Out port by the TGP command. See the TGP command of Programming Guide.

621

Specify trigger input port for PAX/WSX.

No trigger input port was specified for the PAX or WSX command. Specify the trigger input port, or set the port as the trigger input port. See the TGP command of Programming Guide to set trigger port.

622

Specify trigger output port for OSX.

No trigger output port was specified for the OSX command. Specify the trigger output port, or set the port as the trigger output port. See the TGP command of Programming Guide to set trigger port.

626

DIO control mode must be HV/HC/HP SMU selector control mode (ERMOD 2).

Set the digital IO control mode to the N1258A/N1259A control mode by using the ERMOD 2 command.

627

Mismatch HV/HC/HP SMU selector ID

Module selector is not connected to the Digital IO connector. Connect the N1258A or the module selector of the N1259A.

628

HV/HC/HP SMU selector control cable was disconnected.

Connection cable was removed. Turn the instrument off and connect the cable. And then turn the instrument on again.

629

HV/HC/HP SMU selector is not active.

Module selector does not respond. The power code may be removed.

630

Incorrect polarity of search step value.

For the linear search measurement. The step value must be positive if start<stop, or negative if start>stop.

631

Number of search steps must be 1001 or less.

For the linear search measurement. The number of search steps between start and stop must be 1001 or less. This means the |step| value must be |stop-start|/1001 or more.

632

Search measurement was aborted.

Search measurement was aborted by the automatic abort function.

640

Search limits must be range/20000 or more.

For the binary search measurement. The limit value for the search target must be range/20000 or more. where range means the measurement range actually used for the measurement.

650

Data format must be ASCII to get time data.

The time stamp function is not available for the binary data output format. To use the time stamp function, set the data output format to ASCII.

655

Cannot connect/disconnect series resistor.

The series resistor status cannot be changed in the high voltage state. Set the output voltage or the voltage compliance to the allowable voltage for the interlock open condition or less to connect or disconnect the series resistor.

656

Series resistor must be OFF for 1 A range.

The series resistor cannot be set to ON for the measurement channels or the output channels that use 1 A range.

657

Series resistor cannot be used with ASU.

The series resistor is not available for the channel connected to the Atto Sense and Switch Unit (ASU).

660

Sampling measurement was aborted.

Sampling measurement was aborted by the automatic abort function.

661

Negative hold time is only valid for I/V-t linear sampling with interval < 2 ms.

662

Sampling interval for I/V-t log sampling must be 2 ms or longer.

663

Number of samples does not have to exceed 100001.

664

Base and bias must be same polarity for I mode.

The base and bias values of the MI command must be the same polarity.

670

Specified channel does not have ASU.

Specify the module that can be used with the ASU.

671

SSP is not available for this channel.

SSP command is available only for the CMU. Specify the slot number that the CMU has been installed.

680

CMU correction mode must be manual.

To perform the CMU correction by using the ADJ? command, set the CMU correction mode to manual by using the ADJ command.

681

CMU correction mode must be off.

682

Invalid standard is specified as CMU correction.

683

Frequency index is not available for CMU correction.

684

AC Voltage is 0 mV.

685

CMU correction is not complete.

690

DIO control mode must be Ultra High Current Expander / Fixture control mode (ERMOD 4).

Set the digital IO control mode to N1265A control mode by using the ERMOD 4 command.

691

Mismatch Ultra High Current Expander / Fixture ID.

Ultra high current expander/fixture is not connected to the Digital IO connector. Connect the N1265A.

692

Ultra High Current Expander / Fixture control cable was disconnected.

Connection cable was removed. Turn the instrument off and connect the cable. And then turn the instrument on again.

693

Ultra High Current Expander / Fixture is not active.

Ultra high current expander/fixture does not respond. The power switch may be off or the power code may be removed.

694

DIO control mode must be HVSMU Current Expander control mode (ERMOD 8).

Set the digital IO control mode to N1266A control mode by using the ERMOD 8 command.

695

Mismatch HVSMU Current Expander ID.

HVSMU current expander is not connected to the Digital IO connector. Connect the N1266A.

696

HVSMU Current Expander control cable was disconnected.

Connection cable was removed. Turn the instrument off and connect the cable. And then turn the instrument on again.

697

HVSMU Current Expander is not active.

HVSMU current expander does not respond. The power switch may be off or the power code may be removed.

940

DIO control mode must be Ultra High Voltage Expander control mode (ERMOD 16).

Set the digital IO control mode to N1268A control mode by using the ERMOD 16 command.

941

Mismatch Ultra High Voltage Expander ID.

Ultra high voltage expander is not connected to the Digital IO connector. Connect the N1268A.

942

Ultra High Voltage Expander control cable was disconnected.

Connection cable was removed. Turn the instrument off and connect the cable. And then turn the instrument on again.

943

Ultra High Voltage Expander is not active.

Ultra high voltage expander does not respond. The power code may be removed.

1000

The specified module doesn’t support power compliance.

The power compliance is not available for the specified module.

1001

Illegal pulse duty

Set the pulse period and the pulse width so that the pulse duty ratio is within the acceptable range.

1002

Illegal pulse width

Check the pulse width and set the correct value.

1003

Illegal pulse base/peak limit

Check the pulse base and peak values, and set the correct values.

1004

Illegal pulse base/peak polarity

Check the pulse base and peak values, and set the polarity properly.

1005

Illegal sweep polarity

Check the sweep start and stop values, and set the polarity properly.

1006

Application measurement setup is not sufficient.

Check the setup required for the specified measurement and set it properly.

1007

Source channel must be set.

Set the source output channel properly.

1008

Pulse output channel is required.

Specify the pulse output channel. Or set the pulse output channel properly.

1010

This B1500A does not support PCH.

PCH is not supported by this B1500A. The B1500A must be upgraded to use the dual HCSMU operation.

1011

SMU is not installed in the slot set to PCH.

Empty slot or non SMU module was specified by PCH. The HCSMU modules must be specified.

1012

Execute CL to the modules set to PCH.

Output switch of the modules set to PCH must be OFF previously.

1013

Execute ERHPA 0,0,0 before PCH.

Modules set to ERHPA cannot be specified in PCH. Execute ERHPA 0,0,0, then execute PCH. After that execute ERHPA to set the module selector input connection.

1014

Modules set to PCH must be HCSMU.

Only the HCSMU module can be specified in PCH.

1015

Modules set to PCH must be different.

Same module was specified by PCH for both master and slave HCSMU modules. They must be the different modules.

1016

Do not execute CN/CNX to the slave module set to PCH.

Specify the master module in CN/CNX to enable the dual HCSMU channel.

1017

Specified module is already used for dual HCSMU.

Specify a free HCSMU.

1018

Total setting current exceeds the capacity of main frame power supply. Reduce setting current.

Set the current lower than the specified value.

2000

SPGU module does not exist.

The SPGU channel number must be specified correctly.

2001

SPGU channel does not exist.

The SPGU channel number must be specified correctly.

2002

SPGU signal source does not exist.

The SPGU signal source number must be specified correctly.

2003

SPGU operation mode must be PG. (SIM 0).

2004

SPGU operation mode must be ALWG (SIM 1).

2051

Over voltage emergency occurred.

All modules stopped their output and opened their output relay.

2052

Over current emergency occurred.

All modules stopped their output and opened their output relay.

2053

High temperature emergency occurred.

All modules stopped their output and opened their output relay.

2054

Over voltage H/W SRQ detected.

Specified module stopped the output and opened the output relay.

2055

Over current H/W SRQ detected.

Specified module stopped the output and opened the output relay.

2056

High temperature H/W SRQ detected.

Specified module stopped the output and opened the output relay.

2101

Specified load impedance is out of absolute limits.

Set the appropriate impedance value to SER.

2103

Specified period is out of absolute limits.

Set the appropriate pulse period value to SPPER.

2104

Specified trigger count is out of absolute limits.

Set the appropriate count value to SPRM.

2105

Specified load voltage is out of range.

Set the appropriate voltage to SPV or ALW.

2106

Specified load voltage of added amplitude is out of range.

Set the appropriate voltage to SPV for setting the 3-level pulse output.

2107

Specified voltage is out of absolute limits (can't achieve amplitude).

Set the appropriate voltage to SPV. It must be the voltage which can be applied under the present load impedance condition.

2108

Specified transition time is out of absolute limits.

Set the appropriate value of leading time or trailing time to SPT.

2111

Leading/0.8 must be within Width value.

Set the appropriate value to SPT. The pulse width value must be more than leading time/0.8 value.

2112

Delay + Width + Trail/0.8 must be within Period value.

Set the appropriate value to SPT. The pulse period value must be more than delay time+pulse width+trailing time/0.8 value.

2113

Specified pulse delay is out of absolute limits.

Set the appropriate delay time value to SPT.

2114

Specified pulse width is out of absolute limits.

Set the appropriate pulse width value to SPT.

2115

Specified duration is out of absolute limits.

Set the appropriate duration value to SPRM.

2121

Delay + Width must be within Period value (ODSW Timing).

Set the appropriate value to ODSW. The period value must be more than delay+width value.

2122

Specified ODSW delay timing parameter out of absolute limits.

Set the appropriate delay value to ODSW.

2123

Specified ODSW width timing parameter out of absolute limits.

Set the appropriate width value to ODSW.

2131

Delay + Interval * N must be within Period value (ADC Timing).

Set the appropriate value to CORRSER?. The period value must be more than delay+interval¥count value.

2132

Specified delay for DUT impedance measurement out of absolute limits.

Set the appropriate delay time value to CORRSER?.

2133

Specified interval for DUT impedance measurement out of absolute limits.

Set the appropriate interval value to CORRSER?.

2134

Specified count for DUT impedance measurement out of absolute limits.

Set the appropriate count value to CORRSER?.

2151

ALWG Sequence Data is not ready.

Sequence data must be set by using ALS before starting the output.

2152

Specified ALWG Sequence Data size is out of absolute limits.

Set the appropriate sequence data to ALS. Too large data was specified.

2153

Specified pattern index of ALWG Sequence Data is out of absolute limits.

Set the appropriate sequence data to ALS. The pattern index in the sequence data must be the index of a pattern defined in the pattern data.

2154

Specified repeat count of ALWG Sequence Data is out of absolute limits.

Set the appropriate sequence data to ALS. The repeat count in the sequence data must be 1 to 1048576.

2155

ALWG Pattern Data is not ready.

Pattern data must be set by using ALW before starting the output.

2156

Specified ALWG Pattern Data size is out of absolute limits.

Set the appropriate pattern data to ALW. Too large data was specified.

2157

Specified interval time of ALWG Pattern is out of absolute limits.

Set the appropriate pattern data to ALW. The incremental time value in the pattern data must be 10 ns to 671.088630 ms in 10 ns resolution.

2158

Specified output voltage of ALWG Pattern Data is out of absolute limits.

Set the appropriate pattern data to ALW. The output level value in the pattern data must be 0 to ± 40 V in 1 mV resolution.

2204

Load voltage is too small for DUT impedance measurement.

Failed to perform the terminal voltage measurement and the load impedance calculation by the CORRSER? command. Set the SPGU output voltage more than 1 V. Set high voltage for high impedance.

2206

Auto correction of load impedance failed.

Cannot perform the SPGU automatic level adjustment. Load impedance exceeds the acceptable range. Change the SPGU output voltage or the DUT.

3000

WGFMU module does not exist.

Check the channel number of the WGFMU module and set the correct value.

3001

RSU is not connected.

Check the channel number of the WGFMU module connected to the RSU and set the correct value.

3015

Measurement data corrupted.

Cannot get the measurement data. Correct measurement result is not stored in the memory.

3050

Measurement data memory overflow error.

ALWG sequencer run time error. WGFMU module memory overflow occurred. Data exceeds memory size could not be stored.

3051

Measurement data FIFO overflow error.

ALWG sequencer run time error. WGFMU module FIFO overflow occurred because the averaging count was frequently changed.

3052

Measurement range change request error.

ALWG sequencer run time error. Measurement range cannot be changed because the range change interval is too short.

3201

ALWG Sequence Data is not ready.

Sequence data must be set to the specified WGFMU channel.

3202

ALWG Waveform Data is not ready.

Waveform data must be set to the specified WGFMU channel.

3301

Specified output voltage is out of absolute limits.

Check the output voltage and set the correct value. The value must be -3 V to +3 V for the 3 V range, -5 V to +5 V for the 5 V range, -10 V to 0 V for the -10 V range, or 0 V to +10 V for the + 10 V range.

3302

Specified voltage output range is invalid.

Check the voltage output range and set the correct value.

3303

Invalid measurement mode for current operation mode.

Operation mode must be Fast IV or DC to perform current measurement.

3304

Specified ALWG Vector Data size is out of absolute limits.

ALWG data cannot be read because of too large data size.

3305

Specified ALWG Sequence Data size is out of absolute limits.

ALWG data cannot be read because of too large sequence data size.

3306

ALWG Waveform Data is empty.

ALWG data must not be empty.

3307

Specified ALWG Waveform Data size is out of absolute limits.

ALWG data cannot be read because of too large waveform data size.

3308

Specified waveform index of ALWG Sequence Data is out of absolute limits.

Check the index value of the sequence data and set the correct value.

3309

Specified loop number of ALWG Sequence Data is out of absolute limits.

Check the loop value of the sequence data and set the correct value.

3310

Specified output voltage of ALWG Waveform Data is out of absolute limits.

Check the output voltage and set the correct value. The value must be -3 V to +3 V for the 3 V range, -5 V to +5 V for the 5 V range, -10 V to 0 V for the -10 V range, or 0 V to +10 V for the + 10 V range.

3311

Specified interval time of ALWG Waveform is out of absolute limits.

Check the incremental time (interval time) and set the correct value. The value must be 10 ns to 10995.11627775 s, in 10 ns resolution.

3312

Specified ALWG measurement interval time is out of absolute limits.

Check the measurement interval time and set the correct value. The value must be 10 ns to 1.34217728 s, in 10 ns resolution.

3313

Specified ALWG measurement instruction code is invalid.

Check the measurement event setting and set the correct values.

3314

Specified ALWG range change instruction code is invalid.

Check the range event setting and set the correct values.

3315

Specified ALWG measurement count is out of absolute limits.

Check the measurement averaging time and set the correct value. The value must be 0, or 10 ns to 0.020971512 s, in 10 ns resolution.

3316

Specified ALWG measurement count is greater than measurement interval.

Check the measurement averaging time and set the correct value. The value must less than or equal to the measurement interval time.

3317

Specified slot is invalid.

Check the slot number and set the correct value. The slot number must be 1 to 10.

3318

Specified module channel is invalid.

Check the channel number and set the correct value.

3319

Output delay is out of absolute limits.

Check the output delay and set the correct value. The value must be -50 ns to 50 ns, in 625 ps resolution.

3320

Measurement delay is out of absolute limits.

Check the measurement delay and set the correct value. The value must be -50 ns to 50 ns, in 625 ps resolution.

3321

VM/IM measurement mode is invalid.

Check the measurement mode and set the correct value.

3322

Voltage measurement range is invalid.

Check the voltage measurement range and set the correct value.

3323

Current measurement range is invalid.

Check the current measurement range and set the correct value.

3324

WGMA?,WGMB? command query size is out of absolute limits.

Check the data size for WGMA? or WGMB? and set the correct value.

3325

Specified count for spot measurement is out of absolute limits.

Check the count value for WGMS? and set the correct value.

3326

Specified interval for spot measurement is out of absolute limits.

Check the interval value for WGMS? and set the correct value.

3327

Specified operation mode is invalid for spot measurement.

Operation mode must be DC to perform spot measurement.

4304

HV/HC/HP SMU selector must be open state.

Set the module selector input-output path to the open status to execute the specified command.

4305

External relay control is not active.

Enable the external relay control function by using the ERHPE command to enter the specified command. Also, check the cable connection and the relay operation.

Note:

If one of the errors 4401 to 4408 occurs, the all module output is changed to 0 V and the all output switch is disconnected.

4401

HVSMU over voltage emergency occurred.

4402

HVSMU over current or guard abuse emergency occurred.

4403

HVSMU guard abuse emergency occurred.

4404

HVSMU HVPS cannot power-off emergency occurred.

4405

HVSMU V ADC lost emergency occurred.

4406

HVSMU I ADC lost emergency occurred.

4407

HVSMU Float lost emergency occurred.

4408

HVSMU HVPS cannot power-on emergency occurred.

5301

Specified module is already assigned to voltage control, current control or gate control.

Assign an MCSMU/HCSMU module that is not assigned to voltage control, current control or gate control.

5302

Voltage control module and current control module must be different.

Assign different modules to voltage control and current control.

5303

Do not execute CN/CNX to the current control module set to ERPFUHCA.

Execute the CN/CNX command to the module that is set to voltage control by the ERPFUHCA command.

5304

Ultra High Current Expander / Fixture drain path must be open state.

Open the selector connection path before switch the HVSMU series resistor.

5305

Execute CL to the module set to ERPFUHCA.

Execute the CL command to the modules that will be specified by the ERPFUHCA command.

5306

Ultra High Current Expander / Fixture gate path must be open state.

Open the gate connection path before switching the series resistor for the path.

5307

CRC for N1265A EEPROM Vs correction segment failed.

N1265A might be defective. Contact your nearest Keysight Technologies service center.

5308

CRC for N1265A EEPROM Is correction segment failed.

N1265A might be defective. Contact your nearest Keysight Technologies service center.

5309

CRC for N1265A EEPROM Vm correction segment failed.

N1265A might be defective. Contact your nearest Keysight Technologies service center.

5310

CRC for N1265A EEPROM Im correction segment failed.

N1265A might be defective. Contact your nearest Keysight Technologies service center.

5311

Specified module is already assigned to voltage control or current control of HVMCU.

Specify a free MCSMU/HCSMU.

5312

Different module must be assigned to voltage control and current control of HVMCU.

Specify a free MCSMU/HCSMU.

5313

Do not execute CN/CNX to the current control module set to ERHVCA.

Execute the CN/CNX command to the module that is set to voltage control by the ERHVCA command.

5314

HVSMU Current Expander output must be open state.

Open the input-output path before switching the HVSMU series resistor.

5315

Execute CL to the module set to ERHVCA.

Execute the CL command to the modules that will be specified by the ERHVCA command.

5316

CRC for N1266A EEPROM Vm correction segment failed.

N1266A might be defective. Contact your nearest Keysight Technologies service center.

5317

CRC for N1266A EEPROM Im correction segment failed.

N1266A might be defective. Contact your nearest Keysight Technologies service center.

5318

Over voltage is detected in Selector Output High Force, Low Force, or Low Sense terminal of N1265A.

Remove the causes of overvoltage.

5319

Over voltage is detected in Selector Output High Sense terminal of N1265A.

Remove the causes of overvoltage.

5320

Pulse width overrun is detected in N1265A.

Check the assignment of control modules.

5321

Specified module is already assigned to voltage control or current control of UHVU.

Specify a free MCSMU/HCSMU.

5322

Different module must be assigned to voltage control and current control of UHVU.

Specify a free MCSMU/HCSMU.

5323

Do not execute CN/CNX to the current control module set to ERUHVA.

Execute the CN/CNX command to the module that is set to voltage control by the ERUHVA command.

5324

Execute CL to the module set to ERUHVA.

Execute the CL command to the modules that will be specified by the ERUHVA command.

5325

Specified module is already used for UHCU, Selector, or Gate of N1265A.

Specify a free module.

5326

Specified module is already used for HVMCU.

Specify a free module.

5327

Specified module is already used for UHVU.

Specify a free module.

5330

N1265A: Cooling fan is not operating.

Check the operation of cooling fan and the condition around the fan.

5340

N1265A: Control modules are not assigned. Execute ERPFUHCA to assign control modules.

5341

N1265A: Status test failed.

5342

N1265A: Voltage pulse test failed.

5343

N1265A: Current pulse test failed.

5344

N1265A: Current measurement CMR test failed.

5345

N1265A: Offset voltage test failed.

5346

N1265A: Voltage measurement offset test failed.

5347

N1265A: Current measurement offset test failed.

5350

N1266A: Control modules are not assigned. Execute ERHVCA to assign control modules.

5351

N1265A: Voltage measurement offset calibration failed.

5352

N1265A: Current measurement offset calibration failed.

5355

N1266A: Cannot use N1258A's series resistor for HVSMU.

5356

N1266A: Cannot use N1265A's series resistor for HVSMU.

5360

N1268A: Control modules are not assigned. Execute ERUHVA to assign control modules.

5361

N1266A: Voltage pulse test failed.

5371

Specified module cannot be used in the present measurement mode.

5381

N1265A diagnosis failed.

5385

N1268A diagnosis failed.

Note:

If one of the errors 5401 to 5413 occurs, the all module output is changed to 0 V and the all output switch is disconnected.

5401

HCSMU high force over voltage emergency occurred.

5402

HCSMU high sense over voltage emergency occurred.

5403

HCSMU low force over voltage emergency occurred.

5404

HCSMU low sense over voltage emergency occurred.

5405

HCSMU low sense chassis over voltage emergency occurred.

5406

HCSMU power supply shortage voltage emergency occurred.

5407

HCSMU sense open error detected.

5408

HCSMU pulse peak over current emergency occurred.

5409

HCSMU DC over current emergency occurred.

5410

HCSMU pulse width over current emergency occurred.

5411

HCSMU float lost emergency occurred.

5413

HCSMU should not apply low current to high impedance device.

Note:

If one of the errors 6401 to 6413 occurs, the all module output is changed to 0 V and the all output switch is disconnected.

6401

MCSMU high force over voltage emergency occurred.

6402

MCSMU high sense over voltage emergency occurred.

6403

MCSMU low force over voltage emergency occurred.

6404

MCSMU low sense over voltage emergency occurred.

6410

MCSMU pulse width over current emergency occurred.

6411

MCSMU float lost emergency occurred.

6412

MCSMU calculation overflow emergency occurred.

6413

MCSMU should not apply low current to high impedance device.


Keysight B1500 Self-test/Calibration Error

When Keysight B1500 fails the self-test or self-calibration, the B1500 returns the following error code and error message.

In the error code, N indicates the slot number. If the module is installed in slot 1, and it fails the function test, the error code will be 1760.

700

CPU failed NVRAM read/write test.

701

CPU failed FPGA read/write test.

702

CPU failed H-RESOLN ADC end signal test.

703

CPU failed H-RESOLN ADC start signal test.

704

CPU failed emergency status signal test.

705

CPU failed SRQ status signal test.

706

CPU failed high voltage status signal test.

707

CPU failed low voltage status signal test.

708

CPU failed DAC settling status signal test.

709

CPU failed measure ready status signal test.

710

CPU failed set ready status signal test.

711

CPU failed measure end status signal test.

712

CPU failed measure trigger signal test.

713

CPU failed pulse trigger signal test.

714

CPU failed abort trigger signal test.

715

CPU failed DAC set trigger signal test.

720

H-RESOLN ADC is not installed.

721

H-RESOLN ADC failed ROM/RAM test.

722

H-RESOLN ADC failed B-COM offset DAC test.

723

H-RESOLN ADC failed sampling ADC test.

724

H-RESOLN ADC failed integrating ADC test.

725

H-RESOLN ADC failed bus function test.

740

GNDU failed calibration.

935

CMU FPGA version mismatch.

2400

SPGU module is in TEST FAIL state.

2401

Digital H/W function test failed.

2402

CPLD access function test failed.

2403

CPLD version check test failed.

2404

CPLD revision check test failed.

2405

FPGA configuration test failed.

2406

FPGA access function test failed.

2407

FPGA version check test failed.

2408

FPGA revision check test failed.

2409

DCM function test failed.

2410

CONVEND interrupt function test failed.

2411

EMG interrupt function test failed.

2412

10 MHz clock test failed.

2413

FPGA SYNC SEL pin control function test failed.

2414

FPGA SYNC FB pin control function test failed.

2415

FPGA SYNC IN pin control function test failed.

2416

IDELAY function test failed.

2417

NVRAM access function test failed.

2418

ADC function test failed.

2419

SDRAM access function test failed.

2430

Module EEPROM CRC data is invalid.

2431

Module EEPROM CRC data of module data ID is invalid.

2432

Module EEPROM CRC data of format revision data is invalid.

2433

Module EEPROM CRC data of analog reference data is invalid.

2434

Module EEPROM CRC data of timing calibration data is invalid.

2435

Module EEPROM CRC data is skew calibration data invalid.

2450

Internal ADC function test failed.

2451

0.5 Vref Internal ADC function test failed.

2452

4.5 Vref Internal ADC function test failed.

2453

Power Amp initial test failed.

2454

Filter & Amp test failed.

2455

Internal temperature test failed.

2456

Internal output resistance test failed.

2481

Invalid frame configuration.

2482

Frame has no modules.

2483

PLL not locked in slave module.

2484

Reference line is not connected.

2485

Sync line is not connected.

2486

Interrupt line is not available.

2487

Module service request assertion test failed.

2488

Module service request detection test failed.

2489

Emergency interrupt is not available.

2500

SPGU calibration failed.

2501

Power Amp idling calibration failed.

2502

DAC output level calibration failed.

3002

WGFMU initialization failure.

3003

WGFMU FPGA is not configured.

3004

EEPROM CRC data of system timing data is invalid.

3005

EEPROM CRC data of DAC DCM PS data is invalid.

3006

EEPROM CRC data of ADC DCM PS data is invalid.

3007

EEPROM CRC data of DAC clock edge data is invalid.

3008

EEPROM CRC data of ADC clock edge data is invalid.

3009

EEPROM CRC data of DAC level calibration data is invalid.

3010

EEPROM CRC data of ADC level calibration data is invalid.

3011

EEPROM CRC data of DAC skew calibration data is invalid.

3012

EEPROM CRC data of ADC skew calibration data is invalid.

3013

EEPROM CRC data of RSU calibration data is invalid.

3014

Invalid EEPROM type.

3400

WGFMU module is in TEST FAIL state.

3401

Digital H/W function test failed.

3402

CPLD access function test failed.

3403

FPGA configuration test failed.

3404

FPGA1 access function test failed.

3405

FPGA2 access function test failed.

3406

FPGA1 System Clock DCM function test failed.

3407

FPGA1 DAC Clock DCM function test failed.

3408

FPGA1 ADC Clock DCM function test failed.

3409

FPGA1 Memory Clock DCM function test failed.

3410

FPGA2 System Clock DCM function test failed.

3411

FPGA2 DAC Clock DCM function test failed.

3412

FPGA2 ADC Clock DCM function test failed.

3413

FPGA2 Memory Clock DCM function test failed.

3414

FPGA1, 2 communication I/F test failed.

3415

CONVEND interrupt function test failed.

3416

10 MHz clock test failed.

3417

FPGA SYNC SEL pin control function test failed.

3418

FPGA SYNC FB pin control function test failed.

3419

FPGA SYNC IN pin control function test failed.

3420

IDELAY function test failed.

3421

Channel 1 SDRAM access function test failed.

3422

Channel 2 SDRAM access function test failed.

3423

WGFMU EEPROM access function test failed.

3424

Channel 1 RSU EEPROM access function test failed.

3425

Channel 2 RSU EEPROM access function test failed.

3426

WGFMU EEPROM CRC data is invalid.

3427

WGFMU EEPROM CRC data of format revision data is invalid.

3428

WGFMU EEPROM CRC data of serial number data is invalid.

3429

WGFMU EEPROM CRC data of system timing data is invalid.

3430

WGFMU EEPROM CRC data of DAC DCM PS data is invalid.

3431

WGFMU EEPROM CRC data of ADC DCM PS data is invalid.

3432

WGFMU EEPROM CRC data of DAC clock edge data is invalid.

3433

WGFMU EEPROM CRC data of ADC clock edge data is invalid.

3434

WGFMU EEPROM CRC data of DAC level calibration data is invalid.

3435

WGFMU EEPROM CRC data of ADC level calibration data is invalid.

3436

WGFMU EEPROM CRC data of DAC skew calibration data is invalid.

3437

WGFMU EEPROM CRC data of ADC skew calibration data is invalid.

3438

RSU EEPROM CRC data of format revision data is invalid.

3439

RSU EEPROM CRC data of serial number data is invalid.

3440

RSU EEPROM CRC data of type id data is invalid.

3441

RSU EEPROM CRC data of calibration data is invalid.

3450

WGFMU EEPROM data is invalid.

3451

WGFMU EEPROM data of RSU type is invalid.

3452

WGFMU EEPROM data of RSU cable type is invalid.

3460

Main DAC, Main ADC test failed.

3461

Bias DAC, Main ADC test failed.

3462

Main DAC, Reference ADC test failed.

3463

VM function test failed.

3464

IM offset test failed.

3465

IM short test failed.

3480

Invalid frame configuration.

3481

Invalid frame configuration.

3482

Frame has no modules.

3483

PLL not locked in slave module.

3484

Reference line is not connected.

3485

Sync line is not connected.

3486

Sync Reserve line is not connected.

3487

Interrupt line is not available.

3488

Module service request assertion test failed.

3489

Module service request detection test failed.

3490

Emergency interrupt is not available.

3500

WGFMU calibration failed.

3501

ADC gain calibration failed.

3502

CMR calibration failed.

3503

IM offset calibration failed.

3504

VM offset calibration failed.

3505

VF gain calibration failed.

3506

VF offset calibration failed.

3507

Reference ADC does not exist. Cannot perform WGFMU calibration.

3508

WGFMU, RSU cable length calibration failed.

Note:

Error codes 4501 to 4701 are for HVSMU.

4501

Digital H/W function test failed.

4502

CPLC access function test failed.

4503

FPGA access function test failed.

4504

SERDES access function test failed.

4505

Bus FPGA JTAG function test failed.

4506

Float FPGA JTAG function test failed.

4507

OPT I/F access function test failed.

4508

Internal temperature test failed.

4509

ADC access test failed.

4510

EEPROM access function test failed.

4511

Float lost detection test failed.

4512

ADC lost detection test failed.

4513

HVPS control test failed.

4514

ADC control test failed.

4515

DAC switch test failed.

4516

DAC control test failed.

4517

CALBUS control test failed.

4520

V divider gain test failed.

4521

V loop control test failed.

4522

Voltage detector test failed.

4523

Oscillation detector test failed.

4524

I ADC gain test failed.

4525

I loop control test failed.

4526

I range change test failed.

4527

HVPS force test failed.

4528

Over current detector test failed.

4529

Guard abuse detector test failed.

4601

VFVM calibration failed.

4602

EEPROM CRC data of VFVM adjust is invalid.

4603

Non-feedback mode offset calibration failed.

4604

Calculation of VM correction data failed.

4605

Calculation of VF correction data failed.

4611

IFIM calibration failed.

4612

EEPROM CRC data of IFIM adjust is invalid.

4613

IFIM offset measurement failed.

4614

IFIM gain measurement by Ref ADC failed.

4615

IFIM gain measurement by I ADC failed.

4616

Calculation of IM correction data failed.

4617

Calculation of IF correction data failed.

4701

Non-feedback offset adjustment is failed.

Note:

Error codes 5501 to 5701 are for HCSMU.

5501

Digital H/W function test failed.

5502

CPLC access function test failed.

5503

FPGA access function test failed.

5505

Bus FPGA JTAG function test failed.

5506

Float FPGA JTAG function test failed.

5507

OPT I/F access function test failed.

5509

ADC access test failed.

5510

EEPROM access function test failed.

5513

Power AMP bias test is failed.

5551

V offset self-test is failed.

5552

V sense self-test is failed.

5553

HS VADC self-test is failed.

5554

V CMR DAC self-test is failed.

5555

I offset self-test is failed.

5556

V loop self-test is failed.

5557

I sense low self-test is failed.

5558

HS IADC self-test is failed.

5559

I CMR DAC self-test is failed.

5560

I sense high self-test is failed.

5561

Power supply test is failed.

5562

V switch test is failed.

5563

High force output relay test is failed.

5564

High sense output relay test is failed.

5601

VM offset calibration is failed.

5602

V CMR DAC calibration is failed.

5603

VM gain calibration is failed.

5604

IM offset calibration is failed.

5605

I CMR DAC calibration is failed.

5606

Iad gain calibration is failed.

5701

Power AMP bias adjustment is failed.

Note:

Error codes 6501 to 6606 are for MCSMU.

6501

Digital H/W function test failed.

6502

CPLC access function test failed.

6503

FPGA access function test failed.

6505

Bus FPGA JTAG function test failed.

6506

Float FPGA JTAG function test failed.

6507

OPT I/F access function test failed.

6509

ADC access test failed.

6510

EEPROM access function test failed.

6551

V offset self-test is failed.

6552

V sense self-test is failed.

6553

HS VADC self-test is failed.

6554

V CMR DAC self-test is failed.

6555

I offset self-test is failed.

6556

V loop self-test is failed.

6557

I sense low self-test is failed.

6558

HS IADC self-test is failed.

6559

I CMR DAC self-test is failed.

6560

I sense high self-test is failed.

6562

V switch test is failed.

6563

High force output relay test is failed.

6564

High sense output relay test is failed.

6601

VM offset calibration is failed.

6602

V CMR DAC calibration is failed.

6603

VM gain calibration is failed.

6604

IM offset calibration is failed.

6605

I CMR DAC calibration is failed.

6606

Iad gain calibration is failed.

N760

SMU failed function test.

N761

SMU failed VF/VM function test.

N762

SMU failed IF/IM function test.

N763

SMU failed loop status test.

N764

SMU failed temperature sensor test.

N765

SMU failed CMR amplifier calibration.

N766

SMU failed CMR amplifier adjustment.

N767

SMU failed CMR 100 V range full output test.

N768

SMU failed VF/VM calibration.

N769

SMU failed VM offset calibration.

N770

SMU failed VM gain calibration.

N771

SMU failed VF offset calibration.

N772

SMU failed VF gain calibration.

N773

SMU failed VF gain calibration at 20 V range.

N774

SMU failed VF filter offset calibration.

N775

SMU failed H-SPEED ADC self-calibration.

N776

SMU failed H-SPEED ADC VM offset calibration.

N777

SMU failed H-SPEED ADC VM gain calibration.

N778

SMU failed IF/IM calibration.

N779

SMU failed calibration bus test.

N780

SMU failed IM offset calibration.

N781

SMU failed IM gain calibration.

N782

SMU failed IF offset calibration.

N783

SMU failed IF gain calibration.

N784

SMU failed IDAC filter offset calibration.

N785

SMU failed oscillation detector test.

N786

SMU failed I bias test.

N787

SMU failed common mode rejection test.

N789

SMU failed high voltage detector test.

N790

SMU failed zero voltage detector test.

N791

SMU failed V hold test.

N792

SMU failed V switch test.

N800

CMU failed NULL DC offset adjustment.

N801

CMU failed NULL DC offset measurement.

N802

CMU failed VRD DC offset adjustment.

N803

CMU failed VRD heterodyne offset adjustment.

N804

CMU failed NULL gain/phase adjustment.

N805

CMU failed MODEM offset adjustment.

N806

CMU failed relative Z adjustment.

N807

CMU failed Vch full scale measurement.

N808

CMU failed nominal gain measurement

N809

CMU failed extent range X3 adjustment.

N810

CMU failed range resistor 50ohm adjustment.

N811

CMU failed range resistor 1kohm adjustment.

N812

CMU failed range resistor 10kohm adjustment.

N813

CMU failed range resistor 100kohm adjustment.

N814

CMU failed relative Z calculation.

N820

CMU failed correction.

N830

CMU failed configuration test.

N831

SCUU failed SCUU configuration test.

N832

SCUU failed SMU configuration test.

N833

SCUU failed CMU configuration test.

N834

CMU failed digital function test.

N835

CMU failed CPLD test.

N836

CMU failed FPGA test.

N837

CMU failed EEPROM test.

N838

CMU failed PLL1/PLL2 test.

N839

CMU failed PLL DET low state test.

N840

CMU failed PLL DET high state test.

N841

CMU failed PLL1 lock test

N842

CMU failed PLL2 lock test.

N843

CMU failed PLL2 lock test.

N844

CMU failed Hcur DC and VRD ADC test.

N845

CMU failed DC offset test.

N846

CMU failed DC bias 0V test.

N847

CMU failed DC bias -25V test.

N848

CMU failed DC bias +25V test.

N849

CMU failed PLL0 test.

N850

CMU failed PLL0 lock test.

N851

CMU failed PLL0 lock test.

N852

CMU failed DDS test.

N853

CMU failed DDS1 test.

N854

CMU failed DDS2 test.

N855

CMU failed VRD normalizer test.

N856

CMU failed RA1 test.

N857

CMU failed RA2 test.

N858

CMU failed ExR test.

N859

CMU failed R_LPF2 f1 test.

N860

CMU failed MODEM DAC test.

N861

CMU failed N_II_DAC test.

N862

CMU failed N_QI_DAC test.

N863

CMU failed N_IQ_DAC test.

N864

CMU failed N_QQ_DAC test.

N865

CMU failed TRD normalizer test.

N866

CMU failed NA1 test.

N867

CMU failed NA2 test.

N868

CMU failed NA3 test.

N869

CMU failed N_LPF1 f2 test.

N870

CMU failed N_LPF1 f3 test.

N871

CMU failed N_LPF1 f4 test.

N872

CMU failed N_LPF1 f5 test.

N873

SCUU failed EEPROM test.

N874

SCUU failed output relay test.

N875

SCUU failed control test.

N876

SCUU failed CG2 test.

N877

SCUU failed LRL test.

N880

CMU failed Hcur AC and VRD Fm test.

N881

CMU failed SA/RA 32mV test.

N882

CMU failed SA/RA 64mV test.

N883

CMU failed SA/RA 125mV test.

N884

CMU failed SA/RA 250mV test.

N885

CMU failed ExR test.

N886

CMU failed Bias_chg test.

N887

CMU failed R_LPF2/R_HPF_vs test.

N888

CMU failed VRD IF test.

N889

CMU failed IRM local 0deg test.

N890

CMU failed IRM local 90deg test.

N891

CMU failed S_LPF1 f1 120kHz test.

N892

CMU failed S_LPF1 f2 500kHz test.

N893

CMU failed S_LPF1 f3 2MHz test.

N894

CMU failed S_LPF1 f4 5MHz test.

N895

CMU failed TRD MODEM test.

N896

CMU failed VG local 90deg test.

N897

CMU failed VG local 0deg test.

N898

CMU failed NA4 test.

N899

CMU failed NA5 X1/4 test.

N900

CMU failed NA5 X1/8 test.

N901

CMU failed N_LPF2 f2 500kHz test.

N902

CMU failed N_LPF2 f3 5MHz test.

N903

CMU failed MODEM PSD test.

N904

CMU failed PSD 0deg test.

N905

CMU failed PSD 90deg test.

N906

CMU failed Rr/Rf 100ohm test.

N907

CMU failed Rr/Rf 1kohm test.

N908

CMU failed Rr/Rf 10kohm test.

N909

CMU failed Rr/Rf 100kohm test.

N910

CMU failed TRD IVAmp test.

N911

CMU failed N_HPF1/N_LPF1 10kHz test.

N912

CMU failed N_HPF1/N_LPF1 200kHz test.

N913

CMU failed N_HPF1/N_LPF1 1MHz test.

N914

CMU failed N_HPF1/N_LPF1 2MHz test.

N915

CMU failed N_HPF1/N_LPF1 5MHz test.

N916

CMU failed NA1 test.

N917

CMU failed NA2 test.

N918

CMU failed NA3 test.

N919

CMU failed IV saturation detector test.

N920

CMU failed normal status test.

N921

CMU failed normal status test.

N922

CMU failed IV saturation status test.

N923

CMU failed IV saturation status test.

N924

CMU failed unbalance detector test.

N925

CMU failed normal status test.

N926

CMU failed normal status test.

N927

CMU failed unbalance status test.

N928

CMU failed unbalance status test.

N929

CMU failed over current detector test.

N930

CMU failed normal status test.

N931

CMU failed normal status test.

N932

CMU failed over current status test.

N933

CMU failed over current status test.


Setup File Converter Execution Error

#01

Maximum length for the file path is 256 characters.

#02

fopen failure. Could not open source file.

#03

Specify a proper source file. The specified file is unsupported.

#04

Specify a proper source file. The specified file is corrupt.

#05

fopen failure. Could not open destination file.


MDM File Converter Execution Error

Error message:

10001

Reading XTR file was aborted.

Conversion was aborted because of XTR file read error.

10002

Reading ZTR file was aborted.

Conversion was aborted because of ZTR file read error.

10003

Writing MDM file was aborted.

Conversion was aborted because of MDM file write error.

10004

Writing log file was aborted.

Conversion was aborted because of log file write error.

10005

Invalid command option: A.

Specify the effective option. The option A is not valid.

10006

Invalid XTR or ZTR file: A.

Specify a proper XTR/ZTR file. The file A may be defective.

Warning message:

20001

Invalid element: A. Could not complete the conversion.

Cannot convert the data of the improper element A.

20002

Unsupported classic test: A.

Cannot convert the data of the classic test A other than I/V Sweep, Multi Channel I/V Sweep, or C-V Sweep.

20003

Application test result data is not supported: A.

Cannot convert the application test result data.

20004

Could not convert test setup using different V/I mode for VAR1 channels.

Cannot convert the test result data including the setup using different V/I mode for VAR1 channels in Multi Channel I/V Sweep classic test.

20005

Unsupported impedance model: A.

Cannot convert the data of the impedance model A.

20006

Invalid value for the element: A. Maximum limit is B.

The value of the element A must not exceed B.

20007

Could not calculate the number of data for log sweep. Start: A, Stop: B.

Cannot calculate the number of data for log sweep. Start and stop values must be a non-zero value. Start value: A. Stop value: B.

20008

Unknown parameter: A, Value: B.

Data contains the unknown parameter A. The value is B.

20009

The element: A is not found in the search target: B.

20010

Invalid character: A. Could not convert to integer.

Data contains the character A which cannot be converted to integer.

20011

Invalid character: A. Could not convert to double.

Data contains the character A which cannot be converted to double.

20012

Invalid Unit: A. IC-CAP does not support this Unit.

20013

Log sweep stop value A was adjusted automatically.

20014

Could not convert test setup using multiple log sweep sources.

Cannot convert the test result data including the setup using multiple log sweep sources.


Precautionary Statement

Keysight B1500 Device Analyzer operates in the Windows environment. Keysight B1500 requires Keysight EasyEXPERT software, a specially-designed Windows application program.

  • About guarantee and support for Keysight B1500

Keysight Technologies guarantees and supports the performance of Keysight B1500 for the same condition as the preload condition when shipped from the factory.

  • About updating Keysight EasyEXPERT and the Windows Update

Keysight Technologies confirms the operation of Keysight EasyEXPERT patch programs and important Windows security patches, and provides recommended update information. Visit Keysight B1500 support site, download the patches, and perform the software update.

  • About Windows application programs and peripherals (including driver)

Using commercial products on Keysight B1500 is your responsibility. Keysight Technologies cannot provide compatibility information for commercial products.

  • About servicing

Bench repair service is available at your nearest Keysight Technologies service center. Be aware that the B1500 configuration might be updated to the latest one without notice because of support issues.

The internal hard disk drive (HDD) might be initialized during servicing. If peripherals are connected, they will be removed.

When Keysight B1500 is returned, the internal HDD might be initialized. Peripherals will be returned separately.

  • Other notes

  • Back up the internal HDD to prevent loss of data by accident or failure.

  • Protect Keysight B1500 from computer viruses.

  • If you connect Keysight B1500 to the network, take care to protect it from computer virus.


Integration Time, HRADC

High-resolution ADC

For high accuracy and high resolution measurement. This ADC is mounted on the mainframe, and used by the multiple modules alternately. Sets the integration time for getting one measurement data by setting the Mode and the Factor value. The high-resolution ADC cannot be used for the measurements using SMU pulse.

AUTO

Integration time = Factor * reference

Factor = 1 to 127

where reference is the integration time automatically set by the B1500; it cannot be changed.

MANUAL

Integration time = Factor * 80 msec

Factor = 1 to 127

PLC

Integration time = Factor / power line frequency

Factor = 1 to 100

The Factor value means the number of power line cycles.


Integration Time, HSADC

High-speed ADC

Installed in each measurement module. For high speed measurement. Sets the number of averaging samples for getting one measurement data by setting the Mode and the Factor value. Only PLC and TIME are available for SMU pulse.

AUTO

Number of averaging samples = Factor * reference

Factor = 1 to 1023

where reference is the number of averaging samples automatically set by the B1500; this cannot be changed.

MANUAL

Specify the number of averaging samples (Factor).

Factor = 1 to 1023

PLC

Number of averaging samples = Factor * 128

Factor = 1 to 100

The B1500 gets 128 samples in a power line cycle. Hence, the Factor value is equal to the number of power line cycles.

TIME

Specify the actual measurement time (Factor).

Factor = 2 ms to 20 ms, 2 ms step

For HR/MP/HPSMU, it performs the operation of MANUAL. Then the number of averaging samples is automatically set to the following value.

Number of averaging samples = Factor / Tm

Tm: Required time for one sample measurement

If Factor / Tm < 1, Number of averaging samples = 1.


License Management Tool GUI

File menu

Install License File

Opens a dialog box used to specify the license file.

Exit

Closes the Licence Management Tool.

Help menu

About

Opens the About dialog box.

Install icon

Opens a dialog box used to specify the license file.

Installed Licenses tab screen

Displays the license already installed.

Information tab screen

Displays the host ID of the B1500 or the computer for EasyEXPERT for PC.


MDM File Converter GUI

The MDM file converter provides the following GUI.

File menu

Exit

Closes the MDM file converter.

Action menu

Convert

Performs conversion of the files listed in Input Files and creates mdm files.

Help menu

About

Opens the About dialog box.

Input Files

Lists the xtr/ztr file.

Browse...

Opens the Please select Test Result File dialog box used for selecting the xtr/ztr files to convert. The selected files are listed in Input Files.

Remove

Removes the highlighted files from Input Files.

Convert

Performs conversion of the files listed in Input Files and creates mdm files.

Cancel

Cancels the file conversion.

Options

The following optional functions are available.

  • Append Test Setup Title to Mdm File Name

Check this box if you want to append the test setup title to the mdm file name. If the xtr/ztr file name is "abc" and the test setup title is "title", the mdm file name will be "abc-title".

  • Specified Output Folder

Check this box if you want to specify the folder used for storing the mdm files which are the conversion results. This enables an entry field and the Browse... button. The folder can be specified by entering a folder name to this field directly or by selecting a folder on the dialog box opened by clicking the Browse... button.

Log

Displays the execution log.


Setup File Converter GUI

The setup file converter provides the following GUI.

File menu

Select Files

Opens the Select 4155/4156 MES Files or DAT Files dialog box used to specify the 4155/4156 setup files to convert.

Convert Files

Performs conversion and creates XTS file. This program overwrites the file of the same name.

Clear

Clears the Selected Files area and the Log area.

Quit

Closes the setup file converter.

Help menu

About

Opens the About dialog box.

Icons

Select

Opens the Select 4155/4156 MES Files or DAT Files dialog box used for specifying the 4155/4156 setup files to convert.

Convert

Performs conversion and creates XTS file. This program overwrites the file of the same name.

Clear

Clears the Selected Files area and the Log area.

Create XTS for

Specifies the type of the XTS file to create.

B1500A

XTS file for the B1500

4155B/C

XTS file for the 4155A/B/C

4155B/C with HPSMU

XTS file for the 4155A/B/C. The HPSMU in the MES/DAT file is converted to SMU5: HP.

4156B/C

XTS file for the 4156A/B/C

4156B/C with HPSMU

XTS file for the 4155A/B/C. The HPSMU in the MES/DAT file is converted to SMU5: HP.

Selected Files

Lists the 4155/4156 setup files to convert. Drag and drop operation is allowed.

Log

Displays the execution log.